//////////////////// MODULE DEFINITION: Highlight Row ////////////////////
//This module highlights 3 rows of cells specified by row_y0, row_y1, row_y2
//This is accomplished by asserting/de-asserting the r/g/b on signals
module HighlightRow(
	input [6:0] row_y0, //position of scan bar 0
	input [6:0] row_y1, //position of scan bar 1
	input [6:0] row_y2, //position of scan bar 2
	input [9:0] vga_y, //current y-position of the VGA controller
	
	//color enable signals
	output r_on,
	output g_on,
	output b_on
);
	//if the VGA is currently drawing cells in the row specified, highlight it green (i.e. disable red and blue)
	assign r_on = ((row_y0==vga_y[8:2]) | (row_y1==vga_y[8:2]) | (row_y2==vga_y[8:2])) ? 1'b0 : 1'b1;
	assign g_on = ((row_y0==vga_y[8:2]) | (row_y1==vga_y[8:2]) | (row_y2==vga_y[8:2])) ? 1'b1 : 1'b1;
	assign b_on = ((row_y0==vga_y[8:2]) | (row_y1==vga_y[8:2]) | (row_y2==vga_y[8:2])) ? 1'b0 : 1'b1;

endmodule