//////////////////// MODULE DEFINITION: Make Border ////////////////////
//Draw a border around the edges of the screen based on the input maximums and minimums 
//Output the raw VGA signal with this value added 
module MakeBorder(
//VGA controller position
input [9:0] vga_x,
input [9:0] vga_y,

//screen boundaries
input [9:0] xmax,
input [9:0] xmin,
input [9:0] ymax,
input [9:0] ymin,

//VGA input signals
input [9:0] mVGA_R,
input [9:0] mVGA_G,
input [9:0] mVGA_B,

input play, //play/pause gol state

//VGA output signals
output [9:0] mVGA_Rb,
output [9:0] mVGA_Gb,
output [9:0] mVGA_Bb
);	
	//if we're at the edges of the screen, ignore the pixel from memory and draw the border color
	//if the game is paused, make the border red instead of white
	assign mVGA_Rb = ((vga_x[9:2]==xmax) | (vga_x[9:2]==(xmin-8'd1)) | (vga_y[8:2]==(ymin-7'd1)) | (vga_y[8:2]==ymax)) ? 10'd1023 : mVGA_R;
	assign mVGA_Gb = ((vga_x[9:2]==xmax) | (vga_x[9:2]==(xmin-8'd1)) | (vga_y[8:2]==(ymin-7'd1)) | (vga_y[8:2]==ymax)) ? ((play) ? 10'd1023 : 10'd0) : mVGA_G;
	assign mVGA_Bb = ((vga_x[9:2]==xmax) | (vga_x[9:2]==(xmin-8'd1)) | (vga_y[8:2]==(ymin-7'd1)) | (vga_y[8:2]==ymax)) ? ((play) ? 10'd1023 : 10'd0) : mVGA_B;
	
endmodule