//megafunction wizard: %Altera SOPC Builder%
//GENERATION: STANDARD
//VERSION: WM1.0


//Legal Notice: (C)2011 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module TIMER_0_s1_arbitrator (
                               // inputs:
                                TIMER_0_s1_irq,
                                TIMER_0_s1_readdata,
                                clk,
                                cpu_data_master_address_to_slave,
                                cpu_data_master_read,
                                cpu_data_master_waitrequest,
                                cpu_data_master_write,
                                cpu_data_master_writedata,
                                reset_n,

                               // outputs:
                                TIMER_0_s1_address,
                                TIMER_0_s1_chipselect,
                                TIMER_0_s1_irq_from_sa,
                                TIMER_0_s1_readdata_from_sa,
                                TIMER_0_s1_reset_n,
                                TIMER_0_s1_write_n,
                                TIMER_0_s1_writedata,
                                cpu_data_master_granted_TIMER_0_s1,
                                cpu_data_master_qualified_request_TIMER_0_s1,
                                cpu_data_master_read_data_valid_TIMER_0_s1,
                                cpu_data_master_requests_TIMER_0_s1,
                                d1_TIMER_0_s1_end_xfer
                             )
;

  output  [  2: 0] TIMER_0_s1_address;
  output           TIMER_0_s1_chipselect;
  output           TIMER_0_s1_irq_from_sa;
  output  [ 15: 0] TIMER_0_s1_readdata_from_sa;
  output           TIMER_0_s1_reset_n;
  output           TIMER_0_s1_write_n;
  output  [ 15: 0] TIMER_0_s1_writedata;
  output           cpu_data_master_granted_TIMER_0_s1;
  output           cpu_data_master_qualified_request_TIMER_0_s1;
  output           cpu_data_master_read_data_valid_TIMER_0_s1;
  output           cpu_data_master_requests_TIMER_0_s1;
  output           d1_TIMER_0_s1_end_xfer;
  input            TIMER_0_s1_irq;
  input   [ 15: 0] TIMER_0_s1_readdata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;

  wire    [  2: 0] TIMER_0_s1_address;
  wire             TIMER_0_s1_allgrants;
  wire             TIMER_0_s1_allow_new_arb_cycle;
  wire             TIMER_0_s1_any_bursting_master_saved_grant;
  wire             TIMER_0_s1_any_continuerequest;
  wire             TIMER_0_s1_arb_counter_enable;
  reg     [  1: 0] TIMER_0_s1_arb_share_counter;
  wire    [  1: 0] TIMER_0_s1_arb_share_counter_next_value;
  wire    [  1: 0] TIMER_0_s1_arb_share_set_values;
  wire             TIMER_0_s1_beginbursttransfer_internal;
  wire             TIMER_0_s1_begins_xfer;
  wire             TIMER_0_s1_chipselect;
  wire             TIMER_0_s1_end_xfer;
  wire             TIMER_0_s1_firsttransfer;
  wire             TIMER_0_s1_grant_vector;
  wire             TIMER_0_s1_in_a_read_cycle;
  wire             TIMER_0_s1_in_a_write_cycle;
  wire             TIMER_0_s1_irq_from_sa;
  wire             TIMER_0_s1_master_qreq_vector;
  wire             TIMER_0_s1_non_bursting_master_requests;
  wire    [ 15: 0] TIMER_0_s1_readdata_from_sa;
  reg              TIMER_0_s1_reg_firsttransfer;
  wire             TIMER_0_s1_reset_n;
  reg              TIMER_0_s1_slavearbiterlockenable;
  wire             TIMER_0_s1_slavearbiterlockenable2;
  wire             TIMER_0_s1_unreg_firsttransfer;
  wire             TIMER_0_s1_waits_for_read;
  wire             TIMER_0_s1_waits_for_write;
  wire             TIMER_0_s1_write_n;
  wire    [ 15: 0] TIMER_0_s1_writedata;
  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_TIMER_0_s1;
  wire             cpu_data_master_qualified_request_TIMER_0_s1;
  wire             cpu_data_master_read_data_valid_TIMER_0_s1;
  wire             cpu_data_master_requests_TIMER_0_s1;
  wire             cpu_data_master_saved_grant_TIMER_0_s1;
  reg              d1_TIMER_0_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_TIMER_0_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_TIMER_0_s1_from_cpu_data_master;
  wire             wait_for_TIMER_0_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~TIMER_0_s1_end_xfer;
    end


  assign TIMER_0_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_TIMER_0_s1));
  //assign TIMER_0_s1_readdata_from_sa = TIMER_0_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign TIMER_0_s1_readdata_from_sa = TIMER_0_s1_readdata;

  assign cpu_data_master_requests_TIMER_0_s1 = ({cpu_data_master_address_to_slave[25 : 5] , 5'b0} == 26'h40) & (cpu_data_master_read | cpu_data_master_write);
  //TIMER_0_s1_arb_share_counter set values, which is an e_mux
  assign TIMER_0_s1_arb_share_set_values = 1;

  //TIMER_0_s1_non_bursting_master_requests mux, which is an e_mux
  assign TIMER_0_s1_non_bursting_master_requests = cpu_data_master_requests_TIMER_0_s1;

  //TIMER_0_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign TIMER_0_s1_any_bursting_master_saved_grant = 0;

  //TIMER_0_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign TIMER_0_s1_arb_share_counter_next_value = TIMER_0_s1_firsttransfer ? (TIMER_0_s1_arb_share_set_values - 1) : |TIMER_0_s1_arb_share_counter ? (TIMER_0_s1_arb_share_counter - 1) : 0;

  //TIMER_0_s1_allgrants all slave grants, which is an e_mux
  assign TIMER_0_s1_allgrants = |TIMER_0_s1_grant_vector;

  //TIMER_0_s1_end_xfer assignment, which is an e_assign
  assign TIMER_0_s1_end_xfer = ~(TIMER_0_s1_waits_for_read | TIMER_0_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_TIMER_0_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_TIMER_0_s1 = TIMER_0_s1_end_xfer & (~TIMER_0_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //TIMER_0_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign TIMER_0_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_TIMER_0_s1 & TIMER_0_s1_allgrants) | (end_xfer_arb_share_counter_term_TIMER_0_s1 & ~TIMER_0_s1_non_bursting_master_requests);

  //TIMER_0_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          TIMER_0_s1_arb_share_counter <= 0;
      else if (TIMER_0_s1_arb_counter_enable)
          TIMER_0_s1_arb_share_counter <= TIMER_0_s1_arb_share_counter_next_value;
    end


  //TIMER_0_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          TIMER_0_s1_slavearbiterlockenable <= 0;
      else if ((|TIMER_0_s1_master_qreq_vector & end_xfer_arb_share_counter_term_TIMER_0_s1) | (end_xfer_arb_share_counter_term_TIMER_0_s1 & ~TIMER_0_s1_non_bursting_master_requests))
          TIMER_0_s1_slavearbiterlockenable <= |TIMER_0_s1_arb_share_counter_next_value;
    end


  //cpu/data_master TIMER_0/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = TIMER_0_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //TIMER_0_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign TIMER_0_s1_slavearbiterlockenable2 = |TIMER_0_s1_arb_share_counter_next_value;

  //cpu/data_master TIMER_0/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = TIMER_0_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //TIMER_0_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign TIMER_0_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_TIMER_0_s1 = cpu_data_master_requests_TIMER_0_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //TIMER_0_s1_writedata mux, which is an e_mux
  assign TIMER_0_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_TIMER_0_s1 = cpu_data_master_qualified_request_TIMER_0_s1;

  //cpu/data_master saved-grant TIMER_0/s1, which is an e_assign
  assign cpu_data_master_saved_grant_TIMER_0_s1 = cpu_data_master_requests_TIMER_0_s1;

  //allow new arb cycle for TIMER_0/s1, which is an e_assign
  assign TIMER_0_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign TIMER_0_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign TIMER_0_s1_master_qreq_vector = 1;

  //TIMER_0_s1_reset_n assignment, which is an e_assign
  assign TIMER_0_s1_reset_n = reset_n;

  assign TIMER_0_s1_chipselect = cpu_data_master_granted_TIMER_0_s1;
  //TIMER_0_s1_firsttransfer first transaction, which is an e_assign
  assign TIMER_0_s1_firsttransfer = TIMER_0_s1_begins_xfer ? TIMER_0_s1_unreg_firsttransfer : TIMER_0_s1_reg_firsttransfer;

  //TIMER_0_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign TIMER_0_s1_unreg_firsttransfer = ~(TIMER_0_s1_slavearbiterlockenable & TIMER_0_s1_any_continuerequest);

  //TIMER_0_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          TIMER_0_s1_reg_firsttransfer <= 1'b1;
      else if (TIMER_0_s1_begins_xfer)
          TIMER_0_s1_reg_firsttransfer <= TIMER_0_s1_unreg_firsttransfer;
    end


  //TIMER_0_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign TIMER_0_s1_beginbursttransfer_internal = TIMER_0_s1_begins_xfer;

  //~TIMER_0_s1_write_n assignment, which is an e_mux
  assign TIMER_0_s1_write_n = ~(cpu_data_master_granted_TIMER_0_s1 & cpu_data_master_write);

  assign shifted_address_to_TIMER_0_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //TIMER_0_s1_address mux, which is an e_mux
  assign TIMER_0_s1_address = shifted_address_to_TIMER_0_s1_from_cpu_data_master >> 2;

  //d1_TIMER_0_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_TIMER_0_s1_end_xfer <= 1;
      else 
        d1_TIMER_0_s1_end_xfer <= TIMER_0_s1_end_xfer;
    end


  //TIMER_0_s1_waits_for_read in a cycle, which is an e_mux
  assign TIMER_0_s1_waits_for_read = TIMER_0_s1_in_a_read_cycle & TIMER_0_s1_begins_xfer;

  //TIMER_0_s1_in_a_read_cycle assignment, which is an e_assign
  assign TIMER_0_s1_in_a_read_cycle = cpu_data_master_granted_TIMER_0_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = TIMER_0_s1_in_a_read_cycle;

  //TIMER_0_s1_waits_for_write in a cycle, which is an e_mux
  assign TIMER_0_s1_waits_for_write = TIMER_0_s1_in_a_write_cycle & 0;

  //TIMER_0_s1_in_a_write_cycle assignment, which is an e_assign
  assign TIMER_0_s1_in_a_write_cycle = cpu_data_master_granted_TIMER_0_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = TIMER_0_s1_in_a_write_cycle;

  assign wait_for_TIMER_0_s1_counter = 0;
  //assign TIMER_0_s1_irq_from_sa = TIMER_0_s1_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign TIMER_0_s1_irq_from_sa = TIMER_0_s1_irq;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //TIMER_0/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module cpu_jtag_debug_module_arbitrator (
                                          // inputs:
                                           clk,
                                           cpu_data_master_address_to_slave,
                                           cpu_data_master_byteenable,
                                           cpu_data_master_debugaccess,
                                           cpu_data_master_read,
                                           cpu_data_master_waitrequest,
                                           cpu_data_master_write,
                                           cpu_data_master_writedata,
                                           cpu_instruction_master_address_to_slave,
                                           cpu_instruction_master_latency_counter,
                                           cpu_instruction_master_read,
                                           cpu_instruction_master_read_data_valid_sdram_s1_shift_register,
                                           cpu_jtag_debug_module_readdata,
                                           cpu_jtag_debug_module_resetrequest,
                                           reset_n,

                                          // outputs:
                                           cpu_data_master_granted_cpu_jtag_debug_module,
                                           cpu_data_master_qualified_request_cpu_jtag_debug_module,
                                           cpu_data_master_read_data_valid_cpu_jtag_debug_module,
                                           cpu_data_master_requests_cpu_jtag_debug_module,
                                           cpu_instruction_master_granted_cpu_jtag_debug_module,
                                           cpu_instruction_master_qualified_request_cpu_jtag_debug_module,
                                           cpu_instruction_master_read_data_valid_cpu_jtag_debug_module,
                                           cpu_instruction_master_requests_cpu_jtag_debug_module,
                                           cpu_jtag_debug_module_address,
                                           cpu_jtag_debug_module_begintransfer,
                                           cpu_jtag_debug_module_byteenable,
                                           cpu_jtag_debug_module_chipselect,
                                           cpu_jtag_debug_module_debugaccess,
                                           cpu_jtag_debug_module_readdata_from_sa,
                                           cpu_jtag_debug_module_reset_n,
                                           cpu_jtag_debug_module_resetrequest_from_sa,
                                           cpu_jtag_debug_module_write,
                                           cpu_jtag_debug_module_writedata,
                                           d1_cpu_jtag_debug_module_end_xfer
                                        )
;

  output           cpu_data_master_granted_cpu_jtag_debug_module;
  output           cpu_data_master_qualified_request_cpu_jtag_debug_module;
  output           cpu_data_master_read_data_valid_cpu_jtag_debug_module;
  output           cpu_data_master_requests_cpu_jtag_debug_module;
  output           cpu_instruction_master_granted_cpu_jtag_debug_module;
  output           cpu_instruction_master_qualified_request_cpu_jtag_debug_module;
  output           cpu_instruction_master_read_data_valid_cpu_jtag_debug_module;
  output           cpu_instruction_master_requests_cpu_jtag_debug_module;
  output  [  8: 0] cpu_jtag_debug_module_address;
  output           cpu_jtag_debug_module_begintransfer;
  output  [  3: 0] cpu_jtag_debug_module_byteenable;
  output           cpu_jtag_debug_module_chipselect;
  output           cpu_jtag_debug_module_debugaccess;
  output  [ 31: 0] cpu_jtag_debug_module_readdata_from_sa;
  output           cpu_jtag_debug_module_reset_n;
  output           cpu_jtag_debug_module_resetrequest_from_sa;
  output           cpu_jtag_debug_module_write;
  output  [ 31: 0] cpu_jtag_debug_module_writedata;
  output           d1_cpu_jtag_debug_module_end_xfer;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input   [  3: 0] cpu_data_master_byteenable;
  input            cpu_data_master_debugaccess;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 25: 0] cpu_instruction_master_address_to_slave;
  input            cpu_instruction_master_latency_counter;
  input            cpu_instruction_master_read;
  input            cpu_instruction_master_read_data_valid_sdram_s1_shift_register;
  input   [ 31: 0] cpu_jtag_debug_module_readdata;
  input            cpu_jtag_debug_module_resetrequest;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_cpu_jtag_debug_module;
  wire             cpu_data_master_qualified_request_cpu_jtag_debug_module;
  wire             cpu_data_master_read_data_valid_cpu_jtag_debug_module;
  wire             cpu_data_master_requests_cpu_jtag_debug_module;
  wire             cpu_data_master_saved_grant_cpu_jtag_debug_module;
  wire             cpu_instruction_master_arbiterlock;
  wire             cpu_instruction_master_arbiterlock2;
  wire             cpu_instruction_master_continuerequest;
  wire             cpu_instruction_master_granted_cpu_jtag_debug_module;
  wire             cpu_instruction_master_qualified_request_cpu_jtag_debug_module;
  wire             cpu_instruction_master_read_data_valid_cpu_jtag_debug_module;
  wire             cpu_instruction_master_requests_cpu_jtag_debug_module;
  wire             cpu_instruction_master_saved_grant_cpu_jtag_debug_module;
  wire    [  8: 0] cpu_jtag_debug_module_address;
  wire             cpu_jtag_debug_module_allgrants;
  wire             cpu_jtag_debug_module_allow_new_arb_cycle;
  wire             cpu_jtag_debug_module_any_bursting_master_saved_grant;
  wire             cpu_jtag_debug_module_any_continuerequest;
  reg     [  1: 0] cpu_jtag_debug_module_arb_addend;
  wire             cpu_jtag_debug_module_arb_counter_enable;
  reg     [  1: 0] cpu_jtag_debug_module_arb_share_counter;
  wire    [  1: 0] cpu_jtag_debug_module_arb_share_counter_next_value;
  wire    [  1: 0] cpu_jtag_debug_module_arb_share_set_values;
  wire    [  1: 0] cpu_jtag_debug_module_arb_winner;
  wire             cpu_jtag_debug_module_arbitration_holdoff_internal;
  wire             cpu_jtag_debug_module_beginbursttransfer_internal;
  wire             cpu_jtag_debug_module_begins_xfer;
  wire             cpu_jtag_debug_module_begintransfer;
  wire    [  3: 0] cpu_jtag_debug_module_byteenable;
  wire             cpu_jtag_debug_module_chipselect;
  wire    [  3: 0] cpu_jtag_debug_module_chosen_master_double_vector;
  wire    [  1: 0] cpu_jtag_debug_module_chosen_master_rot_left;
  wire             cpu_jtag_debug_module_debugaccess;
  wire             cpu_jtag_debug_module_end_xfer;
  wire             cpu_jtag_debug_module_firsttransfer;
  wire    [  1: 0] cpu_jtag_debug_module_grant_vector;
  wire             cpu_jtag_debug_module_in_a_read_cycle;
  wire             cpu_jtag_debug_module_in_a_write_cycle;
  wire    [  1: 0] cpu_jtag_debug_module_master_qreq_vector;
  wire             cpu_jtag_debug_module_non_bursting_master_requests;
  wire    [ 31: 0] cpu_jtag_debug_module_readdata_from_sa;
  reg              cpu_jtag_debug_module_reg_firsttransfer;
  wire             cpu_jtag_debug_module_reset_n;
  wire             cpu_jtag_debug_module_resetrequest_from_sa;
  reg     [  1: 0] cpu_jtag_debug_module_saved_chosen_master_vector;
  reg              cpu_jtag_debug_module_slavearbiterlockenable;
  wire             cpu_jtag_debug_module_slavearbiterlockenable2;
  wire             cpu_jtag_debug_module_unreg_firsttransfer;
  wire             cpu_jtag_debug_module_waits_for_read;
  wire             cpu_jtag_debug_module_waits_for_write;
  wire             cpu_jtag_debug_module_write;
  wire    [ 31: 0] cpu_jtag_debug_module_writedata;
  reg              d1_cpu_jtag_debug_module_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_cpu_jtag_debug_module;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  reg              last_cycle_cpu_data_master_granted_slave_cpu_jtag_debug_module;
  reg              last_cycle_cpu_instruction_master_granted_slave_cpu_jtag_debug_module;
  wire    [ 25: 0] shifted_address_to_cpu_jtag_debug_module_from_cpu_data_master;
  wire    [ 25: 0] shifted_address_to_cpu_jtag_debug_module_from_cpu_instruction_master;
  wire             wait_for_cpu_jtag_debug_module_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~cpu_jtag_debug_module_end_xfer;
    end


  assign cpu_jtag_debug_module_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_cpu_jtag_debug_module | cpu_instruction_master_qualified_request_cpu_jtag_debug_module));
  //assign cpu_jtag_debug_module_readdata_from_sa = cpu_jtag_debug_module_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign cpu_jtag_debug_module_readdata_from_sa = cpu_jtag_debug_module_readdata;

  assign cpu_data_master_requests_cpu_jtag_debug_module = ({cpu_data_master_address_to_slave[25 : 11] , 11'b0} == 26'h800) & (cpu_data_master_read | cpu_data_master_write);
  //cpu_jtag_debug_module_arb_share_counter set values, which is an e_mux
  assign cpu_jtag_debug_module_arb_share_set_values = 1;

  //cpu_jtag_debug_module_non_bursting_master_requests mux, which is an e_mux
  assign cpu_jtag_debug_module_non_bursting_master_requests = cpu_data_master_requests_cpu_jtag_debug_module |
    cpu_instruction_master_requests_cpu_jtag_debug_module |
    cpu_data_master_requests_cpu_jtag_debug_module |
    cpu_instruction_master_requests_cpu_jtag_debug_module;

  //cpu_jtag_debug_module_any_bursting_master_saved_grant mux, which is an e_mux
  assign cpu_jtag_debug_module_any_bursting_master_saved_grant = 0;

  //cpu_jtag_debug_module_arb_share_counter_next_value assignment, which is an e_assign
  assign cpu_jtag_debug_module_arb_share_counter_next_value = cpu_jtag_debug_module_firsttransfer ? (cpu_jtag_debug_module_arb_share_set_values - 1) : |cpu_jtag_debug_module_arb_share_counter ? (cpu_jtag_debug_module_arb_share_counter - 1) : 0;

  //cpu_jtag_debug_module_allgrants all slave grants, which is an e_mux
  assign cpu_jtag_debug_module_allgrants = (|cpu_jtag_debug_module_grant_vector) |
    (|cpu_jtag_debug_module_grant_vector) |
    (|cpu_jtag_debug_module_grant_vector) |
    (|cpu_jtag_debug_module_grant_vector);

  //cpu_jtag_debug_module_end_xfer assignment, which is an e_assign
  assign cpu_jtag_debug_module_end_xfer = ~(cpu_jtag_debug_module_waits_for_read | cpu_jtag_debug_module_waits_for_write);

  //end_xfer_arb_share_counter_term_cpu_jtag_debug_module arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_cpu_jtag_debug_module = cpu_jtag_debug_module_end_xfer & (~cpu_jtag_debug_module_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //cpu_jtag_debug_module_arb_share_counter arbitration counter enable, which is an e_assign
  assign cpu_jtag_debug_module_arb_counter_enable = (end_xfer_arb_share_counter_term_cpu_jtag_debug_module & cpu_jtag_debug_module_allgrants) | (end_xfer_arb_share_counter_term_cpu_jtag_debug_module & ~cpu_jtag_debug_module_non_bursting_master_requests);

  //cpu_jtag_debug_module_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_jtag_debug_module_arb_share_counter <= 0;
      else if (cpu_jtag_debug_module_arb_counter_enable)
          cpu_jtag_debug_module_arb_share_counter <= cpu_jtag_debug_module_arb_share_counter_next_value;
    end


  //cpu_jtag_debug_module_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_jtag_debug_module_slavearbiterlockenable <= 0;
      else if ((|cpu_jtag_debug_module_master_qreq_vector & end_xfer_arb_share_counter_term_cpu_jtag_debug_module) | (end_xfer_arb_share_counter_term_cpu_jtag_debug_module & ~cpu_jtag_debug_module_non_bursting_master_requests))
          cpu_jtag_debug_module_slavearbiterlockenable <= |cpu_jtag_debug_module_arb_share_counter_next_value;
    end


  //cpu/data_master cpu/jtag_debug_module arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = cpu_jtag_debug_module_slavearbiterlockenable & cpu_data_master_continuerequest;

  //cpu_jtag_debug_module_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign cpu_jtag_debug_module_slavearbiterlockenable2 = |cpu_jtag_debug_module_arb_share_counter_next_value;

  //cpu/data_master cpu/jtag_debug_module arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = cpu_jtag_debug_module_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //cpu/instruction_master cpu/jtag_debug_module arbiterlock, which is an e_assign
  assign cpu_instruction_master_arbiterlock = cpu_jtag_debug_module_slavearbiterlockenable & cpu_instruction_master_continuerequest;

  //cpu/instruction_master cpu/jtag_debug_module arbiterlock2, which is an e_assign
  assign cpu_instruction_master_arbiterlock2 = cpu_jtag_debug_module_slavearbiterlockenable2 & cpu_instruction_master_continuerequest;

  //cpu/instruction_master granted cpu/jtag_debug_module last time, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          last_cycle_cpu_instruction_master_granted_slave_cpu_jtag_debug_module <= 0;
      else 
        last_cycle_cpu_instruction_master_granted_slave_cpu_jtag_debug_module <= cpu_instruction_master_saved_grant_cpu_jtag_debug_module ? 1 : (cpu_jtag_debug_module_arbitration_holdoff_internal | ~cpu_instruction_master_requests_cpu_jtag_debug_module) ? 0 : last_cycle_cpu_instruction_master_granted_slave_cpu_jtag_debug_module;
    end


  //cpu_instruction_master_continuerequest continued request, which is an e_mux
  assign cpu_instruction_master_continuerequest = last_cycle_cpu_instruction_master_granted_slave_cpu_jtag_debug_module & cpu_instruction_master_requests_cpu_jtag_debug_module;

  //cpu_jtag_debug_module_any_continuerequest at least one master continues requesting, which is an e_mux
  assign cpu_jtag_debug_module_any_continuerequest = cpu_instruction_master_continuerequest |
    cpu_data_master_continuerequest;

  assign cpu_data_master_qualified_request_cpu_jtag_debug_module = cpu_data_master_requests_cpu_jtag_debug_module & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write) | cpu_instruction_master_arbiterlock);
  //cpu_jtag_debug_module_writedata mux, which is an e_mux
  assign cpu_jtag_debug_module_writedata = cpu_data_master_writedata;

  assign cpu_instruction_master_requests_cpu_jtag_debug_module = (({cpu_instruction_master_address_to_slave[25 : 11] , 11'b0} == 26'h800) & (cpu_instruction_master_read)) & cpu_instruction_master_read;
  //cpu/data_master granted cpu/jtag_debug_module last time, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          last_cycle_cpu_data_master_granted_slave_cpu_jtag_debug_module <= 0;
      else 
        last_cycle_cpu_data_master_granted_slave_cpu_jtag_debug_module <= cpu_data_master_saved_grant_cpu_jtag_debug_module ? 1 : (cpu_jtag_debug_module_arbitration_holdoff_internal | ~cpu_data_master_requests_cpu_jtag_debug_module) ? 0 : last_cycle_cpu_data_master_granted_slave_cpu_jtag_debug_module;
    end


  //cpu_data_master_continuerequest continued request, which is an e_mux
  assign cpu_data_master_continuerequest = last_cycle_cpu_data_master_granted_slave_cpu_jtag_debug_module & cpu_data_master_requests_cpu_jtag_debug_module;

  assign cpu_instruction_master_qualified_request_cpu_jtag_debug_module = cpu_instruction_master_requests_cpu_jtag_debug_module & ~((cpu_instruction_master_read & ((cpu_instruction_master_latency_counter != 0) | (|cpu_instruction_master_read_data_valid_sdram_s1_shift_register))) | cpu_data_master_arbiterlock);
  //local readdatavalid cpu_instruction_master_read_data_valid_cpu_jtag_debug_module, which is an e_mux
  assign cpu_instruction_master_read_data_valid_cpu_jtag_debug_module = cpu_instruction_master_granted_cpu_jtag_debug_module & cpu_instruction_master_read & ~cpu_jtag_debug_module_waits_for_read;

  //allow new arb cycle for cpu/jtag_debug_module, which is an e_assign
  assign cpu_jtag_debug_module_allow_new_arb_cycle = ~cpu_data_master_arbiterlock & ~cpu_instruction_master_arbiterlock;

  //cpu/instruction_master assignment into master qualified-requests vector for cpu/jtag_debug_module, which is an e_assign
  assign cpu_jtag_debug_module_master_qreq_vector[0] = cpu_instruction_master_qualified_request_cpu_jtag_debug_module;

  //cpu/instruction_master grant cpu/jtag_debug_module, which is an e_assign
  assign cpu_instruction_master_granted_cpu_jtag_debug_module = cpu_jtag_debug_module_grant_vector[0];

  //cpu/instruction_master saved-grant cpu/jtag_debug_module, which is an e_assign
  assign cpu_instruction_master_saved_grant_cpu_jtag_debug_module = cpu_jtag_debug_module_arb_winner[0] && cpu_instruction_master_requests_cpu_jtag_debug_module;

  //cpu/data_master assignment into master qualified-requests vector for cpu/jtag_debug_module, which is an e_assign
  assign cpu_jtag_debug_module_master_qreq_vector[1] = cpu_data_master_qualified_request_cpu_jtag_debug_module;

  //cpu/data_master grant cpu/jtag_debug_module, which is an e_assign
  assign cpu_data_master_granted_cpu_jtag_debug_module = cpu_jtag_debug_module_grant_vector[1];

  //cpu/data_master saved-grant cpu/jtag_debug_module, which is an e_assign
  assign cpu_data_master_saved_grant_cpu_jtag_debug_module = cpu_jtag_debug_module_arb_winner[1] && cpu_data_master_requests_cpu_jtag_debug_module;

  //cpu/jtag_debug_module chosen-master double-vector, which is an e_assign
  assign cpu_jtag_debug_module_chosen_master_double_vector = {cpu_jtag_debug_module_master_qreq_vector, cpu_jtag_debug_module_master_qreq_vector} & ({~cpu_jtag_debug_module_master_qreq_vector, ~cpu_jtag_debug_module_master_qreq_vector} + cpu_jtag_debug_module_arb_addend);

  //stable onehot encoding of arb winner
  assign cpu_jtag_debug_module_arb_winner = (cpu_jtag_debug_module_allow_new_arb_cycle & | cpu_jtag_debug_module_grant_vector) ? cpu_jtag_debug_module_grant_vector : cpu_jtag_debug_module_saved_chosen_master_vector;

  //saved cpu_jtag_debug_module_grant_vector, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_jtag_debug_module_saved_chosen_master_vector <= 0;
      else if (cpu_jtag_debug_module_allow_new_arb_cycle)
          cpu_jtag_debug_module_saved_chosen_master_vector <= |cpu_jtag_debug_module_grant_vector ? cpu_jtag_debug_module_grant_vector : cpu_jtag_debug_module_saved_chosen_master_vector;
    end


  //onehot encoding of chosen master
  assign cpu_jtag_debug_module_grant_vector = {(cpu_jtag_debug_module_chosen_master_double_vector[1] | cpu_jtag_debug_module_chosen_master_double_vector[3]),
    (cpu_jtag_debug_module_chosen_master_double_vector[0] | cpu_jtag_debug_module_chosen_master_double_vector[2])};

  //cpu/jtag_debug_module chosen master rotated left, which is an e_assign
  assign cpu_jtag_debug_module_chosen_master_rot_left = (cpu_jtag_debug_module_arb_winner << 1) ? (cpu_jtag_debug_module_arb_winner << 1) : 1;

  //cpu/jtag_debug_module's addend for next-master-grant
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_jtag_debug_module_arb_addend <= 1;
      else if (|cpu_jtag_debug_module_grant_vector)
          cpu_jtag_debug_module_arb_addend <= cpu_jtag_debug_module_end_xfer? cpu_jtag_debug_module_chosen_master_rot_left : cpu_jtag_debug_module_grant_vector;
    end


  assign cpu_jtag_debug_module_begintransfer = cpu_jtag_debug_module_begins_xfer;
  //cpu_jtag_debug_module_reset_n assignment, which is an e_assign
  assign cpu_jtag_debug_module_reset_n = reset_n;

  //assign cpu_jtag_debug_module_resetrequest_from_sa = cpu_jtag_debug_module_resetrequest so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign cpu_jtag_debug_module_resetrequest_from_sa = cpu_jtag_debug_module_resetrequest;

  assign cpu_jtag_debug_module_chipselect = cpu_data_master_granted_cpu_jtag_debug_module | cpu_instruction_master_granted_cpu_jtag_debug_module;
  //cpu_jtag_debug_module_firsttransfer first transaction, which is an e_assign
  assign cpu_jtag_debug_module_firsttransfer = cpu_jtag_debug_module_begins_xfer ? cpu_jtag_debug_module_unreg_firsttransfer : cpu_jtag_debug_module_reg_firsttransfer;

  //cpu_jtag_debug_module_unreg_firsttransfer first transaction, which is an e_assign
  assign cpu_jtag_debug_module_unreg_firsttransfer = ~(cpu_jtag_debug_module_slavearbiterlockenable & cpu_jtag_debug_module_any_continuerequest);

  //cpu_jtag_debug_module_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_jtag_debug_module_reg_firsttransfer <= 1'b1;
      else if (cpu_jtag_debug_module_begins_xfer)
          cpu_jtag_debug_module_reg_firsttransfer <= cpu_jtag_debug_module_unreg_firsttransfer;
    end


  //cpu_jtag_debug_module_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign cpu_jtag_debug_module_beginbursttransfer_internal = cpu_jtag_debug_module_begins_xfer;

  //cpu_jtag_debug_module_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  assign cpu_jtag_debug_module_arbitration_holdoff_internal = cpu_jtag_debug_module_begins_xfer & cpu_jtag_debug_module_firsttransfer;

  //cpu_jtag_debug_module_write assignment, which is an e_mux
  assign cpu_jtag_debug_module_write = cpu_data_master_granted_cpu_jtag_debug_module & cpu_data_master_write;

  assign shifted_address_to_cpu_jtag_debug_module_from_cpu_data_master = cpu_data_master_address_to_slave;
  //cpu_jtag_debug_module_address mux, which is an e_mux
  assign cpu_jtag_debug_module_address = (cpu_data_master_granted_cpu_jtag_debug_module)? (shifted_address_to_cpu_jtag_debug_module_from_cpu_data_master >> 2) :
    (shifted_address_to_cpu_jtag_debug_module_from_cpu_instruction_master >> 2);

  assign shifted_address_to_cpu_jtag_debug_module_from_cpu_instruction_master = cpu_instruction_master_address_to_slave;
  //d1_cpu_jtag_debug_module_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_cpu_jtag_debug_module_end_xfer <= 1;
      else 
        d1_cpu_jtag_debug_module_end_xfer <= cpu_jtag_debug_module_end_xfer;
    end


  //cpu_jtag_debug_module_waits_for_read in a cycle, which is an e_mux
  assign cpu_jtag_debug_module_waits_for_read = cpu_jtag_debug_module_in_a_read_cycle & cpu_jtag_debug_module_begins_xfer;

  //cpu_jtag_debug_module_in_a_read_cycle assignment, which is an e_assign
  assign cpu_jtag_debug_module_in_a_read_cycle = (cpu_data_master_granted_cpu_jtag_debug_module & cpu_data_master_read) | (cpu_instruction_master_granted_cpu_jtag_debug_module & cpu_instruction_master_read);

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = cpu_jtag_debug_module_in_a_read_cycle;

  //cpu_jtag_debug_module_waits_for_write in a cycle, which is an e_mux
  assign cpu_jtag_debug_module_waits_for_write = cpu_jtag_debug_module_in_a_write_cycle & 0;

  //cpu_jtag_debug_module_in_a_write_cycle assignment, which is an e_assign
  assign cpu_jtag_debug_module_in_a_write_cycle = cpu_data_master_granted_cpu_jtag_debug_module & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = cpu_jtag_debug_module_in_a_write_cycle;

  assign wait_for_cpu_jtag_debug_module_counter = 0;
  //cpu_jtag_debug_module_byteenable byte enable port mux, which is an e_mux
  assign cpu_jtag_debug_module_byteenable = (cpu_data_master_granted_cpu_jtag_debug_module)? cpu_data_master_byteenable :
    -1;

  //debugaccess mux, which is an e_mux
  assign cpu_jtag_debug_module_debugaccess = (cpu_data_master_granted_cpu_jtag_debug_module)? cpu_data_master_debugaccess :
    0;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //cpu/jtag_debug_module enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end


  //grant signals are active simultaneously, which is an e_process
  always @(posedge clk)
    begin
      if (cpu_data_master_granted_cpu_jtag_debug_module + cpu_instruction_master_granted_cpu_jtag_debug_module > 1)
        begin
          $write("%0d ns: > 1 of grant signals are active simultaneously", $time);
          $stop;
        end
    end


  //saved_grant signals are active simultaneously, which is an e_process
  always @(posedge clk)
    begin
      if (cpu_data_master_saved_grant_cpu_jtag_debug_module + cpu_instruction_master_saved_grant_cpu_jtag_debug_module > 1)
        begin
          $write("%0d ns: > 1 of saved_grant signals are active simultaneously", $time);
          $stop;
        end
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module cpu_data_master_arbitrator (
                                    // inputs:
                                     TIMER_0_s1_irq_from_sa,
                                     TIMER_0_s1_readdata_from_sa,
                                     clk,
                                     cpu_data_master_address,
                                     cpu_data_master_byteenable_sdram_s1,
                                     cpu_data_master_granted_TIMER_0_s1,
                                     cpu_data_master_granted_cpu_jtag_debug_module,
                                     cpu_data_master_granted_cur_x_s1,
                                     cpu_data_master_granted_cur_y_s1,
                                     cpu_data_master_granted_en0_s1,
                                     cpu_data_master_granted_en1_s1,
                                     cpu_data_master_granted_en2_s1,
                                     cpu_data_master_granted_event_has_been_read_s1,
                                     cpu_data_master_granted_jtag_uart_avalon_jtag_slave,
                                     cpu_data_master_granted_lcd_0_control_slave,
                                     cpu_data_master_granted_new_event_ready_s1,
                                     cpu_data_master_granted_obj_s1,
                                     cpu_data_master_granted_period0_s1,
                                     cpu_data_master_granted_period1_s1,
                                     cpu_data_master_granted_period2_s1,
                                     cpu_data_master_granted_period_gol_s1,
                                     cpu_data_master_granted_play_s1,
                                     cpu_data_master_granted_ps2_event_type_s1,
                                     cpu_data_master_granted_sdram_s1,
                                     cpu_data_master_granted_set_sel0_s1,
                                     cpu_data_master_granted_set_sel1_s1,
                                     cpu_data_master_granted_set_sel2_s1,
                                     cpu_data_master_granted_speed0_s1,
                                     cpu_data_master_granted_speed1_s1,
                                     cpu_data_master_granted_speed2_s1,
                                     cpu_data_master_granted_sram_addr_s1,
                                     cpu_data_master_granted_sram_dq_s1,
                                     cpu_data_master_granted_sram_we_n_s1,
                                     cpu_data_master_granted_tone_mode_s1,
                                     cpu_data_master_qualified_request_TIMER_0_s1,
                                     cpu_data_master_qualified_request_cpu_jtag_debug_module,
                                     cpu_data_master_qualified_request_cur_x_s1,
                                     cpu_data_master_qualified_request_cur_y_s1,
                                     cpu_data_master_qualified_request_en0_s1,
                                     cpu_data_master_qualified_request_en1_s1,
                                     cpu_data_master_qualified_request_en2_s1,
                                     cpu_data_master_qualified_request_event_has_been_read_s1,
                                     cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave,
                                     cpu_data_master_qualified_request_lcd_0_control_slave,
                                     cpu_data_master_qualified_request_new_event_ready_s1,
                                     cpu_data_master_qualified_request_obj_s1,
                                     cpu_data_master_qualified_request_period0_s1,
                                     cpu_data_master_qualified_request_period1_s1,
                                     cpu_data_master_qualified_request_period2_s1,
                                     cpu_data_master_qualified_request_period_gol_s1,
                                     cpu_data_master_qualified_request_play_s1,
                                     cpu_data_master_qualified_request_ps2_event_type_s1,
                                     cpu_data_master_qualified_request_sdram_s1,
                                     cpu_data_master_qualified_request_set_sel0_s1,
                                     cpu_data_master_qualified_request_set_sel1_s1,
                                     cpu_data_master_qualified_request_set_sel2_s1,
                                     cpu_data_master_qualified_request_speed0_s1,
                                     cpu_data_master_qualified_request_speed1_s1,
                                     cpu_data_master_qualified_request_speed2_s1,
                                     cpu_data_master_qualified_request_sram_addr_s1,
                                     cpu_data_master_qualified_request_sram_dq_s1,
                                     cpu_data_master_qualified_request_sram_we_n_s1,
                                     cpu_data_master_qualified_request_tone_mode_s1,
                                     cpu_data_master_read,
                                     cpu_data_master_read_data_valid_TIMER_0_s1,
                                     cpu_data_master_read_data_valid_cpu_jtag_debug_module,
                                     cpu_data_master_read_data_valid_cur_x_s1,
                                     cpu_data_master_read_data_valid_cur_y_s1,
                                     cpu_data_master_read_data_valid_en0_s1,
                                     cpu_data_master_read_data_valid_en1_s1,
                                     cpu_data_master_read_data_valid_en2_s1,
                                     cpu_data_master_read_data_valid_event_has_been_read_s1,
                                     cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave,
                                     cpu_data_master_read_data_valid_lcd_0_control_slave,
                                     cpu_data_master_read_data_valid_new_event_ready_s1,
                                     cpu_data_master_read_data_valid_obj_s1,
                                     cpu_data_master_read_data_valid_period0_s1,
                                     cpu_data_master_read_data_valid_period1_s1,
                                     cpu_data_master_read_data_valid_period2_s1,
                                     cpu_data_master_read_data_valid_period_gol_s1,
                                     cpu_data_master_read_data_valid_play_s1,
                                     cpu_data_master_read_data_valid_ps2_event_type_s1,
                                     cpu_data_master_read_data_valid_sdram_s1,
                                     cpu_data_master_read_data_valid_sdram_s1_shift_register,
                                     cpu_data_master_read_data_valid_set_sel0_s1,
                                     cpu_data_master_read_data_valid_set_sel1_s1,
                                     cpu_data_master_read_data_valid_set_sel2_s1,
                                     cpu_data_master_read_data_valid_speed0_s1,
                                     cpu_data_master_read_data_valid_speed1_s1,
                                     cpu_data_master_read_data_valid_speed2_s1,
                                     cpu_data_master_read_data_valid_sram_addr_s1,
                                     cpu_data_master_read_data_valid_sram_dq_s1,
                                     cpu_data_master_read_data_valid_sram_we_n_s1,
                                     cpu_data_master_read_data_valid_tone_mode_s1,
                                     cpu_data_master_requests_TIMER_0_s1,
                                     cpu_data_master_requests_cpu_jtag_debug_module,
                                     cpu_data_master_requests_cur_x_s1,
                                     cpu_data_master_requests_cur_y_s1,
                                     cpu_data_master_requests_en0_s1,
                                     cpu_data_master_requests_en1_s1,
                                     cpu_data_master_requests_en2_s1,
                                     cpu_data_master_requests_event_has_been_read_s1,
                                     cpu_data_master_requests_jtag_uart_avalon_jtag_slave,
                                     cpu_data_master_requests_lcd_0_control_slave,
                                     cpu_data_master_requests_new_event_ready_s1,
                                     cpu_data_master_requests_obj_s1,
                                     cpu_data_master_requests_period0_s1,
                                     cpu_data_master_requests_period1_s1,
                                     cpu_data_master_requests_period2_s1,
                                     cpu_data_master_requests_period_gol_s1,
                                     cpu_data_master_requests_play_s1,
                                     cpu_data_master_requests_ps2_event_type_s1,
                                     cpu_data_master_requests_sdram_s1,
                                     cpu_data_master_requests_set_sel0_s1,
                                     cpu_data_master_requests_set_sel1_s1,
                                     cpu_data_master_requests_set_sel2_s1,
                                     cpu_data_master_requests_speed0_s1,
                                     cpu_data_master_requests_speed1_s1,
                                     cpu_data_master_requests_speed2_s1,
                                     cpu_data_master_requests_sram_addr_s1,
                                     cpu_data_master_requests_sram_dq_s1,
                                     cpu_data_master_requests_sram_we_n_s1,
                                     cpu_data_master_requests_tone_mode_s1,
                                     cpu_data_master_write,
                                     cpu_data_master_writedata,
                                     cpu_jtag_debug_module_readdata_from_sa,
                                     cur_x_s1_readdata_from_sa,
                                     cur_y_s1_readdata_from_sa,
                                     d1_TIMER_0_s1_end_xfer,
                                     d1_cpu_jtag_debug_module_end_xfer,
                                     d1_cur_x_s1_end_xfer,
                                     d1_cur_y_s1_end_xfer,
                                     d1_en0_s1_end_xfer,
                                     d1_en1_s1_end_xfer,
                                     d1_en2_s1_end_xfer,
                                     d1_event_has_been_read_s1_end_xfer,
                                     d1_jtag_uart_avalon_jtag_slave_end_xfer,
                                     d1_lcd_0_control_slave_end_xfer,
                                     d1_new_event_ready_s1_end_xfer,
                                     d1_obj_s1_end_xfer,
                                     d1_period0_s1_end_xfer,
                                     d1_period1_s1_end_xfer,
                                     d1_period2_s1_end_xfer,
                                     d1_period_gol_s1_end_xfer,
                                     d1_play_s1_end_xfer,
                                     d1_ps2_event_type_s1_end_xfer,
                                     d1_sdram_s1_end_xfer,
                                     d1_set_sel0_s1_end_xfer,
                                     d1_set_sel1_s1_end_xfer,
                                     d1_set_sel2_s1_end_xfer,
                                     d1_speed0_s1_end_xfer,
                                     d1_speed1_s1_end_xfer,
                                     d1_speed2_s1_end_xfer,
                                     d1_sram_addr_s1_end_xfer,
                                     d1_sram_dq_s1_end_xfer,
                                     d1_sram_we_n_s1_end_xfer,
                                     d1_tone_mode_s1_end_xfer,
                                     en0_s1_readdata_from_sa,
                                     en1_s1_readdata_from_sa,
                                     en2_s1_readdata_from_sa,
                                     event_has_been_read_s1_readdata_from_sa,
                                     jtag_uart_avalon_jtag_slave_irq_from_sa,
                                     jtag_uart_avalon_jtag_slave_readdata_from_sa,
                                     jtag_uart_avalon_jtag_slave_waitrequest_from_sa,
                                     lcd_0_control_slave_readdata_from_sa,
                                     lcd_0_control_slave_wait_counter_eq_0,
                                     lcd_0_control_slave_wait_counter_eq_1,
                                     new_event_ready_s1_readdata_from_sa,
                                     obj_s1_readdata_from_sa,
                                     period0_s1_readdata_from_sa,
                                     period1_s1_readdata_from_sa,
                                     period2_s1_readdata_from_sa,
                                     period_gol_s1_readdata_from_sa,
                                     play_s1_readdata_from_sa,
                                     ps2_event_type_s1_readdata_from_sa,
                                     reset_n,
                                     sdram_s1_readdata_from_sa,
                                     sdram_s1_waitrequest_from_sa,
                                     set_sel0_s1_readdata_from_sa,
                                     set_sel1_s1_readdata_from_sa,
                                     set_sel2_s1_readdata_from_sa,
                                     speed0_s1_readdata_from_sa,
                                     speed1_s1_readdata_from_sa,
                                     speed2_s1_readdata_from_sa,
                                     sram_addr_s1_readdata_from_sa,
                                     sram_dq_s1_readdata_from_sa,
                                     sram_we_n_s1_readdata_from_sa,
                                     tone_mode_s1_readdata_from_sa,

                                    // outputs:
                                     cpu_data_master_address_to_slave,
                                     cpu_data_master_dbs_address,
                                     cpu_data_master_dbs_write_16,
                                     cpu_data_master_irq,
                                     cpu_data_master_no_byte_enables_and_last_term,
                                     cpu_data_master_readdata,
                                     cpu_data_master_waitrequest
                                  )
;

  output  [ 25: 0] cpu_data_master_address_to_slave;
  output  [  1: 0] cpu_data_master_dbs_address;
  output  [ 15: 0] cpu_data_master_dbs_write_16;
  output  [ 31: 0] cpu_data_master_irq;
  output           cpu_data_master_no_byte_enables_and_last_term;
  output  [ 31: 0] cpu_data_master_readdata;
  output           cpu_data_master_waitrequest;
  input            TIMER_0_s1_irq_from_sa;
  input   [ 15: 0] TIMER_0_s1_readdata_from_sa;
  input            clk;
  input   [ 25: 0] cpu_data_master_address;
  input   [  1: 0] cpu_data_master_byteenable_sdram_s1;
  input            cpu_data_master_granted_TIMER_0_s1;
  input            cpu_data_master_granted_cpu_jtag_debug_module;
  input            cpu_data_master_granted_cur_x_s1;
  input            cpu_data_master_granted_cur_y_s1;
  input            cpu_data_master_granted_en0_s1;
  input            cpu_data_master_granted_en1_s1;
  input            cpu_data_master_granted_en2_s1;
  input            cpu_data_master_granted_event_has_been_read_s1;
  input            cpu_data_master_granted_jtag_uart_avalon_jtag_slave;
  input            cpu_data_master_granted_lcd_0_control_slave;
  input            cpu_data_master_granted_new_event_ready_s1;
  input            cpu_data_master_granted_obj_s1;
  input            cpu_data_master_granted_period0_s1;
  input            cpu_data_master_granted_period1_s1;
  input            cpu_data_master_granted_period2_s1;
  input            cpu_data_master_granted_period_gol_s1;
  input            cpu_data_master_granted_play_s1;
  input            cpu_data_master_granted_ps2_event_type_s1;
  input            cpu_data_master_granted_sdram_s1;
  input            cpu_data_master_granted_set_sel0_s1;
  input            cpu_data_master_granted_set_sel1_s1;
  input            cpu_data_master_granted_set_sel2_s1;
  input            cpu_data_master_granted_speed0_s1;
  input            cpu_data_master_granted_speed1_s1;
  input            cpu_data_master_granted_speed2_s1;
  input            cpu_data_master_granted_sram_addr_s1;
  input            cpu_data_master_granted_sram_dq_s1;
  input            cpu_data_master_granted_sram_we_n_s1;
  input            cpu_data_master_granted_tone_mode_s1;
  input            cpu_data_master_qualified_request_TIMER_0_s1;
  input            cpu_data_master_qualified_request_cpu_jtag_debug_module;
  input            cpu_data_master_qualified_request_cur_x_s1;
  input            cpu_data_master_qualified_request_cur_y_s1;
  input            cpu_data_master_qualified_request_en0_s1;
  input            cpu_data_master_qualified_request_en1_s1;
  input            cpu_data_master_qualified_request_en2_s1;
  input            cpu_data_master_qualified_request_event_has_been_read_s1;
  input            cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  input            cpu_data_master_qualified_request_lcd_0_control_slave;
  input            cpu_data_master_qualified_request_new_event_ready_s1;
  input            cpu_data_master_qualified_request_obj_s1;
  input            cpu_data_master_qualified_request_period0_s1;
  input            cpu_data_master_qualified_request_period1_s1;
  input            cpu_data_master_qualified_request_period2_s1;
  input            cpu_data_master_qualified_request_period_gol_s1;
  input            cpu_data_master_qualified_request_play_s1;
  input            cpu_data_master_qualified_request_ps2_event_type_s1;
  input            cpu_data_master_qualified_request_sdram_s1;
  input            cpu_data_master_qualified_request_set_sel0_s1;
  input            cpu_data_master_qualified_request_set_sel1_s1;
  input            cpu_data_master_qualified_request_set_sel2_s1;
  input            cpu_data_master_qualified_request_speed0_s1;
  input            cpu_data_master_qualified_request_speed1_s1;
  input            cpu_data_master_qualified_request_speed2_s1;
  input            cpu_data_master_qualified_request_sram_addr_s1;
  input            cpu_data_master_qualified_request_sram_dq_s1;
  input            cpu_data_master_qualified_request_sram_we_n_s1;
  input            cpu_data_master_qualified_request_tone_mode_s1;
  input            cpu_data_master_read;
  input            cpu_data_master_read_data_valid_TIMER_0_s1;
  input            cpu_data_master_read_data_valid_cpu_jtag_debug_module;
  input            cpu_data_master_read_data_valid_cur_x_s1;
  input            cpu_data_master_read_data_valid_cur_y_s1;
  input            cpu_data_master_read_data_valid_en0_s1;
  input            cpu_data_master_read_data_valid_en1_s1;
  input            cpu_data_master_read_data_valid_en2_s1;
  input            cpu_data_master_read_data_valid_event_has_been_read_s1;
  input            cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave;
  input            cpu_data_master_read_data_valid_lcd_0_control_slave;
  input            cpu_data_master_read_data_valid_new_event_ready_s1;
  input            cpu_data_master_read_data_valid_obj_s1;
  input            cpu_data_master_read_data_valid_period0_s1;
  input            cpu_data_master_read_data_valid_period1_s1;
  input            cpu_data_master_read_data_valid_period2_s1;
  input            cpu_data_master_read_data_valid_period_gol_s1;
  input            cpu_data_master_read_data_valid_play_s1;
  input            cpu_data_master_read_data_valid_ps2_event_type_s1;
  input            cpu_data_master_read_data_valid_sdram_s1;
  input            cpu_data_master_read_data_valid_sdram_s1_shift_register;
  input            cpu_data_master_read_data_valid_set_sel0_s1;
  input            cpu_data_master_read_data_valid_set_sel1_s1;
  input            cpu_data_master_read_data_valid_set_sel2_s1;
  input            cpu_data_master_read_data_valid_speed0_s1;
  input            cpu_data_master_read_data_valid_speed1_s1;
  input            cpu_data_master_read_data_valid_speed2_s1;
  input            cpu_data_master_read_data_valid_sram_addr_s1;
  input            cpu_data_master_read_data_valid_sram_dq_s1;
  input            cpu_data_master_read_data_valid_sram_we_n_s1;
  input            cpu_data_master_read_data_valid_tone_mode_s1;
  input            cpu_data_master_requests_TIMER_0_s1;
  input            cpu_data_master_requests_cpu_jtag_debug_module;
  input            cpu_data_master_requests_cur_x_s1;
  input            cpu_data_master_requests_cur_y_s1;
  input            cpu_data_master_requests_en0_s1;
  input            cpu_data_master_requests_en1_s1;
  input            cpu_data_master_requests_en2_s1;
  input            cpu_data_master_requests_event_has_been_read_s1;
  input            cpu_data_master_requests_jtag_uart_avalon_jtag_slave;
  input            cpu_data_master_requests_lcd_0_control_slave;
  input            cpu_data_master_requests_new_event_ready_s1;
  input            cpu_data_master_requests_obj_s1;
  input            cpu_data_master_requests_period0_s1;
  input            cpu_data_master_requests_period1_s1;
  input            cpu_data_master_requests_period2_s1;
  input            cpu_data_master_requests_period_gol_s1;
  input            cpu_data_master_requests_play_s1;
  input            cpu_data_master_requests_ps2_event_type_s1;
  input            cpu_data_master_requests_sdram_s1;
  input            cpu_data_master_requests_set_sel0_s1;
  input            cpu_data_master_requests_set_sel1_s1;
  input            cpu_data_master_requests_set_sel2_s1;
  input            cpu_data_master_requests_speed0_s1;
  input            cpu_data_master_requests_speed1_s1;
  input            cpu_data_master_requests_speed2_s1;
  input            cpu_data_master_requests_sram_addr_s1;
  input            cpu_data_master_requests_sram_dq_s1;
  input            cpu_data_master_requests_sram_we_n_s1;
  input            cpu_data_master_requests_tone_mode_s1;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] cpu_jtag_debug_module_readdata_from_sa;
  input   [ 31: 0] cur_x_s1_readdata_from_sa;
  input   [ 31: 0] cur_y_s1_readdata_from_sa;
  input            d1_TIMER_0_s1_end_xfer;
  input            d1_cpu_jtag_debug_module_end_xfer;
  input            d1_cur_x_s1_end_xfer;
  input            d1_cur_y_s1_end_xfer;
  input            d1_en0_s1_end_xfer;
  input            d1_en1_s1_end_xfer;
  input            d1_en2_s1_end_xfer;
  input            d1_event_has_been_read_s1_end_xfer;
  input            d1_jtag_uart_avalon_jtag_slave_end_xfer;
  input            d1_lcd_0_control_slave_end_xfer;
  input            d1_new_event_ready_s1_end_xfer;
  input            d1_obj_s1_end_xfer;
  input            d1_period0_s1_end_xfer;
  input            d1_period1_s1_end_xfer;
  input            d1_period2_s1_end_xfer;
  input            d1_period_gol_s1_end_xfer;
  input            d1_play_s1_end_xfer;
  input            d1_ps2_event_type_s1_end_xfer;
  input            d1_sdram_s1_end_xfer;
  input            d1_set_sel0_s1_end_xfer;
  input            d1_set_sel1_s1_end_xfer;
  input            d1_set_sel2_s1_end_xfer;
  input            d1_speed0_s1_end_xfer;
  input            d1_speed1_s1_end_xfer;
  input            d1_speed2_s1_end_xfer;
  input            d1_sram_addr_s1_end_xfer;
  input            d1_sram_dq_s1_end_xfer;
  input            d1_sram_we_n_s1_end_xfer;
  input            d1_tone_mode_s1_end_xfer;
  input   [ 31: 0] en0_s1_readdata_from_sa;
  input   [ 31: 0] en1_s1_readdata_from_sa;
  input   [ 31: 0] en2_s1_readdata_from_sa;
  input   [ 31: 0] event_has_been_read_s1_readdata_from_sa;
  input            jtag_uart_avalon_jtag_slave_irq_from_sa;
  input   [ 31: 0] jtag_uart_avalon_jtag_slave_readdata_from_sa;
  input            jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  input   [  7: 0] lcd_0_control_slave_readdata_from_sa;
  input            lcd_0_control_slave_wait_counter_eq_0;
  input            lcd_0_control_slave_wait_counter_eq_1;
  input   [ 31: 0] new_event_ready_s1_readdata_from_sa;
  input   [ 31: 0] obj_s1_readdata_from_sa;
  input   [ 31: 0] period0_s1_readdata_from_sa;
  input   [ 31: 0] period1_s1_readdata_from_sa;
  input   [ 31: 0] period2_s1_readdata_from_sa;
  input   [ 31: 0] period_gol_s1_readdata_from_sa;
  input   [ 31: 0] play_s1_readdata_from_sa;
  input   [ 31: 0] ps2_event_type_s1_readdata_from_sa;
  input            reset_n;
  input   [ 15: 0] sdram_s1_readdata_from_sa;
  input            sdram_s1_waitrequest_from_sa;
  input   [ 31: 0] set_sel0_s1_readdata_from_sa;
  input   [ 31: 0] set_sel1_s1_readdata_from_sa;
  input   [ 31: 0] set_sel2_s1_readdata_from_sa;
  input   [ 31: 0] speed0_s1_readdata_from_sa;
  input   [ 31: 0] speed1_s1_readdata_from_sa;
  input   [ 31: 0] speed2_s1_readdata_from_sa;
  input   [ 31: 0] sram_addr_s1_readdata_from_sa;
  input   [ 31: 0] sram_dq_s1_readdata_from_sa;
  input   [ 31: 0] sram_we_n_s1_readdata_from_sa;
  input   [ 31: 0] tone_mode_s1_readdata_from_sa;

  wire    [ 25: 0] cpu_data_master_address_to_slave;
  reg     [  1: 0] cpu_data_master_dbs_address;
  wire    [  1: 0] cpu_data_master_dbs_increment;
  wire    [ 15: 0] cpu_data_master_dbs_write_16;
  wire    [ 31: 0] cpu_data_master_irq;
  reg              cpu_data_master_no_byte_enables_and_last_term;
  wire    [ 31: 0] cpu_data_master_readdata;
  wire             cpu_data_master_run;
  reg              cpu_data_master_waitrequest;
  reg     [ 15: 0] dbs_16_reg_segment_0;
  wire             dbs_count_enable;
  wire             dbs_counter_overflow;
  wire             last_dbs_term_and_run;
  wire    [  1: 0] next_dbs_address;
  wire    [ 15: 0] p1_dbs_16_reg_segment_0;
  wire    [ 31: 0] p1_registered_cpu_data_master_readdata;
  wire             pre_dbs_count_enable;
  wire             r_0;
  wire             r_1;
  wire             r_2;
  wire             r_3;
  wire             r_4;
  wire             r_5;
  reg     [ 31: 0] registered_cpu_data_master_readdata;
  //r_0 master_run cascaded wait assignment, which is an e_assign
  assign r_0 = 1 & (cpu_data_master_qualified_request_TIMER_0_s1 | ~cpu_data_master_requests_TIMER_0_s1) & ((~cpu_data_master_qualified_request_TIMER_0_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_TIMER_0_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_cpu_jtag_debug_module | ~cpu_data_master_requests_cpu_jtag_debug_module) & (cpu_data_master_granted_cpu_jtag_debug_module | ~cpu_data_master_qualified_request_cpu_jtag_debug_module) & ((~cpu_data_master_qualified_request_cpu_jtag_debug_module | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_cpu_jtag_debug_module | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_cur_x_s1 | ~cpu_data_master_requests_cur_x_s1) & ((~cpu_data_master_qualified_request_cur_x_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_cur_x_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_cur_y_s1 | ~cpu_data_master_requests_cur_y_s1) & ((~cpu_data_master_qualified_request_cur_y_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_cur_y_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_en0_s1 | ~cpu_data_master_requests_en0_s1) & ((~cpu_data_master_qualified_request_en0_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read)));

  //cascaded wait assignment, which is an e_assign
  assign cpu_data_master_run = r_0 & r_1 & r_2 & r_3 & r_4 & r_5;

  //r_1 master_run cascaded wait assignment, which is an e_assign
  assign r_1 = ((~cpu_data_master_qualified_request_en0_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_en1_s1 | ~cpu_data_master_requests_en1_s1) & ((~cpu_data_master_qualified_request_en1_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_en1_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_en2_s1 | ~cpu_data_master_requests_en2_s1) & ((~cpu_data_master_qualified_request_en2_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_en2_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_event_has_been_read_s1 | ~cpu_data_master_requests_event_has_been_read_s1) & ((~cpu_data_master_qualified_request_event_has_been_read_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_event_has_been_read_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave | ~cpu_data_master_requests_jtag_uart_avalon_jtag_slave) & ((~cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave | ~(cpu_data_master_read | cpu_data_master_write) | (1 & ~jtag_uart_avalon_jtag_slave_waitrequest_from_sa & (cpu_data_master_read | cpu_data_master_write)))) & ((~cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave | ~(cpu_data_master_read | cpu_data_master_write) | (1 & ~jtag_uart_avalon_jtag_slave_waitrequest_from_sa & (cpu_data_master_read | cpu_data_master_write)))) & 1 & ((~cpu_data_master_qualified_request_lcd_0_control_slave | ~cpu_data_master_read | (1 & lcd_0_control_slave_wait_counter_eq_1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_lcd_0_control_slave | ~cpu_data_master_write | (1 & lcd_0_control_slave_wait_counter_eq_1 & cpu_data_master_write)));

  //r_2 master_run cascaded wait assignment, which is an e_assign
  assign r_2 = 1 & ((~cpu_data_master_qualified_request_new_event_ready_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_new_event_ready_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_obj_s1 | ~cpu_data_master_requests_obj_s1) & ((~cpu_data_master_qualified_request_obj_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_obj_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_period0_s1 | ~cpu_data_master_requests_period0_s1) & ((~cpu_data_master_qualified_request_period0_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_period0_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_period1_s1 | ~cpu_data_master_requests_period1_s1) & ((~cpu_data_master_qualified_request_period1_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_period1_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_period2_s1 | ~cpu_data_master_requests_period2_s1) & ((~cpu_data_master_qualified_request_period2_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_period2_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1;

  //r_3 master_run cascaded wait assignment, which is an e_assign
  assign r_3 = (cpu_data_master_qualified_request_period_gol_s1 | ~cpu_data_master_requests_period_gol_s1) & ((~cpu_data_master_qualified_request_period_gol_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_period_gol_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_play_s1 | ~cpu_data_master_requests_play_s1) & ((~cpu_data_master_qualified_request_play_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_play_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & ((~cpu_data_master_qualified_request_ps2_event_type_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_ps2_event_type_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_sdram_s1 | (cpu_data_master_read_data_valid_sdram_s1 & cpu_data_master_dbs_address[1]) | (cpu_data_master_write & !cpu_data_master_byteenable_sdram_s1 & cpu_data_master_dbs_address[1]) | ~cpu_data_master_requests_sdram_s1) & (cpu_data_master_granted_sdram_s1 | ~cpu_data_master_qualified_request_sdram_s1) & ((~cpu_data_master_qualified_request_sdram_s1 | ~cpu_data_master_read | (cpu_data_master_read_data_valid_sdram_s1 & (cpu_data_master_dbs_address[1]) & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_sdram_s1 | ~cpu_data_master_write | (1 & ~sdram_s1_waitrequest_from_sa & (cpu_data_master_dbs_address[1]) & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_set_sel0_s1 | ~cpu_data_master_requests_set_sel0_s1) & ((~cpu_data_master_qualified_request_set_sel0_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_set_sel0_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1;

  //r_4 master_run cascaded wait assignment, which is an e_assign
  assign r_4 = (cpu_data_master_qualified_request_set_sel1_s1 | ~cpu_data_master_requests_set_sel1_s1) & ((~cpu_data_master_qualified_request_set_sel1_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_set_sel1_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_set_sel2_s1 | ~cpu_data_master_requests_set_sel2_s1) & ((~cpu_data_master_qualified_request_set_sel2_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_set_sel2_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_speed0_s1 | ~cpu_data_master_requests_speed0_s1) & ((~cpu_data_master_qualified_request_speed0_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_speed0_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_speed1_s1 | ~cpu_data_master_requests_speed1_s1) & ((~cpu_data_master_qualified_request_speed1_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_speed1_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_speed2_s1 | ~cpu_data_master_requests_speed2_s1) & ((~cpu_data_master_qualified_request_speed2_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_speed2_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1;

  //r_5 master_run cascaded wait assignment, which is an e_assign
  assign r_5 = (cpu_data_master_qualified_request_sram_addr_s1 | ~cpu_data_master_requests_sram_addr_s1) & ((~cpu_data_master_qualified_request_sram_addr_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_sram_addr_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_sram_dq_s1 | ~cpu_data_master_requests_sram_dq_s1) & ((~cpu_data_master_qualified_request_sram_dq_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_sram_dq_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_sram_we_n_s1 | ~cpu_data_master_requests_sram_we_n_s1) & ((~cpu_data_master_qualified_request_sram_we_n_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_sram_we_n_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write))) & 1 & (cpu_data_master_qualified_request_tone_mode_s1 | ~cpu_data_master_requests_tone_mode_s1) & ((~cpu_data_master_qualified_request_tone_mode_s1 | ~cpu_data_master_read | (1 & 1 & cpu_data_master_read))) & ((~cpu_data_master_qualified_request_tone_mode_s1 | ~cpu_data_master_write | (1 & cpu_data_master_write)));

  //optimize select-logic by passing only those address bits which matter.
  assign cpu_data_master_address_to_slave = {cpu_data_master_address[25],
    2'b0,
    cpu_data_master_address[22 : 0]};

  //cpu/data_master readdata mux, which is an e_mux
  assign cpu_data_master_readdata = ({32 {~cpu_data_master_requests_TIMER_0_s1}} | TIMER_0_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_cpu_jtag_debug_module}} | cpu_jtag_debug_module_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_cur_x_s1}} | cur_x_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_cur_y_s1}} | cur_y_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_en0_s1}} | en0_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_en1_s1}} | en1_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_en2_s1}} | en2_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_event_has_been_read_s1}} | event_has_been_read_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_jtag_uart_avalon_jtag_slave}} | registered_cpu_data_master_readdata) &
    ({32 {~cpu_data_master_requests_lcd_0_control_slave}} | lcd_0_control_slave_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_new_event_ready_s1}} | new_event_ready_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_obj_s1}} | obj_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_period0_s1}} | period0_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_period1_s1}} | period1_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_period2_s1}} | period2_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_period_gol_s1}} | period_gol_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_play_s1}} | play_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_ps2_event_type_s1}} | ps2_event_type_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_sdram_s1}} | registered_cpu_data_master_readdata) &
    ({32 {~cpu_data_master_requests_set_sel0_s1}} | set_sel0_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_set_sel1_s1}} | set_sel1_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_set_sel2_s1}} | set_sel2_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_speed0_s1}} | speed0_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_speed1_s1}} | speed1_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_speed2_s1}} | speed2_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_sram_addr_s1}} | sram_addr_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_sram_dq_s1}} | sram_dq_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_sram_we_n_s1}} | sram_we_n_s1_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_tone_mode_s1}} | tone_mode_s1_readdata_from_sa);

  //actual waitrequest port, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_data_master_waitrequest <= ~0;
      else 
        cpu_data_master_waitrequest <= ~((~(cpu_data_master_read | cpu_data_master_write))? 0: (cpu_data_master_run & cpu_data_master_waitrequest));
    end


  //irq assign, which is an e_assign
  assign cpu_data_master_irq = {1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    1'b0,
    jtag_uart_avalon_jtag_slave_irq_from_sa,
    TIMER_0_s1_irq_from_sa};

  //unpredictable registered wait state incoming data, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          registered_cpu_data_master_readdata <= 0;
      else 
        registered_cpu_data_master_readdata <= p1_registered_cpu_data_master_readdata;
    end


  //registered readdata mux, which is an e_mux
  assign p1_registered_cpu_data_master_readdata = ({32 {~cpu_data_master_requests_jtag_uart_avalon_jtag_slave}} | jtag_uart_avalon_jtag_slave_readdata_from_sa) &
    ({32 {~cpu_data_master_requests_sdram_s1}} | {sdram_s1_readdata_from_sa[15 : 0],
    dbs_16_reg_segment_0});

  //no_byte_enables_and_last_term, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_data_master_no_byte_enables_and_last_term <= 0;
      else 
        cpu_data_master_no_byte_enables_and_last_term <= last_dbs_term_and_run;
    end


  //compute the last dbs term, which is an e_mux
  assign last_dbs_term_and_run = (cpu_data_master_dbs_address == 2'b10) & cpu_data_master_write & !cpu_data_master_byteenable_sdram_s1;

  //pre dbs count enable, which is an e_mux
  assign pre_dbs_count_enable = (((~cpu_data_master_no_byte_enables_and_last_term) & cpu_data_master_requests_sdram_s1 & cpu_data_master_write & !cpu_data_master_byteenable_sdram_s1)) |
    cpu_data_master_read_data_valid_sdram_s1 |
    (cpu_data_master_granted_sdram_s1 & cpu_data_master_write & 1 & 1 & ~sdram_s1_waitrequest_from_sa);

  //input to dbs-16 stored 0, which is an e_mux
  assign p1_dbs_16_reg_segment_0 = sdram_s1_readdata_from_sa;

  //dbs register for dbs-16 segment 0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          dbs_16_reg_segment_0 <= 0;
      else if (dbs_count_enable & ((cpu_data_master_dbs_address[1]) == 0))
          dbs_16_reg_segment_0 <= p1_dbs_16_reg_segment_0;
    end


  //mux write dbs 1, which is an e_mux
  assign cpu_data_master_dbs_write_16 = (cpu_data_master_dbs_address[1])? cpu_data_master_writedata[31 : 16] :
    cpu_data_master_writedata[15 : 0];

  //dbs count increment, which is an e_mux
  assign cpu_data_master_dbs_increment = (cpu_data_master_requests_sdram_s1)? 2 :
    0;

  //dbs counter overflow, which is an e_assign
  assign dbs_counter_overflow = cpu_data_master_dbs_address[1] & !(next_dbs_address[1]);

  //next master address, which is an e_assign
  assign next_dbs_address = cpu_data_master_dbs_address + cpu_data_master_dbs_increment;

  //dbs count enable, which is an e_mux
  assign dbs_count_enable = pre_dbs_count_enable &
    (~(cpu_data_master_requests_sdram_s1 & ~cpu_data_master_waitrequest));

  //dbs counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_data_master_dbs_address <= 0;
      else if (dbs_count_enable)
          cpu_data_master_dbs_address <= next_dbs_address;
    end



endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module cpu_instruction_master_arbitrator (
                                           // inputs:
                                            clk,
                                            cpu_instruction_master_address,
                                            cpu_instruction_master_granted_cpu_jtag_debug_module,
                                            cpu_instruction_master_granted_sdram_s1,
                                            cpu_instruction_master_qualified_request_cpu_jtag_debug_module,
                                            cpu_instruction_master_qualified_request_sdram_s1,
                                            cpu_instruction_master_read,
                                            cpu_instruction_master_read_data_valid_cpu_jtag_debug_module,
                                            cpu_instruction_master_read_data_valid_sdram_s1,
                                            cpu_instruction_master_read_data_valid_sdram_s1_shift_register,
                                            cpu_instruction_master_requests_cpu_jtag_debug_module,
                                            cpu_instruction_master_requests_sdram_s1,
                                            cpu_jtag_debug_module_readdata_from_sa,
                                            d1_cpu_jtag_debug_module_end_xfer,
                                            d1_sdram_s1_end_xfer,
                                            reset_n,
                                            sdram_s1_readdata_from_sa,
                                            sdram_s1_waitrequest_from_sa,

                                           // outputs:
                                            cpu_instruction_master_address_to_slave,
                                            cpu_instruction_master_dbs_address,
                                            cpu_instruction_master_latency_counter,
                                            cpu_instruction_master_readdata,
                                            cpu_instruction_master_readdatavalid,
                                            cpu_instruction_master_waitrequest
                                         )
;

  output  [ 25: 0] cpu_instruction_master_address_to_slave;
  output  [  1: 0] cpu_instruction_master_dbs_address;
  output           cpu_instruction_master_latency_counter;
  output  [ 31: 0] cpu_instruction_master_readdata;
  output           cpu_instruction_master_readdatavalid;
  output           cpu_instruction_master_waitrequest;
  input            clk;
  input   [ 25: 0] cpu_instruction_master_address;
  input            cpu_instruction_master_granted_cpu_jtag_debug_module;
  input            cpu_instruction_master_granted_sdram_s1;
  input            cpu_instruction_master_qualified_request_cpu_jtag_debug_module;
  input            cpu_instruction_master_qualified_request_sdram_s1;
  input            cpu_instruction_master_read;
  input            cpu_instruction_master_read_data_valid_cpu_jtag_debug_module;
  input            cpu_instruction_master_read_data_valid_sdram_s1;
  input            cpu_instruction_master_read_data_valid_sdram_s1_shift_register;
  input            cpu_instruction_master_requests_cpu_jtag_debug_module;
  input            cpu_instruction_master_requests_sdram_s1;
  input   [ 31: 0] cpu_jtag_debug_module_readdata_from_sa;
  input            d1_cpu_jtag_debug_module_end_xfer;
  input            d1_sdram_s1_end_xfer;
  input            reset_n;
  input   [ 15: 0] sdram_s1_readdata_from_sa;
  input            sdram_s1_waitrequest_from_sa;

  reg              active_and_waiting_last_time;
  reg     [ 25: 0] cpu_instruction_master_address_last_time;
  wire    [ 25: 0] cpu_instruction_master_address_to_slave;
  reg     [  1: 0] cpu_instruction_master_dbs_address;
  wire    [  1: 0] cpu_instruction_master_dbs_increment;
  reg     [  1: 0] cpu_instruction_master_dbs_rdv_counter;
  wire    [  1: 0] cpu_instruction_master_dbs_rdv_counter_inc;
  wire             cpu_instruction_master_is_granted_some_slave;
  reg              cpu_instruction_master_latency_counter;
  wire    [  1: 0] cpu_instruction_master_next_dbs_rdv_counter;
  reg              cpu_instruction_master_read_but_no_slave_selected;
  reg              cpu_instruction_master_read_last_time;
  wire    [ 31: 0] cpu_instruction_master_readdata;
  wire             cpu_instruction_master_readdatavalid;
  wire             cpu_instruction_master_run;
  wire             cpu_instruction_master_waitrequest;
  wire             dbs_count_enable;
  wire             dbs_counter_overflow;
  reg     [ 15: 0] dbs_latent_16_reg_segment_0;
  wire             dbs_rdv_count_enable;
  wire             dbs_rdv_counter_overflow;
  wire             latency_load_value;
  wire    [  1: 0] next_dbs_address;
  wire             p1_cpu_instruction_master_latency_counter;
  wire    [ 15: 0] p1_dbs_latent_16_reg_segment_0;
  wire             pre_dbs_count_enable;
  wire             pre_flush_cpu_instruction_master_readdatavalid;
  wire             r_0;
  wire             r_3;
  //r_0 master_run cascaded wait assignment, which is an e_assign
  assign r_0 = 1 & (cpu_instruction_master_qualified_request_cpu_jtag_debug_module | ~cpu_instruction_master_requests_cpu_jtag_debug_module) & (cpu_instruction_master_granted_cpu_jtag_debug_module | ~cpu_instruction_master_qualified_request_cpu_jtag_debug_module) & ((~cpu_instruction_master_qualified_request_cpu_jtag_debug_module | ~cpu_instruction_master_read | (1 & ~d1_cpu_jtag_debug_module_end_xfer & cpu_instruction_master_read)));

  //cascaded wait assignment, which is an e_assign
  assign cpu_instruction_master_run = r_0 & r_3;

  //r_3 master_run cascaded wait assignment, which is an e_assign
  assign r_3 = 1 & (cpu_instruction_master_qualified_request_sdram_s1 | ~cpu_instruction_master_requests_sdram_s1) & (cpu_instruction_master_granted_sdram_s1 | ~cpu_instruction_master_qualified_request_sdram_s1) & ((~cpu_instruction_master_qualified_request_sdram_s1 | ~cpu_instruction_master_read | (1 & ~sdram_s1_waitrequest_from_sa & (cpu_instruction_master_dbs_address[1]) & cpu_instruction_master_read)));

  //optimize select-logic by passing only those address bits which matter.
  assign cpu_instruction_master_address_to_slave = {cpu_instruction_master_address[25],
    2'b0,
    cpu_instruction_master_address[22 : 0]};

  //cpu_instruction_master_read_but_no_slave_selected assignment, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_read_but_no_slave_selected <= 0;
      else 
        cpu_instruction_master_read_but_no_slave_selected <= cpu_instruction_master_read & cpu_instruction_master_run & ~cpu_instruction_master_is_granted_some_slave;
    end


  //some slave is getting selected, which is an e_mux
  assign cpu_instruction_master_is_granted_some_slave = cpu_instruction_master_granted_cpu_jtag_debug_module |
    cpu_instruction_master_granted_sdram_s1;

  //latent slave read data valids which may be flushed, which is an e_mux
  assign pre_flush_cpu_instruction_master_readdatavalid = cpu_instruction_master_read_data_valid_sdram_s1 & dbs_rdv_counter_overflow;

  //latent slave read data valid which is not flushed, which is an e_mux
  assign cpu_instruction_master_readdatavalid = cpu_instruction_master_read_but_no_slave_selected |
    pre_flush_cpu_instruction_master_readdatavalid |
    cpu_instruction_master_read_data_valid_cpu_jtag_debug_module |
    cpu_instruction_master_read_but_no_slave_selected |
    pre_flush_cpu_instruction_master_readdatavalid;

  //cpu/instruction_master readdata mux, which is an e_mux
  assign cpu_instruction_master_readdata = ({32 {~(cpu_instruction_master_qualified_request_cpu_jtag_debug_module & cpu_instruction_master_read)}} | cpu_jtag_debug_module_readdata_from_sa) &
    ({32 {~cpu_instruction_master_read_data_valid_sdram_s1}} | {sdram_s1_readdata_from_sa[15 : 0],
    dbs_latent_16_reg_segment_0});

  //actual waitrequest port, which is an e_assign
  assign cpu_instruction_master_waitrequest = ~cpu_instruction_master_run;

  //latent max counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_latency_counter <= 0;
      else 
        cpu_instruction_master_latency_counter <= p1_cpu_instruction_master_latency_counter;
    end


  //latency counter load mux, which is an e_mux
  assign p1_cpu_instruction_master_latency_counter = ((cpu_instruction_master_run & cpu_instruction_master_read))? latency_load_value :
    (cpu_instruction_master_latency_counter)? cpu_instruction_master_latency_counter - 1 :
    0;

  //read latency load values, which is an e_mux
  assign latency_load_value = 0;

  //input to latent dbs-16 stored 0, which is an e_mux
  assign p1_dbs_latent_16_reg_segment_0 = sdram_s1_readdata_from_sa;

  //dbs register for latent dbs-16 segment 0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          dbs_latent_16_reg_segment_0 <= 0;
      else if (dbs_rdv_count_enable & ((cpu_instruction_master_dbs_rdv_counter[1]) == 0))
          dbs_latent_16_reg_segment_0 <= p1_dbs_latent_16_reg_segment_0;
    end


  //dbs count increment, which is an e_mux
  assign cpu_instruction_master_dbs_increment = (cpu_instruction_master_requests_sdram_s1)? 2 :
    0;

  //dbs counter overflow, which is an e_assign
  assign dbs_counter_overflow = cpu_instruction_master_dbs_address[1] & !(next_dbs_address[1]);

  //next master address, which is an e_assign
  assign next_dbs_address = cpu_instruction_master_dbs_address + cpu_instruction_master_dbs_increment;

  //dbs count enable, which is an e_mux
  assign dbs_count_enable = pre_dbs_count_enable;

  //dbs counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_dbs_address <= 0;
      else if (dbs_count_enable)
          cpu_instruction_master_dbs_address <= next_dbs_address;
    end


  //p1 dbs rdv counter, which is an e_assign
  assign cpu_instruction_master_next_dbs_rdv_counter = cpu_instruction_master_dbs_rdv_counter + cpu_instruction_master_dbs_rdv_counter_inc;

  //cpu_instruction_master_rdv_inc_mux, which is an e_mux
  assign cpu_instruction_master_dbs_rdv_counter_inc = 2;

  //master any slave rdv, which is an e_mux
  assign dbs_rdv_count_enable = cpu_instruction_master_read_data_valid_sdram_s1;

  //dbs rdv counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_dbs_rdv_counter <= 0;
      else if (dbs_rdv_count_enable)
          cpu_instruction_master_dbs_rdv_counter <= cpu_instruction_master_next_dbs_rdv_counter;
    end


  //dbs rdv counter overflow, which is an e_assign
  assign dbs_rdv_counter_overflow = cpu_instruction_master_dbs_rdv_counter[1] & ~cpu_instruction_master_next_dbs_rdv_counter[1];

  //pre dbs count enable, which is an e_mux
  assign pre_dbs_count_enable = cpu_instruction_master_granted_sdram_s1 & cpu_instruction_master_read & 1 & 1 & ~sdram_s1_waitrequest_from_sa;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //cpu_instruction_master_address check against wait, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_address_last_time <= 0;
      else 
        cpu_instruction_master_address_last_time <= cpu_instruction_master_address;
    end


  //cpu/instruction_master waited last time, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          active_and_waiting_last_time <= 0;
      else 
        active_and_waiting_last_time <= cpu_instruction_master_waitrequest & (cpu_instruction_master_read);
    end


  //cpu_instruction_master_address matches last port_name, which is an e_process
  always @(posedge clk)
    begin
      if (active_and_waiting_last_time & (cpu_instruction_master_address != cpu_instruction_master_address_last_time))
        begin
          $write("%0d ns: cpu_instruction_master_address did not heed wait!!!", $time);
          $stop;
        end
    end


  //cpu_instruction_master_read check against wait, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cpu_instruction_master_read_last_time <= 0;
      else 
        cpu_instruction_master_read_last_time <= cpu_instruction_master_read;
    end


  //cpu_instruction_master_read matches last port_name, which is an e_process
  always @(posedge clk)
    begin
      if (active_and_waiting_last_time & (cpu_instruction_master_read != cpu_instruction_master_read_last_time))
        begin
          $write("%0d ns: cpu_instruction_master_read did not heed wait!!!", $time);
          $stop;
        end
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module cur_x_s1_arbitrator (
                             // inputs:
                              clk,
                              cpu_data_master_address_to_slave,
                              cpu_data_master_read,
                              cpu_data_master_waitrequest,
                              cpu_data_master_write,
                              cpu_data_master_writedata,
                              cur_x_s1_readdata,
                              reset_n,

                             // outputs:
                              cpu_data_master_granted_cur_x_s1,
                              cpu_data_master_qualified_request_cur_x_s1,
                              cpu_data_master_read_data_valid_cur_x_s1,
                              cpu_data_master_requests_cur_x_s1,
                              cur_x_s1_address,
                              cur_x_s1_chipselect,
                              cur_x_s1_readdata_from_sa,
                              cur_x_s1_reset_n,
                              cur_x_s1_write_n,
                              cur_x_s1_writedata,
                              d1_cur_x_s1_end_xfer
                           )
;

  output           cpu_data_master_granted_cur_x_s1;
  output           cpu_data_master_qualified_request_cur_x_s1;
  output           cpu_data_master_read_data_valid_cur_x_s1;
  output           cpu_data_master_requests_cur_x_s1;
  output  [  1: 0] cur_x_s1_address;
  output           cur_x_s1_chipselect;
  output  [ 31: 0] cur_x_s1_readdata_from_sa;
  output           cur_x_s1_reset_n;
  output           cur_x_s1_write_n;
  output  [ 31: 0] cur_x_s1_writedata;
  output           d1_cur_x_s1_end_xfer;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] cur_x_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_cur_x_s1;
  wire             cpu_data_master_qualified_request_cur_x_s1;
  wire             cpu_data_master_read_data_valid_cur_x_s1;
  wire             cpu_data_master_requests_cur_x_s1;
  wire             cpu_data_master_saved_grant_cur_x_s1;
  wire    [  1: 0] cur_x_s1_address;
  wire             cur_x_s1_allgrants;
  wire             cur_x_s1_allow_new_arb_cycle;
  wire             cur_x_s1_any_bursting_master_saved_grant;
  wire             cur_x_s1_any_continuerequest;
  wire             cur_x_s1_arb_counter_enable;
  reg     [  1: 0] cur_x_s1_arb_share_counter;
  wire    [  1: 0] cur_x_s1_arb_share_counter_next_value;
  wire    [  1: 0] cur_x_s1_arb_share_set_values;
  wire             cur_x_s1_beginbursttransfer_internal;
  wire             cur_x_s1_begins_xfer;
  wire             cur_x_s1_chipselect;
  wire             cur_x_s1_end_xfer;
  wire             cur_x_s1_firsttransfer;
  wire             cur_x_s1_grant_vector;
  wire             cur_x_s1_in_a_read_cycle;
  wire             cur_x_s1_in_a_write_cycle;
  wire             cur_x_s1_master_qreq_vector;
  wire             cur_x_s1_non_bursting_master_requests;
  wire    [ 31: 0] cur_x_s1_readdata_from_sa;
  reg              cur_x_s1_reg_firsttransfer;
  wire             cur_x_s1_reset_n;
  reg              cur_x_s1_slavearbiterlockenable;
  wire             cur_x_s1_slavearbiterlockenable2;
  wire             cur_x_s1_unreg_firsttransfer;
  wire             cur_x_s1_waits_for_read;
  wire             cur_x_s1_waits_for_write;
  wire             cur_x_s1_write_n;
  wire    [ 31: 0] cur_x_s1_writedata;
  reg              d1_cur_x_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_cur_x_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_cur_x_s1_from_cpu_data_master;
  wire             wait_for_cur_x_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~cur_x_s1_end_xfer;
    end


  assign cur_x_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_cur_x_s1));
  //assign cur_x_s1_readdata_from_sa = cur_x_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign cur_x_s1_readdata_from_sa = cur_x_s1_readdata;

  assign cpu_data_master_requests_cur_x_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'ha0) & (cpu_data_master_read | cpu_data_master_write);
  //cur_x_s1_arb_share_counter set values, which is an e_mux
  assign cur_x_s1_arb_share_set_values = 1;

  //cur_x_s1_non_bursting_master_requests mux, which is an e_mux
  assign cur_x_s1_non_bursting_master_requests = cpu_data_master_requests_cur_x_s1;

  //cur_x_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign cur_x_s1_any_bursting_master_saved_grant = 0;

  //cur_x_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign cur_x_s1_arb_share_counter_next_value = cur_x_s1_firsttransfer ? (cur_x_s1_arb_share_set_values - 1) : |cur_x_s1_arb_share_counter ? (cur_x_s1_arb_share_counter - 1) : 0;

  //cur_x_s1_allgrants all slave grants, which is an e_mux
  assign cur_x_s1_allgrants = |cur_x_s1_grant_vector;

  //cur_x_s1_end_xfer assignment, which is an e_assign
  assign cur_x_s1_end_xfer = ~(cur_x_s1_waits_for_read | cur_x_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_cur_x_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_cur_x_s1 = cur_x_s1_end_xfer & (~cur_x_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //cur_x_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign cur_x_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_cur_x_s1 & cur_x_s1_allgrants) | (end_xfer_arb_share_counter_term_cur_x_s1 & ~cur_x_s1_non_bursting_master_requests);

  //cur_x_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_x_s1_arb_share_counter <= 0;
      else if (cur_x_s1_arb_counter_enable)
          cur_x_s1_arb_share_counter <= cur_x_s1_arb_share_counter_next_value;
    end


  //cur_x_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_x_s1_slavearbiterlockenable <= 0;
      else if ((|cur_x_s1_master_qreq_vector & end_xfer_arb_share_counter_term_cur_x_s1) | (end_xfer_arb_share_counter_term_cur_x_s1 & ~cur_x_s1_non_bursting_master_requests))
          cur_x_s1_slavearbiterlockenable <= |cur_x_s1_arb_share_counter_next_value;
    end


  //cpu/data_master cur_x/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = cur_x_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //cur_x_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign cur_x_s1_slavearbiterlockenable2 = |cur_x_s1_arb_share_counter_next_value;

  //cpu/data_master cur_x/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = cur_x_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //cur_x_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign cur_x_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_cur_x_s1 = cpu_data_master_requests_cur_x_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //cur_x_s1_writedata mux, which is an e_mux
  assign cur_x_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_cur_x_s1 = cpu_data_master_qualified_request_cur_x_s1;

  //cpu/data_master saved-grant cur_x/s1, which is an e_assign
  assign cpu_data_master_saved_grant_cur_x_s1 = cpu_data_master_requests_cur_x_s1;

  //allow new arb cycle for cur_x/s1, which is an e_assign
  assign cur_x_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign cur_x_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign cur_x_s1_master_qreq_vector = 1;

  //cur_x_s1_reset_n assignment, which is an e_assign
  assign cur_x_s1_reset_n = reset_n;

  assign cur_x_s1_chipselect = cpu_data_master_granted_cur_x_s1;
  //cur_x_s1_firsttransfer first transaction, which is an e_assign
  assign cur_x_s1_firsttransfer = cur_x_s1_begins_xfer ? cur_x_s1_unreg_firsttransfer : cur_x_s1_reg_firsttransfer;

  //cur_x_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign cur_x_s1_unreg_firsttransfer = ~(cur_x_s1_slavearbiterlockenable & cur_x_s1_any_continuerequest);

  //cur_x_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_x_s1_reg_firsttransfer <= 1'b1;
      else if (cur_x_s1_begins_xfer)
          cur_x_s1_reg_firsttransfer <= cur_x_s1_unreg_firsttransfer;
    end


  //cur_x_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign cur_x_s1_beginbursttransfer_internal = cur_x_s1_begins_xfer;

  //~cur_x_s1_write_n assignment, which is an e_mux
  assign cur_x_s1_write_n = ~(cpu_data_master_granted_cur_x_s1 & cpu_data_master_write);

  assign shifted_address_to_cur_x_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //cur_x_s1_address mux, which is an e_mux
  assign cur_x_s1_address = shifted_address_to_cur_x_s1_from_cpu_data_master >> 2;

  //d1_cur_x_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_cur_x_s1_end_xfer <= 1;
      else 
        d1_cur_x_s1_end_xfer <= cur_x_s1_end_xfer;
    end


  //cur_x_s1_waits_for_read in a cycle, which is an e_mux
  assign cur_x_s1_waits_for_read = cur_x_s1_in_a_read_cycle & cur_x_s1_begins_xfer;

  //cur_x_s1_in_a_read_cycle assignment, which is an e_assign
  assign cur_x_s1_in_a_read_cycle = cpu_data_master_granted_cur_x_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = cur_x_s1_in_a_read_cycle;

  //cur_x_s1_waits_for_write in a cycle, which is an e_mux
  assign cur_x_s1_waits_for_write = cur_x_s1_in_a_write_cycle & 0;

  //cur_x_s1_in_a_write_cycle assignment, which is an e_assign
  assign cur_x_s1_in_a_write_cycle = cpu_data_master_granted_cur_x_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = cur_x_s1_in_a_write_cycle;

  assign wait_for_cur_x_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //cur_x/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module cur_y_s1_arbitrator (
                             // inputs:
                              clk,
                              cpu_data_master_address_to_slave,
                              cpu_data_master_read,
                              cpu_data_master_waitrequest,
                              cpu_data_master_write,
                              cpu_data_master_writedata,
                              cur_y_s1_readdata,
                              reset_n,

                             // outputs:
                              cpu_data_master_granted_cur_y_s1,
                              cpu_data_master_qualified_request_cur_y_s1,
                              cpu_data_master_read_data_valid_cur_y_s1,
                              cpu_data_master_requests_cur_y_s1,
                              cur_y_s1_address,
                              cur_y_s1_chipselect,
                              cur_y_s1_readdata_from_sa,
                              cur_y_s1_reset_n,
                              cur_y_s1_write_n,
                              cur_y_s1_writedata,
                              d1_cur_y_s1_end_xfer
                           )
;

  output           cpu_data_master_granted_cur_y_s1;
  output           cpu_data_master_qualified_request_cur_y_s1;
  output           cpu_data_master_read_data_valid_cur_y_s1;
  output           cpu_data_master_requests_cur_y_s1;
  output  [  1: 0] cur_y_s1_address;
  output           cur_y_s1_chipselect;
  output  [ 31: 0] cur_y_s1_readdata_from_sa;
  output           cur_y_s1_reset_n;
  output           cur_y_s1_write_n;
  output  [ 31: 0] cur_y_s1_writedata;
  output           d1_cur_y_s1_end_xfer;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] cur_y_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_cur_y_s1;
  wire             cpu_data_master_qualified_request_cur_y_s1;
  wire             cpu_data_master_read_data_valid_cur_y_s1;
  wire             cpu_data_master_requests_cur_y_s1;
  wire             cpu_data_master_saved_grant_cur_y_s1;
  wire    [  1: 0] cur_y_s1_address;
  wire             cur_y_s1_allgrants;
  wire             cur_y_s1_allow_new_arb_cycle;
  wire             cur_y_s1_any_bursting_master_saved_grant;
  wire             cur_y_s1_any_continuerequest;
  wire             cur_y_s1_arb_counter_enable;
  reg     [  1: 0] cur_y_s1_arb_share_counter;
  wire    [  1: 0] cur_y_s1_arb_share_counter_next_value;
  wire    [  1: 0] cur_y_s1_arb_share_set_values;
  wire             cur_y_s1_beginbursttransfer_internal;
  wire             cur_y_s1_begins_xfer;
  wire             cur_y_s1_chipselect;
  wire             cur_y_s1_end_xfer;
  wire             cur_y_s1_firsttransfer;
  wire             cur_y_s1_grant_vector;
  wire             cur_y_s1_in_a_read_cycle;
  wire             cur_y_s1_in_a_write_cycle;
  wire             cur_y_s1_master_qreq_vector;
  wire             cur_y_s1_non_bursting_master_requests;
  wire    [ 31: 0] cur_y_s1_readdata_from_sa;
  reg              cur_y_s1_reg_firsttransfer;
  wire             cur_y_s1_reset_n;
  reg              cur_y_s1_slavearbiterlockenable;
  wire             cur_y_s1_slavearbiterlockenable2;
  wire             cur_y_s1_unreg_firsttransfer;
  wire             cur_y_s1_waits_for_read;
  wire             cur_y_s1_waits_for_write;
  wire             cur_y_s1_write_n;
  wire    [ 31: 0] cur_y_s1_writedata;
  reg              d1_cur_y_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_cur_y_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_cur_y_s1_from_cpu_data_master;
  wire             wait_for_cur_y_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~cur_y_s1_end_xfer;
    end


  assign cur_y_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_cur_y_s1));
  //assign cur_y_s1_readdata_from_sa = cur_y_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign cur_y_s1_readdata_from_sa = cur_y_s1_readdata;

  assign cpu_data_master_requests_cur_y_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'hb0) & (cpu_data_master_read | cpu_data_master_write);
  //cur_y_s1_arb_share_counter set values, which is an e_mux
  assign cur_y_s1_arb_share_set_values = 1;

  //cur_y_s1_non_bursting_master_requests mux, which is an e_mux
  assign cur_y_s1_non_bursting_master_requests = cpu_data_master_requests_cur_y_s1;

  //cur_y_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign cur_y_s1_any_bursting_master_saved_grant = 0;

  //cur_y_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign cur_y_s1_arb_share_counter_next_value = cur_y_s1_firsttransfer ? (cur_y_s1_arb_share_set_values - 1) : |cur_y_s1_arb_share_counter ? (cur_y_s1_arb_share_counter - 1) : 0;

  //cur_y_s1_allgrants all slave grants, which is an e_mux
  assign cur_y_s1_allgrants = |cur_y_s1_grant_vector;

  //cur_y_s1_end_xfer assignment, which is an e_assign
  assign cur_y_s1_end_xfer = ~(cur_y_s1_waits_for_read | cur_y_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_cur_y_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_cur_y_s1 = cur_y_s1_end_xfer & (~cur_y_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //cur_y_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign cur_y_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_cur_y_s1 & cur_y_s1_allgrants) | (end_xfer_arb_share_counter_term_cur_y_s1 & ~cur_y_s1_non_bursting_master_requests);

  //cur_y_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_y_s1_arb_share_counter <= 0;
      else if (cur_y_s1_arb_counter_enable)
          cur_y_s1_arb_share_counter <= cur_y_s1_arb_share_counter_next_value;
    end


  //cur_y_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_y_s1_slavearbiterlockenable <= 0;
      else if ((|cur_y_s1_master_qreq_vector & end_xfer_arb_share_counter_term_cur_y_s1) | (end_xfer_arb_share_counter_term_cur_y_s1 & ~cur_y_s1_non_bursting_master_requests))
          cur_y_s1_slavearbiterlockenable <= |cur_y_s1_arb_share_counter_next_value;
    end


  //cpu/data_master cur_y/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = cur_y_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //cur_y_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign cur_y_s1_slavearbiterlockenable2 = |cur_y_s1_arb_share_counter_next_value;

  //cpu/data_master cur_y/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = cur_y_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //cur_y_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign cur_y_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_cur_y_s1 = cpu_data_master_requests_cur_y_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //cur_y_s1_writedata mux, which is an e_mux
  assign cur_y_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_cur_y_s1 = cpu_data_master_qualified_request_cur_y_s1;

  //cpu/data_master saved-grant cur_y/s1, which is an e_assign
  assign cpu_data_master_saved_grant_cur_y_s1 = cpu_data_master_requests_cur_y_s1;

  //allow new arb cycle for cur_y/s1, which is an e_assign
  assign cur_y_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign cur_y_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign cur_y_s1_master_qreq_vector = 1;

  //cur_y_s1_reset_n assignment, which is an e_assign
  assign cur_y_s1_reset_n = reset_n;

  assign cur_y_s1_chipselect = cpu_data_master_granted_cur_y_s1;
  //cur_y_s1_firsttransfer first transaction, which is an e_assign
  assign cur_y_s1_firsttransfer = cur_y_s1_begins_xfer ? cur_y_s1_unreg_firsttransfer : cur_y_s1_reg_firsttransfer;

  //cur_y_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign cur_y_s1_unreg_firsttransfer = ~(cur_y_s1_slavearbiterlockenable & cur_y_s1_any_continuerequest);

  //cur_y_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          cur_y_s1_reg_firsttransfer <= 1'b1;
      else if (cur_y_s1_begins_xfer)
          cur_y_s1_reg_firsttransfer <= cur_y_s1_unreg_firsttransfer;
    end


  //cur_y_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign cur_y_s1_beginbursttransfer_internal = cur_y_s1_begins_xfer;

  //~cur_y_s1_write_n assignment, which is an e_mux
  assign cur_y_s1_write_n = ~(cpu_data_master_granted_cur_y_s1 & cpu_data_master_write);

  assign shifted_address_to_cur_y_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //cur_y_s1_address mux, which is an e_mux
  assign cur_y_s1_address = shifted_address_to_cur_y_s1_from_cpu_data_master >> 2;

  //d1_cur_y_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_cur_y_s1_end_xfer <= 1;
      else 
        d1_cur_y_s1_end_xfer <= cur_y_s1_end_xfer;
    end


  //cur_y_s1_waits_for_read in a cycle, which is an e_mux
  assign cur_y_s1_waits_for_read = cur_y_s1_in_a_read_cycle & cur_y_s1_begins_xfer;

  //cur_y_s1_in_a_read_cycle assignment, which is an e_assign
  assign cur_y_s1_in_a_read_cycle = cpu_data_master_granted_cur_y_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = cur_y_s1_in_a_read_cycle;

  //cur_y_s1_waits_for_write in a cycle, which is an e_mux
  assign cur_y_s1_waits_for_write = cur_y_s1_in_a_write_cycle & 0;

  //cur_y_s1_in_a_write_cycle assignment, which is an e_assign
  assign cur_y_s1_in_a_write_cycle = cpu_data_master_granted_cur_y_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = cur_y_s1_in_a_write_cycle;

  assign wait_for_cur_y_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //cur_y/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module en0_s1_arbitrator (
                           // inputs:
                            clk,
                            cpu_data_master_address_to_slave,
                            cpu_data_master_read,
                            cpu_data_master_waitrequest,
                            cpu_data_master_write,
                            cpu_data_master_writedata,
                            en0_s1_readdata,
                            reset_n,

                           // outputs:
                            cpu_data_master_granted_en0_s1,
                            cpu_data_master_qualified_request_en0_s1,
                            cpu_data_master_read_data_valid_en0_s1,
                            cpu_data_master_requests_en0_s1,
                            d1_en0_s1_end_xfer,
                            en0_s1_address,
                            en0_s1_chipselect,
                            en0_s1_readdata_from_sa,
                            en0_s1_reset_n,
                            en0_s1_write_n,
                            en0_s1_writedata
                         )
;

  output           cpu_data_master_granted_en0_s1;
  output           cpu_data_master_qualified_request_en0_s1;
  output           cpu_data_master_read_data_valid_en0_s1;
  output           cpu_data_master_requests_en0_s1;
  output           d1_en0_s1_end_xfer;
  output  [  1: 0] en0_s1_address;
  output           en0_s1_chipselect;
  output  [ 31: 0] en0_s1_readdata_from_sa;
  output           en0_s1_reset_n;
  output           en0_s1_write_n;
  output  [ 31: 0] en0_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] en0_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_en0_s1;
  wire             cpu_data_master_qualified_request_en0_s1;
  wire             cpu_data_master_read_data_valid_en0_s1;
  wire             cpu_data_master_requests_en0_s1;
  wire             cpu_data_master_saved_grant_en0_s1;
  reg              d1_en0_s1_end_xfer;
  reg              d1_reasons_to_wait;
  wire    [  1: 0] en0_s1_address;
  wire             en0_s1_allgrants;
  wire             en0_s1_allow_new_arb_cycle;
  wire             en0_s1_any_bursting_master_saved_grant;
  wire             en0_s1_any_continuerequest;
  wire             en0_s1_arb_counter_enable;
  reg     [  1: 0] en0_s1_arb_share_counter;
  wire    [  1: 0] en0_s1_arb_share_counter_next_value;
  wire    [  1: 0] en0_s1_arb_share_set_values;
  wire             en0_s1_beginbursttransfer_internal;
  wire             en0_s1_begins_xfer;
  wire             en0_s1_chipselect;
  wire             en0_s1_end_xfer;
  wire             en0_s1_firsttransfer;
  wire             en0_s1_grant_vector;
  wire             en0_s1_in_a_read_cycle;
  wire             en0_s1_in_a_write_cycle;
  wire             en0_s1_master_qreq_vector;
  wire             en0_s1_non_bursting_master_requests;
  wire    [ 31: 0] en0_s1_readdata_from_sa;
  reg              en0_s1_reg_firsttransfer;
  wire             en0_s1_reset_n;
  reg              en0_s1_slavearbiterlockenable;
  wire             en0_s1_slavearbiterlockenable2;
  wire             en0_s1_unreg_firsttransfer;
  wire             en0_s1_waits_for_read;
  wire             en0_s1_waits_for_write;
  wire             en0_s1_write_n;
  wire    [ 31: 0] en0_s1_writedata;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_en0_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_en0_s1_from_cpu_data_master;
  wire             wait_for_en0_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~en0_s1_end_xfer;
    end


  assign en0_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_en0_s1));
  //assign en0_s1_readdata_from_sa = en0_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign en0_s1_readdata_from_sa = en0_s1_readdata;

  assign cpu_data_master_requests_en0_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'he0) & (cpu_data_master_read | cpu_data_master_write);
  //en0_s1_arb_share_counter set values, which is an e_mux
  assign en0_s1_arb_share_set_values = 1;

  //en0_s1_non_bursting_master_requests mux, which is an e_mux
  assign en0_s1_non_bursting_master_requests = cpu_data_master_requests_en0_s1;

  //en0_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign en0_s1_any_bursting_master_saved_grant = 0;

  //en0_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign en0_s1_arb_share_counter_next_value = en0_s1_firsttransfer ? (en0_s1_arb_share_set_values - 1) : |en0_s1_arb_share_counter ? (en0_s1_arb_share_counter - 1) : 0;

  //en0_s1_allgrants all slave grants, which is an e_mux
  assign en0_s1_allgrants = |en0_s1_grant_vector;

  //en0_s1_end_xfer assignment, which is an e_assign
  assign en0_s1_end_xfer = ~(en0_s1_waits_for_read | en0_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_en0_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_en0_s1 = en0_s1_end_xfer & (~en0_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //en0_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign en0_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_en0_s1 & en0_s1_allgrants) | (end_xfer_arb_share_counter_term_en0_s1 & ~en0_s1_non_bursting_master_requests);

  //en0_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en0_s1_arb_share_counter <= 0;
      else if (en0_s1_arb_counter_enable)
          en0_s1_arb_share_counter <= en0_s1_arb_share_counter_next_value;
    end


  //en0_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en0_s1_slavearbiterlockenable <= 0;
      else if ((|en0_s1_master_qreq_vector & end_xfer_arb_share_counter_term_en0_s1) | (end_xfer_arb_share_counter_term_en0_s1 & ~en0_s1_non_bursting_master_requests))
          en0_s1_slavearbiterlockenable <= |en0_s1_arb_share_counter_next_value;
    end


  //cpu/data_master en0/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = en0_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //en0_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign en0_s1_slavearbiterlockenable2 = |en0_s1_arb_share_counter_next_value;

  //cpu/data_master en0/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = en0_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //en0_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign en0_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_en0_s1 = cpu_data_master_requests_en0_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //en0_s1_writedata mux, which is an e_mux
  assign en0_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_en0_s1 = cpu_data_master_qualified_request_en0_s1;

  //cpu/data_master saved-grant en0/s1, which is an e_assign
  assign cpu_data_master_saved_grant_en0_s1 = cpu_data_master_requests_en0_s1;

  //allow new arb cycle for en0/s1, which is an e_assign
  assign en0_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign en0_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign en0_s1_master_qreq_vector = 1;

  //en0_s1_reset_n assignment, which is an e_assign
  assign en0_s1_reset_n = reset_n;

  assign en0_s1_chipselect = cpu_data_master_granted_en0_s1;
  //en0_s1_firsttransfer first transaction, which is an e_assign
  assign en0_s1_firsttransfer = en0_s1_begins_xfer ? en0_s1_unreg_firsttransfer : en0_s1_reg_firsttransfer;

  //en0_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign en0_s1_unreg_firsttransfer = ~(en0_s1_slavearbiterlockenable & en0_s1_any_continuerequest);

  //en0_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en0_s1_reg_firsttransfer <= 1'b1;
      else if (en0_s1_begins_xfer)
          en0_s1_reg_firsttransfer <= en0_s1_unreg_firsttransfer;
    end


  //en0_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign en0_s1_beginbursttransfer_internal = en0_s1_begins_xfer;

  //~en0_s1_write_n assignment, which is an e_mux
  assign en0_s1_write_n = ~(cpu_data_master_granted_en0_s1 & cpu_data_master_write);

  assign shifted_address_to_en0_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //en0_s1_address mux, which is an e_mux
  assign en0_s1_address = shifted_address_to_en0_s1_from_cpu_data_master >> 2;

  //d1_en0_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_en0_s1_end_xfer <= 1;
      else 
        d1_en0_s1_end_xfer <= en0_s1_end_xfer;
    end


  //en0_s1_waits_for_read in a cycle, which is an e_mux
  assign en0_s1_waits_for_read = en0_s1_in_a_read_cycle & en0_s1_begins_xfer;

  //en0_s1_in_a_read_cycle assignment, which is an e_assign
  assign en0_s1_in_a_read_cycle = cpu_data_master_granted_en0_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = en0_s1_in_a_read_cycle;

  //en0_s1_waits_for_write in a cycle, which is an e_mux
  assign en0_s1_waits_for_write = en0_s1_in_a_write_cycle & 0;

  //en0_s1_in_a_write_cycle assignment, which is an e_assign
  assign en0_s1_in_a_write_cycle = cpu_data_master_granted_en0_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = en0_s1_in_a_write_cycle;

  assign wait_for_en0_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //en0/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module en1_s1_arbitrator (
                           // inputs:
                            clk,
                            cpu_data_master_address_to_slave,
                            cpu_data_master_read,
                            cpu_data_master_waitrequest,
                            cpu_data_master_write,
                            cpu_data_master_writedata,
                            en1_s1_readdata,
                            reset_n,

                           // outputs:
                            cpu_data_master_granted_en1_s1,
                            cpu_data_master_qualified_request_en1_s1,
                            cpu_data_master_read_data_valid_en1_s1,
                            cpu_data_master_requests_en1_s1,
                            d1_en1_s1_end_xfer,
                            en1_s1_address,
                            en1_s1_chipselect,
                            en1_s1_readdata_from_sa,
                            en1_s1_reset_n,
                            en1_s1_write_n,
                            en1_s1_writedata
                         )
;

  output           cpu_data_master_granted_en1_s1;
  output           cpu_data_master_qualified_request_en1_s1;
  output           cpu_data_master_read_data_valid_en1_s1;
  output           cpu_data_master_requests_en1_s1;
  output           d1_en1_s1_end_xfer;
  output  [  1: 0] en1_s1_address;
  output           en1_s1_chipselect;
  output  [ 31: 0] en1_s1_readdata_from_sa;
  output           en1_s1_reset_n;
  output           en1_s1_write_n;
  output  [ 31: 0] en1_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] en1_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_en1_s1;
  wire             cpu_data_master_qualified_request_en1_s1;
  wire             cpu_data_master_read_data_valid_en1_s1;
  wire             cpu_data_master_requests_en1_s1;
  wire             cpu_data_master_saved_grant_en1_s1;
  reg              d1_en1_s1_end_xfer;
  reg              d1_reasons_to_wait;
  wire    [  1: 0] en1_s1_address;
  wire             en1_s1_allgrants;
  wire             en1_s1_allow_new_arb_cycle;
  wire             en1_s1_any_bursting_master_saved_grant;
  wire             en1_s1_any_continuerequest;
  wire             en1_s1_arb_counter_enable;
  reg     [  1: 0] en1_s1_arb_share_counter;
  wire    [  1: 0] en1_s1_arb_share_counter_next_value;
  wire    [  1: 0] en1_s1_arb_share_set_values;
  wire             en1_s1_beginbursttransfer_internal;
  wire             en1_s1_begins_xfer;
  wire             en1_s1_chipselect;
  wire             en1_s1_end_xfer;
  wire             en1_s1_firsttransfer;
  wire             en1_s1_grant_vector;
  wire             en1_s1_in_a_read_cycle;
  wire             en1_s1_in_a_write_cycle;
  wire             en1_s1_master_qreq_vector;
  wire             en1_s1_non_bursting_master_requests;
  wire    [ 31: 0] en1_s1_readdata_from_sa;
  reg              en1_s1_reg_firsttransfer;
  wire             en1_s1_reset_n;
  reg              en1_s1_slavearbiterlockenable;
  wire             en1_s1_slavearbiterlockenable2;
  wire             en1_s1_unreg_firsttransfer;
  wire             en1_s1_waits_for_read;
  wire             en1_s1_waits_for_write;
  wire             en1_s1_write_n;
  wire    [ 31: 0] en1_s1_writedata;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_en1_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_en1_s1_from_cpu_data_master;
  wire             wait_for_en1_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~en1_s1_end_xfer;
    end


  assign en1_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_en1_s1));
  //assign en1_s1_readdata_from_sa = en1_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign en1_s1_readdata_from_sa = en1_s1_readdata;

  assign cpu_data_master_requests_en1_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'hf0) & (cpu_data_master_read | cpu_data_master_write);
  //en1_s1_arb_share_counter set values, which is an e_mux
  assign en1_s1_arb_share_set_values = 1;

  //en1_s1_non_bursting_master_requests mux, which is an e_mux
  assign en1_s1_non_bursting_master_requests = cpu_data_master_requests_en1_s1;

  //en1_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign en1_s1_any_bursting_master_saved_grant = 0;

  //en1_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign en1_s1_arb_share_counter_next_value = en1_s1_firsttransfer ? (en1_s1_arb_share_set_values - 1) : |en1_s1_arb_share_counter ? (en1_s1_arb_share_counter - 1) : 0;

  //en1_s1_allgrants all slave grants, which is an e_mux
  assign en1_s1_allgrants = |en1_s1_grant_vector;

  //en1_s1_end_xfer assignment, which is an e_assign
  assign en1_s1_end_xfer = ~(en1_s1_waits_for_read | en1_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_en1_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_en1_s1 = en1_s1_end_xfer & (~en1_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //en1_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign en1_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_en1_s1 & en1_s1_allgrants) | (end_xfer_arb_share_counter_term_en1_s1 & ~en1_s1_non_bursting_master_requests);

  //en1_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en1_s1_arb_share_counter <= 0;
      else if (en1_s1_arb_counter_enable)
          en1_s1_arb_share_counter <= en1_s1_arb_share_counter_next_value;
    end


  //en1_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en1_s1_slavearbiterlockenable <= 0;
      else if ((|en1_s1_master_qreq_vector & end_xfer_arb_share_counter_term_en1_s1) | (end_xfer_arb_share_counter_term_en1_s1 & ~en1_s1_non_bursting_master_requests))
          en1_s1_slavearbiterlockenable <= |en1_s1_arb_share_counter_next_value;
    end


  //cpu/data_master en1/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = en1_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //en1_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign en1_s1_slavearbiterlockenable2 = |en1_s1_arb_share_counter_next_value;

  //cpu/data_master en1/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = en1_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //en1_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign en1_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_en1_s1 = cpu_data_master_requests_en1_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //en1_s1_writedata mux, which is an e_mux
  assign en1_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_en1_s1 = cpu_data_master_qualified_request_en1_s1;

  //cpu/data_master saved-grant en1/s1, which is an e_assign
  assign cpu_data_master_saved_grant_en1_s1 = cpu_data_master_requests_en1_s1;

  //allow new arb cycle for en1/s1, which is an e_assign
  assign en1_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign en1_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign en1_s1_master_qreq_vector = 1;

  //en1_s1_reset_n assignment, which is an e_assign
  assign en1_s1_reset_n = reset_n;

  assign en1_s1_chipselect = cpu_data_master_granted_en1_s1;
  //en1_s1_firsttransfer first transaction, which is an e_assign
  assign en1_s1_firsttransfer = en1_s1_begins_xfer ? en1_s1_unreg_firsttransfer : en1_s1_reg_firsttransfer;

  //en1_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign en1_s1_unreg_firsttransfer = ~(en1_s1_slavearbiterlockenable & en1_s1_any_continuerequest);

  //en1_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en1_s1_reg_firsttransfer <= 1'b1;
      else if (en1_s1_begins_xfer)
          en1_s1_reg_firsttransfer <= en1_s1_unreg_firsttransfer;
    end


  //en1_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign en1_s1_beginbursttransfer_internal = en1_s1_begins_xfer;

  //~en1_s1_write_n assignment, which is an e_mux
  assign en1_s1_write_n = ~(cpu_data_master_granted_en1_s1 & cpu_data_master_write);

  assign shifted_address_to_en1_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //en1_s1_address mux, which is an e_mux
  assign en1_s1_address = shifted_address_to_en1_s1_from_cpu_data_master >> 2;

  //d1_en1_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_en1_s1_end_xfer <= 1;
      else 
        d1_en1_s1_end_xfer <= en1_s1_end_xfer;
    end


  //en1_s1_waits_for_read in a cycle, which is an e_mux
  assign en1_s1_waits_for_read = en1_s1_in_a_read_cycle & en1_s1_begins_xfer;

  //en1_s1_in_a_read_cycle assignment, which is an e_assign
  assign en1_s1_in_a_read_cycle = cpu_data_master_granted_en1_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = en1_s1_in_a_read_cycle;

  //en1_s1_waits_for_write in a cycle, which is an e_mux
  assign en1_s1_waits_for_write = en1_s1_in_a_write_cycle & 0;

  //en1_s1_in_a_write_cycle assignment, which is an e_assign
  assign en1_s1_in_a_write_cycle = cpu_data_master_granted_en1_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = en1_s1_in_a_write_cycle;

  assign wait_for_en1_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //en1/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module en2_s1_arbitrator (
                           // inputs:
                            clk,
                            cpu_data_master_address_to_slave,
                            cpu_data_master_read,
                            cpu_data_master_waitrequest,
                            cpu_data_master_write,
                            cpu_data_master_writedata,
                            en2_s1_readdata,
                            reset_n,

                           // outputs:
                            cpu_data_master_granted_en2_s1,
                            cpu_data_master_qualified_request_en2_s1,
                            cpu_data_master_read_data_valid_en2_s1,
                            cpu_data_master_requests_en2_s1,
                            d1_en2_s1_end_xfer,
                            en2_s1_address,
                            en2_s1_chipselect,
                            en2_s1_readdata_from_sa,
                            en2_s1_reset_n,
                            en2_s1_write_n,
                            en2_s1_writedata
                         )
;

  output           cpu_data_master_granted_en2_s1;
  output           cpu_data_master_qualified_request_en2_s1;
  output           cpu_data_master_read_data_valid_en2_s1;
  output           cpu_data_master_requests_en2_s1;
  output           d1_en2_s1_end_xfer;
  output  [  1: 0] en2_s1_address;
  output           en2_s1_chipselect;
  output  [ 31: 0] en2_s1_readdata_from_sa;
  output           en2_s1_reset_n;
  output           en2_s1_write_n;
  output  [ 31: 0] en2_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] en2_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_en2_s1;
  wire             cpu_data_master_qualified_request_en2_s1;
  wire             cpu_data_master_read_data_valid_en2_s1;
  wire             cpu_data_master_requests_en2_s1;
  wire             cpu_data_master_saved_grant_en2_s1;
  reg              d1_en2_s1_end_xfer;
  reg              d1_reasons_to_wait;
  wire    [  1: 0] en2_s1_address;
  wire             en2_s1_allgrants;
  wire             en2_s1_allow_new_arb_cycle;
  wire             en2_s1_any_bursting_master_saved_grant;
  wire             en2_s1_any_continuerequest;
  wire             en2_s1_arb_counter_enable;
  reg     [  1: 0] en2_s1_arb_share_counter;
  wire    [  1: 0] en2_s1_arb_share_counter_next_value;
  wire    [  1: 0] en2_s1_arb_share_set_values;
  wire             en2_s1_beginbursttransfer_internal;
  wire             en2_s1_begins_xfer;
  wire             en2_s1_chipselect;
  wire             en2_s1_end_xfer;
  wire             en2_s1_firsttransfer;
  wire             en2_s1_grant_vector;
  wire             en2_s1_in_a_read_cycle;
  wire             en2_s1_in_a_write_cycle;
  wire             en2_s1_master_qreq_vector;
  wire             en2_s1_non_bursting_master_requests;
  wire    [ 31: 0] en2_s1_readdata_from_sa;
  reg              en2_s1_reg_firsttransfer;
  wire             en2_s1_reset_n;
  reg              en2_s1_slavearbiterlockenable;
  wire             en2_s1_slavearbiterlockenable2;
  wire             en2_s1_unreg_firsttransfer;
  wire             en2_s1_waits_for_read;
  wire             en2_s1_waits_for_write;
  wire             en2_s1_write_n;
  wire    [ 31: 0] en2_s1_writedata;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_en2_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_en2_s1_from_cpu_data_master;
  wire             wait_for_en2_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~en2_s1_end_xfer;
    end


  assign en2_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_en2_s1));
  //assign en2_s1_readdata_from_sa = en2_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign en2_s1_readdata_from_sa = en2_s1_readdata;

  assign cpu_data_master_requests_en2_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h100) & (cpu_data_master_read | cpu_data_master_write);
  //en2_s1_arb_share_counter set values, which is an e_mux
  assign en2_s1_arb_share_set_values = 1;

  //en2_s1_non_bursting_master_requests mux, which is an e_mux
  assign en2_s1_non_bursting_master_requests = cpu_data_master_requests_en2_s1;

  //en2_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign en2_s1_any_bursting_master_saved_grant = 0;

  //en2_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign en2_s1_arb_share_counter_next_value = en2_s1_firsttransfer ? (en2_s1_arb_share_set_values - 1) : |en2_s1_arb_share_counter ? (en2_s1_arb_share_counter - 1) : 0;

  //en2_s1_allgrants all slave grants, which is an e_mux
  assign en2_s1_allgrants = |en2_s1_grant_vector;

  //en2_s1_end_xfer assignment, which is an e_assign
  assign en2_s1_end_xfer = ~(en2_s1_waits_for_read | en2_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_en2_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_en2_s1 = en2_s1_end_xfer & (~en2_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //en2_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign en2_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_en2_s1 & en2_s1_allgrants) | (end_xfer_arb_share_counter_term_en2_s1 & ~en2_s1_non_bursting_master_requests);

  //en2_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en2_s1_arb_share_counter <= 0;
      else if (en2_s1_arb_counter_enable)
          en2_s1_arb_share_counter <= en2_s1_arb_share_counter_next_value;
    end


  //en2_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en2_s1_slavearbiterlockenable <= 0;
      else if ((|en2_s1_master_qreq_vector & end_xfer_arb_share_counter_term_en2_s1) | (end_xfer_arb_share_counter_term_en2_s1 & ~en2_s1_non_bursting_master_requests))
          en2_s1_slavearbiterlockenable <= |en2_s1_arb_share_counter_next_value;
    end


  //cpu/data_master en2/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = en2_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //en2_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign en2_s1_slavearbiterlockenable2 = |en2_s1_arb_share_counter_next_value;

  //cpu/data_master en2/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = en2_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //en2_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign en2_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_en2_s1 = cpu_data_master_requests_en2_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //en2_s1_writedata mux, which is an e_mux
  assign en2_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_en2_s1 = cpu_data_master_qualified_request_en2_s1;

  //cpu/data_master saved-grant en2/s1, which is an e_assign
  assign cpu_data_master_saved_grant_en2_s1 = cpu_data_master_requests_en2_s1;

  //allow new arb cycle for en2/s1, which is an e_assign
  assign en2_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign en2_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign en2_s1_master_qreq_vector = 1;

  //en2_s1_reset_n assignment, which is an e_assign
  assign en2_s1_reset_n = reset_n;

  assign en2_s1_chipselect = cpu_data_master_granted_en2_s1;
  //en2_s1_firsttransfer first transaction, which is an e_assign
  assign en2_s1_firsttransfer = en2_s1_begins_xfer ? en2_s1_unreg_firsttransfer : en2_s1_reg_firsttransfer;

  //en2_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign en2_s1_unreg_firsttransfer = ~(en2_s1_slavearbiterlockenable & en2_s1_any_continuerequest);

  //en2_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          en2_s1_reg_firsttransfer <= 1'b1;
      else if (en2_s1_begins_xfer)
          en2_s1_reg_firsttransfer <= en2_s1_unreg_firsttransfer;
    end


  //en2_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign en2_s1_beginbursttransfer_internal = en2_s1_begins_xfer;

  //~en2_s1_write_n assignment, which is an e_mux
  assign en2_s1_write_n = ~(cpu_data_master_granted_en2_s1 & cpu_data_master_write);

  assign shifted_address_to_en2_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //en2_s1_address mux, which is an e_mux
  assign en2_s1_address = shifted_address_to_en2_s1_from_cpu_data_master >> 2;

  //d1_en2_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_en2_s1_end_xfer <= 1;
      else 
        d1_en2_s1_end_xfer <= en2_s1_end_xfer;
    end


  //en2_s1_waits_for_read in a cycle, which is an e_mux
  assign en2_s1_waits_for_read = en2_s1_in_a_read_cycle & en2_s1_begins_xfer;

  //en2_s1_in_a_read_cycle assignment, which is an e_assign
  assign en2_s1_in_a_read_cycle = cpu_data_master_granted_en2_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = en2_s1_in_a_read_cycle;

  //en2_s1_waits_for_write in a cycle, which is an e_mux
  assign en2_s1_waits_for_write = en2_s1_in_a_write_cycle & 0;

  //en2_s1_in_a_write_cycle assignment, which is an e_assign
  assign en2_s1_in_a_write_cycle = cpu_data_master_granted_en2_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = en2_s1_in_a_write_cycle;

  assign wait_for_en2_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //en2/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module event_has_been_read_s1_arbitrator (
                                           // inputs:
                                            clk,
                                            cpu_data_master_address_to_slave,
                                            cpu_data_master_read,
                                            cpu_data_master_waitrequest,
                                            cpu_data_master_write,
                                            cpu_data_master_writedata,
                                            event_has_been_read_s1_readdata,
                                            reset_n,

                                           // outputs:
                                            cpu_data_master_granted_event_has_been_read_s1,
                                            cpu_data_master_qualified_request_event_has_been_read_s1,
                                            cpu_data_master_read_data_valid_event_has_been_read_s1,
                                            cpu_data_master_requests_event_has_been_read_s1,
                                            d1_event_has_been_read_s1_end_xfer,
                                            event_has_been_read_s1_address,
                                            event_has_been_read_s1_chipselect,
                                            event_has_been_read_s1_readdata_from_sa,
                                            event_has_been_read_s1_reset_n,
                                            event_has_been_read_s1_write_n,
                                            event_has_been_read_s1_writedata
                                         )
;

  output           cpu_data_master_granted_event_has_been_read_s1;
  output           cpu_data_master_qualified_request_event_has_been_read_s1;
  output           cpu_data_master_read_data_valid_event_has_been_read_s1;
  output           cpu_data_master_requests_event_has_been_read_s1;
  output           d1_event_has_been_read_s1_end_xfer;
  output  [  1: 0] event_has_been_read_s1_address;
  output           event_has_been_read_s1_chipselect;
  output  [ 31: 0] event_has_been_read_s1_readdata_from_sa;
  output           event_has_been_read_s1_reset_n;
  output           event_has_been_read_s1_write_n;
  output  [ 31: 0] event_has_been_read_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] event_has_been_read_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_event_has_been_read_s1;
  wire             cpu_data_master_qualified_request_event_has_been_read_s1;
  wire             cpu_data_master_read_data_valid_event_has_been_read_s1;
  wire             cpu_data_master_requests_event_has_been_read_s1;
  wire             cpu_data_master_saved_grant_event_has_been_read_s1;
  reg              d1_event_has_been_read_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_event_has_been_read_s1;
  wire    [  1: 0] event_has_been_read_s1_address;
  wire             event_has_been_read_s1_allgrants;
  wire             event_has_been_read_s1_allow_new_arb_cycle;
  wire             event_has_been_read_s1_any_bursting_master_saved_grant;
  wire             event_has_been_read_s1_any_continuerequest;
  wire             event_has_been_read_s1_arb_counter_enable;
  reg     [  1: 0] event_has_been_read_s1_arb_share_counter;
  wire    [  1: 0] event_has_been_read_s1_arb_share_counter_next_value;
  wire    [  1: 0] event_has_been_read_s1_arb_share_set_values;
  wire             event_has_been_read_s1_beginbursttransfer_internal;
  wire             event_has_been_read_s1_begins_xfer;
  wire             event_has_been_read_s1_chipselect;
  wire             event_has_been_read_s1_end_xfer;
  wire             event_has_been_read_s1_firsttransfer;
  wire             event_has_been_read_s1_grant_vector;
  wire             event_has_been_read_s1_in_a_read_cycle;
  wire             event_has_been_read_s1_in_a_write_cycle;
  wire             event_has_been_read_s1_master_qreq_vector;
  wire             event_has_been_read_s1_non_bursting_master_requests;
  wire    [ 31: 0] event_has_been_read_s1_readdata_from_sa;
  reg              event_has_been_read_s1_reg_firsttransfer;
  wire             event_has_been_read_s1_reset_n;
  reg              event_has_been_read_s1_slavearbiterlockenable;
  wire             event_has_been_read_s1_slavearbiterlockenable2;
  wire             event_has_been_read_s1_unreg_firsttransfer;
  wire             event_has_been_read_s1_waits_for_read;
  wire             event_has_been_read_s1_waits_for_write;
  wire             event_has_been_read_s1_write_n;
  wire    [ 31: 0] event_has_been_read_s1_writedata;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_event_has_been_read_s1_from_cpu_data_master;
  wire             wait_for_event_has_been_read_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~event_has_been_read_s1_end_xfer;
    end


  assign event_has_been_read_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_event_has_been_read_s1));
  //assign event_has_been_read_s1_readdata_from_sa = event_has_been_read_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign event_has_been_read_s1_readdata_from_sa = event_has_been_read_s1_readdata;

  assign cpu_data_master_requests_event_has_been_read_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h10) & (cpu_data_master_read | cpu_data_master_write);
  //event_has_been_read_s1_arb_share_counter set values, which is an e_mux
  assign event_has_been_read_s1_arb_share_set_values = 1;

  //event_has_been_read_s1_non_bursting_master_requests mux, which is an e_mux
  assign event_has_been_read_s1_non_bursting_master_requests = cpu_data_master_requests_event_has_been_read_s1;

  //event_has_been_read_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign event_has_been_read_s1_any_bursting_master_saved_grant = 0;

  //event_has_been_read_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign event_has_been_read_s1_arb_share_counter_next_value = event_has_been_read_s1_firsttransfer ? (event_has_been_read_s1_arb_share_set_values - 1) : |event_has_been_read_s1_arb_share_counter ? (event_has_been_read_s1_arb_share_counter - 1) : 0;

  //event_has_been_read_s1_allgrants all slave grants, which is an e_mux
  assign event_has_been_read_s1_allgrants = |event_has_been_read_s1_grant_vector;

  //event_has_been_read_s1_end_xfer assignment, which is an e_assign
  assign event_has_been_read_s1_end_xfer = ~(event_has_been_read_s1_waits_for_read | event_has_been_read_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_event_has_been_read_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_event_has_been_read_s1 = event_has_been_read_s1_end_xfer & (~event_has_been_read_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //event_has_been_read_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign event_has_been_read_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_event_has_been_read_s1 & event_has_been_read_s1_allgrants) | (end_xfer_arb_share_counter_term_event_has_been_read_s1 & ~event_has_been_read_s1_non_bursting_master_requests);

  //event_has_been_read_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          event_has_been_read_s1_arb_share_counter <= 0;
      else if (event_has_been_read_s1_arb_counter_enable)
          event_has_been_read_s1_arb_share_counter <= event_has_been_read_s1_arb_share_counter_next_value;
    end


  //event_has_been_read_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          event_has_been_read_s1_slavearbiterlockenable <= 0;
      else if ((|event_has_been_read_s1_master_qreq_vector & end_xfer_arb_share_counter_term_event_has_been_read_s1) | (end_xfer_arb_share_counter_term_event_has_been_read_s1 & ~event_has_been_read_s1_non_bursting_master_requests))
          event_has_been_read_s1_slavearbiterlockenable <= |event_has_been_read_s1_arb_share_counter_next_value;
    end


  //cpu/data_master event_has_been_read/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = event_has_been_read_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //event_has_been_read_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign event_has_been_read_s1_slavearbiterlockenable2 = |event_has_been_read_s1_arb_share_counter_next_value;

  //cpu/data_master event_has_been_read/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = event_has_been_read_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //event_has_been_read_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign event_has_been_read_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_event_has_been_read_s1 = cpu_data_master_requests_event_has_been_read_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //event_has_been_read_s1_writedata mux, which is an e_mux
  assign event_has_been_read_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_event_has_been_read_s1 = cpu_data_master_qualified_request_event_has_been_read_s1;

  //cpu/data_master saved-grant event_has_been_read/s1, which is an e_assign
  assign cpu_data_master_saved_grant_event_has_been_read_s1 = cpu_data_master_requests_event_has_been_read_s1;

  //allow new arb cycle for event_has_been_read/s1, which is an e_assign
  assign event_has_been_read_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign event_has_been_read_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign event_has_been_read_s1_master_qreq_vector = 1;

  //event_has_been_read_s1_reset_n assignment, which is an e_assign
  assign event_has_been_read_s1_reset_n = reset_n;

  assign event_has_been_read_s1_chipselect = cpu_data_master_granted_event_has_been_read_s1;
  //event_has_been_read_s1_firsttransfer first transaction, which is an e_assign
  assign event_has_been_read_s1_firsttransfer = event_has_been_read_s1_begins_xfer ? event_has_been_read_s1_unreg_firsttransfer : event_has_been_read_s1_reg_firsttransfer;

  //event_has_been_read_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign event_has_been_read_s1_unreg_firsttransfer = ~(event_has_been_read_s1_slavearbiterlockenable & event_has_been_read_s1_any_continuerequest);

  //event_has_been_read_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          event_has_been_read_s1_reg_firsttransfer <= 1'b1;
      else if (event_has_been_read_s1_begins_xfer)
          event_has_been_read_s1_reg_firsttransfer <= event_has_been_read_s1_unreg_firsttransfer;
    end


  //event_has_been_read_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign event_has_been_read_s1_beginbursttransfer_internal = event_has_been_read_s1_begins_xfer;

  //~event_has_been_read_s1_write_n assignment, which is an e_mux
  assign event_has_been_read_s1_write_n = ~(cpu_data_master_granted_event_has_been_read_s1 & cpu_data_master_write);

  assign shifted_address_to_event_has_been_read_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //event_has_been_read_s1_address mux, which is an e_mux
  assign event_has_been_read_s1_address = shifted_address_to_event_has_been_read_s1_from_cpu_data_master >> 2;

  //d1_event_has_been_read_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_event_has_been_read_s1_end_xfer <= 1;
      else 
        d1_event_has_been_read_s1_end_xfer <= event_has_been_read_s1_end_xfer;
    end


  //event_has_been_read_s1_waits_for_read in a cycle, which is an e_mux
  assign event_has_been_read_s1_waits_for_read = event_has_been_read_s1_in_a_read_cycle & event_has_been_read_s1_begins_xfer;

  //event_has_been_read_s1_in_a_read_cycle assignment, which is an e_assign
  assign event_has_been_read_s1_in_a_read_cycle = cpu_data_master_granted_event_has_been_read_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = event_has_been_read_s1_in_a_read_cycle;

  //event_has_been_read_s1_waits_for_write in a cycle, which is an e_mux
  assign event_has_been_read_s1_waits_for_write = event_has_been_read_s1_in_a_write_cycle & 0;

  //event_has_been_read_s1_in_a_write_cycle assignment, which is an e_assign
  assign event_has_been_read_s1_in_a_write_cycle = cpu_data_master_granted_event_has_been_read_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = event_has_been_read_s1_in_a_write_cycle;

  assign wait_for_event_has_been_read_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //event_has_been_read/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module jtag_uart_avalon_jtag_slave_arbitrator (
                                                // inputs:
                                                 clk,
                                                 cpu_data_master_address_to_slave,
                                                 cpu_data_master_read,
                                                 cpu_data_master_waitrequest,
                                                 cpu_data_master_write,
                                                 cpu_data_master_writedata,
                                                 jtag_uart_avalon_jtag_slave_dataavailable,
                                                 jtag_uart_avalon_jtag_slave_irq,
                                                 jtag_uart_avalon_jtag_slave_readdata,
                                                 jtag_uart_avalon_jtag_slave_readyfordata,
                                                 jtag_uart_avalon_jtag_slave_waitrequest,
                                                 reset_n,

                                                // outputs:
                                                 cpu_data_master_granted_jtag_uart_avalon_jtag_slave,
                                                 cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave,
                                                 cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave,
                                                 cpu_data_master_requests_jtag_uart_avalon_jtag_slave,
                                                 d1_jtag_uart_avalon_jtag_slave_end_xfer,
                                                 jtag_uart_avalon_jtag_slave_address,
                                                 jtag_uart_avalon_jtag_slave_chipselect,
                                                 jtag_uart_avalon_jtag_slave_dataavailable_from_sa,
                                                 jtag_uart_avalon_jtag_slave_irq_from_sa,
                                                 jtag_uart_avalon_jtag_slave_read_n,
                                                 jtag_uart_avalon_jtag_slave_readdata_from_sa,
                                                 jtag_uart_avalon_jtag_slave_readyfordata_from_sa,
                                                 jtag_uart_avalon_jtag_slave_reset_n,
                                                 jtag_uart_avalon_jtag_slave_waitrequest_from_sa,
                                                 jtag_uart_avalon_jtag_slave_write_n,
                                                 jtag_uart_avalon_jtag_slave_writedata
                                              )
;

  output           cpu_data_master_granted_jtag_uart_avalon_jtag_slave;
  output           cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  output           cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave;
  output           cpu_data_master_requests_jtag_uart_avalon_jtag_slave;
  output           d1_jtag_uart_avalon_jtag_slave_end_xfer;
  output           jtag_uart_avalon_jtag_slave_address;
  output           jtag_uart_avalon_jtag_slave_chipselect;
  output           jtag_uart_avalon_jtag_slave_dataavailable_from_sa;
  output           jtag_uart_avalon_jtag_slave_irq_from_sa;
  output           jtag_uart_avalon_jtag_slave_read_n;
  output  [ 31: 0] jtag_uart_avalon_jtag_slave_readdata_from_sa;
  output           jtag_uart_avalon_jtag_slave_readyfordata_from_sa;
  output           jtag_uart_avalon_jtag_slave_reset_n;
  output           jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  output           jtag_uart_avalon_jtag_slave_write_n;
  output  [ 31: 0] jtag_uart_avalon_jtag_slave_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            jtag_uart_avalon_jtag_slave_dataavailable;
  input            jtag_uart_avalon_jtag_slave_irq;
  input   [ 31: 0] jtag_uart_avalon_jtag_slave_readdata;
  input            jtag_uart_avalon_jtag_slave_readyfordata;
  input            jtag_uart_avalon_jtag_slave_waitrequest;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_requests_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_saved_grant_jtag_uart_avalon_jtag_slave;
  reg              d1_jtag_uart_avalon_jtag_slave_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire             jtag_uart_avalon_jtag_slave_address;
  wire             jtag_uart_avalon_jtag_slave_allgrants;
  wire             jtag_uart_avalon_jtag_slave_allow_new_arb_cycle;
  wire             jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant;
  wire             jtag_uart_avalon_jtag_slave_any_continuerequest;
  wire             jtag_uart_avalon_jtag_slave_arb_counter_enable;
  reg     [  1: 0] jtag_uart_avalon_jtag_slave_arb_share_counter;
  wire    [  1: 0] jtag_uart_avalon_jtag_slave_arb_share_counter_next_value;
  wire    [  1: 0] jtag_uart_avalon_jtag_slave_arb_share_set_values;
  wire             jtag_uart_avalon_jtag_slave_beginbursttransfer_internal;
  wire             jtag_uart_avalon_jtag_slave_begins_xfer;
  wire             jtag_uart_avalon_jtag_slave_chipselect;
  wire             jtag_uart_avalon_jtag_slave_dataavailable_from_sa;
  wire             jtag_uart_avalon_jtag_slave_end_xfer;
  wire             jtag_uart_avalon_jtag_slave_firsttransfer;
  wire             jtag_uart_avalon_jtag_slave_grant_vector;
  wire             jtag_uart_avalon_jtag_slave_in_a_read_cycle;
  wire             jtag_uart_avalon_jtag_slave_in_a_write_cycle;
  wire             jtag_uart_avalon_jtag_slave_irq_from_sa;
  wire             jtag_uart_avalon_jtag_slave_master_qreq_vector;
  wire             jtag_uart_avalon_jtag_slave_non_bursting_master_requests;
  wire             jtag_uart_avalon_jtag_slave_read_n;
  wire    [ 31: 0] jtag_uart_avalon_jtag_slave_readdata_from_sa;
  wire             jtag_uart_avalon_jtag_slave_readyfordata_from_sa;
  reg              jtag_uart_avalon_jtag_slave_reg_firsttransfer;
  wire             jtag_uart_avalon_jtag_slave_reset_n;
  reg              jtag_uart_avalon_jtag_slave_slavearbiterlockenable;
  wire             jtag_uart_avalon_jtag_slave_slavearbiterlockenable2;
  wire             jtag_uart_avalon_jtag_slave_unreg_firsttransfer;
  wire             jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  wire             jtag_uart_avalon_jtag_slave_waits_for_read;
  wire             jtag_uart_avalon_jtag_slave_waits_for_write;
  wire             jtag_uart_avalon_jtag_slave_write_n;
  wire    [ 31: 0] jtag_uart_avalon_jtag_slave_writedata;
  wire    [ 25: 0] shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_data_master;
  wire             wait_for_jtag_uart_avalon_jtag_slave_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~jtag_uart_avalon_jtag_slave_end_xfer;
    end


  assign jtag_uart_avalon_jtag_slave_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave));
  //assign jtag_uart_avalon_jtag_slave_readdata_from_sa = jtag_uart_avalon_jtag_slave_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_readdata_from_sa = jtag_uart_avalon_jtag_slave_readdata;

  assign cpu_data_master_requests_jtag_uart_avalon_jtag_slave = ({cpu_data_master_address_to_slave[25 : 3] , 3'b0} == 26'h30) & (cpu_data_master_read | cpu_data_master_write);
  //assign jtag_uart_avalon_jtag_slave_dataavailable_from_sa = jtag_uart_avalon_jtag_slave_dataavailable so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_dataavailable_from_sa = jtag_uart_avalon_jtag_slave_dataavailable;

  //assign jtag_uart_avalon_jtag_slave_readyfordata_from_sa = jtag_uart_avalon_jtag_slave_readyfordata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_readyfordata_from_sa = jtag_uart_avalon_jtag_slave_readyfordata;

  //assign jtag_uart_avalon_jtag_slave_waitrequest_from_sa = jtag_uart_avalon_jtag_slave_waitrequest so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_waitrequest_from_sa = jtag_uart_avalon_jtag_slave_waitrequest;

  //jtag_uart_avalon_jtag_slave_arb_share_counter set values, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_arb_share_set_values = 1;

  //jtag_uart_avalon_jtag_slave_non_bursting_master_requests mux, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_non_bursting_master_requests = cpu_data_master_requests_jtag_uart_avalon_jtag_slave;

  //jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant mux, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant = 0;

  //jtag_uart_avalon_jtag_slave_arb_share_counter_next_value assignment, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_arb_share_counter_next_value = jtag_uart_avalon_jtag_slave_firsttransfer ? (jtag_uart_avalon_jtag_slave_arb_share_set_values - 1) : |jtag_uart_avalon_jtag_slave_arb_share_counter ? (jtag_uart_avalon_jtag_slave_arb_share_counter - 1) : 0;

  //jtag_uart_avalon_jtag_slave_allgrants all slave grants, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_allgrants = |jtag_uart_avalon_jtag_slave_grant_vector;

  //jtag_uart_avalon_jtag_slave_end_xfer assignment, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_end_xfer = ~(jtag_uart_avalon_jtag_slave_waits_for_read | jtag_uart_avalon_jtag_slave_waits_for_write);

  //end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave = jtag_uart_avalon_jtag_slave_end_xfer & (~jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //jtag_uart_avalon_jtag_slave_arb_share_counter arbitration counter enable, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_arb_counter_enable = (end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave & jtag_uart_avalon_jtag_slave_allgrants) | (end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave & ~jtag_uart_avalon_jtag_slave_non_bursting_master_requests);

  //jtag_uart_avalon_jtag_slave_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          jtag_uart_avalon_jtag_slave_arb_share_counter <= 0;
      else if (jtag_uart_avalon_jtag_slave_arb_counter_enable)
          jtag_uart_avalon_jtag_slave_arb_share_counter <= jtag_uart_avalon_jtag_slave_arb_share_counter_next_value;
    end


  //jtag_uart_avalon_jtag_slave_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          jtag_uart_avalon_jtag_slave_slavearbiterlockenable <= 0;
      else if ((|jtag_uart_avalon_jtag_slave_master_qreq_vector & end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave) | (end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave & ~jtag_uart_avalon_jtag_slave_non_bursting_master_requests))
          jtag_uart_avalon_jtag_slave_slavearbiterlockenable <= |jtag_uart_avalon_jtag_slave_arb_share_counter_next_value;
    end


  //cpu/data_master jtag_uart/avalon_jtag_slave arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = jtag_uart_avalon_jtag_slave_slavearbiterlockenable & cpu_data_master_continuerequest;

  //jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 = |jtag_uart_avalon_jtag_slave_arb_share_counter_next_value;

  //cpu/data_master jtag_uart/avalon_jtag_slave arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //jtag_uart_avalon_jtag_slave_any_continuerequest at least one master continues requesting, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave = cpu_data_master_requests_jtag_uart_avalon_jtag_slave & ~((cpu_data_master_read & (~cpu_data_master_waitrequest)) | ((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //jtag_uart_avalon_jtag_slave_writedata mux, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_jtag_uart_avalon_jtag_slave = cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave;

  //cpu/data_master saved-grant jtag_uart/avalon_jtag_slave, which is an e_assign
  assign cpu_data_master_saved_grant_jtag_uart_avalon_jtag_slave = cpu_data_master_requests_jtag_uart_avalon_jtag_slave;

  //allow new arb cycle for jtag_uart/avalon_jtag_slave, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign jtag_uart_avalon_jtag_slave_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign jtag_uart_avalon_jtag_slave_master_qreq_vector = 1;

  //jtag_uart_avalon_jtag_slave_reset_n assignment, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_reset_n = reset_n;

  assign jtag_uart_avalon_jtag_slave_chipselect = cpu_data_master_granted_jtag_uart_avalon_jtag_slave;
  //jtag_uart_avalon_jtag_slave_firsttransfer first transaction, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_firsttransfer = jtag_uart_avalon_jtag_slave_begins_xfer ? jtag_uart_avalon_jtag_slave_unreg_firsttransfer : jtag_uart_avalon_jtag_slave_reg_firsttransfer;

  //jtag_uart_avalon_jtag_slave_unreg_firsttransfer first transaction, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_unreg_firsttransfer = ~(jtag_uart_avalon_jtag_slave_slavearbiterlockenable & jtag_uart_avalon_jtag_slave_any_continuerequest);

  //jtag_uart_avalon_jtag_slave_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          jtag_uart_avalon_jtag_slave_reg_firsttransfer <= 1'b1;
      else if (jtag_uart_avalon_jtag_slave_begins_xfer)
          jtag_uart_avalon_jtag_slave_reg_firsttransfer <= jtag_uart_avalon_jtag_slave_unreg_firsttransfer;
    end


  //jtag_uart_avalon_jtag_slave_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_beginbursttransfer_internal = jtag_uart_avalon_jtag_slave_begins_xfer;

  //~jtag_uart_avalon_jtag_slave_read_n assignment, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_read_n = ~(cpu_data_master_granted_jtag_uart_avalon_jtag_slave & cpu_data_master_read);

  //~jtag_uart_avalon_jtag_slave_write_n assignment, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_write_n = ~(cpu_data_master_granted_jtag_uart_avalon_jtag_slave & cpu_data_master_write);

  assign shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_data_master = cpu_data_master_address_to_slave;
  //jtag_uart_avalon_jtag_slave_address mux, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_address = shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_data_master >> 2;

  //d1_jtag_uart_avalon_jtag_slave_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_jtag_uart_avalon_jtag_slave_end_xfer <= 1;
      else 
        d1_jtag_uart_avalon_jtag_slave_end_xfer <= jtag_uart_avalon_jtag_slave_end_xfer;
    end


  //jtag_uart_avalon_jtag_slave_waits_for_read in a cycle, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_waits_for_read = jtag_uart_avalon_jtag_slave_in_a_read_cycle & jtag_uart_avalon_jtag_slave_waitrequest_from_sa;

  //jtag_uart_avalon_jtag_slave_in_a_read_cycle assignment, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_in_a_read_cycle = cpu_data_master_granted_jtag_uart_avalon_jtag_slave & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = jtag_uart_avalon_jtag_slave_in_a_read_cycle;

  //jtag_uart_avalon_jtag_slave_waits_for_write in a cycle, which is an e_mux
  assign jtag_uart_avalon_jtag_slave_waits_for_write = jtag_uart_avalon_jtag_slave_in_a_write_cycle & jtag_uart_avalon_jtag_slave_waitrequest_from_sa;

  //jtag_uart_avalon_jtag_slave_in_a_write_cycle assignment, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_in_a_write_cycle = cpu_data_master_granted_jtag_uart_avalon_jtag_slave & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = jtag_uart_avalon_jtag_slave_in_a_write_cycle;

  assign wait_for_jtag_uart_avalon_jtag_slave_counter = 0;
  //assign jtag_uart_avalon_jtag_slave_irq_from_sa = jtag_uart_avalon_jtag_slave_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign jtag_uart_avalon_jtag_slave_irq_from_sa = jtag_uart_avalon_jtag_slave_irq;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //jtag_uart/avalon_jtag_slave enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module lcd_0_control_slave_arbitrator (
                                        // inputs:
                                         clk,
                                         cpu_data_master_address_to_slave,
                                         cpu_data_master_byteenable,
                                         cpu_data_master_read,
                                         cpu_data_master_write,
                                         cpu_data_master_writedata,
                                         lcd_0_control_slave_readdata,
                                         reset_n,

                                        // outputs:
                                         cpu_data_master_granted_lcd_0_control_slave,
                                         cpu_data_master_qualified_request_lcd_0_control_slave,
                                         cpu_data_master_read_data_valid_lcd_0_control_slave,
                                         cpu_data_master_requests_lcd_0_control_slave,
                                         d1_lcd_0_control_slave_end_xfer,
                                         lcd_0_control_slave_address,
                                         lcd_0_control_slave_begintransfer,
                                         lcd_0_control_slave_read,
                                         lcd_0_control_slave_readdata_from_sa,
                                         lcd_0_control_slave_reset_n,
                                         lcd_0_control_slave_wait_counter_eq_0,
                                         lcd_0_control_slave_wait_counter_eq_1,
                                         lcd_0_control_slave_write,
                                         lcd_0_control_slave_writedata
                                      )
;

  output           cpu_data_master_granted_lcd_0_control_slave;
  output           cpu_data_master_qualified_request_lcd_0_control_slave;
  output           cpu_data_master_read_data_valid_lcd_0_control_slave;
  output           cpu_data_master_requests_lcd_0_control_slave;
  output           d1_lcd_0_control_slave_end_xfer;
  output  [  1: 0] lcd_0_control_slave_address;
  output           lcd_0_control_slave_begintransfer;
  output           lcd_0_control_slave_read;
  output  [  7: 0] lcd_0_control_slave_readdata_from_sa;
  output           lcd_0_control_slave_reset_n;
  output           lcd_0_control_slave_wait_counter_eq_0;
  output           lcd_0_control_slave_wait_counter_eq_1;
  output           lcd_0_control_slave_write;
  output  [  7: 0] lcd_0_control_slave_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input   [  3: 0] cpu_data_master_byteenable;
  input            cpu_data_master_read;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [  7: 0] lcd_0_control_slave_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_lcd_0_control_slave;
  wire             cpu_data_master_qualified_request_lcd_0_control_slave;
  wire             cpu_data_master_read_data_valid_lcd_0_control_slave;
  wire             cpu_data_master_requests_lcd_0_control_slave;
  wire             cpu_data_master_saved_grant_lcd_0_control_slave;
  reg              d1_lcd_0_control_slave_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_lcd_0_control_slave;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] lcd_0_control_slave_address;
  wire             lcd_0_control_slave_allgrants;
  wire             lcd_0_control_slave_allow_new_arb_cycle;
  wire             lcd_0_control_slave_any_bursting_master_saved_grant;
  wire             lcd_0_control_slave_any_continuerequest;
  wire             lcd_0_control_slave_arb_counter_enable;
  reg     [  1: 0] lcd_0_control_slave_arb_share_counter;
  wire    [  1: 0] lcd_0_control_slave_arb_share_counter_next_value;
  wire    [  1: 0] lcd_0_control_slave_arb_share_set_values;
  wire             lcd_0_control_slave_beginbursttransfer_internal;
  wire             lcd_0_control_slave_begins_xfer;
  wire             lcd_0_control_slave_begintransfer;
  wire    [  5: 0] lcd_0_control_slave_counter_load_value;
  wire             lcd_0_control_slave_end_xfer;
  wire             lcd_0_control_slave_firsttransfer;
  wire             lcd_0_control_slave_grant_vector;
  wire             lcd_0_control_slave_in_a_read_cycle;
  wire             lcd_0_control_slave_in_a_write_cycle;
  wire             lcd_0_control_slave_master_qreq_vector;
  wire             lcd_0_control_slave_non_bursting_master_requests;
  wire             lcd_0_control_slave_pretend_byte_enable;
  wire             lcd_0_control_slave_read;
  wire    [  7: 0] lcd_0_control_slave_readdata_from_sa;
  reg              lcd_0_control_slave_reg_firsttransfer;
  wire             lcd_0_control_slave_reset_n;
  reg              lcd_0_control_slave_slavearbiterlockenable;
  wire             lcd_0_control_slave_slavearbiterlockenable2;
  wire             lcd_0_control_slave_unreg_firsttransfer;
  reg     [  5: 0] lcd_0_control_slave_wait_counter;
  wire             lcd_0_control_slave_wait_counter_eq_0;
  wire             lcd_0_control_slave_wait_counter_eq_1;
  wire             lcd_0_control_slave_waits_for_read;
  wire             lcd_0_control_slave_waits_for_write;
  wire             lcd_0_control_slave_write;
  wire    [  7: 0] lcd_0_control_slave_writedata;
  wire    [ 25: 0] shifted_address_to_lcd_0_control_slave_from_cpu_data_master;
  wire             wait_for_lcd_0_control_slave_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~lcd_0_control_slave_end_xfer;
    end


  assign lcd_0_control_slave_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_lcd_0_control_slave));
  //assign lcd_0_control_slave_readdata_from_sa = lcd_0_control_slave_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign lcd_0_control_slave_readdata_from_sa = lcd_0_control_slave_readdata;

  assign cpu_data_master_requests_lcd_0_control_slave = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h60) & (cpu_data_master_read | cpu_data_master_write);
  //lcd_0_control_slave_arb_share_counter set values, which is an e_mux
  assign lcd_0_control_slave_arb_share_set_values = 1;

  //lcd_0_control_slave_non_bursting_master_requests mux, which is an e_mux
  assign lcd_0_control_slave_non_bursting_master_requests = cpu_data_master_requests_lcd_0_control_slave;

  //lcd_0_control_slave_any_bursting_master_saved_grant mux, which is an e_mux
  assign lcd_0_control_slave_any_bursting_master_saved_grant = 0;

  //lcd_0_control_slave_arb_share_counter_next_value assignment, which is an e_assign
  assign lcd_0_control_slave_arb_share_counter_next_value = lcd_0_control_slave_firsttransfer ? (lcd_0_control_slave_arb_share_set_values - 1) : |lcd_0_control_slave_arb_share_counter ? (lcd_0_control_slave_arb_share_counter - 1) : 0;

  //lcd_0_control_slave_allgrants all slave grants, which is an e_mux
  assign lcd_0_control_slave_allgrants = |lcd_0_control_slave_grant_vector;

  //lcd_0_control_slave_end_xfer assignment, which is an e_assign
  assign lcd_0_control_slave_end_xfer = ~(lcd_0_control_slave_waits_for_read | lcd_0_control_slave_waits_for_write);

  //end_xfer_arb_share_counter_term_lcd_0_control_slave arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_lcd_0_control_slave = lcd_0_control_slave_end_xfer & (~lcd_0_control_slave_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //lcd_0_control_slave_arb_share_counter arbitration counter enable, which is an e_assign
  assign lcd_0_control_slave_arb_counter_enable = (end_xfer_arb_share_counter_term_lcd_0_control_slave & lcd_0_control_slave_allgrants) | (end_xfer_arb_share_counter_term_lcd_0_control_slave & ~lcd_0_control_slave_non_bursting_master_requests);

  //lcd_0_control_slave_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          lcd_0_control_slave_arb_share_counter <= 0;
      else if (lcd_0_control_slave_arb_counter_enable)
          lcd_0_control_slave_arb_share_counter <= lcd_0_control_slave_arb_share_counter_next_value;
    end


  //lcd_0_control_slave_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          lcd_0_control_slave_slavearbiterlockenable <= 0;
      else if ((|lcd_0_control_slave_master_qreq_vector & end_xfer_arb_share_counter_term_lcd_0_control_slave) | (end_xfer_arb_share_counter_term_lcd_0_control_slave & ~lcd_0_control_slave_non_bursting_master_requests))
          lcd_0_control_slave_slavearbiterlockenable <= |lcd_0_control_slave_arb_share_counter_next_value;
    end


  //cpu/data_master lcd_0/control_slave arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = lcd_0_control_slave_slavearbiterlockenable & cpu_data_master_continuerequest;

  //lcd_0_control_slave_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign lcd_0_control_slave_slavearbiterlockenable2 = |lcd_0_control_slave_arb_share_counter_next_value;

  //cpu/data_master lcd_0/control_slave arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = lcd_0_control_slave_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //lcd_0_control_slave_any_continuerequest at least one master continues requesting, which is an e_assign
  assign lcd_0_control_slave_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_lcd_0_control_slave = cpu_data_master_requests_lcd_0_control_slave;
  //lcd_0_control_slave_writedata mux, which is an e_mux
  assign lcd_0_control_slave_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_lcd_0_control_slave = cpu_data_master_qualified_request_lcd_0_control_slave;

  //cpu/data_master saved-grant lcd_0/control_slave, which is an e_assign
  assign cpu_data_master_saved_grant_lcd_0_control_slave = cpu_data_master_requests_lcd_0_control_slave;

  //allow new arb cycle for lcd_0/control_slave, which is an e_assign
  assign lcd_0_control_slave_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign lcd_0_control_slave_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign lcd_0_control_slave_master_qreq_vector = 1;

  assign lcd_0_control_slave_begintransfer = lcd_0_control_slave_begins_xfer;
  //lcd_0_control_slave_reset_n assignment, which is an e_assign
  assign lcd_0_control_slave_reset_n = reset_n;

  //lcd_0_control_slave_firsttransfer first transaction, which is an e_assign
  assign lcd_0_control_slave_firsttransfer = lcd_0_control_slave_begins_xfer ? lcd_0_control_slave_unreg_firsttransfer : lcd_0_control_slave_reg_firsttransfer;

  //lcd_0_control_slave_unreg_firsttransfer first transaction, which is an e_assign
  assign lcd_0_control_slave_unreg_firsttransfer = ~(lcd_0_control_slave_slavearbiterlockenable & lcd_0_control_slave_any_continuerequest);

  //lcd_0_control_slave_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          lcd_0_control_slave_reg_firsttransfer <= 1'b1;
      else if (lcd_0_control_slave_begins_xfer)
          lcd_0_control_slave_reg_firsttransfer <= lcd_0_control_slave_unreg_firsttransfer;
    end


  //lcd_0_control_slave_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign lcd_0_control_slave_beginbursttransfer_internal = lcd_0_control_slave_begins_xfer;

  //lcd_0_control_slave_read assignment, which is an e_mux
  assign lcd_0_control_slave_read = ((cpu_data_master_granted_lcd_0_control_slave & cpu_data_master_read))& ~lcd_0_control_slave_begins_xfer & (lcd_0_control_slave_wait_counter < 13);

  //lcd_0_control_slave_write assignment, which is an e_mux
  assign lcd_0_control_slave_write = ((cpu_data_master_granted_lcd_0_control_slave & cpu_data_master_write)) & ~lcd_0_control_slave_begins_xfer & (lcd_0_control_slave_wait_counter >= 13) & (lcd_0_control_slave_wait_counter < 26) & lcd_0_control_slave_pretend_byte_enable;

  assign shifted_address_to_lcd_0_control_slave_from_cpu_data_master = cpu_data_master_address_to_slave;
  //lcd_0_control_slave_address mux, which is an e_mux
  assign lcd_0_control_slave_address = shifted_address_to_lcd_0_control_slave_from_cpu_data_master >> 2;

  //d1_lcd_0_control_slave_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_lcd_0_control_slave_end_xfer <= 1;
      else 
        d1_lcd_0_control_slave_end_xfer <= lcd_0_control_slave_end_xfer;
    end


  //lcd_0_control_slave_wait_counter_eq_1 assignment, which is an e_assign
  assign lcd_0_control_slave_wait_counter_eq_1 = lcd_0_control_slave_wait_counter == 1;

  //lcd_0_control_slave_waits_for_read in a cycle, which is an e_mux
  assign lcd_0_control_slave_waits_for_read = lcd_0_control_slave_in_a_read_cycle & wait_for_lcd_0_control_slave_counter;

  //lcd_0_control_slave_in_a_read_cycle assignment, which is an e_assign
  assign lcd_0_control_slave_in_a_read_cycle = cpu_data_master_granted_lcd_0_control_slave & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = lcd_0_control_slave_in_a_read_cycle;

  //lcd_0_control_slave_waits_for_write in a cycle, which is an e_mux
  assign lcd_0_control_slave_waits_for_write = lcd_0_control_slave_in_a_write_cycle & wait_for_lcd_0_control_slave_counter;

  //lcd_0_control_slave_in_a_write_cycle assignment, which is an e_assign
  assign lcd_0_control_slave_in_a_write_cycle = cpu_data_master_granted_lcd_0_control_slave & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = lcd_0_control_slave_in_a_write_cycle;

  assign lcd_0_control_slave_wait_counter_eq_0 = lcd_0_control_slave_wait_counter == 0;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          lcd_0_control_slave_wait_counter <= 0;
      else 
        lcd_0_control_slave_wait_counter <= lcd_0_control_slave_counter_load_value;
    end


  assign lcd_0_control_slave_counter_load_value = ((lcd_0_control_slave_in_a_read_cycle & lcd_0_control_slave_begins_xfer))? 24 :
    ((lcd_0_control_slave_in_a_write_cycle & lcd_0_control_slave_begins_xfer))? 37 :
    (~lcd_0_control_slave_wait_counter_eq_0)? lcd_0_control_slave_wait_counter - 1 :
    0;

  assign wait_for_lcd_0_control_slave_counter = lcd_0_control_slave_begins_xfer | ~lcd_0_control_slave_wait_counter_eq_0;
  //lcd_0_control_slave_pretend_byte_enable byte enable port mux, which is an e_mux
  assign lcd_0_control_slave_pretend_byte_enable = (cpu_data_master_granted_lcd_0_control_slave)? cpu_data_master_byteenable :
    -1;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //lcd_0/control_slave enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module new_event_ready_s1_arbitrator (
                                       // inputs:
                                        clk,
                                        cpu_data_master_address_to_slave,
                                        cpu_data_master_read,
                                        cpu_data_master_write,
                                        new_event_ready_s1_readdata,
                                        reset_n,

                                       // outputs:
                                        cpu_data_master_granted_new_event_ready_s1,
                                        cpu_data_master_qualified_request_new_event_ready_s1,
                                        cpu_data_master_read_data_valid_new_event_ready_s1,
                                        cpu_data_master_requests_new_event_ready_s1,
                                        d1_new_event_ready_s1_end_xfer,
                                        new_event_ready_s1_address,
                                        new_event_ready_s1_readdata_from_sa,
                                        new_event_ready_s1_reset_n
                                     )
;

  output           cpu_data_master_granted_new_event_ready_s1;
  output           cpu_data_master_qualified_request_new_event_ready_s1;
  output           cpu_data_master_read_data_valid_new_event_ready_s1;
  output           cpu_data_master_requests_new_event_ready_s1;
  output           d1_new_event_ready_s1_end_xfer;
  output  [  1: 0] new_event_ready_s1_address;
  output  [ 31: 0] new_event_ready_s1_readdata_from_sa;
  output           new_event_ready_s1_reset_n;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_write;
  input   [ 31: 0] new_event_ready_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_new_event_ready_s1;
  wire             cpu_data_master_qualified_request_new_event_ready_s1;
  wire             cpu_data_master_read_data_valid_new_event_ready_s1;
  wire             cpu_data_master_requests_new_event_ready_s1;
  wire             cpu_data_master_saved_grant_new_event_ready_s1;
  reg              d1_new_event_ready_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_new_event_ready_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] new_event_ready_s1_address;
  wire             new_event_ready_s1_allgrants;
  wire             new_event_ready_s1_allow_new_arb_cycle;
  wire             new_event_ready_s1_any_bursting_master_saved_grant;
  wire             new_event_ready_s1_any_continuerequest;
  wire             new_event_ready_s1_arb_counter_enable;
  reg     [  1: 0] new_event_ready_s1_arb_share_counter;
  wire    [  1: 0] new_event_ready_s1_arb_share_counter_next_value;
  wire    [  1: 0] new_event_ready_s1_arb_share_set_values;
  wire             new_event_ready_s1_beginbursttransfer_internal;
  wire             new_event_ready_s1_begins_xfer;
  wire             new_event_ready_s1_end_xfer;
  wire             new_event_ready_s1_firsttransfer;
  wire             new_event_ready_s1_grant_vector;
  wire             new_event_ready_s1_in_a_read_cycle;
  wire             new_event_ready_s1_in_a_write_cycle;
  wire             new_event_ready_s1_master_qreq_vector;
  wire             new_event_ready_s1_non_bursting_master_requests;
  wire    [ 31: 0] new_event_ready_s1_readdata_from_sa;
  reg              new_event_ready_s1_reg_firsttransfer;
  wire             new_event_ready_s1_reset_n;
  reg              new_event_ready_s1_slavearbiterlockenable;
  wire             new_event_ready_s1_slavearbiterlockenable2;
  wire             new_event_ready_s1_unreg_firsttransfer;
  wire             new_event_ready_s1_waits_for_read;
  wire             new_event_ready_s1_waits_for_write;
  wire    [ 25: 0] shifted_address_to_new_event_ready_s1_from_cpu_data_master;
  wire             wait_for_new_event_ready_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~new_event_ready_s1_end_xfer;
    end


  assign new_event_ready_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_new_event_ready_s1));
  //assign new_event_ready_s1_readdata_from_sa = new_event_ready_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign new_event_ready_s1_readdata_from_sa = new_event_ready_s1_readdata;

  assign cpu_data_master_requests_new_event_ready_s1 = (({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h20) & (cpu_data_master_read | cpu_data_master_write)) & cpu_data_master_read;
  //new_event_ready_s1_arb_share_counter set values, which is an e_mux
  assign new_event_ready_s1_arb_share_set_values = 1;

  //new_event_ready_s1_non_bursting_master_requests mux, which is an e_mux
  assign new_event_ready_s1_non_bursting_master_requests = cpu_data_master_requests_new_event_ready_s1;

  //new_event_ready_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign new_event_ready_s1_any_bursting_master_saved_grant = 0;

  //new_event_ready_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign new_event_ready_s1_arb_share_counter_next_value = new_event_ready_s1_firsttransfer ? (new_event_ready_s1_arb_share_set_values - 1) : |new_event_ready_s1_arb_share_counter ? (new_event_ready_s1_arb_share_counter - 1) : 0;

  //new_event_ready_s1_allgrants all slave grants, which is an e_mux
  assign new_event_ready_s1_allgrants = |new_event_ready_s1_grant_vector;

  //new_event_ready_s1_end_xfer assignment, which is an e_assign
  assign new_event_ready_s1_end_xfer = ~(new_event_ready_s1_waits_for_read | new_event_ready_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_new_event_ready_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_new_event_ready_s1 = new_event_ready_s1_end_xfer & (~new_event_ready_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //new_event_ready_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign new_event_ready_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_new_event_ready_s1 & new_event_ready_s1_allgrants) | (end_xfer_arb_share_counter_term_new_event_ready_s1 & ~new_event_ready_s1_non_bursting_master_requests);

  //new_event_ready_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          new_event_ready_s1_arb_share_counter <= 0;
      else if (new_event_ready_s1_arb_counter_enable)
          new_event_ready_s1_arb_share_counter <= new_event_ready_s1_arb_share_counter_next_value;
    end


  //new_event_ready_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          new_event_ready_s1_slavearbiterlockenable <= 0;
      else if ((|new_event_ready_s1_master_qreq_vector & end_xfer_arb_share_counter_term_new_event_ready_s1) | (end_xfer_arb_share_counter_term_new_event_ready_s1 & ~new_event_ready_s1_non_bursting_master_requests))
          new_event_ready_s1_slavearbiterlockenable <= |new_event_ready_s1_arb_share_counter_next_value;
    end


  //cpu/data_master new_event_ready/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = new_event_ready_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //new_event_ready_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign new_event_ready_s1_slavearbiterlockenable2 = |new_event_ready_s1_arb_share_counter_next_value;

  //cpu/data_master new_event_ready/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = new_event_ready_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //new_event_ready_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign new_event_ready_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_new_event_ready_s1 = cpu_data_master_requests_new_event_ready_s1;
  //master is always granted when requested
  assign cpu_data_master_granted_new_event_ready_s1 = cpu_data_master_qualified_request_new_event_ready_s1;

  //cpu/data_master saved-grant new_event_ready/s1, which is an e_assign
  assign cpu_data_master_saved_grant_new_event_ready_s1 = cpu_data_master_requests_new_event_ready_s1;

  //allow new arb cycle for new_event_ready/s1, which is an e_assign
  assign new_event_ready_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign new_event_ready_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign new_event_ready_s1_master_qreq_vector = 1;

  //new_event_ready_s1_reset_n assignment, which is an e_assign
  assign new_event_ready_s1_reset_n = reset_n;

  //new_event_ready_s1_firsttransfer first transaction, which is an e_assign
  assign new_event_ready_s1_firsttransfer = new_event_ready_s1_begins_xfer ? new_event_ready_s1_unreg_firsttransfer : new_event_ready_s1_reg_firsttransfer;

  //new_event_ready_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign new_event_ready_s1_unreg_firsttransfer = ~(new_event_ready_s1_slavearbiterlockenable & new_event_ready_s1_any_continuerequest);

  //new_event_ready_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          new_event_ready_s1_reg_firsttransfer <= 1'b1;
      else if (new_event_ready_s1_begins_xfer)
          new_event_ready_s1_reg_firsttransfer <= new_event_ready_s1_unreg_firsttransfer;
    end


  //new_event_ready_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign new_event_ready_s1_beginbursttransfer_internal = new_event_ready_s1_begins_xfer;

  assign shifted_address_to_new_event_ready_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //new_event_ready_s1_address mux, which is an e_mux
  assign new_event_ready_s1_address = shifted_address_to_new_event_ready_s1_from_cpu_data_master >> 2;

  //d1_new_event_ready_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_new_event_ready_s1_end_xfer <= 1;
      else 
        d1_new_event_ready_s1_end_xfer <= new_event_ready_s1_end_xfer;
    end


  //new_event_ready_s1_waits_for_read in a cycle, which is an e_mux
  assign new_event_ready_s1_waits_for_read = new_event_ready_s1_in_a_read_cycle & new_event_ready_s1_begins_xfer;

  //new_event_ready_s1_in_a_read_cycle assignment, which is an e_assign
  assign new_event_ready_s1_in_a_read_cycle = cpu_data_master_granted_new_event_ready_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = new_event_ready_s1_in_a_read_cycle;

  //new_event_ready_s1_waits_for_write in a cycle, which is an e_mux
  assign new_event_ready_s1_waits_for_write = new_event_ready_s1_in_a_write_cycle & 0;

  //new_event_ready_s1_in_a_write_cycle assignment, which is an e_assign
  assign new_event_ready_s1_in_a_write_cycle = cpu_data_master_granted_new_event_ready_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = new_event_ready_s1_in_a_write_cycle;

  assign wait_for_new_event_ready_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //new_event_ready/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module obj_s1_arbitrator (
                           // inputs:
                            clk,
                            cpu_data_master_address_to_slave,
                            cpu_data_master_read,
                            cpu_data_master_waitrequest,
                            cpu_data_master_write,
                            cpu_data_master_writedata,
                            obj_s1_readdata,
                            reset_n,

                           // outputs:
                            cpu_data_master_granted_obj_s1,
                            cpu_data_master_qualified_request_obj_s1,
                            cpu_data_master_read_data_valid_obj_s1,
                            cpu_data_master_requests_obj_s1,
                            d1_obj_s1_end_xfer,
                            obj_s1_address,
                            obj_s1_chipselect,
                            obj_s1_readdata_from_sa,
                            obj_s1_reset_n,
                            obj_s1_write_n,
                            obj_s1_writedata
                         )
;

  output           cpu_data_master_granted_obj_s1;
  output           cpu_data_master_qualified_request_obj_s1;
  output           cpu_data_master_read_data_valid_obj_s1;
  output           cpu_data_master_requests_obj_s1;
  output           d1_obj_s1_end_xfer;
  output  [  1: 0] obj_s1_address;
  output           obj_s1_chipselect;
  output  [ 31: 0] obj_s1_readdata_from_sa;
  output           obj_s1_reset_n;
  output           obj_s1_write_n;
  output  [ 31: 0] obj_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] obj_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_obj_s1;
  wire             cpu_data_master_qualified_request_obj_s1;
  wire             cpu_data_master_read_data_valid_obj_s1;
  wire             cpu_data_master_requests_obj_s1;
  wire             cpu_data_master_saved_grant_obj_s1;
  reg              d1_obj_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_obj_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] obj_s1_address;
  wire             obj_s1_allgrants;
  wire             obj_s1_allow_new_arb_cycle;
  wire             obj_s1_any_bursting_master_saved_grant;
  wire             obj_s1_any_continuerequest;
  wire             obj_s1_arb_counter_enable;
  reg     [  1: 0] obj_s1_arb_share_counter;
  wire    [  1: 0] obj_s1_arb_share_counter_next_value;
  wire    [  1: 0] obj_s1_arb_share_set_values;
  wire             obj_s1_beginbursttransfer_internal;
  wire             obj_s1_begins_xfer;
  wire             obj_s1_chipselect;
  wire             obj_s1_end_xfer;
  wire             obj_s1_firsttransfer;
  wire             obj_s1_grant_vector;
  wire             obj_s1_in_a_read_cycle;
  wire             obj_s1_in_a_write_cycle;
  wire             obj_s1_master_qreq_vector;
  wire             obj_s1_non_bursting_master_requests;
  wire    [ 31: 0] obj_s1_readdata_from_sa;
  reg              obj_s1_reg_firsttransfer;
  wire             obj_s1_reset_n;
  reg              obj_s1_slavearbiterlockenable;
  wire             obj_s1_slavearbiterlockenable2;
  wire             obj_s1_unreg_firsttransfer;
  wire             obj_s1_waits_for_read;
  wire             obj_s1_waits_for_write;
  wire             obj_s1_write_n;
  wire    [ 31: 0] obj_s1_writedata;
  wire    [ 25: 0] shifted_address_to_obj_s1_from_cpu_data_master;
  wire             wait_for_obj_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~obj_s1_end_xfer;
    end


  assign obj_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_obj_s1));
  //assign obj_s1_readdata_from_sa = obj_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign obj_s1_readdata_from_sa = obj_s1_readdata;

  assign cpu_data_master_requests_obj_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'hd0) & (cpu_data_master_read | cpu_data_master_write);
  //obj_s1_arb_share_counter set values, which is an e_mux
  assign obj_s1_arb_share_set_values = 1;

  //obj_s1_non_bursting_master_requests mux, which is an e_mux
  assign obj_s1_non_bursting_master_requests = cpu_data_master_requests_obj_s1;

  //obj_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign obj_s1_any_bursting_master_saved_grant = 0;

  //obj_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign obj_s1_arb_share_counter_next_value = obj_s1_firsttransfer ? (obj_s1_arb_share_set_values - 1) : |obj_s1_arb_share_counter ? (obj_s1_arb_share_counter - 1) : 0;

  //obj_s1_allgrants all slave grants, which is an e_mux
  assign obj_s1_allgrants = |obj_s1_grant_vector;

  //obj_s1_end_xfer assignment, which is an e_assign
  assign obj_s1_end_xfer = ~(obj_s1_waits_for_read | obj_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_obj_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_obj_s1 = obj_s1_end_xfer & (~obj_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //obj_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign obj_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_obj_s1 & obj_s1_allgrants) | (end_xfer_arb_share_counter_term_obj_s1 & ~obj_s1_non_bursting_master_requests);

  //obj_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          obj_s1_arb_share_counter <= 0;
      else if (obj_s1_arb_counter_enable)
          obj_s1_arb_share_counter <= obj_s1_arb_share_counter_next_value;
    end


  //obj_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          obj_s1_slavearbiterlockenable <= 0;
      else if ((|obj_s1_master_qreq_vector & end_xfer_arb_share_counter_term_obj_s1) | (end_xfer_arb_share_counter_term_obj_s1 & ~obj_s1_non_bursting_master_requests))
          obj_s1_slavearbiterlockenable <= |obj_s1_arb_share_counter_next_value;
    end


  //cpu/data_master obj/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = obj_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //obj_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign obj_s1_slavearbiterlockenable2 = |obj_s1_arb_share_counter_next_value;

  //cpu/data_master obj/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = obj_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //obj_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign obj_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_obj_s1 = cpu_data_master_requests_obj_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //obj_s1_writedata mux, which is an e_mux
  assign obj_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_obj_s1 = cpu_data_master_qualified_request_obj_s1;

  //cpu/data_master saved-grant obj/s1, which is an e_assign
  assign cpu_data_master_saved_grant_obj_s1 = cpu_data_master_requests_obj_s1;

  //allow new arb cycle for obj/s1, which is an e_assign
  assign obj_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign obj_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign obj_s1_master_qreq_vector = 1;

  //obj_s1_reset_n assignment, which is an e_assign
  assign obj_s1_reset_n = reset_n;

  assign obj_s1_chipselect = cpu_data_master_granted_obj_s1;
  //obj_s1_firsttransfer first transaction, which is an e_assign
  assign obj_s1_firsttransfer = obj_s1_begins_xfer ? obj_s1_unreg_firsttransfer : obj_s1_reg_firsttransfer;

  //obj_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign obj_s1_unreg_firsttransfer = ~(obj_s1_slavearbiterlockenable & obj_s1_any_continuerequest);

  //obj_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          obj_s1_reg_firsttransfer <= 1'b1;
      else if (obj_s1_begins_xfer)
          obj_s1_reg_firsttransfer <= obj_s1_unreg_firsttransfer;
    end


  //obj_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign obj_s1_beginbursttransfer_internal = obj_s1_begins_xfer;

  //~obj_s1_write_n assignment, which is an e_mux
  assign obj_s1_write_n = ~(cpu_data_master_granted_obj_s1 & cpu_data_master_write);

  assign shifted_address_to_obj_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //obj_s1_address mux, which is an e_mux
  assign obj_s1_address = shifted_address_to_obj_s1_from_cpu_data_master >> 2;

  //d1_obj_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_obj_s1_end_xfer <= 1;
      else 
        d1_obj_s1_end_xfer <= obj_s1_end_xfer;
    end


  //obj_s1_waits_for_read in a cycle, which is an e_mux
  assign obj_s1_waits_for_read = obj_s1_in_a_read_cycle & obj_s1_begins_xfer;

  //obj_s1_in_a_read_cycle assignment, which is an e_assign
  assign obj_s1_in_a_read_cycle = cpu_data_master_granted_obj_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = obj_s1_in_a_read_cycle;

  //obj_s1_waits_for_write in a cycle, which is an e_mux
  assign obj_s1_waits_for_write = obj_s1_in_a_write_cycle & 0;

  //obj_s1_in_a_write_cycle assignment, which is an e_assign
  assign obj_s1_in_a_write_cycle = cpu_data_master_granted_obj_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = obj_s1_in_a_write_cycle;

  assign wait_for_obj_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //obj/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module period0_s1_arbitrator (
                               // inputs:
                                clk,
                                cpu_data_master_address_to_slave,
                                cpu_data_master_read,
                                cpu_data_master_waitrequest,
                                cpu_data_master_write,
                                cpu_data_master_writedata,
                                period0_s1_readdata,
                                reset_n,

                               // outputs:
                                cpu_data_master_granted_period0_s1,
                                cpu_data_master_qualified_request_period0_s1,
                                cpu_data_master_read_data_valid_period0_s1,
                                cpu_data_master_requests_period0_s1,
                                d1_period0_s1_end_xfer,
                                period0_s1_address,
                                period0_s1_chipselect,
                                period0_s1_readdata_from_sa,
                                period0_s1_reset_n,
                                period0_s1_write_n,
                                period0_s1_writedata
                             )
;

  output           cpu_data_master_granted_period0_s1;
  output           cpu_data_master_qualified_request_period0_s1;
  output           cpu_data_master_read_data_valid_period0_s1;
  output           cpu_data_master_requests_period0_s1;
  output           d1_period0_s1_end_xfer;
  output  [  1: 0] period0_s1_address;
  output           period0_s1_chipselect;
  output  [ 31: 0] period0_s1_readdata_from_sa;
  output           period0_s1_reset_n;
  output           period0_s1_write_n;
  output  [ 31: 0] period0_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] period0_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_period0_s1;
  wire             cpu_data_master_qualified_request_period0_s1;
  wire             cpu_data_master_read_data_valid_period0_s1;
  wire             cpu_data_master_requests_period0_s1;
  wire             cpu_data_master_saved_grant_period0_s1;
  reg              d1_period0_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_period0_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] period0_s1_address;
  wire             period0_s1_allgrants;
  wire             period0_s1_allow_new_arb_cycle;
  wire             period0_s1_any_bursting_master_saved_grant;
  wire             period0_s1_any_continuerequest;
  wire             period0_s1_arb_counter_enable;
  reg     [  1: 0] period0_s1_arb_share_counter;
  wire    [  1: 0] period0_s1_arb_share_counter_next_value;
  wire    [  1: 0] period0_s1_arb_share_set_values;
  wire             period0_s1_beginbursttransfer_internal;
  wire             period0_s1_begins_xfer;
  wire             period0_s1_chipselect;
  wire             period0_s1_end_xfer;
  wire             period0_s1_firsttransfer;
  wire             period0_s1_grant_vector;
  wire             period0_s1_in_a_read_cycle;
  wire             period0_s1_in_a_write_cycle;
  wire             period0_s1_master_qreq_vector;
  wire             period0_s1_non_bursting_master_requests;
  wire    [ 31: 0] period0_s1_readdata_from_sa;
  reg              period0_s1_reg_firsttransfer;
  wire             period0_s1_reset_n;
  reg              period0_s1_slavearbiterlockenable;
  wire             period0_s1_slavearbiterlockenable2;
  wire             period0_s1_unreg_firsttransfer;
  wire             period0_s1_waits_for_read;
  wire             period0_s1_waits_for_write;
  wire             period0_s1_write_n;
  wire    [ 31: 0] period0_s1_writedata;
  wire    [ 25: 0] shifted_address_to_period0_s1_from_cpu_data_master;
  wire             wait_for_period0_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~period0_s1_end_xfer;
    end


  assign period0_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_period0_s1));
  //assign period0_s1_readdata_from_sa = period0_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign period0_s1_readdata_from_sa = period0_s1_readdata;

  assign cpu_data_master_requests_period0_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h110) & (cpu_data_master_read | cpu_data_master_write);
  //period0_s1_arb_share_counter set values, which is an e_mux
  assign period0_s1_arb_share_set_values = 1;

  //period0_s1_non_bursting_master_requests mux, which is an e_mux
  assign period0_s1_non_bursting_master_requests = cpu_data_master_requests_period0_s1;

  //period0_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign period0_s1_any_bursting_master_saved_grant = 0;

  //period0_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign period0_s1_arb_share_counter_next_value = period0_s1_firsttransfer ? (period0_s1_arb_share_set_values - 1) : |period0_s1_arb_share_counter ? (period0_s1_arb_share_counter - 1) : 0;

  //period0_s1_allgrants all slave grants, which is an e_mux
  assign period0_s1_allgrants = |period0_s1_grant_vector;

  //period0_s1_end_xfer assignment, which is an e_assign
  assign period0_s1_end_xfer = ~(period0_s1_waits_for_read | period0_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_period0_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_period0_s1 = period0_s1_end_xfer & (~period0_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //period0_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign period0_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_period0_s1 & period0_s1_allgrants) | (end_xfer_arb_share_counter_term_period0_s1 & ~period0_s1_non_bursting_master_requests);

  //period0_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period0_s1_arb_share_counter <= 0;
      else if (period0_s1_arb_counter_enable)
          period0_s1_arb_share_counter <= period0_s1_arb_share_counter_next_value;
    end


  //period0_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period0_s1_slavearbiterlockenable <= 0;
      else if ((|period0_s1_master_qreq_vector & end_xfer_arb_share_counter_term_period0_s1) | (end_xfer_arb_share_counter_term_period0_s1 & ~period0_s1_non_bursting_master_requests))
          period0_s1_slavearbiterlockenable <= |period0_s1_arb_share_counter_next_value;
    end


  //cpu/data_master period0/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = period0_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //period0_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign period0_s1_slavearbiterlockenable2 = |period0_s1_arb_share_counter_next_value;

  //cpu/data_master period0/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = period0_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //period0_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign period0_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_period0_s1 = cpu_data_master_requests_period0_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //period0_s1_writedata mux, which is an e_mux
  assign period0_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_period0_s1 = cpu_data_master_qualified_request_period0_s1;

  //cpu/data_master saved-grant period0/s1, which is an e_assign
  assign cpu_data_master_saved_grant_period0_s1 = cpu_data_master_requests_period0_s1;

  //allow new arb cycle for period0/s1, which is an e_assign
  assign period0_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign period0_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign period0_s1_master_qreq_vector = 1;

  //period0_s1_reset_n assignment, which is an e_assign
  assign period0_s1_reset_n = reset_n;

  assign period0_s1_chipselect = cpu_data_master_granted_period0_s1;
  //period0_s1_firsttransfer first transaction, which is an e_assign
  assign period0_s1_firsttransfer = period0_s1_begins_xfer ? period0_s1_unreg_firsttransfer : period0_s1_reg_firsttransfer;

  //period0_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign period0_s1_unreg_firsttransfer = ~(period0_s1_slavearbiterlockenable & period0_s1_any_continuerequest);

  //period0_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period0_s1_reg_firsttransfer <= 1'b1;
      else if (period0_s1_begins_xfer)
          period0_s1_reg_firsttransfer <= period0_s1_unreg_firsttransfer;
    end


  //period0_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign period0_s1_beginbursttransfer_internal = period0_s1_begins_xfer;

  //~period0_s1_write_n assignment, which is an e_mux
  assign period0_s1_write_n = ~(cpu_data_master_granted_period0_s1 & cpu_data_master_write);

  assign shifted_address_to_period0_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //period0_s1_address mux, which is an e_mux
  assign period0_s1_address = shifted_address_to_period0_s1_from_cpu_data_master >> 2;

  //d1_period0_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_period0_s1_end_xfer <= 1;
      else 
        d1_period0_s1_end_xfer <= period0_s1_end_xfer;
    end


  //period0_s1_waits_for_read in a cycle, which is an e_mux
  assign period0_s1_waits_for_read = period0_s1_in_a_read_cycle & period0_s1_begins_xfer;

  //period0_s1_in_a_read_cycle assignment, which is an e_assign
  assign period0_s1_in_a_read_cycle = cpu_data_master_granted_period0_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = period0_s1_in_a_read_cycle;

  //period0_s1_waits_for_write in a cycle, which is an e_mux
  assign period0_s1_waits_for_write = period0_s1_in_a_write_cycle & 0;

  //period0_s1_in_a_write_cycle assignment, which is an e_assign
  assign period0_s1_in_a_write_cycle = cpu_data_master_granted_period0_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = period0_s1_in_a_write_cycle;

  assign wait_for_period0_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //period0/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module period1_s1_arbitrator (
                               // inputs:
                                clk,
                                cpu_data_master_address_to_slave,
                                cpu_data_master_read,
                                cpu_data_master_waitrequest,
                                cpu_data_master_write,
                                cpu_data_master_writedata,
                                period1_s1_readdata,
                                reset_n,

                               // outputs:
                                cpu_data_master_granted_period1_s1,
                                cpu_data_master_qualified_request_period1_s1,
                                cpu_data_master_read_data_valid_period1_s1,
                                cpu_data_master_requests_period1_s1,
                                d1_period1_s1_end_xfer,
                                period1_s1_address,
                                period1_s1_chipselect,
                                period1_s1_readdata_from_sa,
                                period1_s1_reset_n,
                                period1_s1_write_n,
                                period1_s1_writedata
                             )
;

  output           cpu_data_master_granted_period1_s1;
  output           cpu_data_master_qualified_request_period1_s1;
  output           cpu_data_master_read_data_valid_period1_s1;
  output           cpu_data_master_requests_period1_s1;
  output           d1_period1_s1_end_xfer;
  output  [  1: 0] period1_s1_address;
  output           period1_s1_chipselect;
  output  [ 31: 0] period1_s1_readdata_from_sa;
  output           period1_s1_reset_n;
  output           period1_s1_write_n;
  output  [ 31: 0] period1_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] period1_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_period1_s1;
  wire             cpu_data_master_qualified_request_period1_s1;
  wire             cpu_data_master_read_data_valid_period1_s1;
  wire             cpu_data_master_requests_period1_s1;
  wire             cpu_data_master_saved_grant_period1_s1;
  reg              d1_period1_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_period1_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] period1_s1_address;
  wire             period1_s1_allgrants;
  wire             period1_s1_allow_new_arb_cycle;
  wire             period1_s1_any_bursting_master_saved_grant;
  wire             period1_s1_any_continuerequest;
  wire             period1_s1_arb_counter_enable;
  reg     [  1: 0] period1_s1_arb_share_counter;
  wire    [  1: 0] period1_s1_arb_share_counter_next_value;
  wire    [  1: 0] period1_s1_arb_share_set_values;
  wire             period1_s1_beginbursttransfer_internal;
  wire             period1_s1_begins_xfer;
  wire             period1_s1_chipselect;
  wire             period1_s1_end_xfer;
  wire             period1_s1_firsttransfer;
  wire             period1_s1_grant_vector;
  wire             period1_s1_in_a_read_cycle;
  wire             period1_s1_in_a_write_cycle;
  wire             period1_s1_master_qreq_vector;
  wire             period1_s1_non_bursting_master_requests;
  wire    [ 31: 0] period1_s1_readdata_from_sa;
  reg              period1_s1_reg_firsttransfer;
  wire             period1_s1_reset_n;
  reg              period1_s1_slavearbiterlockenable;
  wire             period1_s1_slavearbiterlockenable2;
  wire             period1_s1_unreg_firsttransfer;
  wire             period1_s1_waits_for_read;
  wire             period1_s1_waits_for_write;
  wire             period1_s1_write_n;
  wire    [ 31: 0] period1_s1_writedata;
  wire    [ 25: 0] shifted_address_to_period1_s1_from_cpu_data_master;
  wire             wait_for_period1_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~period1_s1_end_xfer;
    end


  assign period1_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_period1_s1));
  //assign period1_s1_readdata_from_sa = period1_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign period1_s1_readdata_from_sa = period1_s1_readdata;

  assign cpu_data_master_requests_period1_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h120) & (cpu_data_master_read | cpu_data_master_write);
  //period1_s1_arb_share_counter set values, which is an e_mux
  assign period1_s1_arb_share_set_values = 1;

  //period1_s1_non_bursting_master_requests mux, which is an e_mux
  assign period1_s1_non_bursting_master_requests = cpu_data_master_requests_period1_s1;

  //period1_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign period1_s1_any_bursting_master_saved_grant = 0;

  //period1_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign period1_s1_arb_share_counter_next_value = period1_s1_firsttransfer ? (period1_s1_arb_share_set_values - 1) : |period1_s1_arb_share_counter ? (period1_s1_arb_share_counter - 1) : 0;

  //period1_s1_allgrants all slave grants, which is an e_mux
  assign period1_s1_allgrants = |period1_s1_grant_vector;

  //period1_s1_end_xfer assignment, which is an e_assign
  assign period1_s1_end_xfer = ~(period1_s1_waits_for_read | period1_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_period1_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_period1_s1 = period1_s1_end_xfer & (~period1_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //period1_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign period1_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_period1_s1 & period1_s1_allgrants) | (end_xfer_arb_share_counter_term_period1_s1 & ~period1_s1_non_bursting_master_requests);

  //period1_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period1_s1_arb_share_counter <= 0;
      else if (period1_s1_arb_counter_enable)
          period1_s1_arb_share_counter <= period1_s1_arb_share_counter_next_value;
    end


  //period1_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period1_s1_slavearbiterlockenable <= 0;
      else if ((|period1_s1_master_qreq_vector & end_xfer_arb_share_counter_term_period1_s1) | (end_xfer_arb_share_counter_term_period1_s1 & ~period1_s1_non_bursting_master_requests))
          period1_s1_slavearbiterlockenable <= |period1_s1_arb_share_counter_next_value;
    end


  //cpu/data_master period1/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = period1_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //period1_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign period1_s1_slavearbiterlockenable2 = |period1_s1_arb_share_counter_next_value;

  //cpu/data_master period1/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = period1_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //period1_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign period1_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_period1_s1 = cpu_data_master_requests_period1_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //period1_s1_writedata mux, which is an e_mux
  assign period1_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_period1_s1 = cpu_data_master_qualified_request_period1_s1;

  //cpu/data_master saved-grant period1/s1, which is an e_assign
  assign cpu_data_master_saved_grant_period1_s1 = cpu_data_master_requests_period1_s1;

  //allow new arb cycle for period1/s1, which is an e_assign
  assign period1_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign period1_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign period1_s1_master_qreq_vector = 1;

  //period1_s1_reset_n assignment, which is an e_assign
  assign period1_s1_reset_n = reset_n;

  assign period1_s1_chipselect = cpu_data_master_granted_period1_s1;
  //period1_s1_firsttransfer first transaction, which is an e_assign
  assign period1_s1_firsttransfer = period1_s1_begins_xfer ? period1_s1_unreg_firsttransfer : period1_s1_reg_firsttransfer;

  //period1_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign period1_s1_unreg_firsttransfer = ~(period1_s1_slavearbiterlockenable & period1_s1_any_continuerequest);

  //period1_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period1_s1_reg_firsttransfer <= 1'b1;
      else if (period1_s1_begins_xfer)
          period1_s1_reg_firsttransfer <= period1_s1_unreg_firsttransfer;
    end


  //period1_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign period1_s1_beginbursttransfer_internal = period1_s1_begins_xfer;

  //~period1_s1_write_n assignment, which is an e_mux
  assign period1_s1_write_n = ~(cpu_data_master_granted_period1_s1 & cpu_data_master_write);

  assign shifted_address_to_period1_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //period1_s1_address mux, which is an e_mux
  assign period1_s1_address = shifted_address_to_period1_s1_from_cpu_data_master >> 2;

  //d1_period1_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_period1_s1_end_xfer <= 1;
      else 
        d1_period1_s1_end_xfer <= period1_s1_end_xfer;
    end


  //period1_s1_waits_for_read in a cycle, which is an e_mux
  assign period1_s1_waits_for_read = period1_s1_in_a_read_cycle & period1_s1_begins_xfer;

  //period1_s1_in_a_read_cycle assignment, which is an e_assign
  assign period1_s1_in_a_read_cycle = cpu_data_master_granted_period1_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = period1_s1_in_a_read_cycle;

  //period1_s1_waits_for_write in a cycle, which is an e_mux
  assign period1_s1_waits_for_write = period1_s1_in_a_write_cycle & 0;

  //period1_s1_in_a_write_cycle assignment, which is an e_assign
  assign period1_s1_in_a_write_cycle = cpu_data_master_granted_period1_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = period1_s1_in_a_write_cycle;

  assign wait_for_period1_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //period1/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module period2_s1_arbitrator (
                               // inputs:
                                clk,
                                cpu_data_master_address_to_slave,
                                cpu_data_master_read,
                                cpu_data_master_waitrequest,
                                cpu_data_master_write,
                                cpu_data_master_writedata,
                                period2_s1_readdata,
                                reset_n,

                               // outputs:
                                cpu_data_master_granted_period2_s1,
                                cpu_data_master_qualified_request_period2_s1,
                                cpu_data_master_read_data_valid_period2_s1,
                                cpu_data_master_requests_period2_s1,
                                d1_period2_s1_end_xfer,
                                period2_s1_address,
                                period2_s1_chipselect,
                                period2_s1_readdata_from_sa,
                                period2_s1_reset_n,
                                period2_s1_write_n,
                                period2_s1_writedata
                             )
;

  output           cpu_data_master_granted_period2_s1;
  output           cpu_data_master_qualified_request_period2_s1;
  output           cpu_data_master_read_data_valid_period2_s1;
  output           cpu_data_master_requests_period2_s1;
  output           d1_period2_s1_end_xfer;
  output  [  1: 0] period2_s1_address;
  output           period2_s1_chipselect;
  output  [ 31: 0] period2_s1_readdata_from_sa;
  output           period2_s1_reset_n;
  output           period2_s1_write_n;
  output  [ 31: 0] period2_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] period2_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_period2_s1;
  wire             cpu_data_master_qualified_request_period2_s1;
  wire             cpu_data_master_read_data_valid_period2_s1;
  wire             cpu_data_master_requests_period2_s1;
  wire             cpu_data_master_saved_grant_period2_s1;
  reg              d1_period2_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_period2_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] period2_s1_address;
  wire             period2_s1_allgrants;
  wire             period2_s1_allow_new_arb_cycle;
  wire             period2_s1_any_bursting_master_saved_grant;
  wire             period2_s1_any_continuerequest;
  wire             period2_s1_arb_counter_enable;
  reg     [  1: 0] period2_s1_arb_share_counter;
  wire    [  1: 0] period2_s1_arb_share_counter_next_value;
  wire    [  1: 0] period2_s1_arb_share_set_values;
  wire             period2_s1_beginbursttransfer_internal;
  wire             period2_s1_begins_xfer;
  wire             period2_s1_chipselect;
  wire             period2_s1_end_xfer;
  wire             period2_s1_firsttransfer;
  wire             period2_s1_grant_vector;
  wire             period2_s1_in_a_read_cycle;
  wire             period2_s1_in_a_write_cycle;
  wire             period2_s1_master_qreq_vector;
  wire             period2_s1_non_bursting_master_requests;
  wire    [ 31: 0] period2_s1_readdata_from_sa;
  reg              period2_s1_reg_firsttransfer;
  wire             period2_s1_reset_n;
  reg              period2_s1_slavearbiterlockenable;
  wire             period2_s1_slavearbiterlockenable2;
  wire             period2_s1_unreg_firsttransfer;
  wire             period2_s1_waits_for_read;
  wire             period2_s1_waits_for_write;
  wire             period2_s1_write_n;
  wire    [ 31: 0] period2_s1_writedata;
  wire    [ 25: 0] shifted_address_to_period2_s1_from_cpu_data_master;
  wire             wait_for_period2_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~period2_s1_end_xfer;
    end


  assign period2_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_period2_s1));
  //assign period2_s1_readdata_from_sa = period2_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign period2_s1_readdata_from_sa = period2_s1_readdata;

  assign cpu_data_master_requests_period2_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h130) & (cpu_data_master_read | cpu_data_master_write);
  //period2_s1_arb_share_counter set values, which is an e_mux
  assign period2_s1_arb_share_set_values = 1;

  //period2_s1_non_bursting_master_requests mux, which is an e_mux
  assign period2_s1_non_bursting_master_requests = cpu_data_master_requests_period2_s1;

  //period2_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign period2_s1_any_bursting_master_saved_grant = 0;

  //period2_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign period2_s1_arb_share_counter_next_value = period2_s1_firsttransfer ? (period2_s1_arb_share_set_values - 1) : |period2_s1_arb_share_counter ? (period2_s1_arb_share_counter - 1) : 0;

  //period2_s1_allgrants all slave grants, which is an e_mux
  assign period2_s1_allgrants = |period2_s1_grant_vector;

  //period2_s1_end_xfer assignment, which is an e_assign
  assign period2_s1_end_xfer = ~(period2_s1_waits_for_read | period2_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_period2_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_period2_s1 = period2_s1_end_xfer & (~period2_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //period2_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign period2_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_period2_s1 & period2_s1_allgrants) | (end_xfer_arb_share_counter_term_period2_s1 & ~period2_s1_non_bursting_master_requests);

  //period2_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period2_s1_arb_share_counter <= 0;
      else if (period2_s1_arb_counter_enable)
          period2_s1_arb_share_counter <= period2_s1_arb_share_counter_next_value;
    end


  //period2_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period2_s1_slavearbiterlockenable <= 0;
      else if ((|period2_s1_master_qreq_vector & end_xfer_arb_share_counter_term_period2_s1) | (end_xfer_arb_share_counter_term_period2_s1 & ~period2_s1_non_bursting_master_requests))
          period2_s1_slavearbiterlockenable <= |period2_s1_arb_share_counter_next_value;
    end


  //cpu/data_master period2/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = period2_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //period2_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign period2_s1_slavearbiterlockenable2 = |period2_s1_arb_share_counter_next_value;

  //cpu/data_master period2/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = period2_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //period2_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign period2_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_period2_s1 = cpu_data_master_requests_period2_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //period2_s1_writedata mux, which is an e_mux
  assign period2_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_period2_s1 = cpu_data_master_qualified_request_period2_s1;

  //cpu/data_master saved-grant period2/s1, which is an e_assign
  assign cpu_data_master_saved_grant_period2_s1 = cpu_data_master_requests_period2_s1;

  //allow new arb cycle for period2/s1, which is an e_assign
  assign period2_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign period2_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign period2_s1_master_qreq_vector = 1;

  //period2_s1_reset_n assignment, which is an e_assign
  assign period2_s1_reset_n = reset_n;

  assign period2_s1_chipselect = cpu_data_master_granted_period2_s1;
  //period2_s1_firsttransfer first transaction, which is an e_assign
  assign period2_s1_firsttransfer = period2_s1_begins_xfer ? period2_s1_unreg_firsttransfer : period2_s1_reg_firsttransfer;

  //period2_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign period2_s1_unreg_firsttransfer = ~(period2_s1_slavearbiterlockenable & period2_s1_any_continuerequest);

  //period2_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period2_s1_reg_firsttransfer <= 1'b1;
      else if (period2_s1_begins_xfer)
          period2_s1_reg_firsttransfer <= period2_s1_unreg_firsttransfer;
    end


  //period2_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign period2_s1_beginbursttransfer_internal = period2_s1_begins_xfer;

  //~period2_s1_write_n assignment, which is an e_mux
  assign period2_s1_write_n = ~(cpu_data_master_granted_period2_s1 & cpu_data_master_write);

  assign shifted_address_to_period2_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //period2_s1_address mux, which is an e_mux
  assign period2_s1_address = shifted_address_to_period2_s1_from_cpu_data_master >> 2;

  //d1_period2_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_period2_s1_end_xfer <= 1;
      else 
        d1_period2_s1_end_xfer <= period2_s1_end_xfer;
    end


  //period2_s1_waits_for_read in a cycle, which is an e_mux
  assign period2_s1_waits_for_read = period2_s1_in_a_read_cycle & period2_s1_begins_xfer;

  //period2_s1_in_a_read_cycle assignment, which is an e_assign
  assign period2_s1_in_a_read_cycle = cpu_data_master_granted_period2_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = period2_s1_in_a_read_cycle;

  //period2_s1_waits_for_write in a cycle, which is an e_mux
  assign period2_s1_waits_for_write = period2_s1_in_a_write_cycle & 0;

  //period2_s1_in_a_write_cycle assignment, which is an e_assign
  assign period2_s1_in_a_write_cycle = cpu_data_master_granted_period2_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = period2_s1_in_a_write_cycle;

  assign wait_for_period2_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //period2/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module period_gol_s1_arbitrator (
                                  // inputs:
                                   clk,
                                   cpu_data_master_address_to_slave,
                                   cpu_data_master_read,
                                   cpu_data_master_waitrequest,
                                   cpu_data_master_write,
                                   cpu_data_master_writedata,
                                   period_gol_s1_readdata,
                                   reset_n,

                                  // outputs:
                                   cpu_data_master_granted_period_gol_s1,
                                   cpu_data_master_qualified_request_period_gol_s1,
                                   cpu_data_master_read_data_valid_period_gol_s1,
                                   cpu_data_master_requests_period_gol_s1,
                                   d1_period_gol_s1_end_xfer,
                                   period_gol_s1_address,
                                   period_gol_s1_chipselect,
                                   period_gol_s1_readdata_from_sa,
                                   period_gol_s1_reset_n,
                                   period_gol_s1_write_n,
                                   period_gol_s1_writedata
                                )
;

  output           cpu_data_master_granted_period_gol_s1;
  output           cpu_data_master_qualified_request_period_gol_s1;
  output           cpu_data_master_read_data_valid_period_gol_s1;
  output           cpu_data_master_requests_period_gol_s1;
  output           d1_period_gol_s1_end_xfer;
  output  [  1: 0] period_gol_s1_address;
  output           period_gol_s1_chipselect;
  output  [ 31: 0] period_gol_s1_readdata_from_sa;
  output           period_gol_s1_reset_n;
  output           period_gol_s1_write_n;
  output  [ 31: 0] period_gol_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] period_gol_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_period_gol_s1;
  wire             cpu_data_master_qualified_request_period_gol_s1;
  wire             cpu_data_master_read_data_valid_period_gol_s1;
  wire             cpu_data_master_requests_period_gol_s1;
  wire             cpu_data_master_saved_grant_period_gol_s1;
  reg              d1_period_gol_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_period_gol_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] period_gol_s1_address;
  wire             period_gol_s1_allgrants;
  wire             period_gol_s1_allow_new_arb_cycle;
  wire             period_gol_s1_any_bursting_master_saved_grant;
  wire             period_gol_s1_any_continuerequest;
  wire             period_gol_s1_arb_counter_enable;
  reg     [  1: 0] period_gol_s1_arb_share_counter;
  wire    [  1: 0] period_gol_s1_arb_share_counter_next_value;
  wire    [  1: 0] period_gol_s1_arb_share_set_values;
  wire             period_gol_s1_beginbursttransfer_internal;
  wire             period_gol_s1_begins_xfer;
  wire             period_gol_s1_chipselect;
  wire             period_gol_s1_end_xfer;
  wire             period_gol_s1_firsttransfer;
  wire             period_gol_s1_grant_vector;
  wire             period_gol_s1_in_a_read_cycle;
  wire             period_gol_s1_in_a_write_cycle;
  wire             period_gol_s1_master_qreq_vector;
  wire             period_gol_s1_non_bursting_master_requests;
  wire    [ 31: 0] period_gol_s1_readdata_from_sa;
  reg              period_gol_s1_reg_firsttransfer;
  wire             period_gol_s1_reset_n;
  reg              period_gol_s1_slavearbiterlockenable;
  wire             period_gol_s1_slavearbiterlockenable2;
  wire             period_gol_s1_unreg_firsttransfer;
  wire             period_gol_s1_waits_for_read;
  wire             period_gol_s1_waits_for_write;
  wire             period_gol_s1_write_n;
  wire    [ 31: 0] period_gol_s1_writedata;
  wire    [ 25: 0] shifted_address_to_period_gol_s1_from_cpu_data_master;
  wire             wait_for_period_gol_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~period_gol_s1_end_xfer;
    end


  assign period_gol_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_period_gol_s1));
  //assign period_gol_s1_readdata_from_sa = period_gol_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign period_gol_s1_readdata_from_sa = period_gol_s1_readdata;

  assign cpu_data_master_requests_period_gol_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h140) & (cpu_data_master_read | cpu_data_master_write);
  //period_gol_s1_arb_share_counter set values, which is an e_mux
  assign period_gol_s1_arb_share_set_values = 1;

  //period_gol_s1_non_bursting_master_requests mux, which is an e_mux
  assign period_gol_s1_non_bursting_master_requests = cpu_data_master_requests_period_gol_s1;

  //period_gol_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign period_gol_s1_any_bursting_master_saved_grant = 0;

  //period_gol_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign period_gol_s1_arb_share_counter_next_value = period_gol_s1_firsttransfer ? (period_gol_s1_arb_share_set_values - 1) : |period_gol_s1_arb_share_counter ? (period_gol_s1_arb_share_counter - 1) : 0;

  //period_gol_s1_allgrants all slave grants, which is an e_mux
  assign period_gol_s1_allgrants = |period_gol_s1_grant_vector;

  //period_gol_s1_end_xfer assignment, which is an e_assign
  assign period_gol_s1_end_xfer = ~(period_gol_s1_waits_for_read | period_gol_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_period_gol_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_period_gol_s1 = period_gol_s1_end_xfer & (~period_gol_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //period_gol_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign period_gol_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_period_gol_s1 & period_gol_s1_allgrants) | (end_xfer_arb_share_counter_term_period_gol_s1 & ~period_gol_s1_non_bursting_master_requests);

  //period_gol_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period_gol_s1_arb_share_counter <= 0;
      else if (period_gol_s1_arb_counter_enable)
          period_gol_s1_arb_share_counter <= period_gol_s1_arb_share_counter_next_value;
    end


  //period_gol_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period_gol_s1_slavearbiterlockenable <= 0;
      else if ((|period_gol_s1_master_qreq_vector & end_xfer_arb_share_counter_term_period_gol_s1) | (end_xfer_arb_share_counter_term_period_gol_s1 & ~period_gol_s1_non_bursting_master_requests))
          period_gol_s1_slavearbiterlockenable <= |period_gol_s1_arb_share_counter_next_value;
    end


  //cpu/data_master period_gol/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = period_gol_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //period_gol_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign period_gol_s1_slavearbiterlockenable2 = |period_gol_s1_arb_share_counter_next_value;

  //cpu/data_master period_gol/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = period_gol_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //period_gol_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign period_gol_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_period_gol_s1 = cpu_data_master_requests_period_gol_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //period_gol_s1_writedata mux, which is an e_mux
  assign period_gol_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_period_gol_s1 = cpu_data_master_qualified_request_period_gol_s1;

  //cpu/data_master saved-grant period_gol/s1, which is an e_assign
  assign cpu_data_master_saved_grant_period_gol_s1 = cpu_data_master_requests_period_gol_s1;

  //allow new arb cycle for period_gol/s1, which is an e_assign
  assign period_gol_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign period_gol_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign period_gol_s1_master_qreq_vector = 1;

  //period_gol_s1_reset_n assignment, which is an e_assign
  assign period_gol_s1_reset_n = reset_n;

  assign period_gol_s1_chipselect = cpu_data_master_granted_period_gol_s1;
  //period_gol_s1_firsttransfer first transaction, which is an e_assign
  assign period_gol_s1_firsttransfer = period_gol_s1_begins_xfer ? period_gol_s1_unreg_firsttransfer : period_gol_s1_reg_firsttransfer;

  //period_gol_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign period_gol_s1_unreg_firsttransfer = ~(period_gol_s1_slavearbiterlockenable & period_gol_s1_any_continuerequest);

  //period_gol_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          period_gol_s1_reg_firsttransfer <= 1'b1;
      else if (period_gol_s1_begins_xfer)
          period_gol_s1_reg_firsttransfer <= period_gol_s1_unreg_firsttransfer;
    end


  //period_gol_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign period_gol_s1_beginbursttransfer_internal = period_gol_s1_begins_xfer;

  //~period_gol_s1_write_n assignment, which is an e_mux
  assign period_gol_s1_write_n = ~(cpu_data_master_granted_period_gol_s1 & cpu_data_master_write);

  assign shifted_address_to_period_gol_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //period_gol_s1_address mux, which is an e_mux
  assign period_gol_s1_address = shifted_address_to_period_gol_s1_from_cpu_data_master >> 2;

  //d1_period_gol_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_period_gol_s1_end_xfer <= 1;
      else 
        d1_period_gol_s1_end_xfer <= period_gol_s1_end_xfer;
    end


  //period_gol_s1_waits_for_read in a cycle, which is an e_mux
  assign period_gol_s1_waits_for_read = period_gol_s1_in_a_read_cycle & period_gol_s1_begins_xfer;

  //period_gol_s1_in_a_read_cycle assignment, which is an e_assign
  assign period_gol_s1_in_a_read_cycle = cpu_data_master_granted_period_gol_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = period_gol_s1_in_a_read_cycle;

  //period_gol_s1_waits_for_write in a cycle, which is an e_mux
  assign period_gol_s1_waits_for_write = period_gol_s1_in_a_write_cycle & 0;

  //period_gol_s1_in_a_write_cycle assignment, which is an e_assign
  assign period_gol_s1_in_a_write_cycle = cpu_data_master_granted_period_gol_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = period_gol_s1_in_a_write_cycle;

  assign wait_for_period_gol_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //period_gol/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module play_s1_arbitrator (
                            // inputs:
                             clk,
                             cpu_data_master_address_to_slave,
                             cpu_data_master_read,
                             cpu_data_master_waitrequest,
                             cpu_data_master_write,
                             cpu_data_master_writedata,
                             play_s1_readdata,
                             reset_n,

                            // outputs:
                             cpu_data_master_granted_play_s1,
                             cpu_data_master_qualified_request_play_s1,
                             cpu_data_master_read_data_valid_play_s1,
                             cpu_data_master_requests_play_s1,
                             d1_play_s1_end_xfer,
                             play_s1_address,
                             play_s1_chipselect,
                             play_s1_readdata_from_sa,
                             play_s1_reset_n,
                             play_s1_write_n,
                             play_s1_writedata
                          )
;

  output           cpu_data_master_granted_play_s1;
  output           cpu_data_master_qualified_request_play_s1;
  output           cpu_data_master_read_data_valid_play_s1;
  output           cpu_data_master_requests_play_s1;
  output           d1_play_s1_end_xfer;
  output  [  1: 0] play_s1_address;
  output           play_s1_chipselect;
  output  [ 31: 0] play_s1_readdata_from_sa;
  output           play_s1_reset_n;
  output           play_s1_write_n;
  output  [ 31: 0] play_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input   [ 31: 0] play_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_play_s1;
  wire             cpu_data_master_qualified_request_play_s1;
  wire             cpu_data_master_read_data_valid_play_s1;
  wire             cpu_data_master_requests_play_s1;
  wire             cpu_data_master_saved_grant_play_s1;
  reg              d1_play_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_play_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] play_s1_address;
  wire             play_s1_allgrants;
  wire             play_s1_allow_new_arb_cycle;
  wire             play_s1_any_bursting_master_saved_grant;
  wire             play_s1_any_continuerequest;
  wire             play_s1_arb_counter_enable;
  reg     [  1: 0] play_s1_arb_share_counter;
  wire    [  1: 0] play_s1_arb_share_counter_next_value;
  wire    [  1: 0] play_s1_arb_share_set_values;
  wire             play_s1_beginbursttransfer_internal;
  wire             play_s1_begins_xfer;
  wire             play_s1_chipselect;
  wire             play_s1_end_xfer;
  wire             play_s1_firsttransfer;
  wire             play_s1_grant_vector;
  wire             play_s1_in_a_read_cycle;
  wire             play_s1_in_a_write_cycle;
  wire             play_s1_master_qreq_vector;
  wire             play_s1_non_bursting_master_requests;
  wire    [ 31: 0] play_s1_readdata_from_sa;
  reg              play_s1_reg_firsttransfer;
  wire             play_s1_reset_n;
  reg              play_s1_slavearbiterlockenable;
  wire             play_s1_slavearbiterlockenable2;
  wire             play_s1_unreg_firsttransfer;
  wire             play_s1_waits_for_read;
  wire             play_s1_waits_for_write;
  wire             play_s1_write_n;
  wire    [ 31: 0] play_s1_writedata;
  wire    [ 25: 0] shifted_address_to_play_s1_from_cpu_data_master;
  wire             wait_for_play_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~play_s1_end_xfer;
    end


  assign play_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_play_s1));
  //assign play_s1_readdata_from_sa = play_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign play_s1_readdata_from_sa = play_s1_readdata;

  assign cpu_data_master_requests_play_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'hc0) & (cpu_data_master_read | cpu_data_master_write);
  //play_s1_arb_share_counter set values, which is an e_mux
  assign play_s1_arb_share_set_values = 1;

  //play_s1_non_bursting_master_requests mux, which is an e_mux
  assign play_s1_non_bursting_master_requests = cpu_data_master_requests_play_s1;

  //play_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign play_s1_any_bursting_master_saved_grant = 0;

  //play_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign play_s1_arb_share_counter_next_value = play_s1_firsttransfer ? (play_s1_arb_share_set_values - 1) : |play_s1_arb_share_counter ? (play_s1_arb_share_counter - 1) : 0;

  //play_s1_allgrants all slave grants, which is an e_mux
  assign play_s1_allgrants = |play_s1_grant_vector;

  //play_s1_end_xfer assignment, which is an e_assign
  assign play_s1_end_xfer = ~(play_s1_waits_for_read | play_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_play_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_play_s1 = play_s1_end_xfer & (~play_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //play_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign play_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_play_s1 & play_s1_allgrants) | (end_xfer_arb_share_counter_term_play_s1 & ~play_s1_non_bursting_master_requests);

  //play_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          play_s1_arb_share_counter <= 0;
      else if (play_s1_arb_counter_enable)
          play_s1_arb_share_counter <= play_s1_arb_share_counter_next_value;
    end


  //play_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          play_s1_slavearbiterlockenable <= 0;
      else if ((|play_s1_master_qreq_vector & end_xfer_arb_share_counter_term_play_s1) | (end_xfer_arb_share_counter_term_play_s1 & ~play_s1_non_bursting_master_requests))
          play_s1_slavearbiterlockenable <= |play_s1_arb_share_counter_next_value;
    end


  //cpu/data_master play/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = play_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //play_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign play_s1_slavearbiterlockenable2 = |play_s1_arb_share_counter_next_value;

  //cpu/data_master play/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = play_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //play_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign play_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_play_s1 = cpu_data_master_requests_play_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //play_s1_writedata mux, which is an e_mux
  assign play_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_play_s1 = cpu_data_master_qualified_request_play_s1;

  //cpu/data_master saved-grant play/s1, which is an e_assign
  assign cpu_data_master_saved_grant_play_s1 = cpu_data_master_requests_play_s1;

  //allow new arb cycle for play/s1, which is an e_assign
  assign play_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign play_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign play_s1_master_qreq_vector = 1;

  //play_s1_reset_n assignment, which is an e_assign
  assign play_s1_reset_n = reset_n;

  assign play_s1_chipselect = cpu_data_master_granted_play_s1;
  //play_s1_firsttransfer first transaction, which is an e_assign
  assign play_s1_firsttransfer = play_s1_begins_xfer ? play_s1_unreg_firsttransfer : play_s1_reg_firsttransfer;

  //play_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign play_s1_unreg_firsttransfer = ~(play_s1_slavearbiterlockenable & play_s1_any_continuerequest);

  //play_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          play_s1_reg_firsttransfer <= 1'b1;
      else if (play_s1_begins_xfer)
          play_s1_reg_firsttransfer <= play_s1_unreg_firsttransfer;
    end


  //play_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign play_s1_beginbursttransfer_internal = play_s1_begins_xfer;

  //~play_s1_write_n assignment, which is an e_mux
  assign play_s1_write_n = ~(cpu_data_master_granted_play_s1 & cpu_data_master_write);

  assign shifted_address_to_play_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //play_s1_address mux, which is an e_mux
  assign play_s1_address = shifted_address_to_play_s1_from_cpu_data_master >> 2;

  //d1_play_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_play_s1_end_xfer <= 1;
      else 
        d1_play_s1_end_xfer <= play_s1_end_xfer;
    end


  //play_s1_waits_for_read in a cycle, which is an e_mux
  assign play_s1_waits_for_read = play_s1_in_a_read_cycle & play_s1_begins_xfer;

  //play_s1_in_a_read_cycle assignment, which is an e_assign
  assign play_s1_in_a_read_cycle = cpu_data_master_granted_play_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = play_s1_in_a_read_cycle;

  //play_s1_waits_for_write in a cycle, which is an e_mux
  assign play_s1_waits_for_write = play_s1_in_a_write_cycle & 0;

  //play_s1_in_a_write_cycle assignment, which is an e_assign
  assign play_s1_in_a_write_cycle = cpu_data_master_granted_play_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = play_s1_in_a_write_cycle;

  assign wait_for_play_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //play/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module ps2_event_type_s1_arbitrator (
                                      // inputs:
                                       clk,
                                       cpu_data_master_address_to_slave,
                                       cpu_data_master_read,
                                       cpu_data_master_write,
                                       ps2_event_type_s1_readdata,
                                       reset_n,

                                      // outputs:
                                       cpu_data_master_granted_ps2_event_type_s1,
                                       cpu_data_master_qualified_request_ps2_event_type_s1,
                                       cpu_data_master_read_data_valid_ps2_event_type_s1,
                                       cpu_data_master_requests_ps2_event_type_s1,
                                       d1_ps2_event_type_s1_end_xfer,
                                       ps2_event_type_s1_address,
                                       ps2_event_type_s1_readdata_from_sa,
                                       ps2_event_type_s1_reset_n
                                    )
;

  output           cpu_data_master_granted_ps2_event_type_s1;
  output           cpu_data_master_qualified_request_ps2_event_type_s1;
  output           cpu_data_master_read_data_valid_ps2_event_type_s1;
  output           cpu_data_master_requests_ps2_event_type_s1;
  output           d1_ps2_event_type_s1_end_xfer;
  output  [  1: 0] ps2_event_type_s1_address;
  output  [ 31: 0] ps2_event_type_s1_readdata_from_sa;
  output           ps2_event_type_s1_reset_n;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_write;
  input   [ 31: 0] ps2_event_type_s1_readdata;
  input            reset_n;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_ps2_event_type_s1;
  wire             cpu_data_master_qualified_request_ps2_event_type_s1;
  wire             cpu_data_master_read_data_valid_ps2_event_type_s1;
  wire             cpu_data_master_requests_ps2_event_type_s1;
  wire             cpu_data_master_saved_grant_ps2_event_type_s1;
  reg              d1_ps2_event_type_s1_end_xfer;
  reg              d1_reasons_to_wait;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_ps2_event_type_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] ps2_event_type_s1_address;
  wire             ps2_event_type_s1_allgrants;
  wire             ps2_event_type_s1_allow_new_arb_cycle;
  wire             ps2_event_type_s1_any_bursting_master_saved_grant;
  wire             ps2_event_type_s1_any_continuerequest;
  wire             ps2_event_type_s1_arb_counter_enable;
  reg     [  1: 0] ps2_event_type_s1_arb_share_counter;
  wire    [  1: 0] ps2_event_type_s1_arb_share_counter_next_value;
  wire    [  1: 0] ps2_event_type_s1_arb_share_set_values;
  wire             ps2_event_type_s1_beginbursttransfer_internal;
  wire             ps2_event_type_s1_begins_xfer;
  wire             ps2_event_type_s1_end_xfer;
  wire             ps2_event_type_s1_firsttransfer;
  wire             ps2_event_type_s1_grant_vector;
  wire             ps2_event_type_s1_in_a_read_cycle;
  wire             ps2_event_type_s1_in_a_write_cycle;
  wire             ps2_event_type_s1_master_qreq_vector;
  wire             ps2_event_type_s1_non_bursting_master_requests;
  wire    [ 31: 0] ps2_event_type_s1_readdata_from_sa;
  reg              ps2_event_type_s1_reg_firsttransfer;
  wire             ps2_event_type_s1_reset_n;
  reg              ps2_event_type_s1_slavearbiterlockenable;
  wire             ps2_event_type_s1_slavearbiterlockenable2;
  wire             ps2_event_type_s1_unreg_firsttransfer;
  wire             ps2_event_type_s1_waits_for_read;
  wire             ps2_event_type_s1_waits_for_write;
  wire    [ 25: 0] shifted_address_to_ps2_event_type_s1_from_cpu_data_master;
  wire             wait_for_ps2_event_type_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~ps2_event_type_s1_end_xfer;
    end


  assign ps2_event_type_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_ps2_event_type_s1));
  //assign ps2_event_type_s1_readdata_from_sa = ps2_event_type_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign ps2_event_type_s1_readdata_from_sa = ps2_event_type_s1_readdata;

  assign cpu_data_master_requests_ps2_event_type_s1 = (({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h0) & (cpu_data_master_read | cpu_data_master_write)) & cpu_data_master_read;
  //ps2_event_type_s1_arb_share_counter set values, which is an e_mux
  assign ps2_event_type_s1_arb_share_set_values = 1;

  //ps2_event_type_s1_non_bursting_master_requests mux, which is an e_mux
  assign ps2_event_type_s1_non_bursting_master_requests = cpu_data_master_requests_ps2_event_type_s1;

  //ps2_event_type_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign ps2_event_type_s1_any_bursting_master_saved_grant = 0;

  //ps2_event_type_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign ps2_event_type_s1_arb_share_counter_next_value = ps2_event_type_s1_firsttransfer ? (ps2_event_type_s1_arb_share_set_values - 1) : |ps2_event_type_s1_arb_share_counter ? (ps2_event_type_s1_arb_share_counter - 1) : 0;

  //ps2_event_type_s1_allgrants all slave grants, which is an e_mux
  assign ps2_event_type_s1_allgrants = |ps2_event_type_s1_grant_vector;

  //ps2_event_type_s1_end_xfer assignment, which is an e_assign
  assign ps2_event_type_s1_end_xfer = ~(ps2_event_type_s1_waits_for_read | ps2_event_type_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_ps2_event_type_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_ps2_event_type_s1 = ps2_event_type_s1_end_xfer & (~ps2_event_type_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //ps2_event_type_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign ps2_event_type_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_ps2_event_type_s1 & ps2_event_type_s1_allgrants) | (end_xfer_arb_share_counter_term_ps2_event_type_s1 & ~ps2_event_type_s1_non_bursting_master_requests);

  //ps2_event_type_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          ps2_event_type_s1_arb_share_counter <= 0;
      else if (ps2_event_type_s1_arb_counter_enable)
          ps2_event_type_s1_arb_share_counter <= ps2_event_type_s1_arb_share_counter_next_value;
    end


  //ps2_event_type_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          ps2_event_type_s1_slavearbiterlockenable <= 0;
      else if ((|ps2_event_type_s1_master_qreq_vector & end_xfer_arb_share_counter_term_ps2_event_type_s1) | (end_xfer_arb_share_counter_term_ps2_event_type_s1 & ~ps2_event_type_s1_non_bursting_master_requests))
          ps2_event_type_s1_slavearbiterlockenable <= |ps2_event_type_s1_arb_share_counter_next_value;
    end


  //cpu/data_master ps2_event_type/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = ps2_event_type_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //ps2_event_type_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign ps2_event_type_s1_slavearbiterlockenable2 = |ps2_event_type_s1_arb_share_counter_next_value;

  //cpu/data_master ps2_event_type/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = ps2_event_type_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //ps2_event_type_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign ps2_event_type_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_ps2_event_type_s1 = cpu_data_master_requests_ps2_event_type_s1;
  //master is always granted when requested
  assign cpu_data_master_granted_ps2_event_type_s1 = cpu_data_master_qualified_request_ps2_event_type_s1;

  //cpu/data_master saved-grant ps2_event_type/s1, which is an e_assign
  assign cpu_data_master_saved_grant_ps2_event_type_s1 = cpu_data_master_requests_ps2_event_type_s1;

  //allow new arb cycle for ps2_event_type/s1, which is an e_assign
  assign ps2_event_type_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign ps2_event_type_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign ps2_event_type_s1_master_qreq_vector = 1;

  //ps2_event_type_s1_reset_n assignment, which is an e_assign
  assign ps2_event_type_s1_reset_n = reset_n;

  //ps2_event_type_s1_firsttransfer first transaction, which is an e_assign
  assign ps2_event_type_s1_firsttransfer = ps2_event_type_s1_begins_xfer ? ps2_event_type_s1_unreg_firsttransfer : ps2_event_type_s1_reg_firsttransfer;

  //ps2_event_type_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign ps2_event_type_s1_unreg_firsttransfer = ~(ps2_event_type_s1_slavearbiterlockenable & ps2_event_type_s1_any_continuerequest);

  //ps2_event_type_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          ps2_event_type_s1_reg_firsttransfer <= 1'b1;
      else if (ps2_event_type_s1_begins_xfer)
          ps2_event_type_s1_reg_firsttransfer <= ps2_event_type_s1_unreg_firsttransfer;
    end


  //ps2_event_type_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign ps2_event_type_s1_beginbursttransfer_internal = ps2_event_type_s1_begins_xfer;

  assign shifted_address_to_ps2_event_type_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //ps2_event_type_s1_address mux, which is an e_mux
  assign ps2_event_type_s1_address = shifted_address_to_ps2_event_type_s1_from_cpu_data_master >> 2;

  //d1_ps2_event_type_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_ps2_event_type_s1_end_xfer <= 1;
      else 
        d1_ps2_event_type_s1_end_xfer <= ps2_event_type_s1_end_xfer;
    end


  //ps2_event_type_s1_waits_for_read in a cycle, which is an e_mux
  assign ps2_event_type_s1_waits_for_read = ps2_event_type_s1_in_a_read_cycle & ps2_event_type_s1_begins_xfer;

  //ps2_event_type_s1_in_a_read_cycle assignment, which is an e_assign
  assign ps2_event_type_s1_in_a_read_cycle = cpu_data_master_granted_ps2_event_type_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = ps2_event_type_s1_in_a_read_cycle;

  //ps2_event_type_s1_waits_for_write in a cycle, which is an e_mux
  assign ps2_event_type_s1_waits_for_write = ps2_event_type_s1_in_a_write_cycle & 0;

  //ps2_event_type_s1_in_a_write_cycle assignment, which is an e_assign
  assign ps2_event_type_s1_in_a_write_cycle = cpu_data_master_granted_ps2_event_type_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = ps2_event_type_s1_in_a_write_cycle;

  assign wait_for_ps2_event_type_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //ps2_event_type/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module rdv_fifo_for_cpu_data_master_to_sdram_s1_module (
                                                         // inputs:
                                                          clear_fifo,
                                                          clk,
                                                          data_in,
                                                          read,
                                                          reset_n,
                                                          sync_reset,
                                                          write,

                                                         // outputs:
                                                          data_out,
                                                          empty,
                                                          fifo_contains_ones_n,
                                                          full
                                                       )
;

  output           data_out;
  output           empty;
  output           fifo_contains_ones_n;
  output           full;
  input            clear_fifo;
  input            clk;
  input            data_in;
  input            read;
  input            reset_n;
  input            sync_reset;
  input            write;

  wire             data_out;
  wire             empty;
  reg              fifo_contains_ones_n;
  wire             full;
  reg              full_0;
  reg              full_1;
  reg              full_2;
  reg              full_3;
  reg              full_4;
  reg              full_5;
  reg              full_6;
  wire             full_7;
  reg     [  3: 0] how_many_ones;
  wire    [  3: 0] one_count_minus_one;
  wire    [  3: 0] one_count_plus_one;
  wire             p0_full_0;
  wire             p0_stage_0;
  wire             p1_full_1;
  wire             p1_stage_1;
  wire             p2_full_2;
  wire             p2_stage_2;
  wire             p3_full_3;
  wire             p3_stage_3;
  wire             p4_full_4;
  wire             p4_stage_4;
  wire             p5_full_5;
  wire             p5_stage_5;
  wire             p6_full_6;
  wire             p6_stage_6;
  reg              stage_0;
  reg              stage_1;
  reg              stage_2;
  reg              stage_3;
  reg              stage_4;
  reg              stage_5;
  reg              stage_6;
  wire    [  3: 0] updated_one_count;
  assign data_out = stage_0;
  assign full = full_6;
  assign empty = !full_0;
  assign full_7 = 0;
  //data_6, which is an e_mux
  assign p6_stage_6 = ((full_7 & ~clear_fifo) == 0)? data_in :
    data_in;

  //data_reg_6, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_6 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_6))
          if (sync_reset & full_6 & !((full_7 == 0) & read & write))
              stage_6 <= 0;
          else 
            stage_6 <= p6_stage_6;
    end


  //control_6, which is an e_mux
  assign p6_full_6 = ((read & !write) == 0)? full_5 :
    0;

  //control_reg_6, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_6 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_6 <= 0;
          else 
            full_6 <= p6_full_6;
    end


  //data_5, which is an e_mux
  assign p5_stage_5 = ((full_6 & ~clear_fifo) == 0)? data_in :
    stage_6;

  //data_reg_5, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_5 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_5))
          if (sync_reset & full_5 & !((full_6 == 0) & read & write))
              stage_5 <= 0;
          else 
            stage_5 <= p5_stage_5;
    end


  //control_5, which is an e_mux
  assign p5_full_5 = ((read & !write) == 0)? full_4 :
    full_6;

  //control_reg_5, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_5 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_5 <= 0;
          else 
            full_5 <= p5_full_5;
    end


  //data_4, which is an e_mux
  assign p4_stage_4 = ((full_5 & ~clear_fifo) == 0)? data_in :
    stage_5;

  //data_reg_4, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_4 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_4))
          if (sync_reset & full_4 & !((full_5 == 0) & read & write))
              stage_4 <= 0;
          else 
            stage_4 <= p4_stage_4;
    end


  //control_4, which is an e_mux
  assign p4_full_4 = ((read & !write) == 0)? full_3 :
    full_5;

  //control_reg_4, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_4 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_4 <= 0;
          else 
            full_4 <= p4_full_4;
    end


  //data_3, which is an e_mux
  assign p3_stage_3 = ((full_4 & ~clear_fifo) == 0)? data_in :
    stage_4;

  //data_reg_3, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_3 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_3))
          if (sync_reset & full_3 & !((full_4 == 0) & read & write))
              stage_3 <= 0;
          else 
            stage_3 <= p3_stage_3;
    end


  //control_3, which is an e_mux
  assign p3_full_3 = ((read & !write) == 0)? full_2 :
    full_4;

  //control_reg_3, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_3 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_3 <= 0;
          else 
            full_3 <= p3_full_3;
    end


  //data_2, which is an e_mux
  assign p2_stage_2 = ((full_3 & ~clear_fifo) == 0)? data_in :
    stage_3;

  //data_reg_2, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_2 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_2))
          if (sync_reset & full_2 & !((full_3 == 0) & read & write))
              stage_2 <= 0;
          else 
            stage_2 <= p2_stage_2;
    end


  //control_2, which is an e_mux
  assign p2_full_2 = ((read & !write) == 0)? full_1 :
    full_3;

  //control_reg_2, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_2 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_2 <= 0;
          else 
            full_2 <= p2_full_2;
    end


  //data_1, which is an e_mux
  assign p1_stage_1 = ((full_2 & ~clear_fifo) == 0)? data_in :
    stage_2;

  //data_reg_1, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_1 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_1))
          if (sync_reset & full_1 & !((full_2 == 0) & read & write))
              stage_1 <= 0;
          else 
            stage_1 <= p1_stage_1;
    end


  //control_1, which is an e_mux
  assign p1_full_1 = ((read & !write) == 0)? full_0 :
    full_2;

  //control_reg_1, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_1 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_1 <= 0;
          else 
            full_1 <= p1_full_1;
    end


  //data_0, which is an e_mux
  assign p0_stage_0 = ((full_1 & ~clear_fifo) == 0)? data_in :
    stage_1;

  //data_reg_0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_0 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_0))
          if (sync_reset & full_0 & !((full_1 == 0) & read & write))
              stage_0 <= 0;
          else 
            stage_0 <= p0_stage_0;
    end


  //control_0, which is an e_mux
  assign p0_full_0 = ((read & !write) == 0)? 1 :
    full_1;

  //control_reg_0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_0 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo & ~write)
              full_0 <= 0;
          else 
            full_0 <= p0_full_0;
    end


  assign one_count_plus_one = how_many_ones + 1;
  assign one_count_minus_one = how_many_ones - 1;
  //updated_one_count, which is an e_mux
  assign updated_one_count = ((((clear_fifo | sync_reset) & !write)))? 0 :
    ((((clear_fifo | sync_reset) & write)))? |data_in :
    ((read & (|data_in) & write & (|stage_0)))? how_many_ones :
    ((write & (|data_in)))? one_count_plus_one :
    ((read & (|stage_0)))? one_count_minus_one :
    how_many_ones;

  //counts how many ones in the data pipeline, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          how_many_ones <= 0;
      else if (clear_fifo | sync_reset | read | write)
          how_many_ones <= updated_one_count;
    end


  //this fifo contains ones in the data pipeline, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          fifo_contains_ones_n <= 1;
      else if (clear_fifo | sync_reset | read | write)
          fifo_contains_ones_n <= ~(|updated_one_count);
    end



endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module rdv_fifo_for_cpu_instruction_master_to_sdram_s1_module (
                                                                // inputs:
                                                                 clear_fifo,
                                                                 clk,
                                                                 data_in,
                                                                 read,
                                                                 reset_n,
                                                                 sync_reset,
                                                                 write,

                                                                // outputs:
                                                                 data_out,
                                                                 empty,
                                                                 fifo_contains_ones_n,
                                                                 full
                                                              )
;

  output           data_out;
  output           empty;
  output           fifo_contains_ones_n;
  output           full;
  input            clear_fifo;
  input            clk;
  input            data_in;
  input            read;
  input            reset_n;
  input            sync_reset;
  input            write;

  wire             data_out;
  wire             empty;
  reg              fifo_contains_ones_n;
  wire             full;
  reg              full_0;
  reg              full_1;
  reg              full_2;
  reg              full_3;
  reg              full_4;
  reg              full_5;
  reg              full_6;
  wire             full_7;
  reg     [  3: 0] how_many_ones;
  wire    [  3: 0] one_count_minus_one;
  wire    [  3: 0] one_count_plus_one;
  wire             p0_full_0;
  wire             p0_stage_0;
  wire             p1_full_1;
  wire             p1_stage_1;
  wire             p2_full_2;
  wire             p2_stage_2;
  wire             p3_full_3;
  wire             p3_stage_3;
  wire             p4_full_4;
  wire             p4_stage_4;
  wire             p5_full_5;
  wire             p5_stage_5;
  wire             p6_full_6;
  wire             p6_stage_6;
  reg              stage_0;
  reg              stage_1;
  reg              stage_2;
  reg              stage_3;
  reg              stage_4;
  reg              stage_5;
  reg              stage_6;
  wire    [  3: 0] updated_one_count;
  assign data_out = stage_0;
  assign full = full_6;
  assign empty = !full_0;
  assign full_7 = 0;
  //data_6, which is an e_mux
  assign p6_stage_6 = ((full_7 & ~clear_fifo) == 0)? data_in :
    data_in;

  //data_reg_6, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_6 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_6))
          if (sync_reset & full_6 & !((full_7 == 0) & read & write))
              stage_6 <= 0;
          else 
            stage_6 <= p6_stage_6;
    end


  //control_6, which is an e_mux
  assign p6_full_6 = ((read & !write) == 0)? full_5 :
    0;

  //control_reg_6, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_6 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_6 <= 0;
          else 
            full_6 <= p6_full_6;
    end


  //data_5, which is an e_mux
  assign p5_stage_5 = ((full_6 & ~clear_fifo) == 0)? data_in :
    stage_6;

  //data_reg_5, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_5 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_5))
          if (sync_reset & full_5 & !((full_6 == 0) & read & write))
              stage_5 <= 0;
          else 
            stage_5 <= p5_stage_5;
    end


  //control_5, which is an e_mux
  assign p5_full_5 = ((read & !write) == 0)? full_4 :
    full_6;

  //control_reg_5, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_5 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_5 <= 0;
          else 
            full_5 <= p5_full_5;
    end


  //data_4, which is an e_mux
  assign p4_stage_4 = ((full_5 & ~clear_fifo) == 0)? data_in :
    stage_5;

  //data_reg_4, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_4 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_4))
          if (sync_reset & full_4 & !((full_5 == 0) & read & write))
              stage_4 <= 0;
          else 
            stage_4 <= p4_stage_4;
    end


  //control_4, which is an e_mux
  assign p4_full_4 = ((read & !write) == 0)? full_3 :
    full_5;

  //control_reg_4, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_4 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_4 <= 0;
          else 
            full_4 <= p4_full_4;
    end


  //data_3, which is an e_mux
  assign p3_stage_3 = ((full_4 & ~clear_fifo) == 0)? data_in :
    stage_4;

  //data_reg_3, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_3 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_3))
          if (sync_reset & full_3 & !((full_4 == 0) & read & write))
              stage_3 <= 0;
          else 
            stage_3 <= p3_stage_3;
    end


  //control_3, which is an e_mux
  assign p3_full_3 = ((read & !write) == 0)? full_2 :
    full_4;

  //control_reg_3, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_3 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_3 <= 0;
          else 
            full_3 <= p3_full_3;
    end


  //data_2, which is an e_mux
  assign p2_stage_2 = ((full_3 & ~clear_fifo) == 0)? data_in :
    stage_3;

  //data_reg_2, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_2 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_2))
          if (sync_reset & full_2 & !((full_3 == 0) & read & write))
              stage_2 <= 0;
          else 
            stage_2 <= p2_stage_2;
    end


  //control_2, which is an e_mux
  assign p2_full_2 = ((read & !write) == 0)? full_1 :
    full_3;

  //control_reg_2, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_2 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_2 <= 0;
          else 
            full_2 <= p2_full_2;
    end


  //data_1, which is an e_mux
  assign p1_stage_1 = ((full_2 & ~clear_fifo) == 0)? data_in :
    stage_2;

  //data_reg_1, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_1 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_1))
          if (sync_reset & full_1 & !((full_2 == 0) & read & write))
              stage_1 <= 0;
          else 
            stage_1 <= p1_stage_1;
    end


  //control_1, which is an e_mux
  assign p1_full_1 = ((read & !write) == 0)? full_0 :
    full_2;

  //control_reg_1, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_1 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo)
              full_1 <= 0;
          else 
            full_1 <= p1_full_1;
    end


  //data_0, which is an e_mux
  assign p0_stage_0 = ((full_1 & ~clear_fifo) == 0)? data_in :
    stage_1;

  //data_reg_0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          stage_0 <= 0;
      else if (clear_fifo | sync_reset | read | (write & !full_0))
          if (sync_reset & full_0 & !((full_1 == 0) & read & write))
              stage_0 <= 0;
          else 
            stage_0 <= p0_stage_0;
    end


  //control_0, which is an e_mux
  assign p0_full_0 = ((read & !write) == 0)? 1 :
    full_1;

  //control_reg_0, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          full_0 <= 0;
      else if (clear_fifo | (read ^ write) | (write & !full_0))
          if (clear_fifo & ~write)
              full_0 <= 0;
          else 
            full_0 <= p0_full_0;
    end


  assign one_count_plus_one = how_many_ones + 1;
  assign one_count_minus_one = how_many_ones - 1;
  //updated_one_count, which is an e_mux
  assign updated_one_count = ((((clear_fifo | sync_reset) & !write)))? 0 :
    ((((clear_fifo | sync_reset) & write)))? |data_in :
    ((read & (|data_in) & write & (|stage_0)))? how_many_ones :
    ((write & (|data_in)))? one_count_plus_one :
    ((read & (|stage_0)))? one_count_minus_one :
    how_many_ones;

  //counts how many ones in the data pipeline, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          how_many_ones <= 0;
      else if (clear_fifo | sync_reset | read | write)
          how_many_ones <= updated_one_count;
    end


  //this fifo contains ones in the data pipeline, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          fifo_contains_ones_n <= 1;
      else if (clear_fifo | sync_reset | read | write)
          fifo_contains_ones_n <= ~(|updated_one_count);
    end



endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module sdram_s1_arbitrator (
                             // inputs:
                              clk,
                              cpu_data_master_address_to_slave,
                              cpu_data_master_byteenable,
                              cpu_data_master_dbs_address,
                              cpu_data_master_dbs_write_16,
                              cpu_data_master_no_byte_enables_and_last_term,
                              cpu_data_master_read,
                              cpu_data_master_waitrequest,
                              cpu_data_master_write,
                              cpu_instruction_master_address_to_slave,
                              cpu_instruction_master_dbs_address,
                              cpu_instruction_master_latency_counter,
                              cpu_instruction_master_read,
                              reset_n,
                              sdram_s1_readdata,
                              sdram_s1_readdatavalid,
                              sdram_s1_waitrequest,

                             // outputs:
                              cpu_data_master_byteenable_sdram_s1,
                              cpu_data_master_granted_sdram_s1,
                              cpu_data_master_qualified_request_sdram_s1,
                              cpu_data_master_read_data_valid_sdram_s1,
                              cpu_data_master_read_data_valid_sdram_s1_shift_register,
                              cpu_data_master_requests_sdram_s1,
                              cpu_instruction_master_granted_sdram_s1,
                              cpu_instruction_master_qualified_request_sdram_s1,
                              cpu_instruction_master_read_data_valid_sdram_s1,
                              cpu_instruction_master_read_data_valid_sdram_s1_shift_register,
                              cpu_instruction_master_requests_sdram_s1,
                              d1_sdram_s1_end_xfer,
                              sdram_s1_address,
                              sdram_s1_byteenable_n,
                              sdram_s1_chipselect,
                              sdram_s1_read_n,
                              sdram_s1_readdata_from_sa,
                              sdram_s1_reset_n,
                              sdram_s1_waitrequest_from_sa,
                              sdram_s1_write_n,
                              sdram_s1_writedata
                           )
;

  output  [  1: 0] cpu_data_master_byteenable_sdram_s1;
  output           cpu_data_master_granted_sdram_s1;
  output           cpu_data_master_qualified_request_sdram_s1;
  output           cpu_data_master_read_data_valid_sdram_s1;
  output           cpu_data_master_read_data_valid_sdram_s1_shift_register;
  output           cpu_data_master_requests_sdram_s1;
  output           cpu_instruction_master_granted_sdram_s1;
  output           cpu_instruction_master_qualified_request_sdram_s1;
  output           cpu_instruction_master_read_data_valid_sdram_s1;
  output           cpu_instruction_master_read_data_valid_sdram_s1_shift_register;
  output           cpu_instruction_master_requests_sdram_s1;
  output           d1_sdram_s1_end_xfer;
  output  [ 21: 0] sdram_s1_address;
  output  [  1: 0] sdram_s1_byteenable_n;
  output           sdram_s1_chipselect;
  output           sdram_s1_read_n;
  output  [ 15: 0] sdram_s1_readdata_from_sa;
  output           sdram_s1_reset_n;
  output           sdram_s1_waitrequest_from_sa;
  output           sdram_s1_write_n;
  output  [ 15: 0] sdram_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input   [  3: 0] cpu_data_master_byteenable;
  input   [  1: 0] cpu_data_master_dbs_address;
  input   [ 15: 0] cpu_data_master_dbs_write_16;
  input            cpu_data_master_no_byte_enables_and_last_term;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 25: 0] cpu_instruction_master_address_to_slave;
  input   [  1: 0] cpu_instruction_master_dbs_address;
  input            cpu_instruction_master_latency_counter;
  input            cpu_instruction_master_read;
  input            reset_n;
  input   [ 15: 0] sdram_s1_readdata;
  input            sdram_s1_readdatavalid;
  input            sdram_s1_waitrequest;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire    [  1: 0] cpu_data_master_byteenable_sdram_s1;
  wire    [  1: 0] cpu_data_master_byteenable_sdram_s1_segment_0;
  wire    [  1: 0] cpu_data_master_byteenable_sdram_s1_segment_1;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_sdram_s1;
  wire             cpu_data_master_qualified_request_sdram_s1;
  wire             cpu_data_master_rdv_fifo_empty_sdram_s1;
  wire             cpu_data_master_rdv_fifo_output_from_sdram_s1;
  wire             cpu_data_master_read_data_valid_sdram_s1;
  wire             cpu_data_master_read_data_valid_sdram_s1_shift_register;
  wire             cpu_data_master_requests_sdram_s1;
  wire             cpu_data_master_saved_grant_sdram_s1;
  wire             cpu_instruction_master_arbiterlock;
  wire             cpu_instruction_master_arbiterlock2;
  wire             cpu_instruction_master_continuerequest;
  wire             cpu_instruction_master_granted_sdram_s1;
  wire             cpu_instruction_master_qualified_request_sdram_s1;
  wire             cpu_instruction_master_rdv_fifo_empty_sdram_s1;
  wire             cpu_instruction_master_rdv_fifo_output_from_sdram_s1;
  wire             cpu_instruction_master_read_data_valid_sdram_s1;
  wire             cpu_instruction_master_read_data_valid_sdram_s1_shift_register;
  wire             cpu_instruction_master_requests_sdram_s1;
  wire             cpu_instruction_master_saved_grant_sdram_s1;
  reg              d1_reasons_to_wait;
  reg              d1_sdram_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_sdram_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  reg              last_cycle_cpu_data_master_granted_slave_sdram_s1;
  reg              last_cycle_cpu_instruction_master_granted_slave_sdram_s1;
  wire    [ 21: 0] sdram_s1_address;
  wire             sdram_s1_allgrants;
  wire             sdram_s1_allow_new_arb_cycle;
  wire             sdram_s1_any_bursting_master_saved_grant;
  wire             sdram_s1_any_continuerequest;
  reg     [  1: 0] sdram_s1_arb_addend;
  wire             sdram_s1_arb_counter_enable;
  reg     [  1: 0] sdram_s1_arb_share_counter;
  wire    [  1: 0] sdram_s1_arb_share_counter_next_value;
  wire    [  1: 0] sdram_s1_arb_share_set_values;
  wire    [  1: 0] sdram_s1_arb_winner;
  wire             sdram_s1_arbitration_holdoff_internal;
  wire             sdram_s1_beginbursttransfer_internal;
  wire             sdram_s1_begins_xfer;
  wire    [  1: 0] sdram_s1_byteenable_n;
  wire             sdram_s1_chipselect;
  wire    [  3: 0] sdram_s1_chosen_master_double_vector;
  wire    [  1: 0] sdram_s1_chosen_master_rot_left;
  wire             sdram_s1_end_xfer;
  wire             sdram_s1_firsttransfer;
  wire    [  1: 0] sdram_s1_grant_vector;
  wire             sdram_s1_in_a_read_cycle;
  wire             sdram_s1_in_a_write_cycle;
  wire    [  1: 0] sdram_s1_master_qreq_vector;
  wire             sdram_s1_move_on_to_next_transaction;
  wire             sdram_s1_non_bursting_master_requests;
  wire             sdram_s1_read_n;
  wire    [ 15: 0] sdram_s1_readdata_from_sa;
  wire             sdram_s1_readdatavalid_from_sa;
  reg              sdram_s1_reg_firsttransfer;
  wire             sdram_s1_reset_n;
  reg     [  1: 0] sdram_s1_saved_chosen_master_vector;
  reg              sdram_s1_slavearbiterlockenable;
  wire             sdram_s1_slavearbiterlockenable2;
  wire             sdram_s1_unreg_firsttransfer;
  wire             sdram_s1_waitrequest_from_sa;
  wire             sdram_s1_waits_for_read;
  wire             sdram_s1_waits_for_write;
  wire             sdram_s1_write_n;
  wire    [ 15: 0] sdram_s1_writedata;
  wire    [ 25: 0] shifted_address_to_sdram_s1_from_cpu_data_master;
  wire    [ 25: 0] shifted_address_to_sdram_s1_from_cpu_instruction_master;
  wire             wait_for_sdram_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~sdram_s1_end_xfer;
    end


  assign sdram_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_sdram_s1 | cpu_instruction_master_qualified_request_sdram_s1));
  //assign sdram_s1_readdatavalid_from_sa = sdram_s1_readdatavalid so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sdram_s1_readdatavalid_from_sa = sdram_s1_readdatavalid;

  //assign sdram_s1_readdata_from_sa = sdram_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sdram_s1_readdata_from_sa = sdram_s1_readdata;

  assign cpu_data_master_requests_sdram_s1 = ({cpu_data_master_address_to_slave[25 : 23] , 23'b0} == 26'h2000000) & (cpu_data_master_read | cpu_data_master_write);
  //assign sdram_s1_waitrequest_from_sa = sdram_s1_waitrequest so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sdram_s1_waitrequest_from_sa = sdram_s1_waitrequest;

  //sdram_s1_arb_share_counter set values, which is an e_mux
  assign sdram_s1_arb_share_set_values = (cpu_data_master_granted_sdram_s1)? 2 :
    (cpu_instruction_master_granted_sdram_s1)? 2 :
    (cpu_data_master_granted_sdram_s1)? 2 :
    (cpu_instruction_master_granted_sdram_s1)? 2 :
    1;

  //sdram_s1_non_bursting_master_requests mux, which is an e_mux
  assign sdram_s1_non_bursting_master_requests = cpu_data_master_requests_sdram_s1 |
    cpu_instruction_master_requests_sdram_s1 |
    cpu_data_master_requests_sdram_s1 |
    cpu_instruction_master_requests_sdram_s1;

  //sdram_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign sdram_s1_any_bursting_master_saved_grant = 0;

  //sdram_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign sdram_s1_arb_share_counter_next_value = sdram_s1_firsttransfer ? (sdram_s1_arb_share_set_values - 1) : |sdram_s1_arb_share_counter ? (sdram_s1_arb_share_counter - 1) : 0;

  //sdram_s1_allgrants all slave grants, which is an e_mux
  assign sdram_s1_allgrants = (|sdram_s1_grant_vector) |
    (|sdram_s1_grant_vector) |
    (|sdram_s1_grant_vector) |
    (|sdram_s1_grant_vector);

  //sdram_s1_end_xfer assignment, which is an e_assign
  assign sdram_s1_end_xfer = ~(sdram_s1_waits_for_read | sdram_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_sdram_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_sdram_s1 = sdram_s1_end_xfer & (~sdram_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //sdram_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign sdram_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_sdram_s1 & sdram_s1_allgrants) | (end_xfer_arb_share_counter_term_sdram_s1 & ~sdram_s1_non_bursting_master_requests);

  //sdram_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sdram_s1_arb_share_counter <= 0;
      else if (sdram_s1_arb_counter_enable)
          sdram_s1_arb_share_counter <= sdram_s1_arb_share_counter_next_value;
    end


  //sdram_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sdram_s1_slavearbiterlockenable <= 0;
      else if ((|sdram_s1_master_qreq_vector & end_xfer_arb_share_counter_term_sdram_s1) | (end_xfer_arb_share_counter_term_sdram_s1 & ~sdram_s1_non_bursting_master_requests))
          sdram_s1_slavearbiterlockenable <= |sdram_s1_arb_share_counter_next_value;
    end


  //cpu/data_master sdram/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = sdram_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //sdram_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign sdram_s1_slavearbiterlockenable2 = |sdram_s1_arb_share_counter_next_value;

  //cpu/data_master sdram/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = sdram_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //cpu/instruction_master sdram/s1 arbiterlock, which is an e_assign
  assign cpu_instruction_master_arbiterlock = sdram_s1_slavearbiterlockenable & cpu_instruction_master_continuerequest;

  //cpu/instruction_master sdram/s1 arbiterlock2, which is an e_assign
  assign cpu_instruction_master_arbiterlock2 = sdram_s1_slavearbiterlockenable2 & cpu_instruction_master_continuerequest;

  //cpu/instruction_master granted sdram/s1 last time, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          last_cycle_cpu_instruction_master_granted_slave_sdram_s1 <= 0;
      else 
        last_cycle_cpu_instruction_master_granted_slave_sdram_s1 <= cpu_instruction_master_saved_grant_sdram_s1 ? 1 : (sdram_s1_arbitration_holdoff_internal | ~cpu_instruction_master_requests_sdram_s1) ? 0 : last_cycle_cpu_instruction_master_granted_slave_sdram_s1;
    end


  //cpu_instruction_master_continuerequest continued request, which is an e_mux
  assign cpu_instruction_master_continuerequest = last_cycle_cpu_instruction_master_granted_slave_sdram_s1 & cpu_instruction_master_requests_sdram_s1;

  //sdram_s1_any_continuerequest at least one master continues requesting, which is an e_mux
  assign sdram_s1_any_continuerequest = cpu_instruction_master_continuerequest |
    cpu_data_master_continuerequest;

  assign cpu_data_master_qualified_request_sdram_s1 = cpu_data_master_requests_sdram_s1 & ~((cpu_data_master_read & (~cpu_data_master_waitrequest | (|cpu_data_master_read_data_valid_sdram_s1_shift_register))) | ((~cpu_data_master_waitrequest | cpu_data_master_no_byte_enables_and_last_term | !cpu_data_master_byteenable_sdram_s1) & cpu_data_master_write) | cpu_instruction_master_arbiterlock);
  //unique name for sdram_s1_move_on_to_next_transaction, which is an e_assign
  assign sdram_s1_move_on_to_next_transaction = sdram_s1_readdatavalid_from_sa;

  //rdv_fifo_for_cpu_data_master_to_sdram_s1, which is an e_fifo_with_registered_outputs
  rdv_fifo_for_cpu_data_master_to_sdram_s1_module rdv_fifo_for_cpu_data_master_to_sdram_s1
    (
      .clear_fifo           (1'b0),
      .clk                  (clk),
      .data_in              (cpu_data_master_granted_sdram_s1),
      .data_out             (cpu_data_master_rdv_fifo_output_from_sdram_s1),
      .empty                (),
      .fifo_contains_ones_n (cpu_data_master_rdv_fifo_empty_sdram_s1),
      .full                 (),
      .read                 (sdram_s1_move_on_to_next_transaction),
      .reset_n              (reset_n),
      .sync_reset           (1'b0),
      .write                (in_a_read_cycle & ~sdram_s1_waits_for_read)
    );

  assign cpu_data_master_read_data_valid_sdram_s1_shift_register = ~cpu_data_master_rdv_fifo_empty_sdram_s1;
  //local readdatavalid cpu_data_master_read_data_valid_sdram_s1, which is an e_mux
  assign cpu_data_master_read_data_valid_sdram_s1 = (sdram_s1_readdatavalid_from_sa & cpu_data_master_rdv_fifo_output_from_sdram_s1) & ~ cpu_data_master_rdv_fifo_empty_sdram_s1;

  //sdram_s1_writedata mux, which is an e_mux
  assign sdram_s1_writedata = cpu_data_master_dbs_write_16;

  assign cpu_instruction_master_requests_sdram_s1 = (({cpu_instruction_master_address_to_slave[25 : 23] , 23'b0} == 26'h2000000) & (cpu_instruction_master_read)) & cpu_instruction_master_read;
  //cpu/data_master granted sdram/s1 last time, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          last_cycle_cpu_data_master_granted_slave_sdram_s1 <= 0;
      else 
        last_cycle_cpu_data_master_granted_slave_sdram_s1 <= cpu_data_master_saved_grant_sdram_s1 ? 1 : (sdram_s1_arbitration_holdoff_internal | ~cpu_data_master_requests_sdram_s1) ? 0 : last_cycle_cpu_data_master_granted_slave_sdram_s1;
    end


  //cpu_data_master_continuerequest continued request, which is an e_mux
  assign cpu_data_master_continuerequest = last_cycle_cpu_data_master_granted_slave_sdram_s1 & cpu_data_master_requests_sdram_s1;

  assign cpu_instruction_master_qualified_request_sdram_s1 = cpu_instruction_master_requests_sdram_s1 & ~((cpu_instruction_master_read & ((cpu_instruction_master_latency_counter != 0) | (1 < cpu_instruction_master_latency_counter))) | cpu_data_master_arbiterlock);
  //rdv_fifo_for_cpu_instruction_master_to_sdram_s1, which is an e_fifo_with_registered_outputs
  rdv_fifo_for_cpu_instruction_master_to_sdram_s1_module rdv_fifo_for_cpu_instruction_master_to_sdram_s1
    (
      .clear_fifo           (1'b0),
      .clk                  (clk),
      .data_in              (cpu_instruction_master_granted_sdram_s1),
      .data_out             (cpu_instruction_master_rdv_fifo_output_from_sdram_s1),
      .empty                (),
      .fifo_contains_ones_n (cpu_instruction_master_rdv_fifo_empty_sdram_s1),
      .full                 (),
      .read                 (sdram_s1_move_on_to_next_transaction),
      .reset_n              (reset_n),
      .sync_reset           (1'b0),
      .write                (in_a_read_cycle & ~sdram_s1_waits_for_read)
    );

  assign cpu_instruction_master_read_data_valid_sdram_s1_shift_register = ~cpu_instruction_master_rdv_fifo_empty_sdram_s1;
  //local readdatavalid cpu_instruction_master_read_data_valid_sdram_s1, which is an e_mux
  assign cpu_instruction_master_read_data_valid_sdram_s1 = (sdram_s1_readdatavalid_from_sa & cpu_instruction_master_rdv_fifo_output_from_sdram_s1) & ~ cpu_instruction_master_rdv_fifo_empty_sdram_s1;

  //allow new arb cycle for sdram/s1, which is an e_assign
  assign sdram_s1_allow_new_arb_cycle = ~cpu_data_master_arbiterlock & ~cpu_instruction_master_arbiterlock;

  //cpu/instruction_master assignment into master qualified-requests vector for sdram/s1, which is an e_assign
  assign sdram_s1_master_qreq_vector[0] = cpu_instruction_master_qualified_request_sdram_s1;

  //cpu/instruction_master grant sdram/s1, which is an e_assign
  assign cpu_instruction_master_granted_sdram_s1 = sdram_s1_grant_vector[0];

  //cpu/instruction_master saved-grant sdram/s1, which is an e_assign
  assign cpu_instruction_master_saved_grant_sdram_s1 = sdram_s1_arb_winner[0] && cpu_instruction_master_requests_sdram_s1;

  //cpu/data_master assignment into master qualified-requests vector for sdram/s1, which is an e_assign
  assign sdram_s1_master_qreq_vector[1] = cpu_data_master_qualified_request_sdram_s1;

  //cpu/data_master grant sdram/s1, which is an e_assign
  assign cpu_data_master_granted_sdram_s1 = sdram_s1_grant_vector[1];

  //cpu/data_master saved-grant sdram/s1, which is an e_assign
  assign cpu_data_master_saved_grant_sdram_s1 = sdram_s1_arb_winner[1] && cpu_data_master_requests_sdram_s1;

  //sdram/s1 chosen-master double-vector, which is an e_assign
  assign sdram_s1_chosen_master_double_vector = {sdram_s1_master_qreq_vector, sdram_s1_master_qreq_vector} & ({~sdram_s1_master_qreq_vector, ~sdram_s1_master_qreq_vector} + sdram_s1_arb_addend);

  //stable onehot encoding of arb winner
  assign sdram_s1_arb_winner = (sdram_s1_allow_new_arb_cycle & | sdram_s1_grant_vector) ? sdram_s1_grant_vector : sdram_s1_saved_chosen_master_vector;

  //saved sdram_s1_grant_vector, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sdram_s1_saved_chosen_master_vector <= 0;
      else if (sdram_s1_allow_new_arb_cycle)
          sdram_s1_saved_chosen_master_vector <= |sdram_s1_grant_vector ? sdram_s1_grant_vector : sdram_s1_saved_chosen_master_vector;
    end


  //onehot encoding of chosen master
  assign sdram_s1_grant_vector = {(sdram_s1_chosen_master_double_vector[1] | sdram_s1_chosen_master_double_vector[3]),
    (sdram_s1_chosen_master_double_vector[0] | sdram_s1_chosen_master_double_vector[2])};

  //sdram/s1 chosen master rotated left, which is an e_assign
  assign sdram_s1_chosen_master_rot_left = (sdram_s1_arb_winner << 1) ? (sdram_s1_arb_winner << 1) : 1;

  //sdram/s1's addend for next-master-grant
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sdram_s1_arb_addend <= 1;
      else if (|sdram_s1_grant_vector)
          sdram_s1_arb_addend <= sdram_s1_end_xfer? sdram_s1_chosen_master_rot_left : sdram_s1_grant_vector;
    end


  //sdram_s1_reset_n assignment, which is an e_assign
  assign sdram_s1_reset_n = reset_n;

  assign sdram_s1_chipselect = cpu_data_master_granted_sdram_s1 | cpu_instruction_master_granted_sdram_s1;
  //sdram_s1_firsttransfer first transaction, which is an e_assign
  assign sdram_s1_firsttransfer = sdram_s1_begins_xfer ? sdram_s1_unreg_firsttransfer : sdram_s1_reg_firsttransfer;

  //sdram_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign sdram_s1_unreg_firsttransfer = ~(sdram_s1_slavearbiterlockenable & sdram_s1_any_continuerequest);

  //sdram_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sdram_s1_reg_firsttransfer <= 1'b1;
      else if (sdram_s1_begins_xfer)
          sdram_s1_reg_firsttransfer <= sdram_s1_unreg_firsttransfer;
    end


  //sdram_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign sdram_s1_beginbursttransfer_internal = sdram_s1_begins_xfer;

  //sdram_s1_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  assign sdram_s1_arbitration_holdoff_internal = sdram_s1_begins_xfer & sdram_s1_firsttransfer;

  //~sdram_s1_read_n assignment, which is an e_mux
  assign sdram_s1_read_n = ~((cpu_data_master_granted_sdram_s1 & cpu_data_master_read) | (cpu_instruction_master_granted_sdram_s1 & cpu_instruction_master_read));

  //~sdram_s1_write_n assignment, which is an e_mux
  assign sdram_s1_write_n = ~(cpu_data_master_granted_sdram_s1 & cpu_data_master_write);

  assign shifted_address_to_sdram_s1_from_cpu_data_master = {cpu_data_master_address_to_slave >> 2,
    cpu_data_master_dbs_address[1],
    {1 {1'b0}}};

  //sdram_s1_address mux, which is an e_mux
  assign sdram_s1_address = (cpu_data_master_granted_sdram_s1)? (shifted_address_to_sdram_s1_from_cpu_data_master >> 1) :
    (shifted_address_to_sdram_s1_from_cpu_instruction_master >> 1);

  assign shifted_address_to_sdram_s1_from_cpu_instruction_master = {cpu_instruction_master_address_to_slave >> 2,
    cpu_instruction_master_dbs_address[1],
    {1 {1'b0}}};

  //d1_sdram_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_sdram_s1_end_xfer <= 1;
      else 
        d1_sdram_s1_end_xfer <= sdram_s1_end_xfer;
    end


  //sdram_s1_waits_for_read in a cycle, which is an e_mux
  assign sdram_s1_waits_for_read = sdram_s1_in_a_read_cycle & sdram_s1_waitrequest_from_sa;

  //sdram_s1_in_a_read_cycle assignment, which is an e_assign
  assign sdram_s1_in_a_read_cycle = (cpu_data_master_granted_sdram_s1 & cpu_data_master_read) | (cpu_instruction_master_granted_sdram_s1 & cpu_instruction_master_read);

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = sdram_s1_in_a_read_cycle;

  //sdram_s1_waits_for_write in a cycle, which is an e_mux
  assign sdram_s1_waits_for_write = sdram_s1_in_a_write_cycle & sdram_s1_waitrequest_from_sa;

  //sdram_s1_in_a_write_cycle assignment, which is an e_assign
  assign sdram_s1_in_a_write_cycle = cpu_data_master_granted_sdram_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = sdram_s1_in_a_write_cycle;

  assign wait_for_sdram_s1_counter = 0;
  //~sdram_s1_byteenable_n byte enable port mux, which is an e_mux
  assign sdram_s1_byteenable_n = ~((cpu_data_master_granted_sdram_s1)? cpu_data_master_byteenable_sdram_s1 :
    -1);

  assign {cpu_data_master_byteenable_sdram_s1_segment_1,
cpu_data_master_byteenable_sdram_s1_segment_0} = cpu_data_master_byteenable;
  assign cpu_data_master_byteenable_sdram_s1 = ((cpu_data_master_dbs_address[1] == 0))? cpu_data_master_byteenable_sdram_s1_segment_0 :
    cpu_data_master_byteenable_sdram_s1_segment_1;


//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //sdram/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end


  //grant signals are active simultaneously, which is an e_process
  always @(posedge clk)
    begin
      if (cpu_data_master_granted_sdram_s1 + cpu_instruction_master_granted_sdram_s1 > 1)
        begin
          $write("%0d ns: > 1 of grant signals are active simultaneously", $time);
          $stop;
        end
    end


  //saved_grant signals are active simultaneously, which is an e_process
  always @(posedge clk)
    begin
      if (cpu_data_master_saved_grant_sdram_s1 + cpu_instruction_master_saved_grant_sdram_s1 > 1)
        begin
          $write("%0d ns: > 1 of saved_grant signals are active simultaneously", $time);
          $stop;
        end
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module set_sel0_s1_arbitrator (
                                // inputs:
                                 clk,
                                 cpu_data_master_address_to_slave,
                                 cpu_data_master_read,
                                 cpu_data_master_waitrequest,
                                 cpu_data_master_write,
                                 cpu_data_master_writedata,
                                 reset_n,
                                 set_sel0_s1_readdata,

                                // outputs:
                                 cpu_data_master_granted_set_sel0_s1,
                                 cpu_data_master_qualified_request_set_sel0_s1,
                                 cpu_data_master_read_data_valid_set_sel0_s1,
                                 cpu_data_master_requests_set_sel0_s1,
                                 d1_set_sel0_s1_end_xfer,
                                 set_sel0_s1_address,
                                 set_sel0_s1_chipselect,
                                 set_sel0_s1_readdata_from_sa,
                                 set_sel0_s1_reset_n,
                                 set_sel0_s1_write_n,
                                 set_sel0_s1_writedata
                              )
;

  output           cpu_data_master_granted_set_sel0_s1;
  output           cpu_data_master_qualified_request_set_sel0_s1;
  output           cpu_data_master_read_data_valid_set_sel0_s1;
  output           cpu_data_master_requests_set_sel0_s1;
  output           d1_set_sel0_s1_end_xfer;
  output  [  1: 0] set_sel0_s1_address;
  output           set_sel0_s1_chipselect;
  output  [ 31: 0] set_sel0_s1_readdata_from_sa;
  output           set_sel0_s1_reset_n;
  output           set_sel0_s1_write_n;
  output  [ 31: 0] set_sel0_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] set_sel0_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_set_sel0_s1;
  wire             cpu_data_master_qualified_request_set_sel0_s1;
  wire             cpu_data_master_read_data_valid_set_sel0_s1;
  wire             cpu_data_master_requests_set_sel0_s1;
  wire             cpu_data_master_saved_grant_set_sel0_s1;
  reg              d1_reasons_to_wait;
  reg              d1_set_sel0_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_set_sel0_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] set_sel0_s1_address;
  wire             set_sel0_s1_allgrants;
  wire             set_sel0_s1_allow_new_arb_cycle;
  wire             set_sel0_s1_any_bursting_master_saved_grant;
  wire             set_sel0_s1_any_continuerequest;
  wire             set_sel0_s1_arb_counter_enable;
  reg     [  1: 0] set_sel0_s1_arb_share_counter;
  wire    [  1: 0] set_sel0_s1_arb_share_counter_next_value;
  wire    [  1: 0] set_sel0_s1_arb_share_set_values;
  wire             set_sel0_s1_beginbursttransfer_internal;
  wire             set_sel0_s1_begins_xfer;
  wire             set_sel0_s1_chipselect;
  wire             set_sel0_s1_end_xfer;
  wire             set_sel0_s1_firsttransfer;
  wire             set_sel0_s1_grant_vector;
  wire             set_sel0_s1_in_a_read_cycle;
  wire             set_sel0_s1_in_a_write_cycle;
  wire             set_sel0_s1_master_qreq_vector;
  wire             set_sel0_s1_non_bursting_master_requests;
  wire    [ 31: 0] set_sel0_s1_readdata_from_sa;
  reg              set_sel0_s1_reg_firsttransfer;
  wire             set_sel0_s1_reset_n;
  reg              set_sel0_s1_slavearbiterlockenable;
  wire             set_sel0_s1_slavearbiterlockenable2;
  wire             set_sel0_s1_unreg_firsttransfer;
  wire             set_sel0_s1_waits_for_read;
  wire             set_sel0_s1_waits_for_write;
  wire             set_sel0_s1_write_n;
  wire    [ 31: 0] set_sel0_s1_writedata;
  wire    [ 25: 0] shifted_address_to_set_sel0_s1_from_cpu_data_master;
  wire             wait_for_set_sel0_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~set_sel0_s1_end_xfer;
    end


  assign set_sel0_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_set_sel0_s1));
  //assign set_sel0_s1_readdata_from_sa = set_sel0_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign set_sel0_s1_readdata_from_sa = set_sel0_s1_readdata;

  assign cpu_data_master_requests_set_sel0_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h190) & (cpu_data_master_read | cpu_data_master_write);
  //set_sel0_s1_arb_share_counter set values, which is an e_mux
  assign set_sel0_s1_arb_share_set_values = 1;

  //set_sel0_s1_non_bursting_master_requests mux, which is an e_mux
  assign set_sel0_s1_non_bursting_master_requests = cpu_data_master_requests_set_sel0_s1;

  //set_sel0_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign set_sel0_s1_any_bursting_master_saved_grant = 0;

  //set_sel0_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign set_sel0_s1_arb_share_counter_next_value = set_sel0_s1_firsttransfer ? (set_sel0_s1_arb_share_set_values - 1) : |set_sel0_s1_arb_share_counter ? (set_sel0_s1_arb_share_counter - 1) : 0;

  //set_sel0_s1_allgrants all slave grants, which is an e_mux
  assign set_sel0_s1_allgrants = |set_sel0_s1_grant_vector;

  //set_sel0_s1_end_xfer assignment, which is an e_assign
  assign set_sel0_s1_end_xfer = ~(set_sel0_s1_waits_for_read | set_sel0_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_set_sel0_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_set_sel0_s1 = set_sel0_s1_end_xfer & (~set_sel0_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //set_sel0_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign set_sel0_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_set_sel0_s1 & set_sel0_s1_allgrants) | (end_xfer_arb_share_counter_term_set_sel0_s1 & ~set_sel0_s1_non_bursting_master_requests);

  //set_sel0_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel0_s1_arb_share_counter <= 0;
      else if (set_sel0_s1_arb_counter_enable)
          set_sel0_s1_arb_share_counter <= set_sel0_s1_arb_share_counter_next_value;
    end


  //set_sel0_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel0_s1_slavearbiterlockenable <= 0;
      else if ((|set_sel0_s1_master_qreq_vector & end_xfer_arb_share_counter_term_set_sel0_s1) | (end_xfer_arb_share_counter_term_set_sel0_s1 & ~set_sel0_s1_non_bursting_master_requests))
          set_sel0_s1_slavearbiterlockenable <= |set_sel0_s1_arb_share_counter_next_value;
    end


  //cpu/data_master set_sel0/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = set_sel0_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //set_sel0_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign set_sel0_s1_slavearbiterlockenable2 = |set_sel0_s1_arb_share_counter_next_value;

  //cpu/data_master set_sel0/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = set_sel0_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //set_sel0_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign set_sel0_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_set_sel0_s1 = cpu_data_master_requests_set_sel0_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //set_sel0_s1_writedata mux, which is an e_mux
  assign set_sel0_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_set_sel0_s1 = cpu_data_master_qualified_request_set_sel0_s1;

  //cpu/data_master saved-grant set_sel0/s1, which is an e_assign
  assign cpu_data_master_saved_grant_set_sel0_s1 = cpu_data_master_requests_set_sel0_s1;

  //allow new arb cycle for set_sel0/s1, which is an e_assign
  assign set_sel0_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign set_sel0_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign set_sel0_s1_master_qreq_vector = 1;

  //set_sel0_s1_reset_n assignment, which is an e_assign
  assign set_sel0_s1_reset_n = reset_n;

  assign set_sel0_s1_chipselect = cpu_data_master_granted_set_sel0_s1;
  //set_sel0_s1_firsttransfer first transaction, which is an e_assign
  assign set_sel0_s1_firsttransfer = set_sel0_s1_begins_xfer ? set_sel0_s1_unreg_firsttransfer : set_sel0_s1_reg_firsttransfer;

  //set_sel0_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign set_sel0_s1_unreg_firsttransfer = ~(set_sel0_s1_slavearbiterlockenable & set_sel0_s1_any_continuerequest);

  //set_sel0_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel0_s1_reg_firsttransfer <= 1'b1;
      else if (set_sel0_s1_begins_xfer)
          set_sel0_s1_reg_firsttransfer <= set_sel0_s1_unreg_firsttransfer;
    end


  //set_sel0_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign set_sel0_s1_beginbursttransfer_internal = set_sel0_s1_begins_xfer;

  //~set_sel0_s1_write_n assignment, which is an e_mux
  assign set_sel0_s1_write_n = ~(cpu_data_master_granted_set_sel0_s1 & cpu_data_master_write);

  assign shifted_address_to_set_sel0_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //set_sel0_s1_address mux, which is an e_mux
  assign set_sel0_s1_address = shifted_address_to_set_sel0_s1_from_cpu_data_master >> 2;

  //d1_set_sel0_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_set_sel0_s1_end_xfer <= 1;
      else 
        d1_set_sel0_s1_end_xfer <= set_sel0_s1_end_xfer;
    end


  //set_sel0_s1_waits_for_read in a cycle, which is an e_mux
  assign set_sel0_s1_waits_for_read = set_sel0_s1_in_a_read_cycle & set_sel0_s1_begins_xfer;

  //set_sel0_s1_in_a_read_cycle assignment, which is an e_assign
  assign set_sel0_s1_in_a_read_cycle = cpu_data_master_granted_set_sel0_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = set_sel0_s1_in_a_read_cycle;

  //set_sel0_s1_waits_for_write in a cycle, which is an e_mux
  assign set_sel0_s1_waits_for_write = set_sel0_s1_in_a_write_cycle & 0;

  //set_sel0_s1_in_a_write_cycle assignment, which is an e_assign
  assign set_sel0_s1_in_a_write_cycle = cpu_data_master_granted_set_sel0_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = set_sel0_s1_in_a_write_cycle;

  assign wait_for_set_sel0_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //set_sel0/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module set_sel1_s1_arbitrator (
                                // inputs:
                                 clk,
                                 cpu_data_master_address_to_slave,
                                 cpu_data_master_read,
                                 cpu_data_master_waitrequest,
                                 cpu_data_master_write,
                                 cpu_data_master_writedata,
                                 reset_n,
                                 set_sel1_s1_readdata,

                                // outputs:
                                 cpu_data_master_granted_set_sel1_s1,
                                 cpu_data_master_qualified_request_set_sel1_s1,
                                 cpu_data_master_read_data_valid_set_sel1_s1,
                                 cpu_data_master_requests_set_sel1_s1,
                                 d1_set_sel1_s1_end_xfer,
                                 set_sel1_s1_address,
                                 set_sel1_s1_chipselect,
                                 set_sel1_s1_readdata_from_sa,
                                 set_sel1_s1_reset_n,
                                 set_sel1_s1_write_n,
                                 set_sel1_s1_writedata
                              )
;

  output           cpu_data_master_granted_set_sel1_s1;
  output           cpu_data_master_qualified_request_set_sel1_s1;
  output           cpu_data_master_read_data_valid_set_sel1_s1;
  output           cpu_data_master_requests_set_sel1_s1;
  output           d1_set_sel1_s1_end_xfer;
  output  [  1: 0] set_sel1_s1_address;
  output           set_sel1_s1_chipselect;
  output  [ 31: 0] set_sel1_s1_readdata_from_sa;
  output           set_sel1_s1_reset_n;
  output           set_sel1_s1_write_n;
  output  [ 31: 0] set_sel1_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] set_sel1_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_set_sel1_s1;
  wire             cpu_data_master_qualified_request_set_sel1_s1;
  wire             cpu_data_master_read_data_valid_set_sel1_s1;
  wire             cpu_data_master_requests_set_sel1_s1;
  wire             cpu_data_master_saved_grant_set_sel1_s1;
  reg              d1_reasons_to_wait;
  reg              d1_set_sel1_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_set_sel1_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] set_sel1_s1_address;
  wire             set_sel1_s1_allgrants;
  wire             set_sel1_s1_allow_new_arb_cycle;
  wire             set_sel1_s1_any_bursting_master_saved_grant;
  wire             set_sel1_s1_any_continuerequest;
  wire             set_sel1_s1_arb_counter_enable;
  reg     [  1: 0] set_sel1_s1_arb_share_counter;
  wire    [  1: 0] set_sel1_s1_arb_share_counter_next_value;
  wire    [  1: 0] set_sel1_s1_arb_share_set_values;
  wire             set_sel1_s1_beginbursttransfer_internal;
  wire             set_sel1_s1_begins_xfer;
  wire             set_sel1_s1_chipselect;
  wire             set_sel1_s1_end_xfer;
  wire             set_sel1_s1_firsttransfer;
  wire             set_sel1_s1_grant_vector;
  wire             set_sel1_s1_in_a_read_cycle;
  wire             set_sel1_s1_in_a_write_cycle;
  wire             set_sel1_s1_master_qreq_vector;
  wire             set_sel1_s1_non_bursting_master_requests;
  wire    [ 31: 0] set_sel1_s1_readdata_from_sa;
  reg              set_sel1_s1_reg_firsttransfer;
  wire             set_sel1_s1_reset_n;
  reg              set_sel1_s1_slavearbiterlockenable;
  wire             set_sel1_s1_slavearbiterlockenable2;
  wire             set_sel1_s1_unreg_firsttransfer;
  wire             set_sel1_s1_waits_for_read;
  wire             set_sel1_s1_waits_for_write;
  wire             set_sel1_s1_write_n;
  wire    [ 31: 0] set_sel1_s1_writedata;
  wire    [ 25: 0] shifted_address_to_set_sel1_s1_from_cpu_data_master;
  wire             wait_for_set_sel1_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~set_sel1_s1_end_xfer;
    end


  assign set_sel1_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_set_sel1_s1));
  //assign set_sel1_s1_readdata_from_sa = set_sel1_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign set_sel1_s1_readdata_from_sa = set_sel1_s1_readdata;

  assign cpu_data_master_requests_set_sel1_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h1a0) & (cpu_data_master_read | cpu_data_master_write);
  //set_sel1_s1_arb_share_counter set values, which is an e_mux
  assign set_sel1_s1_arb_share_set_values = 1;

  //set_sel1_s1_non_bursting_master_requests mux, which is an e_mux
  assign set_sel1_s1_non_bursting_master_requests = cpu_data_master_requests_set_sel1_s1;

  //set_sel1_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign set_sel1_s1_any_bursting_master_saved_grant = 0;

  //set_sel1_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign set_sel1_s1_arb_share_counter_next_value = set_sel1_s1_firsttransfer ? (set_sel1_s1_arb_share_set_values - 1) : |set_sel1_s1_arb_share_counter ? (set_sel1_s1_arb_share_counter - 1) : 0;

  //set_sel1_s1_allgrants all slave grants, which is an e_mux
  assign set_sel1_s1_allgrants = |set_sel1_s1_grant_vector;

  //set_sel1_s1_end_xfer assignment, which is an e_assign
  assign set_sel1_s1_end_xfer = ~(set_sel1_s1_waits_for_read | set_sel1_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_set_sel1_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_set_sel1_s1 = set_sel1_s1_end_xfer & (~set_sel1_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //set_sel1_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign set_sel1_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_set_sel1_s1 & set_sel1_s1_allgrants) | (end_xfer_arb_share_counter_term_set_sel1_s1 & ~set_sel1_s1_non_bursting_master_requests);

  //set_sel1_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel1_s1_arb_share_counter <= 0;
      else if (set_sel1_s1_arb_counter_enable)
          set_sel1_s1_arb_share_counter <= set_sel1_s1_arb_share_counter_next_value;
    end


  //set_sel1_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel1_s1_slavearbiterlockenable <= 0;
      else if ((|set_sel1_s1_master_qreq_vector & end_xfer_arb_share_counter_term_set_sel1_s1) | (end_xfer_arb_share_counter_term_set_sel1_s1 & ~set_sel1_s1_non_bursting_master_requests))
          set_sel1_s1_slavearbiterlockenable <= |set_sel1_s1_arb_share_counter_next_value;
    end


  //cpu/data_master set_sel1/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = set_sel1_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //set_sel1_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign set_sel1_s1_slavearbiterlockenable2 = |set_sel1_s1_arb_share_counter_next_value;

  //cpu/data_master set_sel1/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = set_sel1_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //set_sel1_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign set_sel1_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_set_sel1_s1 = cpu_data_master_requests_set_sel1_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //set_sel1_s1_writedata mux, which is an e_mux
  assign set_sel1_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_set_sel1_s1 = cpu_data_master_qualified_request_set_sel1_s1;

  //cpu/data_master saved-grant set_sel1/s1, which is an e_assign
  assign cpu_data_master_saved_grant_set_sel1_s1 = cpu_data_master_requests_set_sel1_s1;

  //allow new arb cycle for set_sel1/s1, which is an e_assign
  assign set_sel1_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign set_sel1_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign set_sel1_s1_master_qreq_vector = 1;

  //set_sel1_s1_reset_n assignment, which is an e_assign
  assign set_sel1_s1_reset_n = reset_n;

  assign set_sel1_s1_chipselect = cpu_data_master_granted_set_sel1_s1;
  //set_sel1_s1_firsttransfer first transaction, which is an e_assign
  assign set_sel1_s1_firsttransfer = set_sel1_s1_begins_xfer ? set_sel1_s1_unreg_firsttransfer : set_sel1_s1_reg_firsttransfer;

  //set_sel1_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign set_sel1_s1_unreg_firsttransfer = ~(set_sel1_s1_slavearbiterlockenable & set_sel1_s1_any_continuerequest);

  //set_sel1_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel1_s1_reg_firsttransfer <= 1'b1;
      else if (set_sel1_s1_begins_xfer)
          set_sel1_s1_reg_firsttransfer <= set_sel1_s1_unreg_firsttransfer;
    end


  //set_sel1_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign set_sel1_s1_beginbursttransfer_internal = set_sel1_s1_begins_xfer;

  //~set_sel1_s1_write_n assignment, which is an e_mux
  assign set_sel1_s1_write_n = ~(cpu_data_master_granted_set_sel1_s1 & cpu_data_master_write);

  assign shifted_address_to_set_sel1_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //set_sel1_s1_address mux, which is an e_mux
  assign set_sel1_s1_address = shifted_address_to_set_sel1_s1_from_cpu_data_master >> 2;

  //d1_set_sel1_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_set_sel1_s1_end_xfer <= 1;
      else 
        d1_set_sel1_s1_end_xfer <= set_sel1_s1_end_xfer;
    end


  //set_sel1_s1_waits_for_read in a cycle, which is an e_mux
  assign set_sel1_s1_waits_for_read = set_sel1_s1_in_a_read_cycle & set_sel1_s1_begins_xfer;

  //set_sel1_s1_in_a_read_cycle assignment, which is an e_assign
  assign set_sel1_s1_in_a_read_cycle = cpu_data_master_granted_set_sel1_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = set_sel1_s1_in_a_read_cycle;

  //set_sel1_s1_waits_for_write in a cycle, which is an e_mux
  assign set_sel1_s1_waits_for_write = set_sel1_s1_in_a_write_cycle & 0;

  //set_sel1_s1_in_a_write_cycle assignment, which is an e_assign
  assign set_sel1_s1_in_a_write_cycle = cpu_data_master_granted_set_sel1_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = set_sel1_s1_in_a_write_cycle;

  assign wait_for_set_sel1_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //set_sel1/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module set_sel2_s1_arbitrator (
                                // inputs:
                                 clk,
                                 cpu_data_master_address_to_slave,
                                 cpu_data_master_read,
                                 cpu_data_master_waitrequest,
                                 cpu_data_master_write,
                                 cpu_data_master_writedata,
                                 reset_n,
                                 set_sel2_s1_readdata,

                                // outputs:
                                 cpu_data_master_granted_set_sel2_s1,
                                 cpu_data_master_qualified_request_set_sel2_s1,
                                 cpu_data_master_read_data_valid_set_sel2_s1,
                                 cpu_data_master_requests_set_sel2_s1,
                                 d1_set_sel2_s1_end_xfer,
                                 set_sel2_s1_address,
                                 set_sel2_s1_chipselect,
                                 set_sel2_s1_readdata_from_sa,
                                 set_sel2_s1_reset_n,
                                 set_sel2_s1_write_n,
                                 set_sel2_s1_writedata
                              )
;

  output           cpu_data_master_granted_set_sel2_s1;
  output           cpu_data_master_qualified_request_set_sel2_s1;
  output           cpu_data_master_read_data_valid_set_sel2_s1;
  output           cpu_data_master_requests_set_sel2_s1;
  output           d1_set_sel2_s1_end_xfer;
  output  [  1: 0] set_sel2_s1_address;
  output           set_sel2_s1_chipselect;
  output  [ 31: 0] set_sel2_s1_readdata_from_sa;
  output           set_sel2_s1_reset_n;
  output           set_sel2_s1_write_n;
  output  [ 31: 0] set_sel2_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] set_sel2_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_set_sel2_s1;
  wire             cpu_data_master_qualified_request_set_sel2_s1;
  wire             cpu_data_master_read_data_valid_set_sel2_s1;
  wire             cpu_data_master_requests_set_sel2_s1;
  wire             cpu_data_master_saved_grant_set_sel2_s1;
  reg              d1_reasons_to_wait;
  reg              d1_set_sel2_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_set_sel2_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [  1: 0] set_sel2_s1_address;
  wire             set_sel2_s1_allgrants;
  wire             set_sel2_s1_allow_new_arb_cycle;
  wire             set_sel2_s1_any_bursting_master_saved_grant;
  wire             set_sel2_s1_any_continuerequest;
  wire             set_sel2_s1_arb_counter_enable;
  reg     [  1: 0] set_sel2_s1_arb_share_counter;
  wire    [  1: 0] set_sel2_s1_arb_share_counter_next_value;
  wire    [  1: 0] set_sel2_s1_arb_share_set_values;
  wire             set_sel2_s1_beginbursttransfer_internal;
  wire             set_sel2_s1_begins_xfer;
  wire             set_sel2_s1_chipselect;
  wire             set_sel2_s1_end_xfer;
  wire             set_sel2_s1_firsttransfer;
  wire             set_sel2_s1_grant_vector;
  wire             set_sel2_s1_in_a_read_cycle;
  wire             set_sel2_s1_in_a_write_cycle;
  wire             set_sel2_s1_master_qreq_vector;
  wire             set_sel2_s1_non_bursting_master_requests;
  wire    [ 31: 0] set_sel2_s1_readdata_from_sa;
  reg              set_sel2_s1_reg_firsttransfer;
  wire             set_sel2_s1_reset_n;
  reg              set_sel2_s1_slavearbiterlockenable;
  wire             set_sel2_s1_slavearbiterlockenable2;
  wire             set_sel2_s1_unreg_firsttransfer;
  wire             set_sel2_s1_waits_for_read;
  wire             set_sel2_s1_waits_for_write;
  wire             set_sel2_s1_write_n;
  wire    [ 31: 0] set_sel2_s1_writedata;
  wire    [ 25: 0] shifted_address_to_set_sel2_s1_from_cpu_data_master;
  wire             wait_for_set_sel2_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~set_sel2_s1_end_xfer;
    end


  assign set_sel2_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_set_sel2_s1));
  //assign set_sel2_s1_readdata_from_sa = set_sel2_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign set_sel2_s1_readdata_from_sa = set_sel2_s1_readdata;

  assign cpu_data_master_requests_set_sel2_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h1b0) & (cpu_data_master_read | cpu_data_master_write);
  //set_sel2_s1_arb_share_counter set values, which is an e_mux
  assign set_sel2_s1_arb_share_set_values = 1;

  //set_sel2_s1_non_bursting_master_requests mux, which is an e_mux
  assign set_sel2_s1_non_bursting_master_requests = cpu_data_master_requests_set_sel2_s1;

  //set_sel2_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign set_sel2_s1_any_bursting_master_saved_grant = 0;

  //set_sel2_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign set_sel2_s1_arb_share_counter_next_value = set_sel2_s1_firsttransfer ? (set_sel2_s1_arb_share_set_values - 1) : |set_sel2_s1_arb_share_counter ? (set_sel2_s1_arb_share_counter - 1) : 0;

  //set_sel2_s1_allgrants all slave grants, which is an e_mux
  assign set_sel2_s1_allgrants = |set_sel2_s1_grant_vector;

  //set_sel2_s1_end_xfer assignment, which is an e_assign
  assign set_sel2_s1_end_xfer = ~(set_sel2_s1_waits_for_read | set_sel2_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_set_sel2_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_set_sel2_s1 = set_sel2_s1_end_xfer & (~set_sel2_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //set_sel2_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign set_sel2_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_set_sel2_s1 & set_sel2_s1_allgrants) | (end_xfer_arb_share_counter_term_set_sel2_s1 & ~set_sel2_s1_non_bursting_master_requests);

  //set_sel2_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel2_s1_arb_share_counter <= 0;
      else if (set_sel2_s1_arb_counter_enable)
          set_sel2_s1_arb_share_counter <= set_sel2_s1_arb_share_counter_next_value;
    end


  //set_sel2_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel2_s1_slavearbiterlockenable <= 0;
      else if ((|set_sel2_s1_master_qreq_vector & end_xfer_arb_share_counter_term_set_sel2_s1) | (end_xfer_arb_share_counter_term_set_sel2_s1 & ~set_sel2_s1_non_bursting_master_requests))
          set_sel2_s1_slavearbiterlockenable <= |set_sel2_s1_arb_share_counter_next_value;
    end


  //cpu/data_master set_sel2/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = set_sel2_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //set_sel2_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign set_sel2_s1_slavearbiterlockenable2 = |set_sel2_s1_arb_share_counter_next_value;

  //cpu/data_master set_sel2/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = set_sel2_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //set_sel2_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign set_sel2_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_set_sel2_s1 = cpu_data_master_requests_set_sel2_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //set_sel2_s1_writedata mux, which is an e_mux
  assign set_sel2_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_set_sel2_s1 = cpu_data_master_qualified_request_set_sel2_s1;

  //cpu/data_master saved-grant set_sel2/s1, which is an e_assign
  assign cpu_data_master_saved_grant_set_sel2_s1 = cpu_data_master_requests_set_sel2_s1;

  //allow new arb cycle for set_sel2/s1, which is an e_assign
  assign set_sel2_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign set_sel2_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign set_sel2_s1_master_qreq_vector = 1;

  //set_sel2_s1_reset_n assignment, which is an e_assign
  assign set_sel2_s1_reset_n = reset_n;

  assign set_sel2_s1_chipselect = cpu_data_master_granted_set_sel2_s1;
  //set_sel2_s1_firsttransfer first transaction, which is an e_assign
  assign set_sel2_s1_firsttransfer = set_sel2_s1_begins_xfer ? set_sel2_s1_unreg_firsttransfer : set_sel2_s1_reg_firsttransfer;

  //set_sel2_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign set_sel2_s1_unreg_firsttransfer = ~(set_sel2_s1_slavearbiterlockenable & set_sel2_s1_any_continuerequest);

  //set_sel2_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          set_sel2_s1_reg_firsttransfer <= 1'b1;
      else if (set_sel2_s1_begins_xfer)
          set_sel2_s1_reg_firsttransfer <= set_sel2_s1_unreg_firsttransfer;
    end


  //set_sel2_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign set_sel2_s1_beginbursttransfer_internal = set_sel2_s1_begins_xfer;

  //~set_sel2_s1_write_n assignment, which is an e_mux
  assign set_sel2_s1_write_n = ~(cpu_data_master_granted_set_sel2_s1 & cpu_data_master_write);

  assign shifted_address_to_set_sel2_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //set_sel2_s1_address mux, which is an e_mux
  assign set_sel2_s1_address = shifted_address_to_set_sel2_s1_from_cpu_data_master >> 2;

  //d1_set_sel2_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_set_sel2_s1_end_xfer <= 1;
      else 
        d1_set_sel2_s1_end_xfer <= set_sel2_s1_end_xfer;
    end


  //set_sel2_s1_waits_for_read in a cycle, which is an e_mux
  assign set_sel2_s1_waits_for_read = set_sel2_s1_in_a_read_cycle & set_sel2_s1_begins_xfer;

  //set_sel2_s1_in_a_read_cycle assignment, which is an e_assign
  assign set_sel2_s1_in_a_read_cycle = cpu_data_master_granted_set_sel2_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = set_sel2_s1_in_a_read_cycle;

  //set_sel2_s1_waits_for_write in a cycle, which is an e_mux
  assign set_sel2_s1_waits_for_write = set_sel2_s1_in_a_write_cycle & 0;

  //set_sel2_s1_in_a_write_cycle assignment, which is an e_assign
  assign set_sel2_s1_in_a_write_cycle = cpu_data_master_granted_set_sel2_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = set_sel2_s1_in_a_write_cycle;

  assign wait_for_set_sel2_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //set_sel2/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module speed0_s1_arbitrator (
                              // inputs:
                               clk,
                               cpu_data_master_address_to_slave,
                               cpu_data_master_read,
                               cpu_data_master_waitrequest,
                               cpu_data_master_write,
                               cpu_data_master_writedata,
                               reset_n,
                               speed0_s1_readdata,

                              // outputs:
                               cpu_data_master_granted_speed0_s1,
                               cpu_data_master_qualified_request_speed0_s1,
                               cpu_data_master_read_data_valid_speed0_s1,
                               cpu_data_master_requests_speed0_s1,
                               d1_speed0_s1_end_xfer,
                               speed0_s1_address,
                               speed0_s1_chipselect,
                               speed0_s1_readdata_from_sa,
                               speed0_s1_reset_n,
                               speed0_s1_write_n,
                               speed0_s1_writedata
                            )
;

  output           cpu_data_master_granted_speed0_s1;
  output           cpu_data_master_qualified_request_speed0_s1;
  output           cpu_data_master_read_data_valid_speed0_s1;
  output           cpu_data_master_requests_speed0_s1;
  output           d1_speed0_s1_end_xfer;
  output  [  1: 0] speed0_s1_address;
  output           speed0_s1_chipselect;
  output  [ 31: 0] speed0_s1_readdata_from_sa;
  output           speed0_s1_reset_n;
  output           speed0_s1_write_n;
  output  [ 31: 0] speed0_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] speed0_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_speed0_s1;
  wire             cpu_data_master_qualified_request_speed0_s1;
  wire             cpu_data_master_read_data_valid_speed0_s1;
  wire             cpu_data_master_requests_speed0_s1;
  wire             cpu_data_master_saved_grant_speed0_s1;
  reg              d1_reasons_to_wait;
  reg              d1_speed0_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_speed0_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_speed0_s1_from_cpu_data_master;
  wire    [  1: 0] speed0_s1_address;
  wire             speed0_s1_allgrants;
  wire             speed0_s1_allow_new_arb_cycle;
  wire             speed0_s1_any_bursting_master_saved_grant;
  wire             speed0_s1_any_continuerequest;
  wire             speed0_s1_arb_counter_enable;
  reg     [  1: 0] speed0_s1_arb_share_counter;
  wire    [  1: 0] speed0_s1_arb_share_counter_next_value;
  wire    [  1: 0] speed0_s1_arb_share_set_values;
  wire             speed0_s1_beginbursttransfer_internal;
  wire             speed0_s1_begins_xfer;
  wire             speed0_s1_chipselect;
  wire             speed0_s1_end_xfer;
  wire             speed0_s1_firsttransfer;
  wire             speed0_s1_grant_vector;
  wire             speed0_s1_in_a_read_cycle;
  wire             speed0_s1_in_a_write_cycle;
  wire             speed0_s1_master_qreq_vector;
  wire             speed0_s1_non_bursting_master_requests;
  wire    [ 31: 0] speed0_s1_readdata_from_sa;
  reg              speed0_s1_reg_firsttransfer;
  wire             speed0_s1_reset_n;
  reg              speed0_s1_slavearbiterlockenable;
  wire             speed0_s1_slavearbiterlockenable2;
  wire             speed0_s1_unreg_firsttransfer;
  wire             speed0_s1_waits_for_read;
  wire             speed0_s1_waits_for_write;
  wire             speed0_s1_write_n;
  wire    [ 31: 0] speed0_s1_writedata;
  wire             wait_for_speed0_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~speed0_s1_end_xfer;
    end


  assign speed0_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_speed0_s1));
  //assign speed0_s1_readdata_from_sa = speed0_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign speed0_s1_readdata_from_sa = speed0_s1_readdata;

  assign cpu_data_master_requests_speed0_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h150) & (cpu_data_master_read | cpu_data_master_write);
  //speed0_s1_arb_share_counter set values, which is an e_mux
  assign speed0_s1_arb_share_set_values = 1;

  //speed0_s1_non_bursting_master_requests mux, which is an e_mux
  assign speed0_s1_non_bursting_master_requests = cpu_data_master_requests_speed0_s1;

  //speed0_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign speed0_s1_any_bursting_master_saved_grant = 0;

  //speed0_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign speed0_s1_arb_share_counter_next_value = speed0_s1_firsttransfer ? (speed0_s1_arb_share_set_values - 1) : |speed0_s1_arb_share_counter ? (speed0_s1_arb_share_counter - 1) : 0;

  //speed0_s1_allgrants all slave grants, which is an e_mux
  assign speed0_s1_allgrants = |speed0_s1_grant_vector;

  //speed0_s1_end_xfer assignment, which is an e_assign
  assign speed0_s1_end_xfer = ~(speed0_s1_waits_for_read | speed0_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_speed0_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_speed0_s1 = speed0_s1_end_xfer & (~speed0_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //speed0_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign speed0_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_speed0_s1 & speed0_s1_allgrants) | (end_xfer_arb_share_counter_term_speed0_s1 & ~speed0_s1_non_bursting_master_requests);

  //speed0_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed0_s1_arb_share_counter <= 0;
      else if (speed0_s1_arb_counter_enable)
          speed0_s1_arb_share_counter <= speed0_s1_arb_share_counter_next_value;
    end


  //speed0_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed0_s1_slavearbiterlockenable <= 0;
      else if ((|speed0_s1_master_qreq_vector & end_xfer_arb_share_counter_term_speed0_s1) | (end_xfer_arb_share_counter_term_speed0_s1 & ~speed0_s1_non_bursting_master_requests))
          speed0_s1_slavearbiterlockenable <= |speed0_s1_arb_share_counter_next_value;
    end


  //cpu/data_master speed0/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = speed0_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //speed0_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign speed0_s1_slavearbiterlockenable2 = |speed0_s1_arb_share_counter_next_value;

  //cpu/data_master speed0/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = speed0_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //speed0_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign speed0_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_speed0_s1 = cpu_data_master_requests_speed0_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //speed0_s1_writedata mux, which is an e_mux
  assign speed0_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_speed0_s1 = cpu_data_master_qualified_request_speed0_s1;

  //cpu/data_master saved-grant speed0/s1, which is an e_assign
  assign cpu_data_master_saved_grant_speed0_s1 = cpu_data_master_requests_speed0_s1;

  //allow new arb cycle for speed0/s1, which is an e_assign
  assign speed0_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign speed0_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign speed0_s1_master_qreq_vector = 1;

  //speed0_s1_reset_n assignment, which is an e_assign
  assign speed0_s1_reset_n = reset_n;

  assign speed0_s1_chipselect = cpu_data_master_granted_speed0_s1;
  //speed0_s1_firsttransfer first transaction, which is an e_assign
  assign speed0_s1_firsttransfer = speed0_s1_begins_xfer ? speed0_s1_unreg_firsttransfer : speed0_s1_reg_firsttransfer;

  //speed0_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign speed0_s1_unreg_firsttransfer = ~(speed0_s1_slavearbiterlockenable & speed0_s1_any_continuerequest);

  //speed0_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed0_s1_reg_firsttransfer <= 1'b1;
      else if (speed0_s1_begins_xfer)
          speed0_s1_reg_firsttransfer <= speed0_s1_unreg_firsttransfer;
    end


  //speed0_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign speed0_s1_beginbursttransfer_internal = speed0_s1_begins_xfer;

  //~speed0_s1_write_n assignment, which is an e_mux
  assign speed0_s1_write_n = ~(cpu_data_master_granted_speed0_s1 & cpu_data_master_write);

  assign shifted_address_to_speed0_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //speed0_s1_address mux, which is an e_mux
  assign speed0_s1_address = shifted_address_to_speed0_s1_from_cpu_data_master >> 2;

  //d1_speed0_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_speed0_s1_end_xfer <= 1;
      else 
        d1_speed0_s1_end_xfer <= speed0_s1_end_xfer;
    end


  //speed0_s1_waits_for_read in a cycle, which is an e_mux
  assign speed0_s1_waits_for_read = speed0_s1_in_a_read_cycle & speed0_s1_begins_xfer;

  //speed0_s1_in_a_read_cycle assignment, which is an e_assign
  assign speed0_s1_in_a_read_cycle = cpu_data_master_granted_speed0_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = speed0_s1_in_a_read_cycle;

  //speed0_s1_waits_for_write in a cycle, which is an e_mux
  assign speed0_s1_waits_for_write = speed0_s1_in_a_write_cycle & 0;

  //speed0_s1_in_a_write_cycle assignment, which is an e_assign
  assign speed0_s1_in_a_write_cycle = cpu_data_master_granted_speed0_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = speed0_s1_in_a_write_cycle;

  assign wait_for_speed0_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //speed0/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module speed1_s1_arbitrator (
                              // inputs:
                               clk,
                               cpu_data_master_address_to_slave,
                               cpu_data_master_read,
                               cpu_data_master_waitrequest,
                               cpu_data_master_write,
                               cpu_data_master_writedata,
                               reset_n,
                               speed1_s1_readdata,

                              // outputs:
                               cpu_data_master_granted_speed1_s1,
                               cpu_data_master_qualified_request_speed1_s1,
                               cpu_data_master_read_data_valid_speed1_s1,
                               cpu_data_master_requests_speed1_s1,
                               d1_speed1_s1_end_xfer,
                               speed1_s1_address,
                               speed1_s1_chipselect,
                               speed1_s1_readdata_from_sa,
                               speed1_s1_reset_n,
                               speed1_s1_write_n,
                               speed1_s1_writedata
                            )
;

  output           cpu_data_master_granted_speed1_s1;
  output           cpu_data_master_qualified_request_speed1_s1;
  output           cpu_data_master_read_data_valid_speed1_s1;
  output           cpu_data_master_requests_speed1_s1;
  output           d1_speed1_s1_end_xfer;
  output  [  1: 0] speed1_s1_address;
  output           speed1_s1_chipselect;
  output  [ 31: 0] speed1_s1_readdata_from_sa;
  output           speed1_s1_reset_n;
  output           speed1_s1_write_n;
  output  [ 31: 0] speed1_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] speed1_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_speed1_s1;
  wire             cpu_data_master_qualified_request_speed1_s1;
  wire             cpu_data_master_read_data_valid_speed1_s1;
  wire             cpu_data_master_requests_speed1_s1;
  wire             cpu_data_master_saved_grant_speed1_s1;
  reg              d1_reasons_to_wait;
  reg              d1_speed1_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_speed1_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_speed1_s1_from_cpu_data_master;
  wire    [  1: 0] speed1_s1_address;
  wire             speed1_s1_allgrants;
  wire             speed1_s1_allow_new_arb_cycle;
  wire             speed1_s1_any_bursting_master_saved_grant;
  wire             speed1_s1_any_continuerequest;
  wire             speed1_s1_arb_counter_enable;
  reg     [  1: 0] speed1_s1_arb_share_counter;
  wire    [  1: 0] speed1_s1_arb_share_counter_next_value;
  wire    [  1: 0] speed1_s1_arb_share_set_values;
  wire             speed1_s1_beginbursttransfer_internal;
  wire             speed1_s1_begins_xfer;
  wire             speed1_s1_chipselect;
  wire             speed1_s1_end_xfer;
  wire             speed1_s1_firsttransfer;
  wire             speed1_s1_grant_vector;
  wire             speed1_s1_in_a_read_cycle;
  wire             speed1_s1_in_a_write_cycle;
  wire             speed1_s1_master_qreq_vector;
  wire             speed1_s1_non_bursting_master_requests;
  wire    [ 31: 0] speed1_s1_readdata_from_sa;
  reg              speed1_s1_reg_firsttransfer;
  wire             speed1_s1_reset_n;
  reg              speed1_s1_slavearbiterlockenable;
  wire             speed1_s1_slavearbiterlockenable2;
  wire             speed1_s1_unreg_firsttransfer;
  wire             speed1_s1_waits_for_read;
  wire             speed1_s1_waits_for_write;
  wire             speed1_s1_write_n;
  wire    [ 31: 0] speed1_s1_writedata;
  wire             wait_for_speed1_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~speed1_s1_end_xfer;
    end


  assign speed1_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_speed1_s1));
  //assign speed1_s1_readdata_from_sa = speed1_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign speed1_s1_readdata_from_sa = speed1_s1_readdata;

  assign cpu_data_master_requests_speed1_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h160) & (cpu_data_master_read | cpu_data_master_write);
  //speed1_s1_arb_share_counter set values, which is an e_mux
  assign speed1_s1_arb_share_set_values = 1;

  //speed1_s1_non_bursting_master_requests mux, which is an e_mux
  assign speed1_s1_non_bursting_master_requests = cpu_data_master_requests_speed1_s1;

  //speed1_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign speed1_s1_any_bursting_master_saved_grant = 0;

  //speed1_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign speed1_s1_arb_share_counter_next_value = speed1_s1_firsttransfer ? (speed1_s1_arb_share_set_values - 1) : |speed1_s1_arb_share_counter ? (speed1_s1_arb_share_counter - 1) : 0;

  //speed1_s1_allgrants all slave grants, which is an e_mux
  assign speed1_s1_allgrants = |speed1_s1_grant_vector;

  //speed1_s1_end_xfer assignment, which is an e_assign
  assign speed1_s1_end_xfer = ~(speed1_s1_waits_for_read | speed1_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_speed1_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_speed1_s1 = speed1_s1_end_xfer & (~speed1_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //speed1_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign speed1_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_speed1_s1 & speed1_s1_allgrants) | (end_xfer_arb_share_counter_term_speed1_s1 & ~speed1_s1_non_bursting_master_requests);

  //speed1_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed1_s1_arb_share_counter <= 0;
      else if (speed1_s1_arb_counter_enable)
          speed1_s1_arb_share_counter <= speed1_s1_arb_share_counter_next_value;
    end


  //speed1_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed1_s1_slavearbiterlockenable <= 0;
      else if ((|speed1_s1_master_qreq_vector & end_xfer_arb_share_counter_term_speed1_s1) | (end_xfer_arb_share_counter_term_speed1_s1 & ~speed1_s1_non_bursting_master_requests))
          speed1_s1_slavearbiterlockenable <= |speed1_s1_arb_share_counter_next_value;
    end


  //cpu/data_master speed1/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = speed1_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //speed1_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign speed1_s1_slavearbiterlockenable2 = |speed1_s1_arb_share_counter_next_value;

  //cpu/data_master speed1/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = speed1_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //speed1_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign speed1_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_speed1_s1 = cpu_data_master_requests_speed1_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //speed1_s1_writedata mux, which is an e_mux
  assign speed1_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_speed1_s1 = cpu_data_master_qualified_request_speed1_s1;

  //cpu/data_master saved-grant speed1/s1, which is an e_assign
  assign cpu_data_master_saved_grant_speed1_s1 = cpu_data_master_requests_speed1_s1;

  //allow new arb cycle for speed1/s1, which is an e_assign
  assign speed1_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign speed1_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign speed1_s1_master_qreq_vector = 1;

  //speed1_s1_reset_n assignment, which is an e_assign
  assign speed1_s1_reset_n = reset_n;

  assign speed1_s1_chipselect = cpu_data_master_granted_speed1_s1;
  //speed1_s1_firsttransfer first transaction, which is an e_assign
  assign speed1_s1_firsttransfer = speed1_s1_begins_xfer ? speed1_s1_unreg_firsttransfer : speed1_s1_reg_firsttransfer;

  //speed1_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign speed1_s1_unreg_firsttransfer = ~(speed1_s1_slavearbiterlockenable & speed1_s1_any_continuerequest);

  //speed1_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed1_s1_reg_firsttransfer <= 1'b1;
      else if (speed1_s1_begins_xfer)
          speed1_s1_reg_firsttransfer <= speed1_s1_unreg_firsttransfer;
    end


  //speed1_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign speed1_s1_beginbursttransfer_internal = speed1_s1_begins_xfer;

  //~speed1_s1_write_n assignment, which is an e_mux
  assign speed1_s1_write_n = ~(cpu_data_master_granted_speed1_s1 & cpu_data_master_write);

  assign shifted_address_to_speed1_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //speed1_s1_address mux, which is an e_mux
  assign speed1_s1_address = shifted_address_to_speed1_s1_from_cpu_data_master >> 2;

  //d1_speed1_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_speed1_s1_end_xfer <= 1;
      else 
        d1_speed1_s1_end_xfer <= speed1_s1_end_xfer;
    end


  //speed1_s1_waits_for_read in a cycle, which is an e_mux
  assign speed1_s1_waits_for_read = speed1_s1_in_a_read_cycle & speed1_s1_begins_xfer;

  //speed1_s1_in_a_read_cycle assignment, which is an e_assign
  assign speed1_s1_in_a_read_cycle = cpu_data_master_granted_speed1_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = speed1_s1_in_a_read_cycle;

  //speed1_s1_waits_for_write in a cycle, which is an e_mux
  assign speed1_s1_waits_for_write = speed1_s1_in_a_write_cycle & 0;

  //speed1_s1_in_a_write_cycle assignment, which is an e_assign
  assign speed1_s1_in_a_write_cycle = cpu_data_master_granted_speed1_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = speed1_s1_in_a_write_cycle;

  assign wait_for_speed1_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //speed1/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module speed2_s1_arbitrator (
                              // inputs:
                               clk,
                               cpu_data_master_address_to_slave,
                               cpu_data_master_read,
                               cpu_data_master_waitrequest,
                               cpu_data_master_write,
                               cpu_data_master_writedata,
                               reset_n,
                               speed2_s1_readdata,

                              // outputs:
                               cpu_data_master_granted_speed2_s1,
                               cpu_data_master_qualified_request_speed2_s1,
                               cpu_data_master_read_data_valid_speed2_s1,
                               cpu_data_master_requests_speed2_s1,
                               d1_speed2_s1_end_xfer,
                               speed2_s1_address,
                               speed2_s1_chipselect,
                               speed2_s1_readdata_from_sa,
                               speed2_s1_reset_n,
                               speed2_s1_write_n,
                               speed2_s1_writedata
                            )
;

  output           cpu_data_master_granted_speed2_s1;
  output           cpu_data_master_qualified_request_speed2_s1;
  output           cpu_data_master_read_data_valid_speed2_s1;
  output           cpu_data_master_requests_speed2_s1;
  output           d1_speed2_s1_end_xfer;
  output  [  1: 0] speed2_s1_address;
  output           speed2_s1_chipselect;
  output  [ 31: 0] speed2_s1_readdata_from_sa;
  output           speed2_s1_reset_n;
  output           speed2_s1_write_n;
  output  [ 31: 0] speed2_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] speed2_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_speed2_s1;
  wire             cpu_data_master_qualified_request_speed2_s1;
  wire             cpu_data_master_read_data_valid_speed2_s1;
  wire             cpu_data_master_requests_speed2_s1;
  wire             cpu_data_master_saved_grant_speed2_s1;
  reg              d1_reasons_to_wait;
  reg              d1_speed2_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_speed2_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_speed2_s1_from_cpu_data_master;
  wire    [  1: 0] speed2_s1_address;
  wire             speed2_s1_allgrants;
  wire             speed2_s1_allow_new_arb_cycle;
  wire             speed2_s1_any_bursting_master_saved_grant;
  wire             speed2_s1_any_continuerequest;
  wire             speed2_s1_arb_counter_enable;
  reg     [  1: 0] speed2_s1_arb_share_counter;
  wire    [  1: 0] speed2_s1_arb_share_counter_next_value;
  wire    [  1: 0] speed2_s1_arb_share_set_values;
  wire             speed2_s1_beginbursttransfer_internal;
  wire             speed2_s1_begins_xfer;
  wire             speed2_s1_chipselect;
  wire             speed2_s1_end_xfer;
  wire             speed2_s1_firsttransfer;
  wire             speed2_s1_grant_vector;
  wire             speed2_s1_in_a_read_cycle;
  wire             speed2_s1_in_a_write_cycle;
  wire             speed2_s1_master_qreq_vector;
  wire             speed2_s1_non_bursting_master_requests;
  wire    [ 31: 0] speed2_s1_readdata_from_sa;
  reg              speed2_s1_reg_firsttransfer;
  wire             speed2_s1_reset_n;
  reg              speed2_s1_slavearbiterlockenable;
  wire             speed2_s1_slavearbiterlockenable2;
  wire             speed2_s1_unreg_firsttransfer;
  wire             speed2_s1_waits_for_read;
  wire             speed2_s1_waits_for_write;
  wire             speed2_s1_write_n;
  wire    [ 31: 0] speed2_s1_writedata;
  wire             wait_for_speed2_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~speed2_s1_end_xfer;
    end


  assign speed2_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_speed2_s1));
  //assign speed2_s1_readdata_from_sa = speed2_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign speed2_s1_readdata_from_sa = speed2_s1_readdata;

  assign cpu_data_master_requests_speed2_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h170) & (cpu_data_master_read | cpu_data_master_write);
  //speed2_s1_arb_share_counter set values, which is an e_mux
  assign speed2_s1_arb_share_set_values = 1;

  //speed2_s1_non_bursting_master_requests mux, which is an e_mux
  assign speed2_s1_non_bursting_master_requests = cpu_data_master_requests_speed2_s1;

  //speed2_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign speed2_s1_any_bursting_master_saved_grant = 0;

  //speed2_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign speed2_s1_arb_share_counter_next_value = speed2_s1_firsttransfer ? (speed2_s1_arb_share_set_values - 1) : |speed2_s1_arb_share_counter ? (speed2_s1_arb_share_counter - 1) : 0;

  //speed2_s1_allgrants all slave grants, which is an e_mux
  assign speed2_s1_allgrants = |speed2_s1_grant_vector;

  //speed2_s1_end_xfer assignment, which is an e_assign
  assign speed2_s1_end_xfer = ~(speed2_s1_waits_for_read | speed2_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_speed2_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_speed2_s1 = speed2_s1_end_xfer & (~speed2_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //speed2_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign speed2_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_speed2_s1 & speed2_s1_allgrants) | (end_xfer_arb_share_counter_term_speed2_s1 & ~speed2_s1_non_bursting_master_requests);

  //speed2_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed2_s1_arb_share_counter <= 0;
      else if (speed2_s1_arb_counter_enable)
          speed2_s1_arb_share_counter <= speed2_s1_arb_share_counter_next_value;
    end


  //speed2_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed2_s1_slavearbiterlockenable <= 0;
      else if ((|speed2_s1_master_qreq_vector & end_xfer_arb_share_counter_term_speed2_s1) | (end_xfer_arb_share_counter_term_speed2_s1 & ~speed2_s1_non_bursting_master_requests))
          speed2_s1_slavearbiterlockenable <= |speed2_s1_arb_share_counter_next_value;
    end


  //cpu/data_master speed2/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = speed2_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //speed2_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign speed2_s1_slavearbiterlockenable2 = |speed2_s1_arb_share_counter_next_value;

  //cpu/data_master speed2/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = speed2_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //speed2_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign speed2_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_speed2_s1 = cpu_data_master_requests_speed2_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //speed2_s1_writedata mux, which is an e_mux
  assign speed2_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_speed2_s1 = cpu_data_master_qualified_request_speed2_s1;

  //cpu/data_master saved-grant speed2/s1, which is an e_assign
  assign cpu_data_master_saved_grant_speed2_s1 = cpu_data_master_requests_speed2_s1;

  //allow new arb cycle for speed2/s1, which is an e_assign
  assign speed2_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign speed2_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign speed2_s1_master_qreq_vector = 1;

  //speed2_s1_reset_n assignment, which is an e_assign
  assign speed2_s1_reset_n = reset_n;

  assign speed2_s1_chipselect = cpu_data_master_granted_speed2_s1;
  //speed2_s1_firsttransfer first transaction, which is an e_assign
  assign speed2_s1_firsttransfer = speed2_s1_begins_xfer ? speed2_s1_unreg_firsttransfer : speed2_s1_reg_firsttransfer;

  //speed2_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign speed2_s1_unreg_firsttransfer = ~(speed2_s1_slavearbiterlockenable & speed2_s1_any_continuerequest);

  //speed2_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          speed2_s1_reg_firsttransfer <= 1'b1;
      else if (speed2_s1_begins_xfer)
          speed2_s1_reg_firsttransfer <= speed2_s1_unreg_firsttransfer;
    end


  //speed2_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign speed2_s1_beginbursttransfer_internal = speed2_s1_begins_xfer;

  //~speed2_s1_write_n assignment, which is an e_mux
  assign speed2_s1_write_n = ~(cpu_data_master_granted_speed2_s1 & cpu_data_master_write);

  assign shifted_address_to_speed2_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //speed2_s1_address mux, which is an e_mux
  assign speed2_s1_address = shifted_address_to_speed2_s1_from_cpu_data_master >> 2;

  //d1_speed2_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_speed2_s1_end_xfer <= 1;
      else 
        d1_speed2_s1_end_xfer <= speed2_s1_end_xfer;
    end


  //speed2_s1_waits_for_read in a cycle, which is an e_mux
  assign speed2_s1_waits_for_read = speed2_s1_in_a_read_cycle & speed2_s1_begins_xfer;

  //speed2_s1_in_a_read_cycle assignment, which is an e_assign
  assign speed2_s1_in_a_read_cycle = cpu_data_master_granted_speed2_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = speed2_s1_in_a_read_cycle;

  //speed2_s1_waits_for_write in a cycle, which is an e_mux
  assign speed2_s1_waits_for_write = speed2_s1_in_a_write_cycle & 0;

  //speed2_s1_in_a_write_cycle assignment, which is an e_assign
  assign speed2_s1_in_a_write_cycle = cpu_data_master_granted_speed2_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = speed2_s1_in_a_write_cycle;

  assign wait_for_speed2_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //speed2/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module sram_addr_s1_arbitrator (
                                 // inputs:
                                  clk,
                                  cpu_data_master_address_to_slave,
                                  cpu_data_master_read,
                                  cpu_data_master_waitrequest,
                                  cpu_data_master_write,
                                  cpu_data_master_writedata,
                                  reset_n,
                                  sram_addr_s1_readdata,

                                 // outputs:
                                  cpu_data_master_granted_sram_addr_s1,
                                  cpu_data_master_qualified_request_sram_addr_s1,
                                  cpu_data_master_read_data_valid_sram_addr_s1,
                                  cpu_data_master_requests_sram_addr_s1,
                                  d1_sram_addr_s1_end_xfer,
                                  sram_addr_s1_address,
                                  sram_addr_s1_chipselect,
                                  sram_addr_s1_readdata_from_sa,
                                  sram_addr_s1_reset_n,
                                  sram_addr_s1_write_n,
                                  sram_addr_s1_writedata
                               )
;

  output           cpu_data_master_granted_sram_addr_s1;
  output           cpu_data_master_qualified_request_sram_addr_s1;
  output           cpu_data_master_read_data_valid_sram_addr_s1;
  output           cpu_data_master_requests_sram_addr_s1;
  output           d1_sram_addr_s1_end_xfer;
  output  [  1: 0] sram_addr_s1_address;
  output           sram_addr_s1_chipselect;
  output  [ 31: 0] sram_addr_s1_readdata_from_sa;
  output           sram_addr_s1_reset_n;
  output           sram_addr_s1_write_n;
  output  [ 31: 0] sram_addr_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] sram_addr_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_sram_addr_s1;
  wire             cpu_data_master_qualified_request_sram_addr_s1;
  wire             cpu_data_master_read_data_valid_sram_addr_s1;
  wire             cpu_data_master_requests_sram_addr_s1;
  wire             cpu_data_master_saved_grant_sram_addr_s1;
  reg              d1_reasons_to_wait;
  reg              d1_sram_addr_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_sram_addr_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_sram_addr_s1_from_cpu_data_master;
  wire    [  1: 0] sram_addr_s1_address;
  wire             sram_addr_s1_allgrants;
  wire             sram_addr_s1_allow_new_arb_cycle;
  wire             sram_addr_s1_any_bursting_master_saved_grant;
  wire             sram_addr_s1_any_continuerequest;
  wire             sram_addr_s1_arb_counter_enable;
  reg     [  1: 0] sram_addr_s1_arb_share_counter;
  wire    [  1: 0] sram_addr_s1_arb_share_counter_next_value;
  wire    [  1: 0] sram_addr_s1_arb_share_set_values;
  wire             sram_addr_s1_beginbursttransfer_internal;
  wire             sram_addr_s1_begins_xfer;
  wire             sram_addr_s1_chipselect;
  wire             sram_addr_s1_end_xfer;
  wire             sram_addr_s1_firsttransfer;
  wire             sram_addr_s1_grant_vector;
  wire             sram_addr_s1_in_a_read_cycle;
  wire             sram_addr_s1_in_a_write_cycle;
  wire             sram_addr_s1_master_qreq_vector;
  wire             sram_addr_s1_non_bursting_master_requests;
  wire    [ 31: 0] sram_addr_s1_readdata_from_sa;
  reg              sram_addr_s1_reg_firsttransfer;
  wire             sram_addr_s1_reset_n;
  reg              sram_addr_s1_slavearbiterlockenable;
  wire             sram_addr_s1_slavearbiterlockenable2;
  wire             sram_addr_s1_unreg_firsttransfer;
  wire             sram_addr_s1_waits_for_read;
  wire             sram_addr_s1_waits_for_write;
  wire             sram_addr_s1_write_n;
  wire    [ 31: 0] sram_addr_s1_writedata;
  wire             wait_for_sram_addr_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~sram_addr_s1_end_xfer;
    end


  assign sram_addr_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_sram_addr_s1));
  //assign sram_addr_s1_readdata_from_sa = sram_addr_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sram_addr_s1_readdata_from_sa = sram_addr_s1_readdata;

  assign cpu_data_master_requests_sram_addr_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h80) & (cpu_data_master_read | cpu_data_master_write);
  //sram_addr_s1_arb_share_counter set values, which is an e_mux
  assign sram_addr_s1_arb_share_set_values = 1;

  //sram_addr_s1_non_bursting_master_requests mux, which is an e_mux
  assign sram_addr_s1_non_bursting_master_requests = cpu_data_master_requests_sram_addr_s1;

  //sram_addr_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign sram_addr_s1_any_bursting_master_saved_grant = 0;

  //sram_addr_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign sram_addr_s1_arb_share_counter_next_value = sram_addr_s1_firsttransfer ? (sram_addr_s1_arb_share_set_values - 1) : |sram_addr_s1_arb_share_counter ? (sram_addr_s1_arb_share_counter - 1) : 0;

  //sram_addr_s1_allgrants all slave grants, which is an e_mux
  assign sram_addr_s1_allgrants = |sram_addr_s1_grant_vector;

  //sram_addr_s1_end_xfer assignment, which is an e_assign
  assign sram_addr_s1_end_xfer = ~(sram_addr_s1_waits_for_read | sram_addr_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_sram_addr_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_sram_addr_s1 = sram_addr_s1_end_xfer & (~sram_addr_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //sram_addr_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign sram_addr_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_sram_addr_s1 & sram_addr_s1_allgrants) | (end_xfer_arb_share_counter_term_sram_addr_s1 & ~sram_addr_s1_non_bursting_master_requests);

  //sram_addr_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_addr_s1_arb_share_counter <= 0;
      else if (sram_addr_s1_arb_counter_enable)
          sram_addr_s1_arb_share_counter <= sram_addr_s1_arb_share_counter_next_value;
    end


  //sram_addr_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_addr_s1_slavearbiterlockenable <= 0;
      else if ((|sram_addr_s1_master_qreq_vector & end_xfer_arb_share_counter_term_sram_addr_s1) | (end_xfer_arb_share_counter_term_sram_addr_s1 & ~sram_addr_s1_non_bursting_master_requests))
          sram_addr_s1_slavearbiterlockenable <= |sram_addr_s1_arb_share_counter_next_value;
    end


  //cpu/data_master sram_addr/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = sram_addr_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //sram_addr_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign sram_addr_s1_slavearbiterlockenable2 = |sram_addr_s1_arb_share_counter_next_value;

  //cpu/data_master sram_addr/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = sram_addr_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //sram_addr_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign sram_addr_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_sram_addr_s1 = cpu_data_master_requests_sram_addr_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //sram_addr_s1_writedata mux, which is an e_mux
  assign sram_addr_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_sram_addr_s1 = cpu_data_master_qualified_request_sram_addr_s1;

  //cpu/data_master saved-grant sram_addr/s1, which is an e_assign
  assign cpu_data_master_saved_grant_sram_addr_s1 = cpu_data_master_requests_sram_addr_s1;

  //allow new arb cycle for sram_addr/s1, which is an e_assign
  assign sram_addr_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign sram_addr_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign sram_addr_s1_master_qreq_vector = 1;

  //sram_addr_s1_reset_n assignment, which is an e_assign
  assign sram_addr_s1_reset_n = reset_n;

  assign sram_addr_s1_chipselect = cpu_data_master_granted_sram_addr_s1;
  //sram_addr_s1_firsttransfer first transaction, which is an e_assign
  assign sram_addr_s1_firsttransfer = sram_addr_s1_begins_xfer ? sram_addr_s1_unreg_firsttransfer : sram_addr_s1_reg_firsttransfer;

  //sram_addr_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign sram_addr_s1_unreg_firsttransfer = ~(sram_addr_s1_slavearbiterlockenable & sram_addr_s1_any_continuerequest);

  //sram_addr_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_addr_s1_reg_firsttransfer <= 1'b1;
      else if (sram_addr_s1_begins_xfer)
          sram_addr_s1_reg_firsttransfer <= sram_addr_s1_unreg_firsttransfer;
    end


  //sram_addr_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign sram_addr_s1_beginbursttransfer_internal = sram_addr_s1_begins_xfer;

  //~sram_addr_s1_write_n assignment, which is an e_mux
  assign sram_addr_s1_write_n = ~(cpu_data_master_granted_sram_addr_s1 & cpu_data_master_write);

  assign shifted_address_to_sram_addr_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //sram_addr_s1_address mux, which is an e_mux
  assign sram_addr_s1_address = shifted_address_to_sram_addr_s1_from_cpu_data_master >> 2;

  //d1_sram_addr_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_sram_addr_s1_end_xfer <= 1;
      else 
        d1_sram_addr_s1_end_xfer <= sram_addr_s1_end_xfer;
    end


  //sram_addr_s1_waits_for_read in a cycle, which is an e_mux
  assign sram_addr_s1_waits_for_read = sram_addr_s1_in_a_read_cycle & sram_addr_s1_begins_xfer;

  //sram_addr_s1_in_a_read_cycle assignment, which is an e_assign
  assign sram_addr_s1_in_a_read_cycle = cpu_data_master_granted_sram_addr_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = sram_addr_s1_in_a_read_cycle;

  //sram_addr_s1_waits_for_write in a cycle, which is an e_mux
  assign sram_addr_s1_waits_for_write = sram_addr_s1_in_a_write_cycle & 0;

  //sram_addr_s1_in_a_write_cycle assignment, which is an e_assign
  assign sram_addr_s1_in_a_write_cycle = cpu_data_master_granted_sram_addr_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = sram_addr_s1_in_a_write_cycle;

  assign wait_for_sram_addr_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //sram_addr/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module sram_dq_s1_arbitrator (
                               // inputs:
                                clk,
                                cpu_data_master_address_to_slave,
                                cpu_data_master_read,
                                cpu_data_master_waitrequest,
                                cpu_data_master_write,
                                cpu_data_master_writedata,
                                reset_n,
                                sram_dq_s1_readdata,

                               // outputs:
                                cpu_data_master_granted_sram_dq_s1,
                                cpu_data_master_qualified_request_sram_dq_s1,
                                cpu_data_master_read_data_valid_sram_dq_s1,
                                cpu_data_master_requests_sram_dq_s1,
                                d1_sram_dq_s1_end_xfer,
                                sram_dq_s1_address,
                                sram_dq_s1_chipselect,
                                sram_dq_s1_readdata_from_sa,
                                sram_dq_s1_reset_n,
                                sram_dq_s1_write_n,
                                sram_dq_s1_writedata
                             )
;

  output           cpu_data_master_granted_sram_dq_s1;
  output           cpu_data_master_qualified_request_sram_dq_s1;
  output           cpu_data_master_read_data_valid_sram_dq_s1;
  output           cpu_data_master_requests_sram_dq_s1;
  output           d1_sram_dq_s1_end_xfer;
  output  [  1: 0] sram_dq_s1_address;
  output           sram_dq_s1_chipselect;
  output  [ 31: 0] sram_dq_s1_readdata_from_sa;
  output           sram_dq_s1_reset_n;
  output           sram_dq_s1_write_n;
  output  [ 31: 0] sram_dq_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] sram_dq_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_sram_dq_s1;
  wire             cpu_data_master_qualified_request_sram_dq_s1;
  wire             cpu_data_master_read_data_valid_sram_dq_s1;
  wire             cpu_data_master_requests_sram_dq_s1;
  wire             cpu_data_master_saved_grant_sram_dq_s1;
  reg              d1_reasons_to_wait;
  reg              d1_sram_dq_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_sram_dq_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_sram_dq_s1_from_cpu_data_master;
  wire    [  1: 0] sram_dq_s1_address;
  wire             sram_dq_s1_allgrants;
  wire             sram_dq_s1_allow_new_arb_cycle;
  wire             sram_dq_s1_any_bursting_master_saved_grant;
  wire             sram_dq_s1_any_continuerequest;
  wire             sram_dq_s1_arb_counter_enable;
  reg     [  1: 0] sram_dq_s1_arb_share_counter;
  wire    [  1: 0] sram_dq_s1_arb_share_counter_next_value;
  wire    [  1: 0] sram_dq_s1_arb_share_set_values;
  wire             sram_dq_s1_beginbursttransfer_internal;
  wire             sram_dq_s1_begins_xfer;
  wire             sram_dq_s1_chipselect;
  wire             sram_dq_s1_end_xfer;
  wire             sram_dq_s1_firsttransfer;
  wire             sram_dq_s1_grant_vector;
  wire             sram_dq_s1_in_a_read_cycle;
  wire             sram_dq_s1_in_a_write_cycle;
  wire             sram_dq_s1_master_qreq_vector;
  wire             sram_dq_s1_non_bursting_master_requests;
  wire    [ 31: 0] sram_dq_s1_readdata_from_sa;
  reg              sram_dq_s1_reg_firsttransfer;
  wire             sram_dq_s1_reset_n;
  reg              sram_dq_s1_slavearbiterlockenable;
  wire             sram_dq_s1_slavearbiterlockenable2;
  wire             sram_dq_s1_unreg_firsttransfer;
  wire             sram_dq_s1_waits_for_read;
  wire             sram_dq_s1_waits_for_write;
  wire             sram_dq_s1_write_n;
  wire    [ 31: 0] sram_dq_s1_writedata;
  wire             wait_for_sram_dq_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~sram_dq_s1_end_xfer;
    end


  assign sram_dq_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_sram_dq_s1));
  //assign sram_dq_s1_readdata_from_sa = sram_dq_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sram_dq_s1_readdata_from_sa = sram_dq_s1_readdata;

  assign cpu_data_master_requests_sram_dq_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h90) & (cpu_data_master_read | cpu_data_master_write);
  //sram_dq_s1_arb_share_counter set values, which is an e_mux
  assign sram_dq_s1_arb_share_set_values = 1;

  //sram_dq_s1_non_bursting_master_requests mux, which is an e_mux
  assign sram_dq_s1_non_bursting_master_requests = cpu_data_master_requests_sram_dq_s1;

  //sram_dq_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign sram_dq_s1_any_bursting_master_saved_grant = 0;

  //sram_dq_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign sram_dq_s1_arb_share_counter_next_value = sram_dq_s1_firsttransfer ? (sram_dq_s1_arb_share_set_values - 1) : |sram_dq_s1_arb_share_counter ? (sram_dq_s1_arb_share_counter - 1) : 0;

  //sram_dq_s1_allgrants all slave grants, which is an e_mux
  assign sram_dq_s1_allgrants = |sram_dq_s1_grant_vector;

  //sram_dq_s1_end_xfer assignment, which is an e_assign
  assign sram_dq_s1_end_xfer = ~(sram_dq_s1_waits_for_read | sram_dq_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_sram_dq_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_sram_dq_s1 = sram_dq_s1_end_xfer & (~sram_dq_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //sram_dq_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign sram_dq_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_sram_dq_s1 & sram_dq_s1_allgrants) | (end_xfer_arb_share_counter_term_sram_dq_s1 & ~sram_dq_s1_non_bursting_master_requests);

  //sram_dq_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_dq_s1_arb_share_counter <= 0;
      else if (sram_dq_s1_arb_counter_enable)
          sram_dq_s1_arb_share_counter <= sram_dq_s1_arb_share_counter_next_value;
    end


  //sram_dq_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_dq_s1_slavearbiterlockenable <= 0;
      else if ((|sram_dq_s1_master_qreq_vector & end_xfer_arb_share_counter_term_sram_dq_s1) | (end_xfer_arb_share_counter_term_sram_dq_s1 & ~sram_dq_s1_non_bursting_master_requests))
          sram_dq_s1_slavearbiterlockenable <= |sram_dq_s1_arb_share_counter_next_value;
    end


  //cpu/data_master sram_dq/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = sram_dq_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //sram_dq_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign sram_dq_s1_slavearbiterlockenable2 = |sram_dq_s1_arb_share_counter_next_value;

  //cpu/data_master sram_dq/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = sram_dq_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //sram_dq_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign sram_dq_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_sram_dq_s1 = cpu_data_master_requests_sram_dq_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //sram_dq_s1_writedata mux, which is an e_mux
  assign sram_dq_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_sram_dq_s1 = cpu_data_master_qualified_request_sram_dq_s1;

  //cpu/data_master saved-grant sram_dq/s1, which is an e_assign
  assign cpu_data_master_saved_grant_sram_dq_s1 = cpu_data_master_requests_sram_dq_s1;

  //allow new arb cycle for sram_dq/s1, which is an e_assign
  assign sram_dq_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign sram_dq_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign sram_dq_s1_master_qreq_vector = 1;

  //sram_dq_s1_reset_n assignment, which is an e_assign
  assign sram_dq_s1_reset_n = reset_n;

  assign sram_dq_s1_chipselect = cpu_data_master_granted_sram_dq_s1;
  //sram_dq_s1_firsttransfer first transaction, which is an e_assign
  assign sram_dq_s1_firsttransfer = sram_dq_s1_begins_xfer ? sram_dq_s1_unreg_firsttransfer : sram_dq_s1_reg_firsttransfer;

  //sram_dq_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign sram_dq_s1_unreg_firsttransfer = ~(sram_dq_s1_slavearbiterlockenable & sram_dq_s1_any_continuerequest);

  //sram_dq_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_dq_s1_reg_firsttransfer <= 1'b1;
      else if (sram_dq_s1_begins_xfer)
          sram_dq_s1_reg_firsttransfer <= sram_dq_s1_unreg_firsttransfer;
    end


  //sram_dq_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign sram_dq_s1_beginbursttransfer_internal = sram_dq_s1_begins_xfer;

  //~sram_dq_s1_write_n assignment, which is an e_mux
  assign sram_dq_s1_write_n = ~(cpu_data_master_granted_sram_dq_s1 & cpu_data_master_write);

  assign shifted_address_to_sram_dq_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //sram_dq_s1_address mux, which is an e_mux
  assign sram_dq_s1_address = shifted_address_to_sram_dq_s1_from_cpu_data_master >> 2;

  //d1_sram_dq_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_sram_dq_s1_end_xfer <= 1;
      else 
        d1_sram_dq_s1_end_xfer <= sram_dq_s1_end_xfer;
    end


  //sram_dq_s1_waits_for_read in a cycle, which is an e_mux
  assign sram_dq_s1_waits_for_read = sram_dq_s1_in_a_read_cycle & sram_dq_s1_begins_xfer;

  //sram_dq_s1_in_a_read_cycle assignment, which is an e_assign
  assign sram_dq_s1_in_a_read_cycle = cpu_data_master_granted_sram_dq_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = sram_dq_s1_in_a_read_cycle;

  //sram_dq_s1_waits_for_write in a cycle, which is an e_mux
  assign sram_dq_s1_waits_for_write = sram_dq_s1_in_a_write_cycle & 0;

  //sram_dq_s1_in_a_write_cycle assignment, which is an e_assign
  assign sram_dq_s1_in_a_write_cycle = cpu_data_master_granted_sram_dq_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = sram_dq_s1_in_a_write_cycle;

  assign wait_for_sram_dq_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //sram_dq/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module sram_we_n_s1_arbitrator (
                                 // inputs:
                                  clk,
                                  cpu_data_master_address_to_slave,
                                  cpu_data_master_read,
                                  cpu_data_master_waitrequest,
                                  cpu_data_master_write,
                                  cpu_data_master_writedata,
                                  reset_n,
                                  sram_we_n_s1_readdata,

                                 // outputs:
                                  cpu_data_master_granted_sram_we_n_s1,
                                  cpu_data_master_qualified_request_sram_we_n_s1,
                                  cpu_data_master_read_data_valid_sram_we_n_s1,
                                  cpu_data_master_requests_sram_we_n_s1,
                                  d1_sram_we_n_s1_end_xfer,
                                  sram_we_n_s1_address,
                                  sram_we_n_s1_chipselect,
                                  sram_we_n_s1_readdata_from_sa,
                                  sram_we_n_s1_reset_n,
                                  sram_we_n_s1_write_n,
                                  sram_we_n_s1_writedata
                               )
;

  output           cpu_data_master_granted_sram_we_n_s1;
  output           cpu_data_master_qualified_request_sram_we_n_s1;
  output           cpu_data_master_read_data_valid_sram_we_n_s1;
  output           cpu_data_master_requests_sram_we_n_s1;
  output           d1_sram_we_n_s1_end_xfer;
  output  [  1: 0] sram_we_n_s1_address;
  output           sram_we_n_s1_chipselect;
  output  [ 31: 0] sram_we_n_s1_readdata_from_sa;
  output           sram_we_n_s1_reset_n;
  output           sram_we_n_s1_write_n;
  output  [ 31: 0] sram_we_n_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] sram_we_n_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_sram_we_n_s1;
  wire             cpu_data_master_qualified_request_sram_we_n_s1;
  wire             cpu_data_master_read_data_valid_sram_we_n_s1;
  wire             cpu_data_master_requests_sram_we_n_s1;
  wire             cpu_data_master_saved_grant_sram_we_n_s1;
  reg              d1_reasons_to_wait;
  reg              d1_sram_we_n_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_sram_we_n_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_sram_we_n_s1_from_cpu_data_master;
  wire    [  1: 0] sram_we_n_s1_address;
  wire             sram_we_n_s1_allgrants;
  wire             sram_we_n_s1_allow_new_arb_cycle;
  wire             sram_we_n_s1_any_bursting_master_saved_grant;
  wire             sram_we_n_s1_any_continuerequest;
  wire             sram_we_n_s1_arb_counter_enable;
  reg     [  1: 0] sram_we_n_s1_arb_share_counter;
  wire    [  1: 0] sram_we_n_s1_arb_share_counter_next_value;
  wire    [  1: 0] sram_we_n_s1_arb_share_set_values;
  wire             sram_we_n_s1_beginbursttransfer_internal;
  wire             sram_we_n_s1_begins_xfer;
  wire             sram_we_n_s1_chipselect;
  wire             sram_we_n_s1_end_xfer;
  wire             sram_we_n_s1_firsttransfer;
  wire             sram_we_n_s1_grant_vector;
  wire             sram_we_n_s1_in_a_read_cycle;
  wire             sram_we_n_s1_in_a_write_cycle;
  wire             sram_we_n_s1_master_qreq_vector;
  wire             sram_we_n_s1_non_bursting_master_requests;
  wire    [ 31: 0] sram_we_n_s1_readdata_from_sa;
  reg              sram_we_n_s1_reg_firsttransfer;
  wire             sram_we_n_s1_reset_n;
  reg              sram_we_n_s1_slavearbiterlockenable;
  wire             sram_we_n_s1_slavearbiterlockenable2;
  wire             sram_we_n_s1_unreg_firsttransfer;
  wire             sram_we_n_s1_waits_for_read;
  wire             sram_we_n_s1_waits_for_write;
  wire             sram_we_n_s1_write_n;
  wire    [ 31: 0] sram_we_n_s1_writedata;
  wire             wait_for_sram_we_n_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~sram_we_n_s1_end_xfer;
    end


  assign sram_we_n_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_sram_we_n_s1));
  //assign sram_we_n_s1_readdata_from_sa = sram_we_n_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign sram_we_n_s1_readdata_from_sa = sram_we_n_s1_readdata;

  assign cpu_data_master_requests_sram_we_n_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h70) & (cpu_data_master_read | cpu_data_master_write);
  //sram_we_n_s1_arb_share_counter set values, which is an e_mux
  assign sram_we_n_s1_arb_share_set_values = 1;

  //sram_we_n_s1_non_bursting_master_requests mux, which is an e_mux
  assign sram_we_n_s1_non_bursting_master_requests = cpu_data_master_requests_sram_we_n_s1;

  //sram_we_n_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign sram_we_n_s1_any_bursting_master_saved_grant = 0;

  //sram_we_n_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign sram_we_n_s1_arb_share_counter_next_value = sram_we_n_s1_firsttransfer ? (sram_we_n_s1_arb_share_set_values - 1) : |sram_we_n_s1_arb_share_counter ? (sram_we_n_s1_arb_share_counter - 1) : 0;

  //sram_we_n_s1_allgrants all slave grants, which is an e_mux
  assign sram_we_n_s1_allgrants = |sram_we_n_s1_grant_vector;

  //sram_we_n_s1_end_xfer assignment, which is an e_assign
  assign sram_we_n_s1_end_xfer = ~(sram_we_n_s1_waits_for_read | sram_we_n_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_sram_we_n_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_sram_we_n_s1 = sram_we_n_s1_end_xfer & (~sram_we_n_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //sram_we_n_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign sram_we_n_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_sram_we_n_s1 & sram_we_n_s1_allgrants) | (end_xfer_arb_share_counter_term_sram_we_n_s1 & ~sram_we_n_s1_non_bursting_master_requests);

  //sram_we_n_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_we_n_s1_arb_share_counter <= 0;
      else if (sram_we_n_s1_arb_counter_enable)
          sram_we_n_s1_arb_share_counter <= sram_we_n_s1_arb_share_counter_next_value;
    end


  //sram_we_n_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_we_n_s1_slavearbiterlockenable <= 0;
      else if ((|sram_we_n_s1_master_qreq_vector & end_xfer_arb_share_counter_term_sram_we_n_s1) | (end_xfer_arb_share_counter_term_sram_we_n_s1 & ~sram_we_n_s1_non_bursting_master_requests))
          sram_we_n_s1_slavearbiterlockenable <= |sram_we_n_s1_arb_share_counter_next_value;
    end


  //cpu/data_master sram_we_n/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = sram_we_n_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //sram_we_n_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign sram_we_n_s1_slavearbiterlockenable2 = |sram_we_n_s1_arb_share_counter_next_value;

  //cpu/data_master sram_we_n/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = sram_we_n_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //sram_we_n_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign sram_we_n_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_sram_we_n_s1 = cpu_data_master_requests_sram_we_n_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //sram_we_n_s1_writedata mux, which is an e_mux
  assign sram_we_n_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_sram_we_n_s1 = cpu_data_master_qualified_request_sram_we_n_s1;

  //cpu/data_master saved-grant sram_we_n/s1, which is an e_assign
  assign cpu_data_master_saved_grant_sram_we_n_s1 = cpu_data_master_requests_sram_we_n_s1;

  //allow new arb cycle for sram_we_n/s1, which is an e_assign
  assign sram_we_n_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign sram_we_n_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign sram_we_n_s1_master_qreq_vector = 1;

  //sram_we_n_s1_reset_n assignment, which is an e_assign
  assign sram_we_n_s1_reset_n = reset_n;

  assign sram_we_n_s1_chipselect = cpu_data_master_granted_sram_we_n_s1;
  //sram_we_n_s1_firsttransfer first transaction, which is an e_assign
  assign sram_we_n_s1_firsttransfer = sram_we_n_s1_begins_xfer ? sram_we_n_s1_unreg_firsttransfer : sram_we_n_s1_reg_firsttransfer;

  //sram_we_n_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign sram_we_n_s1_unreg_firsttransfer = ~(sram_we_n_s1_slavearbiterlockenable & sram_we_n_s1_any_continuerequest);

  //sram_we_n_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          sram_we_n_s1_reg_firsttransfer <= 1'b1;
      else if (sram_we_n_s1_begins_xfer)
          sram_we_n_s1_reg_firsttransfer <= sram_we_n_s1_unreg_firsttransfer;
    end


  //sram_we_n_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign sram_we_n_s1_beginbursttransfer_internal = sram_we_n_s1_begins_xfer;

  //~sram_we_n_s1_write_n assignment, which is an e_mux
  assign sram_we_n_s1_write_n = ~(cpu_data_master_granted_sram_we_n_s1 & cpu_data_master_write);

  assign shifted_address_to_sram_we_n_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //sram_we_n_s1_address mux, which is an e_mux
  assign sram_we_n_s1_address = shifted_address_to_sram_we_n_s1_from_cpu_data_master >> 2;

  //d1_sram_we_n_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_sram_we_n_s1_end_xfer <= 1;
      else 
        d1_sram_we_n_s1_end_xfer <= sram_we_n_s1_end_xfer;
    end


  //sram_we_n_s1_waits_for_read in a cycle, which is an e_mux
  assign sram_we_n_s1_waits_for_read = sram_we_n_s1_in_a_read_cycle & sram_we_n_s1_begins_xfer;

  //sram_we_n_s1_in_a_read_cycle assignment, which is an e_assign
  assign sram_we_n_s1_in_a_read_cycle = cpu_data_master_granted_sram_we_n_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = sram_we_n_s1_in_a_read_cycle;

  //sram_we_n_s1_waits_for_write in a cycle, which is an e_mux
  assign sram_we_n_s1_waits_for_write = sram_we_n_s1_in_a_write_cycle & 0;

  //sram_we_n_s1_in_a_write_cycle assignment, which is an e_assign
  assign sram_we_n_s1_in_a_write_cycle = cpu_data_master_granted_sram_we_n_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = sram_we_n_s1_in_a_write_cycle;

  assign wait_for_sram_we_n_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //sram_we_n/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module tone_mode_s1_arbitrator (
                                 // inputs:
                                  clk,
                                  cpu_data_master_address_to_slave,
                                  cpu_data_master_read,
                                  cpu_data_master_waitrequest,
                                  cpu_data_master_write,
                                  cpu_data_master_writedata,
                                  reset_n,
                                  tone_mode_s1_readdata,

                                 // outputs:
                                  cpu_data_master_granted_tone_mode_s1,
                                  cpu_data_master_qualified_request_tone_mode_s1,
                                  cpu_data_master_read_data_valid_tone_mode_s1,
                                  cpu_data_master_requests_tone_mode_s1,
                                  d1_tone_mode_s1_end_xfer,
                                  tone_mode_s1_address,
                                  tone_mode_s1_chipselect,
                                  tone_mode_s1_readdata_from_sa,
                                  tone_mode_s1_reset_n,
                                  tone_mode_s1_write_n,
                                  tone_mode_s1_writedata
                               )
;

  output           cpu_data_master_granted_tone_mode_s1;
  output           cpu_data_master_qualified_request_tone_mode_s1;
  output           cpu_data_master_read_data_valid_tone_mode_s1;
  output           cpu_data_master_requests_tone_mode_s1;
  output           d1_tone_mode_s1_end_xfer;
  output  [  1: 0] tone_mode_s1_address;
  output           tone_mode_s1_chipselect;
  output  [ 31: 0] tone_mode_s1_readdata_from_sa;
  output           tone_mode_s1_reset_n;
  output           tone_mode_s1_write_n;
  output  [ 31: 0] tone_mode_s1_writedata;
  input            clk;
  input   [ 25: 0] cpu_data_master_address_to_slave;
  input            cpu_data_master_read;
  input            cpu_data_master_waitrequest;
  input            cpu_data_master_write;
  input   [ 31: 0] cpu_data_master_writedata;
  input            reset_n;
  input   [ 31: 0] tone_mode_s1_readdata;

  wire             cpu_data_master_arbiterlock;
  wire             cpu_data_master_arbiterlock2;
  wire             cpu_data_master_continuerequest;
  wire             cpu_data_master_granted_tone_mode_s1;
  wire             cpu_data_master_qualified_request_tone_mode_s1;
  wire             cpu_data_master_read_data_valid_tone_mode_s1;
  wire             cpu_data_master_requests_tone_mode_s1;
  wire             cpu_data_master_saved_grant_tone_mode_s1;
  reg              d1_reasons_to_wait;
  reg              d1_tone_mode_s1_end_xfer;
  reg              enable_nonzero_assertions;
  wire             end_xfer_arb_share_counter_term_tone_mode_s1;
  wire             in_a_read_cycle;
  wire             in_a_write_cycle;
  wire    [ 25: 0] shifted_address_to_tone_mode_s1_from_cpu_data_master;
  wire    [  1: 0] tone_mode_s1_address;
  wire             tone_mode_s1_allgrants;
  wire             tone_mode_s1_allow_new_arb_cycle;
  wire             tone_mode_s1_any_bursting_master_saved_grant;
  wire             tone_mode_s1_any_continuerequest;
  wire             tone_mode_s1_arb_counter_enable;
  reg     [  1: 0] tone_mode_s1_arb_share_counter;
  wire    [  1: 0] tone_mode_s1_arb_share_counter_next_value;
  wire    [  1: 0] tone_mode_s1_arb_share_set_values;
  wire             tone_mode_s1_beginbursttransfer_internal;
  wire             tone_mode_s1_begins_xfer;
  wire             tone_mode_s1_chipselect;
  wire             tone_mode_s1_end_xfer;
  wire             tone_mode_s1_firsttransfer;
  wire             tone_mode_s1_grant_vector;
  wire             tone_mode_s1_in_a_read_cycle;
  wire             tone_mode_s1_in_a_write_cycle;
  wire             tone_mode_s1_master_qreq_vector;
  wire             tone_mode_s1_non_bursting_master_requests;
  wire    [ 31: 0] tone_mode_s1_readdata_from_sa;
  reg              tone_mode_s1_reg_firsttransfer;
  wire             tone_mode_s1_reset_n;
  reg              tone_mode_s1_slavearbiterlockenable;
  wire             tone_mode_s1_slavearbiterlockenable2;
  wire             tone_mode_s1_unreg_firsttransfer;
  wire             tone_mode_s1_waits_for_read;
  wire             tone_mode_s1_waits_for_write;
  wire             tone_mode_s1_write_n;
  wire    [ 31: 0] tone_mode_s1_writedata;
  wire             wait_for_tone_mode_s1_counter;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_reasons_to_wait <= 0;
      else 
        d1_reasons_to_wait <= ~tone_mode_s1_end_xfer;
    end


  assign tone_mode_s1_begins_xfer = ~d1_reasons_to_wait & ((cpu_data_master_qualified_request_tone_mode_s1));
  //assign tone_mode_s1_readdata_from_sa = tone_mode_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  assign tone_mode_s1_readdata_from_sa = tone_mode_s1_readdata;

  assign cpu_data_master_requests_tone_mode_s1 = ({cpu_data_master_address_to_slave[25 : 4] , 4'b0} == 26'h180) & (cpu_data_master_read | cpu_data_master_write);
  //tone_mode_s1_arb_share_counter set values, which is an e_mux
  assign tone_mode_s1_arb_share_set_values = 1;

  //tone_mode_s1_non_bursting_master_requests mux, which is an e_mux
  assign tone_mode_s1_non_bursting_master_requests = cpu_data_master_requests_tone_mode_s1;

  //tone_mode_s1_any_bursting_master_saved_grant mux, which is an e_mux
  assign tone_mode_s1_any_bursting_master_saved_grant = 0;

  //tone_mode_s1_arb_share_counter_next_value assignment, which is an e_assign
  assign tone_mode_s1_arb_share_counter_next_value = tone_mode_s1_firsttransfer ? (tone_mode_s1_arb_share_set_values - 1) : |tone_mode_s1_arb_share_counter ? (tone_mode_s1_arb_share_counter - 1) : 0;

  //tone_mode_s1_allgrants all slave grants, which is an e_mux
  assign tone_mode_s1_allgrants = |tone_mode_s1_grant_vector;

  //tone_mode_s1_end_xfer assignment, which is an e_assign
  assign tone_mode_s1_end_xfer = ~(tone_mode_s1_waits_for_read | tone_mode_s1_waits_for_write);

  //end_xfer_arb_share_counter_term_tone_mode_s1 arb share counter enable term, which is an e_assign
  assign end_xfer_arb_share_counter_term_tone_mode_s1 = tone_mode_s1_end_xfer & (~tone_mode_s1_any_bursting_master_saved_grant | in_a_read_cycle | in_a_write_cycle);

  //tone_mode_s1_arb_share_counter arbitration counter enable, which is an e_assign
  assign tone_mode_s1_arb_counter_enable = (end_xfer_arb_share_counter_term_tone_mode_s1 & tone_mode_s1_allgrants) | (end_xfer_arb_share_counter_term_tone_mode_s1 & ~tone_mode_s1_non_bursting_master_requests);

  //tone_mode_s1_arb_share_counter counter, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          tone_mode_s1_arb_share_counter <= 0;
      else if (tone_mode_s1_arb_counter_enable)
          tone_mode_s1_arb_share_counter <= tone_mode_s1_arb_share_counter_next_value;
    end


  //tone_mode_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          tone_mode_s1_slavearbiterlockenable <= 0;
      else if ((|tone_mode_s1_master_qreq_vector & end_xfer_arb_share_counter_term_tone_mode_s1) | (end_xfer_arb_share_counter_term_tone_mode_s1 & ~tone_mode_s1_non_bursting_master_requests))
          tone_mode_s1_slavearbiterlockenable <= |tone_mode_s1_arb_share_counter_next_value;
    end


  //cpu/data_master tone_mode/s1 arbiterlock, which is an e_assign
  assign cpu_data_master_arbiterlock = tone_mode_s1_slavearbiterlockenable & cpu_data_master_continuerequest;

  //tone_mode_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  assign tone_mode_s1_slavearbiterlockenable2 = |tone_mode_s1_arb_share_counter_next_value;

  //cpu/data_master tone_mode/s1 arbiterlock2, which is an e_assign
  assign cpu_data_master_arbiterlock2 = tone_mode_s1_slavearbiterlockenable2 & cpu_data_master_continuerequest;

  //tone_mode_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  assign tone_mode_s1_any_continuerequest = 1;

  //cpu_data_master_continuerequest continued request, which is an e_assign
  assign cpu_data_master_continuerequest = 1;

  assign cpu_data_master_qualified_request_tone_mode_s1 = cpu_data_master_requests_tone_mode_s1 & ~(((~cpu_data_master_waitrequest) & cpu_data_master_write));
  //tone_mode_s1_writedata mux, which is an e_mux
  assign tone_mode_s1_writedata = cpu_data_master_writedata;

  //master is always granted when requested
  assign cpu_data_master_granted_tone_mode_s1 = cpu_data_master_qualified_request_tone_mode_s1;

  //cpu/data_master saved-grant tone_mode/s1, which is an e_assign
  assign cpu_data_master_saved_grant_tone_mode_s1 = cpu_data_master_requests_tone_mode_s1;

  //allow new arb cycle for tone_mode/s1, which is an e_assign
  assign tone_mode_s1_allow_new_arb_cycle = 1;

  //placeholder chosen master
  assign tone_mode_s1_grant_vector = 1;

  //placeholder vector of master qualified-requests
  assign tone_mode_s1_master_qreq_vector = 1;

  //tone_mode_s1_reset_n assignment, which is an e_assign
  assign tone_mode_s1_reset_n = reset_n;

  assign tone_mode_s1_chipselect = cpu_data_master_granted_tone_mode_s1;
  //tone_mode_s1_firsttransfer first transaction, which is an e_assign
  assign tone_mode_s1_firsttransfer = tone_mode_s1_begins_xfer ? tone_mode_s1_unreg_firsttransfer : tone_mode_s1_reg_firsttransfer;

  //tone_mode_s1_unreg_firsttransfer first transaction, which is an e_assign
  assign tone_mode_s1_unreg_firsttransfer = ~(tone_mode_s1_slavearbiterlockenable & tone_mode_s1_any_continuerequest);

  //tone_mode_s1_reg_firsttransfer first transaction, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          tone_mode_s1_reg_firsttransfer <= 1'b1;
      else if (tone_mode_s1_begins_xfer)
          tone_mode_s1_reg_firsttransfer <= tone_mode_s1_unreg_firsttransfer;
    end


  //tone_mode_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  assign tone_mode_s1_beginbursttransfer_internal = tone_mode_s1_begins_xfer;

  //~tone_mode_s1_write_n assignment, which is an e_mux
  assign tone_mode_s1_write_n = ~(cpu_data_master_granted_tone_mode_s1 & cpu_data_master_write);

  assign shifted_address_to_tone_mode_s1_from_cpu_data_master = cpu_data_master_address_to_slave;
  //tone_mode_s1_address mux, which is an e_mux
  assign tone_mode_s1_address = shifted_address_to_tone_mode_s1_from_cpu_data_master >> 2;

  //d1_tone_mode_s1_end_xfer register, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          d1_tone_mode_s1_end_xfer <= 1;
      else 
        d1_tone_mode_s1_end_xfer <= tone_mode_s1_end_xfer;
    end


  //tone_mode_s1_waits_for_read in a cycle, which is an e_mux
  assign tone_mode_s1_waits_for_read = tone_mode_s1_in_a_read_cycle & tone_mode_s1_begins_xfer;

  //tone_mode_s1_in_a_read_cycle assignment, which is an e_assign
  assign tone_mode_s1_in_a_read_cycle = cpu_data_master_granted_tone_mode_s1 & cpu_data_master_read;

  //in_a_read_cycle assignment, which is an e_mux
  assign in_a_read_cycle = tone_mode_s1_in_a_read_cycle;

  //tone_mode_s1_waits_for_write in a cycle, which is an e_mux
  assign tone_mode_s1_waits_for_write = tone_mode_s1_in_a_write_cycle & 0;

  //tone_mode_s1_in_a_write_cycle assignment, which is an e_assign
  assign tone_mode_s1_in_a_write_cycle = cpu_data_master_granted_tone_mode_s1 & cpu_data_master_write;

  //in_a_write_cycle assignment, which is an e_mux
  assign in_a_write_cycle = tone_mode_s1_in_a_write_cycle;

  assign wait_for_tone_mode_s1_counter = 0;

//synthesis translate_off
//////////////// SIMULATION-ONLY CONTENTS
  //tone_mode/s1 enable non-zero assertions, which is an e_register
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          enable_nonzero_assertions <= 0;
      else 
        enable_nonzero_assertions <= 1'b1;
    end



//////////////// END SIMULATION-ONLY CONTENTS

//synthesis translate_on

endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module NIOS_reset_clk_domain_synch_module (
                                            // inputs:
                                             clk,
                                             data_in,
                                             reset_n,

                                            // outputs:
                                             data_out
                                          )
;

  output           data_out;
  input            clk;
  input            data_in;
  input            reset_n;

  reg              data_in_d1 /* synthesis ALTERA_ATTRIBUTE = "{-from \"*\"} CUT=ON ; PRESERVE_REGISTER=ON ; SUPPRESS_DA_RULE_INTERNAL=R101"  */;
  reg              data_out /* synthesis ALTERA_ATTRIBUTE = "PRESERVE_REGISTER=ON ; SUPPRESS_DA_RULE_INTERNAL=R101"  */;
  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          data_in_d1 <= 0;
      else 
        data_in_d1 <= data_in;
    end


  always @(posedge clk or negedge reset_n)
    begin
      if (reset_n == 0)
          data_out <= 0;
      else 
        data_out <= data_in_d1;
    end



endmodule


// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module NIOS (
              // 1) global signals:
               clk,
               reset_n,

              // the_cur_x
               out_port_from_the_cur_x,

              // the_cur_y
               out_port_from_the_cur_y,

              // the_en0
               out_port_from_the_en0,

              // the_en1
               out_port_from_the_en1,

              // the_en2
               out_port_from_the_en2,

              // the_event_has_been_read
               out_port_from_the_event_has_been_read,

              // the_lcd_0
               LCD_E_from_the_lcd_0,
               LCD_RS_from_the_lcd_0,
               LCD_RW_from_the_lcd_0,
               LCD_data_to_and_from_the_lcd_0,

              // the_new_event_ready
               in_port_to_the_new_event_ready,

              // the_obj
               out_port_from_the_obj,

              // the_period0
               out_port_from_the_period0,

              // the_period1
               out_port_from_the_period1,

              // the_period2
               out_port_from_the_period2,

              // the_period_gol
               out_port_from_the_period_gol,

              // the_play
               out_port_from_the_play,

              // the_ps2_event_type
               in_port_to_the_ps2_event_type,

              // the_sdram
               zs_addr_from_the_sdram,
               zs_ba_from_the_sdram,
               zs_cas_n_from_the_sdram,
               zs_cke_from_the_sdram,
               zs_cs_n_from_the_sdram,
               zs_dq_to_and_from_the_sdram,
               zs_dqm_from_the_sdram,
               zs_ras_n_from_the_sdram,
               zs_we_n_from_the_sdram,

              // the_set_sel0
               out_port_from_the_set_sel0,

              // the_set_sel1
               out_port_from_the_set_sel1,

              // the_set_sel2
               out_port_from_the_set_sel2,

              // the_speed0
               out_port_from_the_speed0,

              // the_speed1
               out_port_from_the_speed1,

              // the_speed2
               out_port_from_the_speed2,

              // the_sram_addr
               out_port_from_the_sram_addr,

              // the_sram_dq
               out_port_from_the_sram_dq,

              // the_sram_we_n
               out_port_from_the_sram_we_n,

              // the_tone_mode
               out_port_from_the_tone_mode
            )
;

  output           LCD_E_from_the_lcd_0;
  output           LCD_RS_from_the_lcd_0;
  output           LCD_RW_from_the_lcd_0;
  inout   [  7: 0] LCD_data_to_and_from_the_lcd_0;
  output  [  9: 0] out_port_from_the_cur_x;
  output  [  9: 0] out_port_from_the_cur_y;
  output           out_port_from_the_en0;
  output           out_port_from_the_en1;
  output           out_port_from_the_en2;
  output           out_port_from_the_event_has_been_read;
  output  [  3: 0] out_port_from_the_obj;
  output  [ 23: 0] out_port_from_the_period0;
  output  [ 23: 0] out_port_from_the_period1;
  output  [ 23: 0] out_port_from_the_period2;
  output  [ 23: 0] out_port_from_the_period_gol;
  output           out_port_from_the_play;
  output           out_port_from_the_set_sel0;
  output           out_port_from_the_set_sel1;
  output           out_port_from_the_set_sel2;
  output  [  1: 0] out_port_from_the_speed0;
  output  [  1: 0] out_port_from_the_speed1;
  output  [  1: 0] out_port_from_the_speed2;
  output  [ 17: 0] out_port_from_the_sram_addr;
  output  [ 15: 0] out_port_from_the_sram_dq;
  output           out_port_from_the_sram_we_n;
  output  [  2: 0] out_port_from_the_tone_mode;
  output  [ 11: 0] zs_addr_from_the_sdram;
  output  [  1: 0] zs_ba_from_the_sdram;
  output           zs_cas_n_from_the_sdram;
  output           zs_cke_from_the_sdram;
  output           zs_cs_n_from_the_sdram;
  inout   [ 15: 0] zs_dq_to_and_from_the_sdram;
  output  [  1: 0] zs_dqm_from_the_sdram;
  output           zs_ras_n_from_the_sdram;
  output           zs_we_n_from_the_sdram;
  input            clk;
  input            in_port_to_the_new_event_ready;
  input   [  7: 0] in_port_to_the_ps2_event_type;
  input            reset_n;

  wire             LCD_E_from_the_lcd_0;
  wire             LCD_RS_from_the_lcd_0;
  wire             LCD_RW_from_the_lcd_0;
  wire    [  7: 0] LCD_data_to_and_from_the_lcd_0;
  wire    [  2: 0] TIMER_0_s1_address;
  wire             TIMER_0_s1_chipselect;
  wire             TIMER_0_s1_irq;
  wire             TIMER_0_s1_irq_from_sa;
  wire    [ 15: 0] TIMER_0_s1_readdata;
  wire    [ 15: 0] TIMER_0_s1_readdata_from_sa;
  wire             TIMER_0_s1_reset_n;
  wire             TIMER_0_s1_write_n;
  wire    [ 15: 0] TIMER_0_s1_writedata;
  wire             clk_reset_n;
  wire    [ 25: 0] cpu_data_master_address;
  wire    [ 25: 0] cpu_data_master_address_to_slave;
  wire    [  3: 0] cpu_data_master_byteenable;
  wire    [  1: 0] cpu_data_master_byteenable_sdram_s1;
  wire    [  1: 0] cpu_data_master_dbs_address;
  wire    [ 15: 0] cpu_data_master_dbs_write_16;
  wire             cpu_data_master_debugaccess;
  wire             cpu_data_master_granted_TIMER_0_s1;
  wire             cpu_data_master_granted_cpu_jtag_debug_module;
  wire             cpu_data_master_granted_cur_x_s1;
  wire             cpu_data_master_granted_cur_y_s1;
  wire             cpu_data_master_granted_en0_s1;
  wire             cpu_data_master_granted_en1_s1;
  wire             cpu_data_master_granted_en2_s1;
  wire             cpu_data_master_granted_event_has_been_read_s1;
  wire             cpu_data_master_granted_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_granted_lcd_0_control_slave;
  wire             cpu_data_master_granted_new_event_ready_s1;
  wire             cpu_data_master_granted_obj_s1;
  wire             cpu_data_master_granted_period0_s1;
  wire             cpu_data_master_granted_period1_s1;
  wire             cpu_data_master_granted_period2_s1;
  wire             cpu_data_master_granted_period_gol_s1;
  wire             cpu_data_master_granted_play_s1;
  wire             cpu_data_master_granted_ps2_event_type_s1;
  wire             cpu_data_master_granted_sdram_s1;
  wire             cpu_data_master_granted_set_sel0_s1;
  wire             cpu_data_master_granted_set_sel1_s1;
  wire             cpu_data_master_granted_set_sel2_s1;
  wire             cpu_data_master_granted_speed0_s1;
  wire             cpu_data_master_granted_speed1_s1;
  wire             cpu_data_master_granted_speed2_s1;
  wire             cpu_data_master_granted_sram_addr_s1;
  wire             cpu_data_master_granted_sram_dq_s1;
  wire             cpu_data_master_granted_sram_we_n_s1;
  wire             cpu_data_master_granted_tone_mode_s1;
  wire    [ 31: 0] cpu_data_master_irq;
  wire             cpu_data_master_no_byte_enables_and_last_term;
  wire             cpu_data_master_qualified_request_TIMER_0_s1;
  wire             cpu_data_master_qualified_request_cpu_jtag_debug_module;
  wire             cpu_data_master_qualified_request_cur_x_s1;
  wire             cpu_data_master_qualified_request_cur_y_s1;
  wire             cpu_data_master_qualified_request_en0_s1;
  wire             cpu_data_master_qualified_request_en1_s1;
  wire             cpu_data_master_qualified_request_en2_s1;
  wire             cpu_data_master_qualified_request_event_has_been_read_s1;
  wire             cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_qualified_request_lcd_0_control_slave;
  wire             cpu_data_master_qualified_request_new_event_ready_s1;
  wire             cpu_data_master_qualified_request_obj_s1;
  wire             cpu_data_master_qualified_request_period0_s1;
  wire             cpu_data_master_qualified_request_period1_s1;
  wire             cpu_data_master_qualified_request_period2_s1;
  wire             cpu_data_master_qualified_request_period_gol_s1;
  wire             cpu_data_master_qualified_request_play_s1;
  wire             cpu_data_master_qualified_request_ps2_event_type_s1;
  wire             cpu_data_master_qualified_request_sdram_s1;
  wire             cpu_data_master_qualified_request_set_sel0_s1;
  wire             cpu_data_master_qualified_request_set_sel1_s1;
  wire             cpu_data_master_qualified_request_set_sel2_s1;
  wire             cpu_data_master_qualified_request_speed0_s1;
  wire             cpu_data_master_qualified_request_speed1_s1;
  wire             cpu_data_master_qualified_request_speed2_s1;
  wire             cpu_data_master_qualified_request_sram_addr_s1;
  wire             cpu_data_master_qualified_request_sram_dq_s1;
  wire             cpu_data_master_qualified_request_sram_we_n_s1;
  wire             cpu_data_master_qualified_request_tone_mode_s1;
  wire             cpu_data_master_read;
  wire             cpu_data_master_read_data_valid_TIMER_0_s1;
  wire             cpu_data_master_read_data_valid_cpu_jtag_debug_module;
  wire             cpu_data_master_read_data_valid_cur_x_s1;
  wire             cpu_data_master_read_data_valid_cur_y_s1;
  wire             cpu_data_master_read_data_valid_en0_s1;
  wire             cpu_data_master_read_data_valid_en1_s1;
  wire             cpu_data_master_read_data_valid_en2_s1;
  wire             cpu_data_master_read_data_valid_event_has_been_read_s1;
  wire             cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_read_data_valid_lcd_0_control_slave;
  wire             cpu_data_master_read_data_valid_new_event_ready_s1;
  wire             cpu_data_master_read_data_valid_obj_s1;
  wire             cpu_data_master_read_data_valid_period0_s1;
  wire             cpu_data_master_read_data_valid_period1_s1;
  wire             cpu_data_master_read_data_valid_period2_s1;
  wire             cpu_data_master_read_data_valid_period_gol_s1;
  wire             cpu_data_master_read_data_valid_play_s1;
  wire             cpu_data_master_read_data_valid_ps2_event_type_s1;
  wire             cpu_data_master_read_data_valid_sdram_s1;
  wire             cpu_data_master_read_data_valid_sdram_s1_shift_register;
  wire             cpu_data_master_read_data_valid_set_sel0_s1;
  wire             cpu_data_master_read_data_valid_set_sel1_s1;
  wire             cpu_data_master_read_data_valid_set_sel2_s1;
  wire             cpu_data_master_read_data_valid_speed0_s1;
  wire             cpu_data_master_read_data_valid_speed1_s1;
  wire             cpu_data_master_read_data_valid_speed2_s1;
  wire             cpu_data_master_read_data_valid_sram_addr_s1;
  wire             cpu_data_master_read_data_valid_sram_dq_s1;
  wire             cpu_data_master_read_data_valid_sram_we_n_s1;
  wire             cpu_data_master_read_data_valid_tone_mode_s1;
  wire    [ 31: 0] cpu_data_master_readdata;
  wire             cpu_data_master_requests_TIMER_0_s1;
  wire             cpu_data_master_requests_cpu_jtag_debug_module;
  wire             cpu_data_master_requests_cur_x_s1;
  wire             cpu_data_master_requests_cur_y_s1;
  wire             cpu_data_master_requests_en0_s1;
  wire             cpu_data_master_requests_en1_s1;
  wire             cpu_data_master_requests_en2_s1;
  wire             cpu_data_master_requests_event_has_been_read_s1;
  wire             cpu_data_master_requests_jtag_uart_avalon_jtag_slave;
  wire             cpu_data_master_requests_lcd_0_control_slave;
  wire             cpu_data_master_requests_new_event_ready_s1;
  wire             cpu_data_master_requests_obj_s1;
  wire             cpu_data_master_requests_period0_s1;
  wire             cpu_data_master_requests_period1_s1;
  wire             cpu_data_master_requests_period2_s1;
  wire             cpu_data_master_requests_period_gol_s1;
  wire             cpu_data_master_requests_play_s1;
  wire             cpu_data_master_requests_ps2_event_type_s1;
  wire             cpu_data_master_requests_sdram_s1;
  wire             cpu_data_master_requests_set_sel0_s1;
  wire             cpu_data_master_requests_set_sel1_s1;
  wire             cpu_data_master_requests_set_sel2_s1;
  wire             cpu_data_master_requests_speed0_s1;
  wire             cpu_data_master_requests_speed1_s1;
  wire             cpu_data_master_requests_speed2_s1;
  wire             cpu_data_master_requests_sram_addr_s1;
  wire             cpu_data_master_requests_sram_dq_s1;
  wire             cpu_data_master_requests_sram_we_n_s1;
  wire             cpu_data_master_requests_tone_mode_s1;
  wire             cpu_data_master_waitrequest;
  wire             cpu_data_master_write;
  wire    [ 31: 0] cpu_data_master_writedata;
  wire    [ 25: 0] cpu_instruction_master_address;
  wire    [ 25: 0] cpu_instruction_master_address_to_slave;
  wire    [  1: 0] cpu_instruction_master_dbs_address;
  wire             cpu_instruction_master_granted_cpu_jtag_debug_module;
  wire             cpu_instruction_master_granted_sdram_s1;
  wire             cpu_instruction_master_latency_counter;
  wire             cpu_instruction_master_qualified_request_cpu_jtag_debug_module;
  wire             cpu_instruction_master_qualified_request_sdram_s1;
  wire             cpu_instruction_master_read;
  wire             cpu_instruction_master_read_data_valid_cpu_jtag_debug_module;
  wire             cpu_instruction_master_read_data_valid_sdram_s1;
  wire             cpu_instruction_master_read_data_valid_sdram_s1_shift_register;
  wire    [ 31: 0] cpu_instruction_master_readdata;
  wire             cpu_instruction_master_readdatavalid;
  wire             cpu_instruction_master_requests_cpu_jtag_debug_module;
  wire             cpu_instruction_master_requests_sdram_s1;
  wire             cpu_instruction_master_waitrequest;
  wire    [  8: 0] cpu_jtag_debug_module_address;
  wire             cpu_jtag_debug_module_begintransfer;
  wire    [  3: 0] cpu_jtag_debug_module_byteenable;
  wire             cpu_jtag_debug_module_chipselect;
  wire             cpu_jtag_debug_module_debugaccess;
  wire    [ 31: 0] cpu_jtag_debug_module_readdata;
  wire    [ 31: 0] cpu_jtag_debug_module_readdata_from_sa;
  wire             cpu_jtag_debug_module_reset_n;
  wire             cpu_jtag_debug_module_resetrequest;
  wire             cpu_jtag_debug_module_resetrequest_from_sa;
  wire             cpu_jtag_debug_module_write;
  wire    [ 31: 0] cpu_jtag_debug_module_writedata;
  wire    [  1: 0] cur_x_s1_address;
  wire             cur_x_s1_chipselect;
  wire    [ 31: 0] cur_x_s1_readdata;
  wire    [ 31: 0] cur_x_s1_readdata_from_sa;
  wire             cur_x_s1_reset_n;
  wire             cur_x_s1_write_n;
  wire    [ 31: 0] cur_x_s1_writedata;
  wire    [  1: 0] cur_y_s1_address;
  wire             cur_y_s1_chipselect;
  wire    [ 31: 0] cur_y_s1_readdata;
  wire    [ 31: 0] cur_y_s1_readdata_from_sa;
  wire             cur_y_s1_reset_n;
  wire             cur_y_s1_write_n;
  wire    [ 31: 0] cur_y_s1_writedata;
  wire             d1_TIMER_0_s1_end_xfer;
  wire             d1_cpu_jtag_debug_module_end_xfer;
  wire             d1_cur_x_s1_end_xfer;
  wire             d1_cur_y_s1_end_xfer;
  wire             d1_en0_s1_end_xfer;
  wire             d1_en1_s1_end_xfer;
  wire             d1_en2_s1_end_xfer;
  wire             d1_event_has_been_read_s1_end_xfer;
  wire             d1_jtag_uart_avalon_jtag_slave_end_xfer;
  wire             d1_lcd_0_control_slave_end_xfer;
  wire             d1_new_event_ready_s1_end_xfer;
  wire             d1_obj_s1_end_xfer;
  wire             d1_period0_s1_end_xfer;
  wire             d1_period1_s1_end_xfer;
  wire             d1_period2_s1_end_xfer;
  wire             d1_period_gol_s1_end_xfer;
  wire             d1_play_s1_end_xfer;
  wire             d1_ps2_event_type_s1_end_xfer;
  wire             d1_sdram_s1_end_xfer;
  wire             d1_set_sel0_s1_end_xfer;
  wire             d1_set_sel1_s1_end_xfer;
  wire             d1_set_sel2_s1_end_xfer;
  wire             d1_speed0_s1_end_xfer;
  wire             d1_speed1_s1_end_xfer;
  wire             d1_speed2_s1_end_xfer;
  wire             d1_sram_addr_s1_end_xfer;
  wire             d1_sram_dq_s1_end_xfer;
  wire             d1_sram_we_n_s1_end_xfer;
  wire             d1_tone_mode_s1_end_xfer;
  wire    [  1: 0] en0_s1_address;
  wire             en0_s1_chipselect;
  wire    [ 31: 0] en0_s1_readdata;
  wire    [ 31: 0] en0_s1_readdata_from_sa;
  wire             en0_s1_reset_n;
  wire             en0_s1_write_n;
  wire    [ 31: 0] en0_s1_writedata;
  wire    [  1: 0] en1_s1_address;
  wire             en1_s1_chipselect;
  wire    [ 31: 0] en1_s1_readdata;
  wire    [ 31: 0] en1_s1_readdata_from_sa;
  wire             en1_s1_reset_n;
  wire             en1_s1_write_n;
  wire    [ 31: 0] en1_s1_writedata;
  wire    [  1: 0] en2_s1_address;
  wire             en2_s1_chipselect;
  wire    [ 31: 0] en2_s1_readdata;
  wire    [ 31: 0] en2_s1_readdata_from_sa;
  wire             en2_s1_reset_n;
  wire             en2_s1_write_n;
  wire    [ 31: 0] en2_s1_writedata;
  wire    [  1: 0] event_has_been_read_s1_address;
  wire             event_has_been_read_s1_chipselect;
  wire    [ 31: 0] event_has_been_read_s1_readdata;
  wire    [ 31: 0] event_has_been_read_s1_readdata_from_sa;
  wire             event_has_been_read_s1_reset_n;
  wire             event_has_been_read_s1_write_n;
  wire    [ 31: 0] event_has_been_read_s1_writedata;
  wire             jtag_uart_avalon_jtag_slave_address;
  wire             jtag_uart_avalon_jtag_slave_chipselect;
  wire             jtag_uart_avalon_jtag_slave_dataavailable;
  wire             jtag_uart_avalon_jtag_slave_dataavailable_from_sa;
  wire             jtag_uart_avalon_jtag_slave_irq;
  wire             jtag_uart_avalon_jtag_slave_irq_from_sa;
  wire             jtag_uart_avalon_jtag_slave_read_n;
  wire    [ 31: 0] jtag_uart_avalon_jtag_slave_readdata;
  wire    [ 31: 0] jtag_uart_avalon_jtag_slave_readdata_from_sa;
  wire             jtag_uart_avalon_jtag_slave_readyfordata;
  wire             jtag_uart_avalon_jtag_slave_readyfordata_from_sa;
  wire             jtag_uart_avalon_jtag_slave_reset_n;
  wire             jtag_uart_avalon_jtag_slave_waitrequest;
  wire             jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  wire             jtag_uart_avalon_jtag_slave_write_n;
  wire    [ 31: 0] jtag_uart_avalon_jtag_slave_writedata;
  wire    [  1: 0] lcd_0_control_slave_address;
  wire             lcd_0_control_slave_begintransfer;
  wire             lcd_0_control_slave_read;
  wire    [  7: 0] lcd_0_control_slave_readdata;
  wire    [  7: 0] lcd_0_control_slave_readdata_from_sa;
  wire             lcd_0_control_slave_reset_n;
  wire             lcd_0_control_slave_wait_counter_eq_0;
  wire             lcd_0_control_slave_wait_counter_eq_1;
  wire             lcd_0_control_slave_write;
  wire    [  7: 0] lcd_0_control_slave_writedata;
  wire    [  1: 0] new_event_ready_s1_address;
  wire    [ 31: 0] new_event_ready_s1_readdata;
  wire    [ 31: 0] new_event_ready_s1_readdata_from_sa;
  wire             new_event_ready_s1_reset_n;
  wire    [  1: 0] obj_s1_address;
  wire             obj_s1_chipselect;
  wire    [ 31: 0] obj_s1_readdata;
  wire    [ 31: 0] obj_s1_readdata_from_sa;
  wire             obj_s1_reset_n;
  wire             obj_s1_write_n;
  wire    [ 31: 0] obj_s1_writedata;
  wire    [  9: 0] out_port_from_the_cur_x;
  wire    [  9: 0] out_port_from_the_cur_y;
  wire             out_port_from_the_en0;
  wire             out_port_from_the_en1;
  wire             out_port_from_the_en2;
  wire             out_port_from_the_event_has_been_read;
  wire    [  3: 0] out_port_from_the_obj;
  wire    [ 23: 0] out_port_from_the_period0;
  wire    [ 23: 0] out_port_from_the_period1;
  wire    [ 23: 0] out_port_from_the_period2;
  wire    [ 23: 0] out_port_from_the_period_gol;
  wire             out_port_from_the_play;
  wire             out_port_from_the_set_sel0;
  wire             out_port_from_the_set_sel1;
  wire             out_port_from_the_set_sel2;
  wire    [  1: 0] out_port_from_the_speed0;
  wire    [  1: 0] out_port_from_the_speed1;
  wire    [  1: 0] out_port_from_the_speed2;
  wire    [ 17: 0] out_port_from_the_sram_addr;
  wire    [ 15: 0] out_port_from_the_sram_dq;
  wire             out_port_from_the_sram_we_n;
  wire    [  2: 0] out_port_from_the_tone_mode;
  wire    [  1: 0] period0_s1_address;
  wire             period0_s1_chipselect;
  wire    [ 31: 0] period0_s1_readdata;
  wire    [ 31: 0] period0_s1_readdata_from_sa;
  wire             period0_s1_reset_n;
  wire             period0_s1_write_n;
  wire    [ 31: 0] period0_s1_writedata;
  wire    [  1: 0] period1_s1_address;
  wire             period1_s1_chipselect;
  wire    [ 31: 0] period1_s1_readdata;
  wire    [ 31: 0] period1_s1_readdata_from_sa;
  wire             period1_s1_reset_n;
  wire             period1_s1_write_n;
  wire    [ 31: 0] period1_s1_writedata;
  wire    [  1: 0] period2_s1_address;
  wire             period2_s1_chipselect;
  wire    [ 31: 0] period2_s1_readdata;
  wire    [ 31: 0] period2_s1_readdata_from_sa;
  wire             period2_s1_reset_n;
  wire             period2_s1_write_n;
  wire    [ 31: 0] period2_s1_writedata;
  wire    [  1: 0] period_gol_s1_address;
  wire             period_gol_s1_chipselect;
  wire    [ 31: 0] period_gol_s1_readdata;
  wire    [ 31: 0] period_gol_s1_readdata_from_sa;
  wire             period_gol_s1_reset_n;
  wire             period_gol_s1_write_n;
  wire    [ 31: 0] period_gol_s1_writedata;
  wire    [  1: 0] play_s1_address;
  wire             play_s1_chipselect;
  wire    [ 31: 0] play_s1_readdata;
  wire    [ 31: 0] play_s1_readdata_from_sa;
  wire             play_s1_reset_n;
  wire             play_s1_write_n;
  wire    [ 31: 0] play_s1_writedata;
  wire    [  1: 0] ps2_event_type_s1_address;
  wire    [ 31: 0] ps2_event_type_s1_readdata;
  wire    [ 31: 0] ps2_event_type_s1_readdata_from_sa;
  wire             ps2_event_type_s1_reset_n;
  wire             reset_n_sources;
  wire    [ 21: 0] sdram_s1_address;
  wire    [  1: 0] sdram_s1_byteenable_n;
  wire             sdram_s1_chipselect;
  wire             sdram_s1_read_n;
  wire    [ 15: 0] sdram_s1_readdata;
  wire    [ 15: 0] sdram_s1_readdata_from_sa;
  wire             sdram_s1_readdatavalid;
  wire             sdram_s1_reset_n;
  wire             sdram_s1_waitrequest;
  wire             sdram_s1_waitrequest_from_sa;
  wire             sdram_s1_write_n;
  wire    [ 15: 0] sdram_s1_writedata;
  wire    [  1: 0] set_sel0_s1_address;
  wire             set_sel0_s1_chipselect;
  wire    [ 31: 0] set_sel0_s1_readdata;
  wire    [ 31: 0] set_sel0_s1_readdata_from_sa;
  wire             set_sel0_s1_reset_n;
  wire             set_sel0_s1_write_n;
  wire    [ 31: 0] set_sel0_s1_writedata;
  wire    [  1: 0] set_sel1_s1_address;
  wire             set_sel1_s1_chipselect;
  wire    [ 31: 0] set_sel1_s1_readdata;
  wire    [ 31: 0] set_sel1_s1_readdata_from_sa;
  wire             set_sel1_s1_reset_n;
  wire             set_sel1_s1_write_n;
  wire    [ 31: 0] set_sel1_s1_writedata;
  wire    [  1: 0] set_sel2_s1_address;
  wire             set_sel2_s1_chipselect;
  wire    [ 31: 0] set_sel2_s1_readdata;
  wire    [ 31: 0] set_sel2_s1_readdata_from_sa;
  wire             set_sel2_s1_reset_n;
  wire             set_sel2_s1_write_n;
  wire    [ 31: 0] set_sel2_s1_writedata;
  wire    [  1: 0] speed0_s1_address;
  wire             speed0_s1_chipselect;
  wire    [ 31: 0] speed0_s1_readdata;
  wire    [ 31: 0] speed0_s1_readdata_from_sa;
  wire             speed0_s1_reset_n;
  wire             speed0_s1_write_n;
  wire    [ 31: 0] speed0_s1_writedata;
  wire    [  1: 0] speed1_s1_address;
  wire             speed1_s1_chipselect;
  wire    [ 31: 0] speed1_s1_readdata;
  wire    [ 31: 0] speed1_s1_readdata_from_sa;
  wire             speed1_s1_reset_n;
  wire             speed1_s1_write_n;
  wire    [ 31: 0] speed1_s1_writedata;
  wire    [  1: 0] speed2_s1_address;
  wire             speed2_s1_chipselect;
  wire    [ 31: 0] speed2_s1_readdata;
  wire    [ 31: 0] speed2_s1_readdata_from_sa;
  wire             speed2_s1_reset_n;
  wire             speed2_s1_write_n;
  wire    [ 31: 0] speed2_s1_writedata;
  wire    [  1: 0] sram_addr_s1_address;
  wire             sram_addr_s1_chipselect;
  wire    [ 31: 0] sram_addr_s1_readdata;
  wire    [ 31: 0] sram_addr_s1_readdata_from_sa;
  wire             sram_addr_s1_reset_n;
  wire             sram_addr_s1_write_n;
  wire    [ 31: 0] sram_addr_s1_writedata;
  wire    [  1: 0] sram_dq_s1_address;
  wire             sram_dq_s1_chipselect;
  wire    [ 31: 0] sram_dq_s1_readdata;
  wire    [ 31: 0] sram_dq_s1_readdata_from_sa;
  wire             sram_dq_s1_reset_n;
  wire             sram_dq_s1_write_n;
  wire    [ 31: 0] sram_dq_s1_writedata;
  wire    [  1: 0] sram_we_n_s1_address;
  wire             sram_we_n_s1_chipselect;
  wire    [ 31: 0] sram_we_n_s1_readdata;
  wire    [ 31: 0] sram_we_n_s1_readdata_from_sa;
  wire             sram_we_n_s1_reset_n;
  wire             sram_we_n_s1_write_n;
  wire    [ 31: 0] sram_we_n_s1_writedata;
  wire    [  1: 0] tone_mode_s1_address;
  wire             tone_mode_s1_chipselect;
  wire    [ 31: 0] tone_mode_s1_readdata;
  wire    [ 31: 0] tone_mode_s1_readdata_from_sa;
  wire             tone_mode_s1_reset_n;
  wire             tone_mode_s1_write_n;
  wire    [ 31: 0] tone_mode_s1_writedata;
  wire    [ 11: 0] zs_addr_from_the_sdram;
  wire    [  1: 0] zs_ba_from_the_sdram;
  wire             zs_cas_n_from_the_sdram;
  wire             zs_cke_from_the_sdram;
  wire             zs_cs_n_from_the_sdram;
  wire    [ 15: 0] zs_dq_to_and_from_the_sdram;
  wire    [  1: 0] zs_dqm_from_the_sdram;
  wire             zs_ras_n_from_the_sdram;
  wire             zs_we_n_from_the_sdram;
  TIMER_0_s1_arbitrator the_TIMER_0_s1
    (
      .TIMER_0_s1_address                           (TIMER_0_s1_address),
      .TIMER_0_s1_chipselect                        (TIMER_0_s1_chipselect),
      .TIMER_0_s1_irq                               (TIMER_0_s1_irq),
      .TIMER_0_s1_irq_from_sa                       (TIMER_0_s1_irq_from_sa),
      .TIMER_0_s1_readdata                          (TIMER_0_s1_readdata),
      .TIMER_0_s1_readdata_from_sa                  (TIMER_0_s1_readdata_from_sa),
      .TIMER_0_s1_reset_n                           (TIMER_0_s1_reset_n),
      .TIMER_0_s1_write_n                           (TIMER_0_s1_write_n),
      .TIMER_0_s1_writedata                         (TIMER_0_s1_writedata),
      .clk                                          (clk),
      .cpu_data_master_address_to_slave             (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_TIMER_0_s1           (cpu_data_master_granted_TIMER_0_s1),
      .cpu_data_master_qualified_request_TIMER_0_s1 (cpu_data_master_qualified_request_TIMER_0_s1),
      .cpu_data_master_read                         (cpu_data_master_read),
      .cpu_data_master_read_data_valid_TIMER_0_s1   (cpu_data_master_read_data_valid_TIMER_0_s1),
      .cpu_data_master_requests_TIMER_0_s1          (cpu_data_master_requests_TIMER_0_s1),
      .cpu_data_master_waitrequest                  (cpu_data_master_waitrequest),
      .cpu_data_master_write                        (cpu_data_master_write),
      .cpu_data_master_writedata                    (cpu_data_master_writedata),
      .d1_TIMER_0_s1_end_xfer                       (d1_TIMER_0_s1_end_xfer),
      .reset_n                                      (clk_reset_n)
    );

  TIMER_0 the_TIMER_0
    (
      .address    (TIMER_0_s1_address),
      .chipselect (TIMER_0_s1_chipselect),
      .clk        (clk),
      .irq        (TIMER_0_s1_irq),
      .readdata   (TIMER_0_s1_readdata),
      .reset_n    (TIMER_0_s1_reset_n),
      .write_n    (TIMER_0_s1_write_n),
      .writedata  (TIMER_0_s1_writedata)
    );

  cpu_jtag_debug_module_arbitrator the_cpu_jtag_debug_module
    (
      .clk                                                            (clk),
      .cpu_data_master_address_to_slave                               (cpu_data_master_address_to_slave),
      .cpu_data_master_byteenable                                     (cpu_data_master_byteenable),
      .cpu_data_master_debugaccess                                    (cpu_data_master_debugaccess),
      .cpu_data_master_granted_cpu_jtag_debug_module                  (cpu_data_master_granted_cpu_jtag_debug_module),
      .cpu_data_master_qualified_request_cpu_jtag_debug_module        (cpu_data_master_qualified_request_cpu_jtag_debug_module),
      .cpu_data_master_read                                           (cpu_data_master_read),
      .cpu_data_master_read_data_valid_cpu_jtag_debug_module          (cpu_data_master_read_data_valid_cpu_jtag_debug_module),
      .cpu_data_master_requests_cpu_jtag_debug_module                 (cpu_data_master_requests_cpu_jtag_debug_module),
      .cpu_data_master_waitrequest                                    (cpu_data_master_waitrequest),
      .cpu_data_master_write                                          (cpu_data_master_write),
      .cpu_data_master_writedata                                      (cpu_data_master_writedata),
      .cpu_instruction_master_address_to_slave                        (cpu_instruction_master_address_to_slave),
      .cpu_instruction_master_granted_cpu_jtag_debug_module           (cpu_instruction_master_granted_cpu_jtag_debug_module),
      .cpu_instruction_master_latency_counter                         (cpu_instruction_master_latency_counter),
      .cpu_instruction_master_qualified_request_cpu_jtag_debug_module (cpu_instruction_master_qualified_request_cpu_jtag_debug_module),
      .cpu_instruction_master_read                                    (cpu_instruction_master_read),
      .cpu_instruction_master_read_data_valid_cpu_jtag_debug_module   (cpu_instruction_master_read_data_valid_cpu_jtag_debug_module),
      .cpu_instruction_master_read_data_valid_sdram_s1_shift_register (cpu_instruction_master_read_data_valid_sdram_s1_shift_register),
      .cpu_instruction_master_requests_cpu_jtag_debug_module          (cpu_instruction_master_requests_cpu_jtag_debug_module),
      .cpu_jtag_debug_module_address                                  (cpu_jtag_debug_module_address),
      .cpu_jtag_debug_module_begintransfer                            (cpu_jtag_debug_module_begintransfer),
      .cpu_jtag_debug_module_byteenable                               (cpu_jtag_debug_module_byteenable),
      .cpu_jtag_debug_module_chipselect                               (cpu_jtag_debug_module_chipselect),
      .cpu_jtag_debug_module_debugaccess                              (cpu_jtag_debug_module_debugaccess),
      .cpu_jtag_debug_module_readdata                                 (cpu_jtag_debug_module_readdata),
      .cpu_jtag_debug_module_readdata_from_sa                         (cpu_jtag_debug_module_readdata_from_sa),
      .cpu_jtag_debug_module_reset_n                                  (cpu_jtag_debug_module_reset_n),
      .cpu_jtag_debug_module_resetrequest                             (cpu_jtag_debug_module_resetrequest),
      .cpu_jtag_debug_module_resetrequest_from_sa                     (cpu_jtag_debug_module_resetrequest_from_sa),
      .cpu_jtag_debug_module_write                                    (cpu_jtag_debug_module_write),
      .cpu_jtag_debug_module_writedata                                (cpu_jtag_debug_module_writedata),
      .d1_cpu_jtag_debug_module_end_xfer                              (d1_cpu_jtag_debug_module_end_xfer),
      .reset_n                                                        (clk_reset_n)
    );

  cpu_data_master_arbitrator the_cpu_data_master
    (
      .TIMER_0_s1_irq_from_sa                                        (TIMER_0_s1_irq_from_sa),
      .TIMER_0_s1_readdata_from_sa                                   (TIMER_0_s1_readdata_from_sa),
      .clk                                                           (clk),
      .cpu_data_master_address                                       (cpu_data_master_address),
      .cpu_data_master_address_to_slave                              (cpu_data_master_address_to_slave),
      .cpu_data_master_byteenable_sdram_s1                           (cpu_data_master_byteenable_sdram_s1),
      .cpu_data_master_dbs_address                                   (cpu_data_master_dbs_address),
      .cpu_data_master_dbs_write_16                                  (cpu_data_master_dbs_write_16),
      .cpu_data_master_granted_TIMER_0_s1                            (cpu_data_master_granted_TIMER_0_s1),
      .cpu_data_master_granted_cpu_jtag_debug_module                 (cpu_data_master_granted_cpu_jtag_debug_module),
      .cpu_data_master_granted_cur_x_s1                              (cpu_data_master_granted_cur_x_s1),
      .cpu_data_master_granted_cur_y_s1                              (cpu_data_master_granted_cur_y_s1),
      .cpu_data_master_granted_en0_s1                                (cpu_data_master_granted_en0_s1),
      .cpu_data_master_granted_en1_s1                                (cpu_data_master_granted_en1_s1),
      .cpu_data_master_granted_en2_s1                                (cpu_data_master_granted_en2_s1),
      .cpu_data_master_granted_event_has_been_read_s1                (cpu_data_master_granted_event_has_been_read_s1),
      .cpu_data_master_granted_jtag_uart_avalon_jtag_slave           (cpu_data_master_granted_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_granted_lcd_0_control_slave                   (cpu_data_master_granted_lcd_0_control_slave),
      .cpu_data_master_granted_new_event_ready_s1                    (cpu_data_master_granted_new_event_ready_s1),
      .cpu_data_master_granted_obj_s1                                (cpu_data_master_granted_obj_s1),
      .cpu_data_master_granted_period0_s1                            (cpu_data_master_granted_period0_s1),
      .cpu_data_master_granted_period1_s1                            (cpu_data_master_granted_period1_s1),
      .cpu_data_master_granted_period2_s1                            (cpu_data_master_granted_period2_s1),
      .cpu_data_master_granted_period_gol_s1                         (cpu_data_master_granted_period_gol_s1),
      .cpu_data_master_granted_play_s1                               (cpu_data_master_granted_play_s1),
      .cpu_data_master_granted_ps2_event_type_s1                     (cpu_data_master_granted_ps2_event_type_s1),
      .cpu_data_master_granted_sdram_s1                              (cpu_data_master_granted_sdram_s1),
      .cpu_data_master_granted_set_sel0_s1                           (cpu_data_master_granted_set_sel0_s1),
      .cpu_data_master_granted_set_sel1_s1                           (cpu_data_master_granted_set_sel1_s1),
      .cpu_data_master_granted_set_sel2_s1                           (cpu_data_master_granted_set_sel2_s1),
      .cpu_data_master_granted_speed0_s1                             (cpu_data_master_granted_speed0_s1),
      .cpu_data_master_granted_speed1_s1                             (cpu_data_master_granted_speed1_s1),
      .cpu_data_master_granted_speed2_s1                             (cpu_data_master_granted_speed2_s1),
      .cpu_data_master_granted_sram_addr_s1                          (cpu_data_master_granted_sram_addr_s1),
      .cpu_data_master_granted_sram_dq_s1                            (cpu_data_master_granted_sram_dq_s1),
      .cpu_data_master_granted_sram_we_n_s1                          (cpu_data_master_granted_sram_we_n_s1),
      .cpu_data_master_granted_tone_mode_s1                          (cpu_data_master_granted_tone_mode_s1),
      .cpu_data_master_irq                                           (cpu_data_master_irq),
      .cpu_data_master_no_byte_enables_and_last_term                 (cpu_data_master_no_byte_enables_and_last_term),
      .cpu_data_master_qualified_request_TIMER_0_s1                  (cpu_data_master_qualified_request_TIMER_0_s1),
      .cpu_data_master_qualified_request_cpu_jtag_debug_module       (cpu_data_master_qualified_request_cpu_jtag_debug_module),
      .cpu_data_master_qualified_request_cur_x_s1                    (cpu_data_master_qualified_request_cur_x_s1),
      .cpu_data_master_qualified_request_cur_y_s1                    (cpu_data_master_qualified_request_cur_y_s1),
      .cpu_data_master_qualified_request_en0_s1                      (cpu_data_master_qualified_request_en0_s1),
      .cpu_data_master_qualified_request_en1_s1                      (cpu_data_master_qualified_request_en1_s1),
      .cpu_data_master_qualified_request_en2_s1                      (cpu_data_master_qualified_request_en2_s1),
      .cpu_data_master_qualified_request_event_has_been_read_s1      (cpu_data_master_qualified_request_event_has_been_read_s1),
      .cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave (cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_qualified_request_lcd_0_control_slave         (cpu_data_master_qualified_request_lcd_0_control_slave),
      .cpu_data_master_qualified_request_new_event_ready_s1          (cpu_data_master_qualified_request_new_event_ready_s1),
      .cpu_data_master_qualified_request_obj_s1                      (cpu_data_master_qualified_request_obj_s1),
      .cpu_data_master_qualified_request_period0_s1                  (cpu_data_master_qualified_request_period0_s1),
      .cpu_data_master_qualified_request_period1_s1                  (cpu_data_master_qualified_request_period1_s1),
      .cpu_data_master_qualified_request_period2_s1                  (cpu_data_master_qualified_request_period2_s1),
      .cpu_data_master_qualified_request_period_gol_s1               (cpu_data_master_qualified_request_period_gol_s1),
      .cpu_data_master_qualified_request_play_s1                     (cpu_data_master_qualified_request_play_s1),
      .cpu_data_master_qualified_request_ps2_event_type_s1           (cpu_data_master_qualified_request_ps2_event_type_s1),
      .cpu_data_master_qualified_request_sdram_s1                    (cpu_data_master_qualified_request_sdram_s1),
      .cpu_data_master_qualified_request_set_sel0_s1                 (cpu_data_master_qualified_request_set_sel0_s1),
      .cpu_data_master_qualified_request_set_sel1_s1                 (cpu_data_master_qualified_request_set_sel1_s1),
      .cpu_data_master_qualified_request_set_sel2_s1                 (cpu_data_master_qualified_request_set_sel2_s1),
      .cpu_data_master_qualified_request_speed0_s1                   (cpu_data_master_qualified_request_speed0_s1),
      .cpu_data_master_qualified_request_speed1_s1                   (cpu_data_master_qualified_request_speed1_s1),
      .cpu_data_master_qualified_request_speed2_s1                   (cpu_data_master_qualified_request_speed2_s1),
      .cpu_data_master_qualified_request_sram_addr_s1                (cpu_data_master_qualified_request_sram_addr_s1),
      .cpu_data_master_qualified_request_sram_dq_s1                  (cpu_data_master_qualified_request_sram_dq_s1),
      .cpu_data_master_qualified_request_sram_we_n_s1                (cpu_data_master_qualified_request_sram_we_n_s1),
      .cpu_data_master_qualified_request_tone_mode_s1                (cpu_data_master_qualified_request_tone_mode_s1),
      .cpu_data_master_read                                          (cpu_data_master_read),
      .cpu_data_master_read_data_valid_TIMER_0_s1                    (cpu_data_master_read_data_valid_TIMER_0_s1),
      .cpu_data_master_read_data_valid_cpu_jtag_debug_module         (cpu_data_master_read_data_valid_cpu_jtag_debug_module),
      .cpu_data_master_read_data_valid_cur_x_s1                      (cpu_data_master_read_data_valid_cur_x_s1),
      .cpu_data_master_read_data_valid_cur_y_s1                      (cpu_data_master_read_data_valid_cur_y_s1),
      .cpu_data_master_read_data_valid_en0_s1                        (cpu_data_master_read_data_valid_en0_s1),
      .cpu_data_master_read_data_valid_en1_s1                        (cpu_data_master_read_data_valid_en1_s1),
      .cpu_data_master_read_data_valid_en2_s1                        (cpu_data_master_read_data_valid_en2_s1),
      .cpu_data_master_read_data_valid_event_has_been_read_s1        (cpu_data_master_read_data_valid_event_has_been_read_s1),
      .cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave   (cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_read_data_valid_lcd_0_control_slave           (cpu_data_master_read_data_valid_lcd_0_control_slave),
      .cpu_data_master_read_data_valid_new_event_ready_s1            (cpu_data_master_read_data_valid_new_event_ready_s1),
      .cpu_data_master_read_data_valid_obj_s1                        (cpu_data_master_read_data_valid_obj_s1),
      .cpu_data_master_read_data_valid_period0_s1                    (cpu_data_master_read_data_valid_period0_s1),
      .cpu_data_master_read_data_valid_period1_s1                    (cpu_data_master_read_data_valid_period1_s1),
      .cpu_data_master_read_data_valid_period2_s1                    (cpu_data_master_read_data_valid_period2_s1),
      .cpu_data_master_read_data_valid_period_gol_s1                 (cpu_data_master_read_data_valid_period_gol_s1),
      .cpu_data_master_read_data_valid_play_s1                       (cpu_data_master_read_data_valid_play_s1),
      .cpu_data_master_read_data_valid_ps2_event_type_s1             (cpu_data_master_read_data_valid_ps2_event_type_s1),
      .cpu_data_master_read_data_valid_sdram_s1                      (cpu_data_master_read_data_valid_sdram_s1),
      .cpu_data_master_read_data_valid_sdram_s1_shift_register       (cpu_data_master_read_data_valid_sdram_s1_shift_register),
      .cpu_data_master_read_data_valid_set_sel0_s1                   (cpu_data_master_read_data_valid_set_sel0_s1),
      .cpu_data_master_read_data_valid_set_sel1_s1                   (cpu_data_master_read_data_valid_set_sel1_s1),
      .cpu_data_master_read_data_valid_set_sel2_s1                   (cpu_data_master_read_data_valid_set_sel2_s1),
      .cpu_data_master_read_data_valid_speed0_s1                     (cpu_data_master_read_data_valid_speed0_s1),
      .cpu_data_master_read_data_valid_speed1_s1                     (cpu_data_master_read_data_valid_speed1_s1),
      .cpu_data_master_read_data_valid_speed2_s1                     (cpu_data_master_read_data_valid_speed2_s1),
      .cpu_data_master_read_data_valid_sram_addr_s1                  (cpu_data_master_read_data_valid_sram_addr_s1),
      .cpu_data_master_read_data_valid_sram_dq_s1                    (cpu_data_master_read_data_valid_sram_dq_s1),
      .cpu_data_master_read_data_valid_sram_we_n_s1                  (cpu_data_master_read_data_valid_sram_we_n_s1),
      .cpu_data_master_read_data_valid_tone_mode_s1                  (cpu_data_master_read_data_valid_tone_mode_s1),
      .cpu_data_master_readdata                                      (cpu_data_master_readdata),
      .cpu_data_master_requests_TIMER_0_s1                           (cpu_data_master_requests_TIMER_0_s1),
      .cpu_data_master_requests_cpu_jtag_debug_module                (cpu_data_master_requests_cpu_jtag_debug_module),
      .cpu_data_master_requests_cur_x_s1                             (cpu_data_master_requests_cur_x_s1),
      .cpu_data_master_requests_cur_y_s1                             (cpu_data_master_requests_cur_y_s1),
      .cpu_data_master_requests_en0_s1                               (cpu_data_master_requests_en0_s1),
      .cpu_data_master_requests_en1_s1                               (cpu_data_master_requests_en1_s1),
      .cpu_data_master_requests_en2_s1                               (cpu_data_master_requests_en2_s1),
      .cpu_data_master_requests_event_has_been_read_s1               (cpu_data_master_requests_event_has_been_read_s1),
      .cpu_data_master_requests_jtag_uart_avalon_jtag_slave          (cpu_data_master_requests_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_requests_lcd_0_control_slave                  (cpu_data_master_requests_lcd_0_control_slave),
      .cpu_data_master_requests_new_event_ready_s1                   (cpu_data_master_requests_new_event_ready_s1),
      .cpu_data_master_requests_obj_s1                               (cpu_data_master_requests_obj_s1),
      .cpu_data_master_requests_period0_s1                           (cpu_data_master_requests_period0_s1),
      .cpu_data_master_requests_period1_s1                           (cpu_data_master_requests_period1_s1),
      .cpu_data_master_requests_period2_s1                           (cpu_data_master_requests_period2_s1),
      .cpu_data_master_requests_period_gol_s1                        (cpu_data_master_requests_period_gol_s1),
      .cpu_data_master_requests_play_s1                              (cpu_data_master_requests_play_s1),
      .cpu_data_master_requests_ps2_event_type_s1                    (cpu_data_master_requests_ps2_event_type_s1),
      .cpu_data_master_requests_sdram_s1                             (cpu_data_master_requests_sdram_s1),
      .cpu_data_master_requests_set_sel0_s1                          (cpu_data_master_requests_set_sel0_s1),
      .cpu_data_master_requests_set_sel1_s1                          (cpu_data_master_requests_set_sel1_s1),
      .cpu_data_master_requests_set_sel2_s1                          (cpu_data_master_requests_set_sel2_s1),
      .cpu_data_master_requests_speed0_s1                            (cpu_data_master_requests_speed0_s1),
      .cpu_data_master_requests_speed1_s1                            (cpu_data_master_requests_speed1_s1),
      .cpu_data_master_requests_speed2_s1                            (cpu_data_master_requests_speed2_s1),
      .cpu_data_master_requests_sram_addr_s1                         (cpu_data_master_requests_sram_addr_s1),
      .cpu_data_master_requests_sram_dq_s1                           (cpu_data_master_requests_sram_dq_s1),
      .cpu_data_master_requests_sram_we_n_s1                         (cpu_data_master_requests_sram_we_n_s1),
      .cpu_data_master_requests_tone_mode_s1                         (cpu_data_master_requests_tone_mode_s1),
      .cpu_data_master_waitrequest                                   (cpu_data_master_waitrequest),
      .cpu_data_master_write                                         (cpu_data_master_write),
      .cpu_data_master_writedata                                     (cpu_data_master_writedata),
      .cpu_jtag_debug_module_readdata_from_sa                        (cpu_jtag_debug_module_readdata_from_sa),
      .cur_x_s1_readdata_from_sa                                     (cur_x_s1_readdata_from_sa),
      .cur_y_s1_readdata_from_sa                                     (cur_y_s1_readdata_from_sa),
      .d1_TIMER_0_s1_end_xfer                                        (d1_TIMER_0_s1_end_xfer),
      .d1_cpu_jtag_debug_module_end_xfer                             (d1_cpu_jtag_debug_module_end_xfer),
      .d1_cur_x_s1_end_xfer                                          (d1_cur_x_s1_end_xfer),
      .d1_cur_y_s1_end_xfer                                          (d1_cur_y_s1_end_xfer),
      .d1_en0_s1_end_xfer                                            (d1_en0_s1_end_xfer),
      .d1_en1_s1_end_xfer                                            (d1_en1_s1_end_xfer),
      .d1_en2_s1_end_xfer                                            (d1_en2_s1_end_xfer),
      .d1_event_has_been_read_s1_end_xfer                            (d1_event_has_been_read_s1_end_xfer),
      .d1_jtag_uart_avalon_jtag_slave_end_xfer                       (d1_jtag_uart_avalon_jtag_slave_end_xfer),
      .d1_lcd_0_control_slave_end_xfer                               (d1_lcd_0_control_slave_end_xfer),
      .d1_new_event_ready_s1_end_xfer                                (d1_new_event_ready_s1_end_xfer),
      .d1_obj_s1_end_xfer                                            (d1_obj_s1_end_xfer),
      .d1_period0_s1_end_xfer                                        (d1_period0_s1_end_xfer),
      .d1_period1_s1_end_xfer                                        (d1_period1_s1_end_xfer),
      .d1_period2_s1_end_xfer                                        (d1_period2_s1_end_xfer),
      .d1_period_gol_s1_end_xfer                                     (d1_period_gol_s1_end_xfer),
      .d1_play_s1_end_xfer                                           (d1_play_s1_end_xfer),
      .d1_ps2_event_type_s1_end_xfer                                 (d1_ps2_event_type_s1_end_xfer),
      .d1_sdram_s1_end_xfer                                          (d1_sdram_s1_end_xfer),
      .d1_set_sel0_s1_end_xfer                                       (d1_set_sel0_s1_end_xfer),
      .d1_set_sel1_s1_end_xfer                                       (d1_set_sel1_s1_end_xfer),
      .d1_set_sel2_s1_end_xfer                                       (d1_set_sel2_s1_end_xfer),
      .d1_speed0_s1_end_xfer                                         (d1_speed0_s1_end_xfer),
      .d1_speed1_s1_end_xfer                                         (d1_speed1_s1_end_xfer),
      .d1_speed2_s1_end_xfer                                         (d1_speed2_s1_end_xfer),
      .d1_sram_addr_s1_end_xfer                                      (d1_sram_addr_s1_end_xfer),
      .d1_sram_dq_s1_end_xfer                                        (d1_sram_dq_s1_end_xfer),
      .d1_sram_we_n_s1_end_xfer                                      (d1_sram_we_n_s1_end_xfer),
      .d1_tone_mode_s1_end_xfer                                      (d1_tone_mode_s1_end_xfer),
      .en0_s1_readdata_from_sa                                       (en0_s1_readdata_from_sa),
      .en1_s1_readdata_from_sa                                       (en1_s1_readdata_from_sa),
      .en2_s1_readdata_from_sa                                       (en2_s1_readdata_from_sa),
      .event_has_been_read_s1_readdata_from_sa                       (event_has_been_read_s1_readdata_from_sa),
      .jtag_uart_avalon_jtag_slave_irq_from_sa                       (jtag_uart_avalon_jtag_slave_irq_from_sa),
      .jtag_uart_avalon_jtag_slave_readdata_from_sa                  (jtag_uart_avalon_jtag_slave_readdata_from_sa),
      .jtag_uart_avalon_jtag_slave_waitrequest_from_sa               (jtag_uart_avalon_jtag_slave_waitrequest_from_sa),
      .lcd_0_control_slave_readdata_from_sa                          (lcd_0_control_slave_readdata_from_sa),
      .lcd_0_control_slave_wait_counter_eq_0                         (lcd_0_control_slave_wait_counter_eq_0),
      .lcd_0_control_slave_wait_counter_eq_1                         (lcd_0_control_slave_wait_counter_eq_1),
      .new_event_ready_s1_readdata_from_sa                           (new_event_ready_s1_readdata_from_sa),
      .obj_s1_readdata_from_sa                                       (obj_s1_readdata_from_sa),
      .period0_s1_readdata_from_sa                                   (period0_s1_readdata_from_sa),
      .period1_s1_readdata_from_sa                                   (period1_s1_readdata_from_sa),
      .period2_s1_readdata_from_sa                                   (period2_s1_readdata_from_sa),
      .period_gol_s1_readdata_from_sa                                (period_gol_s1_readdata_from_sa),
      .play_s1_readdata_from_sa                                      (play_s1_readdata_from_sa),
      .ps2_event_type_s1_readdata_from_sa                            (ps2_event_type_s1_readdata_from_sa),
      .reset_n                                                       (clk_reset_n),
      .sdram_s1_readdata_from_sa                                     (sdram_s1_readdata_from_sa),
      .sdram_s1_waitrequest_from_sa                                  (sdram_s1_waitrequest_from_sa),
      .set_sel0_s1_readdata_from_sa                                  (set_sel0_s1_readdata_from_sa),
      .set_sel1_s1_readdata_from_sa                                  (set_sel1_s1_readdata_from_sa),
      .set_sel2_s1_readdata_from_sa                                  (set_sel2_s1_readdata_from_sa),
      .speed0_s1_readdata_from_sa                                    (speed0_s1_readdata_from_sa),
      .speed1_s1_readdata_from_sa                                    (speed1_s1_readdata_from_sa),
      .speed2_s1_readdata_from_sa                                    (speed2_s1_readdata_from_sa),
      .sram_addr_s1_readdata_from_sa                                 (sram_addr_s1_readdata_from_sa),
      .sram_dq_s1_readdata_from_sa                                   (sram_dq_s1_readdata_from_sa),
      .sram_we_n_s1_readdata_from_sa                                 (sram_we_n_s1_readdata_from_sa),
      .tone_mode_s1_readdata_from_sa                                 (tone_mode_s1_readdata_from_sa)
    );

  cpu_instruction_master_arbitrator the_cpu_instruction_master
    (
      .clk                                                            (clk),
      .cpu_instruction_master_address                                 (cpu_instruction_master_address),
      .cpu_instruction_master_address_to_slave                        (cpu_instruction_master_address_to_slave),
      .cpu_instruction_master_dbs_address                             (cpu_instruction_master_dbs_address),
      .cpu_instruction_master_granted_cpu_jtag_debug_module           (cpu_instruction_master_granted_cpu_jtag_debug_module),
      .cpu_instruction_master_granted_sdram_s1                        (cpu_instruction_master_granted_sdram_s1),
      .cpu_instruction_master_latency_counter                         (cpu_instruction_master_latency_counter),
      .cpu_instruction_master_qualified_request_cpu_jtag_debug_module (cpu_instruction_master_qualified_request_cpu_jtag_debug_module),
      .cpu_instruction_master_qualified_request_sdram_s1              (cpu_instruction_master_qualified_request_sdram_s1),
      .cpu_instruction_master_read                                    (cpu_instruction_master_read),
      .cpu_instruction_master_read_data_valid_cpu_jtag_debug_module   (cpu_instruction_master_read_data_valid_cpu_jtag_debug_module),
      .cpu_instruction_master_read_data_valid_sdram_s1                (cpu_instruction_master_read_data_valid_sdram_s1),
      .cpu_instruction_master_read_data_valid_sdram_s1_shift_register (cpu_instruction_master_read_data_valid_sdram_s1_shift_register),
      .cpu_instruction_master_readdata                                (cpu_instruction_master_readdata),
      .cpu_instruction_master_readdatavalid                           (cpu_instruction_master_readdatavalid),
      .cpu_instruction_master_requests_cpu_jtag_debug_module          (cpu_instruction_master_requests_cpu_jtag_debug_module),
      .cpu_instruction_master_requests_sdram_s1                       (cpu_instruction_master_requests_sdram_s1),
      .cpu_instruction_master_waitrequest                             (cpu_instruction_master_waitrequest),
      .cpu_jtag_debug_module_readdata_from_sa                         (cpu_jtag_debug_module_readdata_from_sa),
      .d1_cpu_jtag_debug_module_end_xfer                              (d1_cpu_jtag_debug_module_end_xfer),
      .d1_sdram_s1_end_xfer                                           (d1_sdram_s1_end_xfer),
      .reset_n                                                        (clk_reset_n),
      .sdram_s1_readdata_from_sa                                      (sdram_s1_readdata_from_sa),
      .sdram_s1_waitrequest_from_sa                                   (sdram_s1_waitrequest_from_sa)
    );

  cpu the_cpu
    (
      .clk                                   (clk),
      .d_address                             (cpu_data_master_address),
      .d_byteenable                          (cpu_data_master_byteenable),
      .d_irq                                 (cpu_data_master_irq),
      .d_read                                (cpu_data_master_read),
      .d_readdata                            (cpu_data_master_readdata),
      .d_waitrequest                         (cpu_data_master_waitrequest),
      .d_write                               (cpu_data_master_write),
      .d_writedata                           (cpu_data_master_writedata),
      .i_address                             (cpu_instruction_master_address),
      .i_read                                (cpu_instruction_master_read),
      .i_readdata                            (cpu_instruction_master_readdata),
      .i_readdatavalid                       (cpu_instruction_master_readdatavalid),
      .i_waitrequest                         (cpu_instruction_master_waitrequest),
      .jtag_debug_module_address             (cpu_jtag_debug_module_address),
      .jtag_debug_module_begintransfer       (cpu_jtag_debug_module_begintransfer),
      .jtag_debug_module_byteenable          (cpu_jtag_debug_module_byteenable),
      .jtag_debug_module_debugaccess         (cpu_jtag_debug_module_debugaccess),
      .jtag_debug_module_debugaccess_to_roms (cpu_data_master_debugaccess),
      .jtag_debug_module_readdata            (cpu_jtag_debug_module_readdata),
      .jtag_debug_module_resetrequest        (cpu_jtag_debug_module_resetrequest),
      .jtag_debug_module_select              (cpu_jtag_debug_module_chipselect),
      .jtag_debug_module_write               (cpu_jtag_debug_module_write),
      .jtag_debug_module_writedata           (cpu_jtag_debug_module_writedata),
      .reset_n                               (cpu_jtag_debug_module_reset_n)
    );

  cur_x_s1_arbitrator the_cur_x_s1
    (
      .clk                                        (clk),
      .cpu_data_master_address_to_slave           (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_cur_x_s1           (cpu_data_master_granted_cur_x_s1),
      .cpu_data_master_qualified_request_cur_x_s1 (cpu_data_master_qualified_request_cur_x_s1),
      .cpu_data_master_read                       (cpu_data_master_read),
      .cpu_data_master_read_data_valid_cur_x_s1   (cpu_data_master_read_data_valid_cur_x_s1),
      .cpu_data_master_requests_cur_x_s1          (cpu_data_master_requests_cur_x_s1),
      .cpu_data_master_waitrequest                (cpu_data_master_waitrequest),
      .cpu_data_master_write                      (cpu_data_master_write),
      .cpu_data_master_writedata                  (cpu_data_master_writedata),
      .cur_x_s1_address                           (cur_x_s1_address),
      .cur_x_s1_chipselect                        (cur_x_s1_chipselect),
      .cur_x_s1_readdata                          (cur_x_s1_readdata),
      .cur_x_s1_readdata_from_sa                  (cur_x_s1_readdata_from_sa),
      .cur_x_s1_reset_n                           (cur_x_s1_reset_n),
      .cur_x_s1_write_n                           (cur_x_s1_write_n),
      .cur_x_s1_writedata                         (cur_x_s1_writedata),
      .d1_cur_x_s1_end_xfer                       (d1_cur_x_s1_end_xfer),
      .reset_n                                    (clk_reset_n)
    );

  cur_x the_cur_x
    (
      .address    (cur_x_s1_address),
      .chipselect (cur_x_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_cur_x),
      .readdata   (cur_x_s1_readdata),
      .reset_n    (cur_x_s1_reset_n),
      .write_n    (cur_x_s1_write_n),
      .writedata  (cur_x_s1_writedata)
    );

  cur_y_s1_arbitrator the_cur_y_s1
    (
      .clk                                        (clk),
      .cpu_data_master_address_to_slave           (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_cur_y_s1           (cpu_data_master_granted_cur_y_s1),
      .cpu_data_master_qualified_request_cur_y_s1 (cpu_data_master_qualified_request_cur_y_s1),
      .cpu_data_master_read                       (cpu_data_master_read),
      .cpu_data_master_read_data_valid_cur_y_s1   (cpu_data_master_read_data_valid_cur_y_s1),
      .cpu_data_master_requests_cur_y_s1          (cpu_data_master_requests_cur_y_s1),
      .cpu_data_master_waitrequest                (cpu_data_master_waitrequest),
      .cpu_data_master_write                      (cpu_data_master_write),
      .cpu_data_master_writedata                  (cpu_data_master_writedata),
      .cur_y_s1_address                           (cur_y_s1_address),
      .cur_y_s1_chipselect                        (cur_y_s1_chipselect),
      .cur_y_s1_readdata                          (cur_y_s1_readdata),
      .cur_y_s1_readdata_from_sa                  (cur_y_s1_readdata_from_sa),
      .cur_y_s1_reset_n                           (cur_y_s1_reset_n),
      .cur_y_s1_write_n                           (cur_y_s1_write_n),
      .cur_y_s1_writedata                         (cur_y_s1_writedata),
      .d1_cur_y_s1_end_xfer                       (d1_cur_y_s1_end_xfer),
      .reset_n                                    (clk_reset_n)
    );

  cur_y the_cur_y
    (
      .address    (cur_y_s1_address),
      .chipselect (cur_y_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_cur_y),
      .readdata   (cur_y_s1_readdata),
      .reset_n    (cur_y_s1_reset_n),
      .write_n    (cur_y_s1_write_n),
      .writedata  (cur_y_s1_writedata)
    );

  en0_s1_arbitrator the_en0_s1
    (
      .clk                                      (clk),
      .cpu_data_master_address_to_slave         (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_en0_s1           (cpu_data_master_granted_en0_s1),
      .cpu_data_master_qualified_request_en0_s1 (cpu_data_master_qualified_request_en0_s1),
      .cpu_data_master_read                     (cpu_data_master_read),
      .cpu_data_master_read_data_valid_en0_s1   (cpu_data_master_read_data_valid_en0_s1),
      .cpu_data_master_requests_en0_s1          (cpu_data_master_requests_en0_s1),
      .cpu_data_master_waitrequest              (cpu_data_master_waitrequest),
      .cpu_data_master_write                    (cpu_data_master_write),
      .cpu_data_master_writedata                (cpu_data_master_writedata),
      .d1_en0_s1_end_xfer                       (d1_en0_s1_end_xfer),
      .en0_s1_address                           (en0_s1_address),
      .en0_s1_chipselect                        (en0_s1_chipselect),
      .en0_s1_readdata                          (en0_s1_readdata),
      .en0_s1_readdata_from_sa                  (en0_s1_readdata_from_sa),
      .en0_s1_reset_n                           (en0_s1_reset_n),
      .en0_s1_write_n                           (en0_s1_write_n),
      .en0_s1_writedata                         (en0_s1_writedata),
      .reset_n                                  (clk_reset_n)
    );

  en0 the_en0
    (
      .address    (en0_s1_address),
      .chipselect (en0_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_en0),
      .readdata   (en0_s1_readdata),
      .reset_n    (en0_s1_reset_n),
      .write_n    (en0_s1_write_n),
      .writedata  (en0_s1_writedata)
    );

  en1_s1_arbitrator the_en1_s1
    (
      .clk                                      (clk),
      .cpu_data_master_address_to_slave         (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_en1_s1           (cpu_data_master_granted_en1_s1),
      .cpu_data_master_qualified_request_en1_s1 (cpu_data_master_qualified_request_en1_s1),
      .cpu_data_master_read                     (cpu_data_master_read),
      .cpu_data_master_read_data_valid_en1_s1   (cpu_data_master_read_data_valid_en1_s1),
      .cpu_data_master_requests_en1_s1          (cpu_data_master_requests_en1_s1),
      .cpu_data_master_waitrequest              (cpu_data_master_waitrequest),
      .cpu_data_master_write                    (cpu_data_master_write),
      .cpu_data_master_writedata                (cpu_data_master_writedata),
      .d1_en1_s1_end_xfer                       (d1_en1_s1_end_xfer),
      .en1_s1_address                           (en1_s1_address),
      .en1_s1_chipselect                        (en1_s1_chipselect),
      .en1_s1_readdata                          (en1_s1_readdata),
      .en1_s1_readdata_from_sa                  (en1_s1_readdata_from_sa),
      .en1_s1_reset_n                           (en1_s1_reset_n),
      .en1_s1_write_n                           (en1_s1_write_n),
      .en1_s1_writedata                         (en1_s1_writedata),
      .reset_n                                  (clk_reset_n)
    );

  en1 the_en1
    (
      .address    (en1_s1_address),
      .chipselect (en1_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_en1),
      .readdata   (en1_s1_readdata),
      .reset_n    (en1_s1_reset_n),
      .write_n    (en1_s1_write_n),
      .writedata  (en1_s1_writedata)
    );

  en2_s1_arbitrator the_en2_s1
    (
      .clk                                      (clk),
      .cpu_data_master_address_to_slave         (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_en2_s1           (cpu_data_master_granted_en2_s1),
      .cpu_data_master_qualified_request_en2_s1 (cpu_data_master_qualified_request_en2_s1),
      .cpu_data_master_read                     (cpu_data_master_read),
      .cpu_data_master_read_data_valid_en2_s1   (cpu_data_master_read_data_valid_en2_s1),
      .cpu_data_master_requests_en2_s1          (cpu_data_master_requests_en2_s1),
      .cpu_data_master_waitrequest              (cpu_data_master_waitrequest),
      .cpu_data_master_write                    (cpu_data_master_write),
      .cpu_data_master_writedata                (cpu_data_master_writedata),
      .d1_en2_s1_end_xfer                       (d1_en2_s1_end_xfer),
      .en2_s1_address                           (en2_s1_address),
      .en2_s1_chipselect                        (en2_s1_chipselect),
      .en2_s1_readdata                          (en2_s1_readdata),
      .en2_s1_readdata_from_sa                  (en2_s1_readdata_from_sa),
      .en2_s1_reset_n                           (en2_s1_reset_n),
      .en2_s1_write_n                           (en2_s1_write_n),
      .en2_s1_writedata                         (en2_s1_writedata),
      .reset_n                                  (clk_reset_n)
    );

  en2 the_en2
    (
      .address    (en2_s1_address),
      .chipselect (en2_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_en2),
      .readdata   (en2_s1_readdata),
      .reset_n    (en2_s1_reset_n),
      .write_n    (en2_s1_write_n),
      .writedata  (en2_s1_writedata)
    );

  event_has_been_read_s1_arbitrator the_event_has_been_read_s1
    (
      .clk                                                      (clk),
      .cpu_data_master_address_to_slave                         (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_event_has_been_read_s1           (cpu_data_master_granted_event_has_been_read_s1),
      .cpu_data_master_qualified_request_event_has_been_read_s1 (cpu_data_master_qualified_request_event_has_been_read_s1),
      .cpu_data_master_read                                     (cpu_data_master_read),
      .cpu_data_master_read_data_valid_event_has_been_read_s1   (cpu_data_master_read_data_valid_event_has_been_read_s1),
      .cpu_data_master_requests_event_has_been_read_s1          (cpu_data_master_requests_event_has_been_read_s1),
      .cpu_data_master_waitrequest                              (cpu_data_master_waitrequest),
      .cpu_data_master_write                                    (cpu_data_master_write),
      .cpu_data_master_writedata                                (cpu_data_master_writedata),
      .d1_event_has_been_read_s1_end_xfer                       (d1_event_has_been_read_s1_end_xfer),
      .event_has_been_read_s1_address                           (event_has_been_read_s1_address),
      .event_has_been_read_s1_chipselect                        (event_has_been_read_s1_chipselect),
      .event_has_been_read_s1_readdata                          (event_has_been_read_s1_readdata),
      .event_has_been_read_s1_readdata_from_sa                  (event_has_been_read_s1_readdata_from_sa),
      .event_has_been_read_s1_reset_n                           (event_has_been_read_s1_reset_n),
      .event_has_been_read_s1_write_n                           (event_has_been_read_s1_write_n),
      .event_has_been_read_s1_writedata                         (event_has_been_read_s1_writedata),
      .reset_n                                                  (clk_reset_n)
    );

  event_has_been_read the_event_has_been_read
    (
      .address    (event_has_been_read_s1_address),
      .chipselect (event_has_been_read_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_event_has_been_read),
      .readdata   (event_has_been_read_s1_readdata),
      .reset_n    (event_has_been_read_s1_reset_n),
      .write_n    (event_has_been_read_s1_write_n),
      .writedata  (event_has_been_read_s1_writedata)
    );

  jtag_uart_avalon_jtag_slave_arbitrator the_jtag_uart_avalon_jtag_slave
    (
      .clk                                                           (clk),
      .cpu_data_master_address_to_slave                              (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_jtag_uart_avalon_jtag_slave           (cpu_data_master_granted_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave (cpu_data_master_qualified_request_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_read                                          (cpu_data_master_read),
      .cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave   (cpu_data_master_read_data_valid_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_requests_jtag_uart_avalon_jtag_slave          (cpu_data_master_requests_jtag_uart_avalon_jtag_slave),
      .cpu_data_master_waitrequest                                   (cpu_data_master_waitrequest),
      .cpu_data_master_write                                         (cpu_data_master_write),
      .cpu_data_master_writedata                                     (cpu_data_master_writedata),
      .d1_jtag_uart_avalon_jtag_slave_end_xfer                       (d1_jtag_uart_avalon_jtag_slave_end_xfer),
      .jtag_uart_avalon_jtag_slave_address                           (jtag_uart_avalon_jtag_slave_address),
      .jtag_uart_avalon_jtag_slave_chipselect                        (jtag_uart_avalon_jtag_slave_chipselect),
      .jtag_uart_avalon_jtag_slave_dataavailable                     (jtag_uart_avalon_jtag_slave_dataavailable),
      .jtag_uart_avalon_jtag_slave_dataavailable_from_sa             (jtag_uart_avalon_jtag_slave_dataavailable_from_sa),
      .jtag_uart_avalon_jtag_slave_irq                               (jtag_uart_avalon_jtag_slave_irq),
      .jtag_uart_avalon_jtag_slave_irq_from_sa                       (jtag_uart_avalon_jtag_slave_irq_from_sa),
      .jtag_uart_avalon_jtag_slave_read_n                            (jtag_uart_avalon_jtag_slave_read_n),
      .jtag_uart_avalon_jtag_slave_readdata                          (jtag_uart_avalon_jtag_slave_readdata),
      .jtag_uart_avalon_jtag_slave_readdata_from_sa                  (jtag_uart_avalon_jtag_slave_readdata_from_sa),
      .jtag_uart_avalon_jtag_slave_readyfordata                      (jtag_uart_avalon_jtag_slave_readyfordata),
      .jtag_uart_avalon_jtag_slave_readyfordata_from_sa              (jtag_uart_avalon_jtag_slave_readyfordata_from_sa),
      .jtag_uart_avalon_jtag_slave_reset_n                           (jtag_uart_avalon_jtag_slave_reset_n),
      .jtag_uart_avalon_jtag_slave_waitrequest                       (jtag_uart_avalon_jtag_slave_waitrequest),
      .jtag_uart_avalon_jtag_slave_waitrequest_from_sa               (jtag_uart_avalon_jtag_slave_waitrequest_from_sa),
      .jtag_uart_avalon_jtag_slave_write_n                           (jtag_uart_avalon_jtag_slave_write_n),
      .jtag_uart_avalon_jtag_slave_writedata                         (jtag_uart_avalon_jtag_slave_writedata),
      .reset_n                                                       (clk_reset_n)
    );

  jtag_uart the_jtag_uart
    (
      .av_address     (jtag_uart_avalon_jtag_slave_address),
      .av_chipselect  (jtag_uart_avalon_jtag_slave_chipselect),
      .av_irq         (jtag_uart_avalon_jtag_slave_irq),
      .av_read_n      (jtag_uart_avalon_jtag_slave_read_n),
      .av_readdata    (jtag_uart_avalon_jtag_slave_readdata),
      .av_waitrequest (jtag_uart_avalon_jtag_slave_waitrequest),
      .av_write_n     (jtag_uart_avalon_jtag_slave_write_n),
      .av_writedata   (jtag_uart_avalon_jtag_slave_writedata),
      .clk            (clk),
      .dataavailable  (jtag_uart_avalon_jtag_slave_dataavailable),
      .readyfordata   (jtag_uart_avalon_jtag_slave_readyfordata),
      .rst_n          (jtag_uart_avalon_jtag_slave_reset_n)
    );

  lcd_0_control_slave_arbitrator the_lcd_0_control_slave
    (
      .clk                                                   (clk),
      .cpu_data_master_address_to_slave                      (cpu_data_master_address_to_slave),
      .cpu_data_master_byteenable                            (cpu_data_master_byteenable),
      .cpu_data_master_granted_lcd_0_control_slave           (cpu_data_master_granted_lcd_0_control_slave),
      .cpu_data_master_qualified_request_lcd_0_control_slave (cpu_data_master_qualified_request_lcd_0_control_slave),
      .cpu_data_master_read                                  (cpu_data_master_read),
      .cpu_data_master_read_data_valid_lcd_0_control_slave   (cpu_data_master_read_data_valid_lcd_0_control_slave),
      .cpu_data_master_requests_lcd_0_control_slave          (cpu_data_master_requests_lcd_0_control_slave),
      .cpu_data_master_write                                 (cpu_data_master_write),
      .cpu_data_master_writedata                             (cpu_data_master_writedata),
      .d1_lcd_0_control_slave_end_xfer                       (d1_lcd_0_control_slave_end_xfer),
      .lcd_0_control_slave_address                           (lcd_0_control_slave_address),
      .lcd_0_control_slave_begintransfer                     (lcd_0_control_slave_begintransfer),
      .lcd_0_control_slave_read                              (lcd_0_control_slave_read),
      .lcd_0_control_slave_readdata                          (lcd_0_control_slave_readdata),
      .lcd_0_control_slave_readdata_from_sa                  (lcd_0_control_slave_readdata_from_sa),
      .lcd_0_control_slave_reset_n                           (lcd_0_control_slave_reset_n),
      .lcd_0_control_slave_wait_counter_eq_0                 (lcd_0_control_slave_wait_counter_eq_0),
      .lcd_0_control_slave_wait_counter_eq_1                 (lcd_0_control_slave_wait_counter_eq_1),
      .lcd_0_control_slave_write                             (lcd_0_control_slave_write),
      .lcd_0_control_slave_writedata                         (lcd_0_control_slave_writedata),
      .reset_n                                               (clk_reset_n)
    );

  lcd_0 the_lcd_0
    (
      .LCD_E         (LCD_E_from_the_lcd_0),
      .LCD_RS        (LCD_RS_from_the_lcd_0),
      .LCD_RW        (LCD_RW_from_the_lcd_0),
      .LCD_data      (LCD_data_to_and_from_the_lcd_0),
      .address       (lcd_0_control_slave_address),
      .begintransfer (lcd_0_control_slave_begintransfer),
      .clk           (clk),
      .read          (lcd_0_control_slave_read),
      .readdata      (lcd_0_control_slave_readdata),
      .reset_n       (lcd_0_control_slave_reset_n),
      .write         (lcd_0_control_slave_write),
      .writedata     (lcd_0_control_slave_writedata)
    );

  new_event_ready_s1_arbitrator the_new_event_ready_s1
    (
      .clk                                                  (clk),
      .cpu_data_master_address_to_slave                     (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_new_event_ready_s1           (cpu_data_master_granted_new_event_ready_s1),
      .cpu_data_master_qualified_request_new_event_ready_s1 (cpu_data_master_qualified_request_new_event_ready_s1),
      .cpu_data_master_read                                 (cpu_data_master_read),
      .cpu_data_master_read_data_valid_new_event_ready_s1   (cpu_data_master_read_data_valid_new_event_ready_s1),
      .cpu_data_master_requests_new_event_ready_s1          (cpu_data_master_requests_new_event_ready_s1),
      .cpu_data_master_write                                (cpu_data_master_write),
      .d1_new_event_ready_s1_end_xfer                       (d1_new_event_ready_s1_end_xfer),
      .new_event_ready_s1_address                           (new_event_ready_s1_address),
      .new_event_ready_s1_readdata                          (new_event_ready_s1_readdata),
      .new_event_ready_s1_readdata_from_sa                  (new_event_ready_s1_readdata_from_sa),
      .new_event_ready_s1_reset_n                           (new_event_ready_s1_reset_n),
      .reset_n                                              (clk_reset_n)
    );

  new_event_ready the_new_event_ready
    (
      .address  (new_event_ready_s1_address),
      .clk      (clk),
      .in_port  (in_port_to_the_new_event_ready),
      .readdata (new_event_ready_s1_readdata),
      .reset_n  (new_event_ready_s1_reset_n)
    );

  obj_s1_arbitrator the_obj_s1
    (
      .clk                                      (clk),
      .cpu_data_master_address_to_slave         (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_obj_s1           (cpu_data_master_granted_obj_s1),
      .cpu_data_master_qualified_request_obj_s1 (cpu_data_master_qualified_request_obj_s1),
      .cpu_data_master_read                     (cpu_data_master_read),
      .cpu_data_master_read_data_valid_obj_s1   (cpu_data_master_read_data_valid_obj_s1),
      .cpu_data_master_requests_obj_s1          (cpu_data_master_requests_obj_s1),
      .cpu_data_master_waitrequest              (cpu_data_master_waitrequest),
      .cpu_data_master_write                    (cpu_data_master_write),
      .cpu_data_master_writedata                (cpu_data_master_writedata),
      .d1_obj_s1_end_xfer                       (d1_obj_s1_end_xfer),
      .obj_s1_address                           (obj_s1_address),
      .obj_s1_chipselect                        (obj_s1_chipselect),
      .obj_s1_readdata                          (obj_s1_readdata),
      .obj_s1_readdata_from_sa                  (obj_s1_readdata_from_sa),
      .obj_s1_reset_n                           (obj_s1_reset_n),
      .obj_s1_write_n                           (obj_s1_write_n),
      .obj_s1_writedata                         (obj_s1_writedata),
      .reset_n                                  (clk_reset_n)
    );

  obj the_obj
    (
      .address    (obj_s1_address),
      .chipselect (obj_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_obj),
      .readdata   (obj_s1_readdata),
      .reset_n    (obj_s1_reset_n),
      .write_n    (obj_s1_write_n),
      .writedata  (obj_s1_writedata)
    );

  period0_s1_arbitrator the_period0_s1
    (
      .clk                                          (clk),
      .cpu_data_master_address_to_slave             (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_period0_s1           (cpu_data_master_granted_period0_s1),
      .cpu_data_master_qualified_request_period0_s1 (cpu_data_master_qualified_request_period0_s1),
      .cpu_data_master_read                         (cpu_data_master_read),
      .cpu_data_master_read_data_valid_period0_s1   (cpu_data_master_read_data_valid_period0_s1),
      .cpu_data_master_requests_period0_s1          (cpu_data_master_requests_period0_s1),
      .cpu_data_master_waitrequest                  (cpu_data_master_waitrequest),
      .cpu_data_master_write                        (cpu_data_master_write),
      .cpu_data_master_writedata                    (cpu_data_master_writedata),
      .d1_period0_s1_end_xfer                       (d1_period0_s1_end_xfer),
      .period0_s1_address                           (period0_s1_address),
      .period0_s1_chipselect                        (period0_s1_chipselect),
      .period0_s1_readdata                          (period0_s1_readdata),
      .period0_s1_readdata_from_sa                  (period0_s1_readdata_from_sa),
      .period0_s1_reset_n                           (period0_s1_reset_n),
      .period0_s1_write_n                           (period0_s1_write_n),
      .period0_s1_writedata                         (period0_s1_writedata),
      .reset_n                                      (clk_reset_n)
    );

  period0 the_period0
    (
      .address    (period0_s1_address),
      .chipselect (period0_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_period0),
      .readdata   (period0_s1_readdata),
      .reset_n    (period0_s1_reset_n),
      .write_n    (period0_s1_write_n),
      .writedata  (period0_s1_writedata)
    );

  period1_s1_arbitrator the_period1_s1
    (
      .clk                                          (clk),
      .cpu_data_master_address_to_slave             (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_period1_s1           (cpu_data_master_granted_period1_s1),
      .cpu_data_master_qualified_request_period1_s1 (cpu_data_master_qualified_request_period1_s1),
      .cpu_data_master_read                         (cpu_data_master_read),
      .cpu_data_master_read_data_valid_period1_s1   (cpu_data_master_read_data_valid_period1_s1),
      .cpu_data_master_requests_period1_s1          (cpu_data_master_requests_period1_s1),
      .cpu_data_master_waitrequest                  (cpu_data_master_waitrequest),
      .cpu_data_master_write                        (cpu_data_master_write),
      .cpu_data_master_writedata                    (cpu_data_master_writedata),
      .d1_period1_s1_end_xfer                       (d1_period1_s1_end_xfer),
      .period1_s1_address                           (period1_s1_address),
      .period1_s1_chipselect                        (period1_s1_chipselect),
      .period1_s1_readdata                          (period1_s1_readdata),
      .period1_s1_readdata_from_sa                  (period1_s1_readdata_from_sa),
      .period1_s1_reset_n                           (period1_s1_reset_n),
      .period1_s1_write_n                           (period1_s1_write_n),
      .period1_s1_writedata                         (period1_s1_writedata),
      .reset_n                                      (clk_reset_n)
    );

  period1 the_period1
    (
      .address    (period1_s1_address),
      .chipselect (period1_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_period1),
      .readdata   (period1_s1_readdata),
      .reset_n    (period1_s1_reset_n),
      .write_n    (period1_s1_write_n),
      .writedata  (period1_s1_writedata)
    );

  period2_s1_arbitrator the_period2_s1
    (
      .clk                                          (clk),
      .cpu_data_master_address_to_slave             (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_period2_s1           (cpu_data_master_granted_period2_s1),
      .cpu_data_master_qualified_request_period2_s1 (cpu_data_master_qualified_request_period2_s1),
      .cpu_data_master_read                         (cpu_data_master_read),
      .cpu_data_master_read_data_valid_period2_s1   (cpu_data_master_read_data_valid_period2_s1),
      .cpu_data_master_requests_period2_s1          (cpu_data_master_requests_period2_s1),
      .cpu_data_master_waitrequest                  (cpu_data_master_waitrequest),
      .cpu_data_master_write                        (cpu_data_master_write),
      .cpu_data_master_writedata                    (cpu_data_master_writedata),
      .d1_period2_s1_end_xfer                       (d1_period2_s1_end_xfer),
      .period2_s1_address                           (period2_s1_address),
      .period2_s1_chipselect                        (period2_s1_chipselect),
      .period2_s1_readdata                          (period2_s1_readdata),
      .period2_s1_readdata_from_sa                  (period2_s1_readdata_from_sa),
      .period2_s1_reset_n                           (period2_s1_reset_n),
      .period2_s1_write_n                           (period2_s1_write_n),
      .period2_s1_writedata                         (period2_s1_writedata),
      .reset_n                                      (clk_reset_n)
    );

  period2 the_period2
    (
      .address    (period2_s1_address),
      .chipselect (period2_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_period2),
      .readdata   (period2_s1_readdata),
      .reset_n    (period2_s1_reset_n),
      .write_n    (period2_s1_write_n),
      .writedata  (period2_s1_writedata)
    );

  period_gol_s1_arbitrator the_period_gol_s1
    (
      .clk                                             (clk),
      .cpu_data_master_address_to_slave                (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_period_gol_s1           (cpu_data_master_granted_period_gol_s1),
      .cpu_data_master_qualified_request_period_gol_s1 (cpu_data_master_qualified_request_period_gol_s1),
      .cpu_data_master_read                            (cpu_data_master_read),
      .cpu_data_master_read_data_valid_period_gol_s1   (cpu_data_master_read_data_valid_period_gol_s1),
      .cpu_data_master_requests_period_gol_s1          (cpu_data_master_requests_period_gol_s1),
      .cpu_data_master_waitrequest                     (cpu_data_master_waitrequest),
      .cpu_data_master_write                           (cpu_data_master_write),
      .cpu_data_master_writedata                       (cpu_data_master_writedata),
      .d1_period_gol_s1_end_xfer                       (d1_period_gol_s1_end_xfer),
      .period_gol_s1_address                           (period_gol_s1_address),
      .period_gol_s1_chipselect                        (period_gol_s1_chipselect),
      .period_gol_s1_readdata                          (period_gol_s1_readdata),
      .period_gol_s1_readdata_from_sa                  (period_gol_s1_readdata_from_sa),
      .period_gol_s1_reset_n                           (period_gol_s1_reset_n),
      .period_gol_s1_write_n                           (period_gol_s1_write_n),
      .period_gol_s1_writedata                         (period_gol_s1_writedata),
      .reset_n                                         (clk_reset_n)
    );

  period_gol the_period_gol
    (
      .address    (period_gol_s1_address),
      .chipselect (period_gol_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_period_gol),
      .readdata   (period_gol_s1_readdata),
      .reset_n    (period_gol_s1_reset_n),
      .write_n    (period_gol_s1_write_n),
      .writedata  (period_gol_s1_writedata)
    );

  play_s1_arbitrator the_play_s1
    (
      .clk                                       (clk),
      .cpu_data_master_address_to_slave          (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_play_s1           (cpu_data_master_granted_play_s1),
      .cpu_data_master_qualified_request_play_s1 (cpu_data_master_qualified_request_play_s1),
      .cpu_data_master_read                      (cpu_data_master_read),
      .cpu_data_master_read_data_valid_play_s1   (cpu_data_master_read_data_valid_play_s1),
      .cpu_data_master_requests_play_s1          (cpu_data_master_requests_play_s1),
      .cpu_data_master_waitrequest               (cpu_data_master_waitrequest),
      .cpu_data_master_write                     (cpu_data_master_write),
      .cpu_data_master_writedata                 (cpu_data_master_writedata),
      .d1_play_s1_end_xfer                       (d1_play_s1_end_xfer),
      .play_s1_address                           (play_s1_address),
      .play_s1_chipselect                        (play_s1_chipselect),
      .play_s1_readdata                          (play_s1_readdata),
      .play_s1_readdata_from_sa                  (play_s1_readdata_from_sa),
      .play_s1_reset_n                           (play_s1_reset_n),
      .play_s1_write_n                           (play_s1_write_n),
      .play_s1_writedata                         (play_s1_writedata),
      .reset_n                                   (clk_reset_n)
    );

  play the_play
    (
      .address    (play_s1_address),
      .chipselect (play_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_play),
      .readdata   (play_s1_readdata),
      .reset_n    (play_s1_reset_n),
      .write_n    (play_s1_write_n),
      .writedata  (play_s1_writedata)
    );

  ps2_event_type_s1_arbitrator the_ps2_event_type_s1
    (
      .clk                                                 (clk),
      .cpu_data_master_address_to_slave                    (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_ps2_event_type_s1           (cpu_data_master_granted_ps2_event_type_s1),
      .cpu_data_master_qualified_request_ps2_event_type_s1 (cpu_data_master_qualified_request_ps2_event_type_s1),
      .cpu_data_master_read                                (cpu_data_master_read),
      .cpu_data_master_read_data_valid_ps2_event_type_s1   (cpu_data_master_read_data_valid_ps2_event_type_s1),
      .cpu_data_master_requests_ps2_event_type_s1          (cpu_data_master_requests_ps2_event_type_s1),
      .cpu_data_master_write                               (cpu_data_master_write),
      .d1_ps2_event_type_s1_end_xfer                       (d1_ps2_event_type_s1_end_xfer),
      .ps2_event_type_s1_address                           (ps2_event_type_s1_address),
      .ps2_event_type_s1_readdata                          (ps2_event_type_s1_readdata),
      .ps2_event_type_s1_readdata_from_sa                  (ps2_event_type_s1_readdata_from_sa),
      .ps2_event_type_s1_reset_n                           (ps2_event_type_s1_reset_n),
      .reset_n                                             (clk_reset_n)
    );

  ps2_event_type the_ps2_event_type
    (
      .address  (ps2_event_type_s1_address),
      .clk      (clk),
      .in_port  (in_port_to_the_ps2_event_type),
      .readdata (ps2_event_type_s1_readdata),
      .reset_n  (ps2_event_type_s1_reset_n)
    );

  sdram_s1_arbitrator the_sdram_s1
    (
      .clk                                                            (clk),
      .cpu_data_master_address_to_slave                               (cpu_data_master_address_to_slave),
      .cpu_data_master_byteenable                                     (cpu_data_master_byteenable),
      .cpu_data_master_byteenable_sdram_s1                            (cpu_data_master_byteenable_sdram_s1),
      .cpu_data_master_dbs_address                                    (cpu_data_master_dbs_address),
      .cpu_data_master_dbs_write_16                                   (cpu_data_master_dbs_write_16),
      .cpu_data_master_granted_sdram_s1                               (cpu_data_master_granted_sdram_s1),
      .cpu_data_master_no_byte_enables_and_last_term                  (cpu_data_master_no_byte_enables_and_last_term),
      .cpu_data_master_qualified_request_sdram_s1                     (cpu_data_master_qualified_request_sdram_s1),
      .cpu_data_master_read                                           (cpu_data_master_read),
      .cpu_data_master_read_data_valid_sdram_s1                       (cpu_data_master_read_data_valid_sdram_s1),
      .cpu_data_master_read_data_valid_sdram_s1_shift_register        (cpu_data_master_read_data_valid_sdram_s1_shift_register),
      .cpu_data_master_requests_sdram_s1                              (cpu_data_master_requests_sdram_s1),
      .cpu_data_master_waitrequest                                    (cpu_data_master_waitrequest),
      .cpu_data_master_write                                          (cpu_data_master_write),
      .cpu_instruction_master_address_to_slave                        (cpu_instruction_master_address_to_slave),
      .cpu_instruction_master_dbs_address                             (cpu_instruction_master_dbs_address),
      .cpu_instruction_master_granted_sdram_s1                        (cpu_instruction_master_granted_sdram_s1),
      .cpu_instruction_master_latency_counter                         (cpu_instruction_master_latency_counter),
      .cpu_instruction_master_qualified_request_sdram_s1              (cpu_instruction_master_qualified_request_sdram_s1),
      .cpu_instruction_master_read                                    (cpu_instruction_master_read),
      .cpu_instruction_master_read_data_valid_sdram_s1                (cpu_instruction_master_read_data_valid_sdram_s1),
      .cpu_instruction_master_read_data_valid_sdram_s1_shift_register (cpu_instruction_master_read_data_valid_sdram_s1_shift_register),
      .cpu_instruction_master_requests_sdram_s1                       (cpu_instruction_master_requests_sdram_s1),
      .d1_sdram_s1_end_xfer                                           (d1_sdram_s1_end_xfer),
      .reset_n                                                        (clk_reset_n),
      .sdram_s1_address                                               (sdram_s1_address),
      .sdram_s1_byteenable_n                                          (sdram_s1_byteenable_n),
      .sdram_s1_chipselect                                            (sdram_s1_chipselect),
      .sdram_s1_read_n                                                (sdram_s1_read_n),
      .sdram_s1_readdata                                              (sdram_s1_readdata),
      .sdram_s1_readdata_from_sa                                      (sdram_s1_readdata_from_sa),
      .sdram_s1_readdatavalid                                         (sdram_s1_readdatavalid),
      .sdram_s1_reset_n                                               (sdram_s1_reset_n),
      .sdram_s1_waitrequest                                           (sdram_s1_waitrequest),
      .sdram_s1_waitrequest_from_sa                                   (sdram_s1_waitrequest_from_sa),
      .sdram_s1_write_n                                               (sdram_s1_write_n),
      .sdram_s1_writedata                                             (sdram_s1_writedata)
    );

  sdram the_sdram
    (
      .az_addr        (sdram_s1_address),
      .az_be_n        (sdram_s1_byteenable_n),
      .az_cs          (sdram_s1_chipselect),
      .az_data        (sdram_s1_writedata),
      .az_rd_n        (sdram_s1_read_n),
      .az_wr_n        (sdram_s1_write_n),
      .clk            (clk),
      .reset_n        (sdram_s1_reset_n),
      .za_data        (sdram_s1_readdata),
      .za_valid       (sdram_s1_readdatavalid),
      .za_waitrequest (sdram_s1_waitrequest),
      .zs_addr        (zs_addr_from_the_sdram),
      .zs_ba          (zs_ba_from_the_sdram),
      .zs_cas_n       (zs_cas_n_from_the_sdram),
      .zs_cke         (zs_cke_from_the_sdram),
      .zs_cs_n        (zs_cs_n_from_the_sdram),
      .zs_dq          (zs_dq_to_and_from_the_sdram),
      .zs_dqm         (zs_dqm_from_the_sdram),
      .zs_ras_n       (zs_ras_n_from_the_sdram),
      .zs_we_n        (zs_we_n_from_the_sdram)
    );

  set_sel0_s1_arbitrator the_set_sel0_s1
    (
      .clk                                           (clk),
      .cpu_data_master_address_to_slave              (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_set_sel0_s1           (cpu_data_master_granted_set_sel0_s1),
      .cpu_data_master_qualified_request_set_sel0_s1 (cpu_data_master_qualified_request_set_sel0_s1),
      .cpu_data_master_read                          (cpu_data_master_read),
      .cpu_data_master_read_data_valid_set_sel0_s1   (cpu_data_master_read_data_valid_set_sel0_s1),
      .cpu_data_master_requests_set_sel0_s1          (cpu_data_master_requests_set_sel0_s1),
      .cpu_data_master_waitrequest                   (cpu_data_master_waitrequest),
      .cpu_data_master_write                         (cpu_data_master_write),
      .cpu_data_master_writedata                     (cpu_data_master_writedata),
      .d1_set_sel0_s1_end_xfer                       (d1_set_sel0_s1_end_xfer),
      .reset_n                                       (clk_reset_n),
      .set_sel0_s1_address                           (set_sel0_s1_address),
      .set_sel0_s1_chipselect                        (set_sel0_s1_chipselect),
      .set_sel0_s1_readdata                          (set_sel0_s1_readdata),
      .set_sel0_s1_readdata_from_sa                  (set_sel0_s1_readdata_from_sa),
      .set_sel0_s1_reset_n                           (set_sel0_s1_reset_n),
      .set_sel0_s1_write_n                           (set_sel0_s1_write_n),
      .set_sel0_s1_writedata                         (set_sel0_s1_writedata)
    );

  set_sel0 the_set_sel0
    (
      .address    (set_sel0_s1_address),
      .chipselect (set_sel0_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_set_sel0),
      .readdata   (set_sel0_s1_readdata),
      .reset_n    (set_sel0_s1_reset_n),
      .write_n    (set_sel0_s1_write_n),
      .writedata  (set_sel0_s1_writedata)
    );

  set_sel1_s1_arbitrator the_set_sel1_s1
    (
      .clk                                           (clk),
      .cpu_data_master_address_to_slave              (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_set_sel1_s1           (cpu_data_master_granted_set_sel1_s1),
      .cpu_data_master_qualified_request_set_sel1_s1 (cpu_data_master_qualified_request_set_sel1_s1),
      .cpu_data_master_read                          (cpu_data_master_read),
      .cpu_data_master_read_data_valid_set_sel1_s1   (cpu_data_master_read_data_valid_set_sel1_s1),
      .cpu_data_master_requests_set_sel1_s1          (cpu_data_master_requests_set_sel1_s1),
      .cpu_data_master_waitrequest                   (cpu_data_master_waitrequest),
      .cpu_data_master_write                         (cpu_data_master_write),
      .cpu_data_master_writedata                     (cpu_data_master_writedata),
      .d1_set_sel1_s1_end_xfer                       (d1_set_sel1_s1_end_xfer),
      .reset_n                                       (clk_reset_n),
      .set_sel1_s1_address                           (set_sel1_s1_address),
      .set_sel1_s1_chipselect                        (set_sel1_s1_chipselect),
      .set_sel1_s1_readdata                          (set_sel1_s1_readdata),
      .set_sel1_s1_readdata_from_sa                  (set_sel1_s1_readdata_from_sa),
      .set_sel1_s1_reset_n                           (set_sel1_s1_reset_n),
      .set_sel1_s1_write_n                           (set_sel1_s1_write_n),
      .set_sel1_s1_writedata                         (set_sel1_s1_writedata)
    );

  set_sel1 the_set_sel1
    (
      .address    (set_sel1_s1_address),
      .chipselect (set_sel1_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_set_sel1),
      .readdata   (set_sel1_s1_readdata),
      .reset_n    (set_sel1_s1_reset_n),
      .write_n    (set_sel1_s1_write_n),
      .writedata  (set_sel1_s1_writedata)
    );

  set_sel2_s1_arbitrator the_set_sel2_s1
    (
      .clk                                           (clk),
      .cpu_data_master_address_to_slave              (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_set_sel2_s1           (cpu_data_master_granted_set_sel2_s1),
      .cpu_data_master_qualified_request_set_sel2_s1 (cpu_data_master_qualified_request_set_sel2_s1),
      .cpu_data_master_read                          (cpu_data_master_read),
      .cpu_data_master_read_data_valid_set_sel2_s1   (cpu_data_master_read_data_valid_set_sel2_s1),
      .cpu_data_master_requests_set_sel2_s1          (cpu_data_master_requests_set_sel2_s1),
      .cpu_data_master_waitrequest                   (cpu_data_master_waitrequest),
      .cpu_data_master_write                         (cpu_data_master_write),
      .cpu_data_master_writedata                     (cpu_data_master_writedata),
      .d1_set_sel2_s1_end_xfer                       (d1_set_sel2_s1_end_xfer),
      .reset_n                                       (clk_reset_n),
      .set_sel2_s1_address                           (set_sel2_s1_address),
      .set_sel2_s1_chipselect                        (set_sel2_s1_chipselect),
      .set_sel2_s1_readdata                          (set_sel2_s1_readdata),
      .set_sel2_s1_readdata_from_sa                  (set_sel2_s1_readdata_from_sa),
      .set_sel2_s1_reset_n                           (set_sel2_s1_reset_n),
      .set_sel2_s1_write_n                           (set_sel2_s1_write_n),
      .set_sel2_s1_writedata                         (set_sel2_s1_writedata)
    );

  set_sel2 the_set_sel2
    (
      .address    (set_sel2_s1_address),
      .chipselect (set_sel2_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_set_sel2),
      .readdata   (set_sel2_s1_readdata),
      .reset_n    (set_sel2_s1_reset_n),
      .write_n    (set_sel2_s1_write_n),
      .writedata  (set_sel2_s1_writedata)
    );

  speed0_s1_arbitrator the_speed0_s1
    (
      .clk                                         (clk),
      .cpu_data_master_address_to_slave            (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_speed0_s1           (cpu_data_master_granted_speed0_s1),
      .cpu_data_master_qualified_request_speed0_s1 (cpu_data_master_qualified_request_speed0_s1),
      .cpu_data_master_read                        (cpu_data_master_read),
      .cpu_data_master_read_data_valid_speed0_s1   (cpu_data_master_read_data_valid_speed0_s1),
      .cpu_data_master_requests_speed0_s1          (cpu_data_master_requests_speed0_s1),
      .cpu_data_master_waitrequest                 (cpu_data_master_waitrequest),
      .cpu_data_master_write                       (cpu_data_master_write),
      .cpu_data_master_writedata                   (cpu_data_master_writedata),
      .d1_speed0_s1_end_xfer                       (d1_speed0_s1_end_xfer),
      .reset_n                                     (clk_reset_n),
      .speed0_s1_address                           (speed0_s1_address),
      .speed0_s1_chipselect                        (speed0_s1_chipselect),
      .speed0_s1_readdata                          (speed0_s1_readdata),
      .speed0_s1_readdata_from_sa                  (speed0_s1_readdata_from_sa),
      .speed0_s1_reset_n                           (speed0_s1_reset_n),
      .speed0_s1_write_n                           (speed0_s1_write_n),
      .speed0_s1_writedata                         (speed0_s1_writedata)
    );

  speed0 the_speed0
    (
      .address    (speed0_s1_address),
      .chipselect (speed0_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_speed0),
      .readdata   (speed0_s1_readdata),
      .reset_n    (speed0_s1_reset_n),
      .write_n    (speed0_s1_write_n),
      .writedata  (speed0_s1_writedata)
    );

  speed1_s1_arbitrator the_speed1_s1
    (
      .clk                                         (clk),
      .cpu_data_master_address_to_slave            (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_speed1_s1           (cpu_data_master_granted_speed1_s1),
      .cpu_data_master_qualified_request_speed1_s1 (cpu_data_master_qualified_request_speed1_s1),
      .cpu_data_master_read                        (cpu_data_master_read),
      .cpu_data_master_read_data_valid_speed1_s1   (cpu_data_master_read_data_valid_speed1_s1),
      .cpu_data_master_requests_speed1_s1          (cpu_data_master_requests_speed1_s1),
      .cpu_data_master_waitrequest                 (cpu_data_master_waitrequest),
      .cpu_data_master_write                       (cpu_data_master_write),
      .cpu_data_master_writedata                   (cpu_data_master_writedata),
      .d1_speed1_s1_end_xfer                       (d1_speed1_s1_end_xfer),
      .reset_n                                     (clk_reset_n),
      .speed1_s1_address                           (speed1_s1_address),
      .speed1_s1_chipselect                        (speed1_s1_chipselect),
      .speed1_s1_readdata                          (speed1_s1_readdata),
      .speed1_s1_readdata_from_sa                  (speed1_s1_readdata_from_sa),
      .speed1_s1_reset_n                           (speed1_s1_reset_n),
      .speed1_s1_write_n                           (speed1_s1_write_n),
      .speed1_s1_writedata                         (speed1_s1_writedata)
    );

  speed1 the_speed1
    (
      .address    (speed1_s1_address),
      .chipselect (speed1_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_speed1),
      .readdata   (speed1_s1_readdata),
      .reset_n    (speed1_s1_reset_n),
      .write_n    (speed1_s1_write_n),
      .writedata  (speed1_s1_writedata)
    );

  speed2_s1_arbitrator the_speed2_s1
    (
      .clk                                         (clk),
      .cpu_data_master_address_to_slave            (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_speed2_s1           (cpu_data_master_granted_speed2_s1),
      .cpu_data_master_qualified_request_speed2_s1 (cpu_data_master_qualified_request_speed2_s1),
      .cpu_data_master_read                        (cpu_data_master_read),
      .cpu_data_master_read_data_valid_speed2_s1   (cpu_data_master_read_data_valid_speed2_s1),
      .cpu_data_master_requests_speed2_s1          (cpu_data_master_requests_speed2_s1),
      .cpu_data_master_waitrequest                 (cpu_data_master_waitrequest),
      .cpu_data_master_write                       (cpu_data_master_write),
      .cpu_data_master_writedata                   (cpu_data_master_writedata),
      .d1_speed2_s1_end_xfer                       (d1_speed2_s1_end_xfer),
      .reset_n                                     (clk_reset_n),
      .speed2_s1_address                           (speed2_s1_address),
      .speed2_s1_chipselect                        (speed2_s1_chipselect),
      .speed2_s1_readdata                          (speed2_s1_readdata),
      .speed2_s1_readdata_from_sa                  (speed2_s1_readdata_from_sa),
      .speed2_s1_reset_n                           (speed2_s1_reset_n),
      .speed2_s1_write_n                           (speed2_s1_write_n),
      .speed2_s1_writedata                         (speed2_s1_writedata)
    );

  speed2 the_speed2
    (
      .address    (speed2_s1_address),
      .chipselect (speed2_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_speed2),
      .readdata   (speed2_s1_readdata),
      .reset_n    (speed2_s1_reset_n),
      .write_n    (speed2_s1_write_n),
      .writedata  (speed2_s1_writedata)
    );

  sram_addr_s1_arbitrator the_sram_addr_s1
    (
      .clk                                            (clk),
      .cpu_data_master_address_to_slave               (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_sram_addr_s1           (cpu_data_master_granted_sram_addr_s1),
      .cpu_data_master_qualified_request_sram_addr_s1 (cpu_data_master_qualified_request_sram_addr_s1),
      .cpu_data_master_read                           (cpu_data_master_read),
      .cpu_data_master_read_data_valid_sram_addr_s1   (cpu_data_master_read_data_valid_sram_addr_s1),
      .cpu_data_master_requests_sram_addr_s1          (cpu_data_master_requests_sram_addr_s1),
      .cpu_data_master_waitrequest                    (cpu_data_master_waitrequest),
      .cpu_data_master_write                          (cpu_data_master_write),
      .cpu_data_master_writedata                      (cpu_data_master_writedata),
      .d1_sram_addr_s1_end_xfer                       (d1_sram_addr_s1_end_xfer),
      .reset_n                                        (clk_reset_n),
      .sram_addr_s1_address                           (sram_addr_s1_address),
      .sram_addr_s1_chipselect                        (sram_addr_s1_chipselect),
      .sram_addr_s1_readdata                          (sram_addr_s1_readdata),
      .sram_addr_s1_readdata_from_sa                  (sram_addr_s1_readdata_from_sa),
      .sram_addr_s1_reset_n                           (sram_addr_s1_reset_n),
      .sram_addr_s1_write_n                           (sram_addr_s1_write_n),
      .sram_addr_s1_writedata                         (sram_addr_s1_writedata)
    );

  sram_addr the_sram_addr
    (
      .address    (sram_addr_s1_address),
      .chipselect (sram_addr_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_sram_addr),
      .readdata   (sram_addr_s1_readdata),
      .reset_n    (sram_addr_s1_reset_n),
      .write_n    (sram_addr_s1_write_n),
      .writedata  (sram_addr_s1_writedata)
    );

  sram_dq_s1_arbitrator the_sram_dq_s1
    (
      .clk                                          (clk),
      .cpu_data_master_address_to_slave             (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_sram_dq_s1           (cpu_data_master_granted_sram_dq_s1),
      .cpu_data_master_qualified_request_sram_dq_s1 (cpu_data_master_qualified_request_sram_dq_s1),
      .cpu_data_master_read                         (cpu_data_master_read),
      .cpu_data_master_read_data_valid_sram_dq_s1   (cpu_data_master_read_data_valid_sram_dq_s1),
      .cpu_data_master_requests_sram_dq_s1          (cpu_data_master_requests_sram_dq_s1),
      .cpu_data_master_waitrequest                  (cpu_data_master_waitrequest),
      .cpu_data_master_write                        (cpu_data_master_write),
      .cpu_data_master_writedata                    (cpu_data_master_writedata),
      .d1_sram_dq_s1_end_xfer                       (d1_sram_dq_s1_end_xfer),
      .reset_n                                      (clk_reset_n),
      .sram_dq_s1_address                           (sram_dq_s1_address),
      .sram_dq_s1_chipselect                        (sram_dq_s1_chipselect),
      .sram_dq_s1_readdata                          (sram_dq_s1_readdata),
      .sram_dq_s1_readdata_from_sa                  (sram_dq_s1_readdata_from_sa),
      .sram_dq_s1_reset_n                           (sram_dq_s1_reset_n),
      .sram_dq_s1_write_n                           (sram_dq_s1_write_n),
      .sram_dq_s1_writedata                         (sram_dq_s1_writedata)
    );

  sram_dq the_sram_dq
    (
      .address    (sram_dq_s1_address),
      .chipselect (sram_dq_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_sram_dq),
      .readdata   (sram_dq_s1_readdata),
      .reset_n    (sram_dq_s1_reset_n),
      .write_n    (sram_dq_s1_write_n),
      .writedata  (sram_dq_s1_writedata)
    );

  sram_we_n_s1_arbitrator the_sram_we_n_s1
    (
      .clk                                            (clk),
      .cpu_data_master_address_to_slave               (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_sram_we_n_s1           (cpu_data_master_granted_sram_we_n_s1),
      .cpu_data_master_qualified_request_sram_we_n_s1 (cpu_data_master_qualified_request_sram_we_n_s1),
      .cpu_data_master_read                           (cpu_data_master_read),
      .cpu_data_master_read_data_valid_sram_we_n_s1   (cpu_data_master_read_data_valid_sram_we_n_s1),
      .cpu_data_master_requests_sram_we_n_s1          (cpu_data_master_requests_sram_we_n_s1),
      .cpu_data_master_waitrequest                    (cpu_data_master_waitrequest),
      .cpu_data_master_write                          (cpu_data_master_write),
      .cpu_data_master_writedata                      (cpu_data_master_writedata),
      .d1_sram_we_n_s1_end_xfer                       (d1_sram_we_n_s1_end_xfer),
      .reset_n                                        (clk_reset_n),
      .sram_we_n_s1_address                           (sram_we_n_s1_address),
      .sram_we_n_s1_chipselect                        (sram_we_n_s1_chipselect),
      .sram_we_n_s1_readdata                          (sram_we_n_s1_readdata),
      .sram_we_n_s1_readdata_from_sa                  (sram_we_n_s1_readdata_from_sa),
      .sram_we_n_s1_reset_n                           (sram_we_n_s1_reset_n),
      .sram_we_n_s1_write_n                           (sram_we_n_s1_write_n),
      .sram_we_n_s1_writedata                         (sram_we_n_s1_writedata)
    );

  sram_we_n the_sram_we_n
    (
      .address    (sram_we_n_s1_address),
      .chipselect (sram_we_n_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_sram_we_n),
      .readdata   (sram_we_n_s1_readdata),
      .reset_n    (sram_we_n_s1_reset_n),
      .write_n    (sram_we_n_s1_write_n),
      .writedata  (sram_we_n_s1_writedata)
    );

  tone_mode_s1_arbitrator the_tone_mode_s1
    (
      .clk                                            (clk),
      .cpu_data_master_address_to_slave               (cpu_data_master_address_to_slave),
      .cpu_data_master_granted_tone_mode_s1           (cpu_data_master_granted_tone_mode_s1),
      .cpu_data_master_qualified_request_tone_mode_s1 (cpu_data_master_qualified_request_tone_mode_s1),
      .cpu_data_master_read                           (cpu_data_master_read),
      .cpu_data_master_read_data_valid_tone_mode_s1   (cpu_data_master_read_data_valid_tone_mode_s1),
      .cpu_data_master_requests_tone_mode_s1          (cpu_data_master_requests_tone_mode_s1),
      .cpu_data_master_waitrequest                    (cpu_data_master_waitrequest),
      .cpu_data_master_write                          (cpu_data_master_write),
      .cpu_data_master_writedata                      (cpu_data_master_writedata),
      .d1_tone_mode_s1_end_xfer                       (d1_tone_mode_s1_end_xfer),
      .reset_n                                        (clk_reset_n),
      .tone_mode_s1_address                           (tone_mode_s1_address),
      .tone_mode_s1_chipselect                        (tone_mode_s1_chipselect),
      .tone_mode_s1_readdata                          (tone_mode_s1_readdata),
      .tone_mode_s1_readdata_from_sa                  (tone_mode_s1_readdata_from_sa),
      .tone_mode_s1_reset_n                           (tone_mode_s1_reset_n),
      .tone_mode_s1_write_n                           (tone_mode_s1_write_n),
      .tone_mode_s1_writedata                         (tone_mode_s1_writedata)
    );

  tone_mode the_tone_mode
    (
      .address    (tone_mode_s1_address),
      .chipselect (tone_mode_s1_chipselect),
      .clk        (clk),
      .out_port   (out_port_from_the_tone_mode),
      .readdata   (tone_mode_s1_readdata),
      .reset_n    (tone_mode_s1_reset_n),
      .write_n    (tone_mode_s1_write_n),
      .writedata  (tone_mode_s1_writedata)
    );

  //reset is asserted asynchronously and deasserted synchronously
  NIOS_reset_clk_domain_synch_module NIOS_reset_clk_domain_synch
    (
      .clk      (clk),
      .data_in  (1'b1),
      .data_out (clk_reset_n),
      .reset_n  (reset_n_sources)
    );

  //reset sources mux, which is an e_mux
  assign reset_n_sources = ~(~reset_n |
    0 |
    cpu_jtag_debug_module_resetrequest_from_sa |
    cpu_jtag_debug_module_resetrequest_from_sa);


endmodule


//synthesis translate_off



// <ALTERA_NOTE> CODE INSERTED BETWEEN HERE

// AND HERE WILL BE PRESERVED </ALTERA_NOTE>


// If user logic components use Altsync_Ram with convert_hex2ver.dll,
// set USE_convert_hex2ver in the user comments section above

// `ifdef USE_convert_hex2ver
// `else
// `define NO_PLI 1
// `endif

`include "c:/altera/11.0/quartus/eda/sim_lib/altera_mf.v"
`include "c:/altera/11.0/quartus/eda/sim_lib/220model.v"
`include "c:/altera/11.0/quartus/eda/sim_lib/sgate.v"
`include "speed1.v"
`include "en2.v"
`include "period_gol.v"
`include "set_sel0.v"
`include "tone_mode.v"
`include "sdram.v"
`include "sdram_test_component.v"
`include "event_has_been_read.v"
`include "ps2_event_type.v"
`include "set_sel1.v"
`include "TIMER_0.v"
`include "jtag_uart.v"
`include "sram_dq.v"
`include "sram_addr.v"
`include "set_sel2.v"
`include "lcd_0.v"
`include "obj.v"
`include "cpu_test_bench.v"
`include "cpu_mult_cell.v"
`include "cpu_oci_test_bench.v"
`include "cpu_jtag_debug_module_tck.v"
`include "cpu_jtag_debug_module_sysclk.v"
`include "cpu_jtag_debug_module_wrapper.v"
`include "cpu.v"
`include "cur_y.v"
`include "speed0.v"
`include "period1.v"
`include "period0.v"
`include "new_event_ready.v"
`include "play.v"
`include "sram_we_n.v"
`include "period2.v"
`include "en0.v"
`include "speed2.v"
`include "en1.v"
`include "cur_x.v"

`timescale 1ns / 1ps

module test_bench 
;


  wire             LCD_E_from_the_lcd_0;
  wire             LCD_RS_from_the_lcd_0;
  wire             LCD_RW_from_the_lcd_0;
  wire    [  7: 0] LCD_data_to_and_from_the_lcd_0;
  reg              clk;
  wire             in_port_to_the_new_event_ready;
  wire    [  7: 0] in_port_to_the_ps2_event_type;
  wire             jtag_uart_avalon_jtag_slave_dataavailable_from_sa;
  wire             jtag_uart_avalon_jtag_slave_readyfordata_from_sa;
  wire    [  9: 0] out_port_from_the_cur_x;
  wire    [  9: 0] out_port_from_the_cur_y;
  wire             out_port_from_the_en0;
  wire             out_port_from_the_en1;
  wire             out_port_from_the_en2;
  wire             out_port_from_the_event_has_been_read;
  wire    [  3: 0] out_port_from_the_obj;
  wire    [ 23: 0] out_port_from_the_period0;
  wire    [ 23: 0] out_port_from_the_period1;
  wire    [ 23: 0] out_port_from_the_period2;
  wire    [ 23: 0] out_port_from_the_period_gol;
  wire             out_port_from_the_play;
  wire             out_port_from_the_set_sel0;
  wire             out_port_from_the_set_sel1;
  wire             out_port_from_the_set_sel2;
  wire    [  1: 0] out_port_from_the_speed0;
  wire    [  1: 0] out_port_from_the_speed1;
  wire    [  1: 0] out_port_from_the_speed2;
  wire    [ 17: 0] out_port_from_the_sram_addr;
  wire    [ 15: 0] out_port_from_the_sram_dq;
  wire             out_port_from_the_sram_we_n;
  wire    [  2: 0] out_port_from_the_tone_mode;
  reg              reset_n;
  wire    [ 11: 0] zs_addr_from_the_sdram;
  wire    [  1: 0] zs_ba_from_the_sdram;
  wire             zs_cas_n_from_the_sdram;
  wire             zs_cke_from_the_sdram;
  wire             zs_cs_n_from_the_sdram;
  wire    [ 15: 0] zs_dq_to_and_from_the_sdram;
  wire    [  1: 0] zs_dqm_from_the_sdram;
  wire             zs_ras_n_from_the_sdram;
  wire             zs_we_n_from_the_sdram;


// <ALTERA_NOTE> CODE INSERTED BETWEEN HERE
//  add your signals and additional architecture here
// AND HERE WILL BE PRESERVED </ALTERA_NOTE>

  //Set us up the Dut
  NIOS DUT
    (
      .LCD_E_from_the_lcd_0                  (LCD_E_from_the_lcd_0),
      .LCD_RS_from_the_lcd_0                 (LCD_RS_from_the_lcd_0),
      .LCD_RW_from_the_lcd_0                 (LCD_RW_from_the_lcd_0),
      .LCD_data_to_and_from_the_lcd_0        (LCD_data_to_and_from_the_lcd_0),
      .clk                                   (clk),
      .in_port_to_the_new_event_ready        (in_port_to_the_new_event_ready),
      .in_port_to_the_ps2_event_type         (in_port_to_the_ps2_event_type),
      .out_port_from_the_cur_x               (out_port_from_the_cur_x),
      .out_port_from_the_cur_y               (out_port_from_the_cur_y),
      .out_port_from_the_en0                 (out_port_from_the_en0),
      .out_port_from_the_en1                 (out_port_from_the_en1),
      .out_port_from_the_en2                 (out_port_from_the_en2),
      .out_port_from_the_event_has_been_read (out_port_from_the_event_has_been_read),
      .out_port_from_the_obj                 (out_port_from_the_obj),
      .out_port_from_the_period0             (out_port_from_the_period0),
      .out_port_from_the_period1             (out_port_from_the_period1),
      .out_port_from_the_period2             (out_port_from_the_period2),
      .out_port_from_the_period_gol          (out_port_from_the_period_gol),
      .out_port_from_the_play                (out_port_from_the_play),
      .out_port_from_the_set_sel0            (out_port_from_the_set_sel0),
      .out_port_from_the_set_sel1            (out_port_from_the_set_sel1),
      .out_port_from_the_set_sel2            (out_port_from_the_set_sel2),
      .out_port_from_the_speed0              (out_port_from_the_speed0),
      .out_port_from_the_speed1              (out_port_from_the_speed1),
      .out_port_from_the_speed2              (out_port_from_the_speed2),
      .out_port_from_the_sram_addr           (out_port_from_the_sram_addr),
      .out_port_from_the_sram_dq             (out_port_from_the_sram_dq),
      .out_port_from_the_sram_we_n           (out_port_from_the_sram_we_n),
      .out_port_from_the_tone_mode           (out_port_from_the_tone_mode),
      .reset_n                               (reset_n),
      .zs_addr_from_the_sdram                (zs_addr_from_the_sdram),
      .zs_ba_from_the_sdram                  (zs_ba_from_the_sdram),
      .zs_cas_n_from_the_sdram               (zs_cas_n_from_the_sdram),
      .zs_cke_from_the_sdram                 (zs_cke_from_the_sdram),
      .zs_cs_n_from_the_sdram                (zs_cs_n_from_the_sdram),
      .zs_dq_to_and_from_the_sdram           (zs_dq_to_and_from_the_sdram),
      .zs_dqm_from_the_sdram                 (zs_dqm_from_the_sdram),
      .zs_ras_n_from_the_sdram               (zs_ras_n_from_the_sdram),
      .zs_we_n_from_the_sdram                (zs_we_n_from_the_sdram)
    );

  sdram_test_component the_sdram_test_component
    (
      .clk      (clk),
      .zs_addr  (zs_addr_from_the_sdram),
      .zs_ba    (zs_ba_from_the_sdram),
      .zs_cas_n (zs_cas_n_from_the_sdram),
      .zs_cke   (zs_cke_from_the_sdram),
      .zs_cs_n  (zs_cs_n_from_the_sdram),
      .zs_dq    (zs_dq_to_and_from_the_sdram),
      .zs_dqm   (zs_dqm_from_the_sdram),
      .zs_ras_n (zs_ras_n_from_the_sdram),
      .zs_we_n  (zs_we_n_from_the_sdram)
    );

  initial
    clk = 1'b0;
  always
    #10 clk <= ~clk;
  
  initial 
    begin
      reset_n <= 0;
      #200 reset_n <= 1;
    end

endmodule


//synthesis translate_on